Contents

ADVANSYS

Formativ

GroupWise Customization Made Easy!

Language Guide

This document details the commands available within the Formativ applet language.

Advansys Formativ Language Guide

Information in this document is subject to change without notice. The example companies, products and people are purely fictitious. Without limiting the rights under copyright, no part of this document may be reproduced, stored or introduced into a retrieval system, or transmitted in any form without prior written approval of Advansys corporation.

Advansys may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering the subject matter in this document. Except as expressly provided in any written licence agreement from Advansys, the furnishing of this document does not give you any licence to these patents, trademarks, copyrights or other intellectual property.

Copyright © 2001-2003 Advansys Pty Limited. All rights reserved.

Formativ is a trademark of Advansys Pty Limited in Australia and other countries.

GroupWise is a trademark of Novell Inc.

Visual Basic Script is a trademark of Microsoft Corporation.


Master Index Template

Advansys Formativ 1.6
Language Index

Objects
Name | Description
AddressBook | Represents a GroupWise address book and is used by the AddressBooks objects Item parameter.
AddressbookEntry | Represents a GroupWise address book entry. AddressbookEntry is used by the AddressBook objects Item parameter. It provides access to all the key fields in a GroupWise address book entry.
Addressbooks | Addressbooks represents a collection of GroupWise address books.
CheckBoxControl | CheckBoxControl is a wrapper for a Windows check box control. Add this control to the fcControlDlg with the AddCheckBoxControl method.
CheckListControl | CheckListControl implements a multiselect listbox with a checkbox glyph to indicate whether each item is checked. Add this control to the fcControlDlg with the AddCheckListControl method.
ComboBox | ComboBox combines an edit box with a scrollable list. Add this control to the fcControlDlg with the AddComboBoxControl method.
ControlFont | Font is used by other controls to provide a high level of font control.
CurrentItem | CurrentItem represents the current composing item, normally represented by the Message ID "X00".
DateTimePicker | DateTimePicker displays a list box for entering dates or times. Add this control to the fcControlDlg with the AddDateTimeControl method.
DlgControls | The DlgControls object is used by the fcControlDlgs ControlList parameter.
EditControl | The EditControl object is a wrapper for a Windows single-line edit control. Add this control to the fcControlDlg with the AddEditControl method.
Extensions | Adds several generic extensions to the Formativ language
fcControlDlg | fcControlDlg
fcFilePickerDlg | The fcFilePickerDlg object provides a configurable file list dialog where the user can select single or multiple files.
FileIterator | Builds a list of files and folders in the specified Path that matches the specified attributes
FileSystemUtils |
FormVariable | Represents a single HTML variable
FormVariables | Collection of HTML variables
GroupWise | GroupWise is the main Formativ object which provides access to all the GroupWise Token Commands. It also includes language extensions which provide easy access to GroupWise features, such as the Address Book object.
HTMLDialog | Represents a dialog capable of displaying HTML content. The dialog can be displayed normally or embedded into the GroupWise client.
HTTP |
ImageControl | ImageControl displays a graphical image. Add this control to the fcControlDlg with the AddImageControl method.
ListBoxControl | ListBoxControl is a wrapper for a Windows list box control. Add this control to the fcControlDlg with the AddListBoxControl method.
MemoControl | MemoControl is a wrapper for a windows multiline edit control. Add this control to the fcControlDlg with the AddMemoControl method.
MultiLineLabelControl | MultiLineLabelControl is a special label control with a Lines property of class Strings for easy multiline display of read only information.
OpenFileDlg | The OpenFileDlg object provides a configurable file selection dialog.
PanelControl | PanelControl implements a generic panel control. Add this control to the fcControlDlg with the AddPanelControl method.
Portal | A Portal is a custom window that appears embedded in the GroupWise client. It can be used to display any information that Microsoft Internet Explorer can display, such as HTML, XML, images, web sites, etc.
PortalManager | The Portal Manager lets you create and display any number of portals directly in the GroupWise client. You can also programmatically access the information being displayed in a portal.
Portals | Manages the collection of Portal objects.
RadioButtonControl | RadioButtonControl is a wrapper for a Windows radio button. Add this control to the fcControlDlg with the AddRadioButtonControl method.
RadioGroupControl | RadioGroupControl represents a group of radio buttons that function together. Add this control to the fcControlDlg with the AddRadioGroupControl method.
Registry | The Registry object provides read access to the Windows registry. Registry does not currently support writing to the Windows registry.
SaveFileDialog | Displays a Save As dialog for saving files. When the user clicks Save, the dialog closes and the selected file name is stored in the FileName property.
SearchAndReplace | The SearchAndReplace object provides a search and replace dialog.
SelectDirectoryDlg | The SelectDirectoryDlg object provides a configurable Windows directory/folder selection dialog.
SelectedFile | The SelectedFile object is used by the SelectedFiles objects Item parameter.
SelectedFiles | The SelectedFiles object is used by the File Picker Dialogs SelectedFiles parameter.
SpinEditControl | SpinEditControl is an edit control with up/down increment/decrement buttons embedded. Add this control to the fcControlDlg with the AddSpinEditControl method.
StatusDlg | The StatusDlg object provides a configurable progress dialog, including main and status text areas and progress bar.
StdDlg | The StdDlg object is the base class from which the dynamic control dialog (fcControlDlg) descends. It provides all the dialogs common functionality, such as look & feel, buttons and the Wizard image panel.
StringGridControl | StringGridControl is a grid control designed to simplify the handling of strings and associated objects. Add this control to the fcControlDlg with the AddStringGridControl method.
StringList | The StringList object is a convenient and powerful way to maintain a list of strings. Use a StringList object to store and manipulate a list of strings, including sorting, rejecting duplicates, reading Windows INI, reading and writing text files. You can also associate string data for each string list entry.
Strings | The Strings object is used by a number of dialog controls to provide access to their parameters which represent a list of strings. Strings cannot be instantiated directly by the user.
StringsNoObj | StringsNoObj is a Strings object implementation without the support for string data objects. Used by some specific controls and cannot be instantiated directly by the user.
TabListBoxControl | TabListBoxControl is a ListBox that enables easy control of horizontal scrolling and tabstop positions in the list. Add this control to the fcControlDlg with the AddTabListBoxControl method.
Utilities | The Utilities object provides key Formativ applet language methods.

Constants
Name | Description
Alignment | Determines how caption is aligned within the panel.
BorderStyle | Determines the style of the line drawn around the perimeter of the panel control.
CaptionPosition | Specifies the position of the caption (label) for a control. Note that some controls do not have captions.
CharCase | Determines the case of the text within the text entry control.
CheckListOptions | This controls the options for selecting items in the list.
Color | Color is used to specify the color of a control property. It is used by the Color property of many controls and by a number of other properties that specify color values. Formativ also allows you to specify an RGB value within an applet by setting the Color property to &HRRGGBB, where RR, GG, BB are Hex representations of the color.
ComboBoxStyle | Determines the display style of the combo box.
Compression | Specifies compression action to take when using Utilities.StringCompress
ControlSpacing | Specifies how the controls are positioned on the dialog.
ControlType | The ControlType constants identify the different control types which can be used with the dynamic control dialog, fcControlDlg.
DateMode | Determines the method of date selection used by the control.
DateTimeKind | Determines whether the control is a date selector or a time selector.
eAccountRights | These constants identify the type of access rights given to a user for an account
eAddressBookField | Used to access individual field values in an address book entry.
eAddressBookRights | These constants identify the access rights a user has to an address book (GroupWise 5.5 and later only)
eAddressBookSubtype | These constants identify the subtype of an address book
eAddressBookType | These constants identify the type of an address book
eAddressResolveCmd | Specifies what to do with ambiguous addresses.
eAddressTargetType | These constants identify the target type (recipient type) of an address
eAddressType | These constants identify the type of an address
eAppEvent | Specifies the application event.
eAttachClassType | Specifies the attachment type.
eAttachmentType | These constants identify the type of a message attachment
eAttachViewType | Specifies the type to view.
eBitOn | Specifies the BitOn value.
eBooleanOperator | Specifies the boolean operator.
eBoxType | Specifies item source.
eBusyLevel | Specifies the busy level for an appointment.
eButtonBarReset | Use with ButtonBarReset
eButtonBarStyle | Specifies the button bar style.
eCheckIn | These constants identify the type of action performed when checking-in a document version
eColField | Specifies the column field.
eControl | Specifies the control to receive the input focus.
eControlListType | Specifies the list type.
eDate | Specifies the possible date values.
eDaystoHighlight | Specifies the days to highlight in the calendar view.
eDeleteType | Specifies what to delete.
eDialogOptions | Determines the appearance and behavior of the file-selection dialogs
eDialogOptionsEx | More descriptions which determine the appearance and behavior of the file-selection dialogs
eDisconnectMethod | Specifies the remote disconnection method.
eDisplay | Hide and show constants.
eDisplayEventType | Specifies how to display the items time duration.
eDisposalMethod | These constants identify the methods of disposing of a document
eDocNewMethod | Constants which specify the method for a new document version.
eDocProfileField | Specifies the document profile field required.
eDocumentAccessRights | These constants identify the type of document access rights granted to individual users or groups
eDocumentReferenceType | These constants identify the version of a document reference
eDocVersionStatus | Specifies the possible status for a document version.
eDownloadState | These constants identify whether or not information has been downloaded
eEmailAddressFormat | These constants identify the format of an email address
eEmptyTrash | Specifies the method to empty the trash.
eEndRetrieveStatus | These constants identify the type of action performed when ending the retrieval of a document version
eEntryType | Specifies the address entry type.
eEventRegFlags | The events for which you want notificiation.
eEventType | These constants identify the type of events that have been performed on a document version
eFieldDefinitionCase | These constants identify the string case for a field definition.
eFieldOperator | Specifies possible values for the Field Operator.
eFieldType | These constants identify the type of a user-defined field
eFileFormat | Specifies the possible values for the file format.
eFilterActions |
eFilterApplyTo | Specifies the control list type.
eFilterAttribute | Specifies the item attribute processed by the filter.
eFilterDateAbsolute | Specifies the possible date values.
eFilterDateType | Specifies the possible item date parameters for the date filter.
eFilterHandleType | Default Filter Handle Value.
eFilterType | Specifies the filter type.
eFindSearchDir | Specifies whether to search forward or backward from the insertion point.
eFirstDayofWeek | Specifies the first day of the week.
eFldrListContents | Create a folder list including all folders, no folders, or only the root folder.
eFolderRights | These constants identify the type of access rights a user has to a folder
eFolderRightsNotify | These constants identify the group of users being notified of a change in their access rights to a shared folder
eFolderType | These constants identify a folders type
eFontWeight | Specifies the font style.
eFormativBuild | Indicates the type of Formativ software being used to execute an applet
eFromWhichList | The target address list.
eHTMLDlgStyle | Controls the position and style of a dialog.
eHTTPProtocolversion |
eInclude | Specifies the signature include option.
eItemAttachClass | Specifies the attachment class.
eItemAttribute | Specifies the possible values for the item attribute.
eItemDateFormat | Specifies the date format.
eItemDateType | Specifies the values for the date type.
eItemTextField | Specifies the possible values for the item text field.
eItemType | Specifies the item type.
eLinkType | Specify the link type.
eLogin | These constants control the login prompting if there is a problem logging in
eMatch | SearchString in relation to the field contents. Position of the text in a character string.
eMessageBoxType | These constants identify the box type of a message
eMessagePriority | These constants identify the priority of a message
eMode | Defines the display mode for the calendar appointment view.
eModifyAttribute | Apply attributes to specified item conditions. The conditions are: creating personal item, creating group item, existing personal item, and existing group item.
eMsgDelete | Specifies the item deletion options.
Encryption | Specifies the encryption operation to be performed on the given string
eNotifyMessage | NotifyMessage constants identify the type of notification for a message.
eOfficialVersion | Specifies the official version only.
eOpenAttachAction | Specifies the open attachment action.
eOpenDocFlag | Specifies how to open the document.
eOpenItemAction | Specifies the action for Open Item.
eOperation | Specifies the possible operators.
ePhoneMsgOpt | Constants for the properties of a phone message view.
ePriority | Specifies the possible values for item priority.
ePromptMode | Specifies the prompting mode.
eProxyWindow | Specifies the current window for the proxy.
eReadyStates | Read ReadyState to obtain state information specific to a portal. Use this information to avoid attempting to use a portal when it is not ready to perform an action.
eRegistryAccess | Specifies the level of access to use when opening registry keys. Use with the Registry object.
eRemoteModemCmd | Specifies the remote modem command.
eReplyRequested | Specifies the Reply Requested option.
eReplyTo | Specifies the Reply To values.
eResolved | These constants identify the resolved status of a recipient
eRetract | Specifies from where to retract the item.
eRetrieveAppts | Specifies which Appointment items to receive in remote mode.
eRetrieveContents | Specifies the remote retrieve contents parameter.
eRetrieveDocRef | Specifies which Document references to receive in remote mode.
eRetrieveMailPhoneNotes | Specifies which Mail, Phone and Note items to receive in remote mode.
eRetrieveTasks | Specifies which Task items to receive in remote mode.
eReturnOnValue | Specifies the return notification options.
eRuleActivate | Specifies how the rule should be activated.
eRuleReplyType | Specifies the rule reply type.
eSearchDir | Specifies the direction for the search.
eSection | The section to search in.
eSecurity | Specifies an items security level.
eSharedFolder | These constants identify a shared folders type
eSharedNotificationType | These constants identify the types of shared notification messages (GroupWise 5.5 and later)
eSort | These constants identify sort types
eSortKey | Specifies the possible values for the sort key.
eSortOrder | Specifies the sort order.
eStatusInfo | Information to track when an Appointment is sent.
eTaskDisplay | Specifies the task time duration display.
eTextField | Specifies the possible values for an item text field.
eTimeBlock | These constants identify the type of a block of time
eTrustedApplication | Trusted application creation/deletion return values. See the Programmers Guide for more information.
eViewMode | Specifies the view mode.
eViewNamedType | Specifies the named view type.
eViewSwitchType | Specifies the view to switch to.
eViewType | Specifies the view type.
eVirtualKeys | Use eVirtualKeys constants with GetAsyncKeyState and IsKeyDown methods to represent the key you wish to query. Not all keys may be available on all keyboards.
eWhereToSearch | Specifies where to search.
eWindowType | Constants which specify the window type.
eWorkDays | Specifies the week work days.
FontStyle | Determines the style of the font, such as normal, italic, underlined, bold etc..
GlyphAlignH | Aligns the glyphs to the left or right of the checkbox.
GlyphAlignV | Aligns the glyphs to the bottom, center or top of the item.
GlyphStyle | Set the GlyphStyle property to select one of the glyph constants.
GridOption | Specifies various display and behavioral properties of the grid.
PanelBevel | Determines the style of the inner and outer bevels of a panel.
RegistryKey | Specifies the root key for the Registry object.
ScrollStyle | ScrollStyle constants determine whether the memo control has any scroll bars.
StdDlgButtons | These constants identify which button was pressed on the fcControlDlg.


Object AddressBook

Advansys Formativ 1.6 | Language Reference
AddressBook object |

Description
Represents a GroupWise address book and is used by the AddressBooks objects Item parameter.

Properties and Methods
Properties | Methods
_NewEnum Count Default Item Name Object ObjType ProviderID SubType | AddContact Delete

More Information
Sub Main(Client, GWEvent)
Dim objAddressBooks
Dim objAddressBook

Set objAddressBooks = GroupWise.AddressBooks

' Locate the address book called "Frequent Contacts"
Set objAddressBook = objAddressBooks.Item("Frequent Contacts")

' Display the email address of each entry in the book
for each objAddressBookEntry in objAddressBook
MsgBox(objAddressBookEntry.EmailAddress)
next
Set objAddressBooks = nothing

End Sub


Method AddContact

Advansys Formativ 1.6 | Language Reference
AddContact Method |
Parent |

Description
Adds a contact to the current address book.
Syntax
AddressBook.AddContact(DisplayName String) : AddressbookEntry

Parameter Useage:

DisplayName String
Remarks
None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
 | Deletes the address book from the AddressBooks collection.
Syntax
 | AddressBook.Delete()
Remarks
 | None.


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | Internal use only.
Syntax
 | AddressBook._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | Returns the number of items in the address book.
Syntax
 | AddressBook.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Default

Advansys Formativ 1.6 | Language Reference
Default property |
Parent |

Description
 | Indicates whether this is the default GroupWise address book.
Syntax
 | AddressBook.Default() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
Returns an instance to a single address book entry, which is defined by the AddressBookEntry object.
Syntax
AddressBook.Item(Index Integer) : AddressbookEntry

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type AddressbookEntry.
Remarks
None.


Property Name

Advansys Formativ 1.6 | Language Reference
Name property |
Parent |

Description
 | The name of the address book.
Syntax
 | AddressBook.Name() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Object

Advansys Formativ 1.6 | Language Reference
Object property |
Parent |

Description
 | Provides direct access the to native GroupWise Object API representation of the address book. See Novells Object API documentation for full details.
Syntax
 | AddressBook.Object() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | None.


Property ObjType

Advansys Formativ 1.6 | Language Reference
ObjType property |
Parent |

Description
 | The address book type.
Syntax
 | AddressBook.ObjType() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ProviderID

Advansys Formativ 1.6 | Language Reference
ProviderID property |
Parent |

Description
 | The ID of the address book provider.
Syntax
 | AddressBook.ProviderID() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property SubType

Advansys Formativ 1.6 | Language Reference
SubType property |
Parent |

Description
 | The address book sub type.
Syntax
 | AddressBook.SubType() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Object AddressbookEntry

Advansys Formativ 1.6 | Language Reference
AddressbookEntry object |

Description
Represents a GroupWise address book entry. AddressbookEntry is used by the AddressBook objects Item parameter. It provides access to all the key fields in a GroupWise address book entry.

Properties and Methods
Properties | Methods
AdditionalRoutingInfo Address CellPhone City Comments Country Department DisplayName Domain EmailAddress EmailType FaxPhone FirstName Greeting GUID HomePhone InternetDomain LastName MailStop NDSDestinguishedName NetworkID Object OfficePhone Organization Owner PostOffice State Title UserID ZipCode | Delete

More Information
This object wraps a single address book entry and makes accessing it's fields very easy. This object includes method and properties that let you change values in the address book entry, as well as deleting the current address book entry from GroupWise.

For example, to add a new contact to a personal address book called "Test Book", you could use the following applet:

Sub Main(Client, GWEvent)

Dim AddressBooks
Dim AddressBook
Dim oAddressBookEntries
Dim oAddressBookEntry

Set AddressBooks = GroupWise.AddressBooks

on error resume next
Set AddressBook = AddressBooks.Item("Test Book")

if IsEmpty(AddressBook) then
MsgBox("Could not locate that address book")
else
MsgBox(AddressBook.Name)
Set oAddressBookEntry = AddressBook.AddContact("Bill Bloggs")
with oAddressBookEntry
.FirstName = "Bill"
.LastName = "Smith"
.Organization = "Smith Inc"
.EmailAddress = "bill@Smith.com"
.EmailType = "NGW"
.Address = "This is the address"
.City = "The city"
.State = "The state"
.ZipCode = "The zip"
.Country = "The country"
.Department = "The dept"
.Title = "The title"
.MailStop = "The mailstop"
.Greeting = "The greeting"
.OfficePhone = "1111111"
.HomePhone = "22222"
.CellPhone = "333333"
.FaxPhone = "444444"
.Comments = "This is the comments field"
end with
end if

Set AddressBooks = nothing
MsgBox("Done")

End Sub


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
 | A method which deletes the current address book entry.
Syntax
 | AddressbookEntry.Delete()
Remarks
 | None.


Property AdditionalRoutingInfo

Advansys Formativ 1.6 | Language Reference
AdditionalRoutingInfo property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.AdditionalRoutingInfo() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Address

Advansys Formativ 1.6 | Language Reference
Address property |
Parent |

Description
 | An entrys Address field. This can be a multiline string value.
Syntax
 | AddressbookEntry.Address() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CellPhone

Advansys Formativ 1.6 | Language Reference
CellPhone property |
Parent |

Description
 | An entrys Cellular or Mobile Phone field.
Syntax
 | AddressbookEntry.CellPhone() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property City

Advansys Formativ 1.6 | Language Reference
City property |
Parent |

Description
 | An entrys City field.
Syntax
 | AddressbookEntry.City() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Comments

Advansys Formativ 1.6 | Language Reference
Comments property |
Parent |

Description
 | An entrys Comment field. Can accept a multiline string value.
Syntax
 | AddressbookEntry.Comments() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Country

Advansys Formativ 1.6 | Language Reference
Country property |
Parent |

Description
 | An entrys Country field.
Syntax
 | AddressbookEntry.Country() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Department

Advansys Formativ 1.6 | Language Reference
Department property |
Parent |

Description
 | An entrys Department field.
Syntax
 | AddressbookEntry.Department() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property DisplayName

Advansys Formativ 1.6 | Language Reference
DisplayName property |
Parent |

Description
 | An entrys Display Name field.
Syntax
 | AddressbookEntry.DisplayName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Domain

Advansys Formativ 1.6 | Language Reference
Domain property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.Domain() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property EmailAddress

Advansys Formativ 1.6 | Language Reference
EmailAddress property |
Parent |

Description
 | An entrys Email Address field.
Syntax
 | AddressbookEntry.EmailAddress() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property EmailType

Advansys Formativ 1.6 | Language Reference
EmailType property |
Parent |

Description
 | An entrys Email Type field.
Syntax
 | AddressbookEntry.EmailType() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property FaxPhone

Advansys Formativ 1.6 | Language Reference
FaxPhone property |
Parent |

Description
 | An entrys Fax phone number field.
Syntax
 | AddressbookEntry.FaxPhone() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property FirstName

Advansys Formativ 1.6 | Language Reference
FirstName property |
Parent |

Description
 | An entrys First Name field.
Syntax
 | AddressbookEntry.FirstName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | These are the remarks for the FirstName property in the AddressBookEntry interface


Property Greeting

Advansys Formativ 1.6 | Language Reference
Greeting property |
Parent |

Description
 | An entrys Greeting field.
Syntax
 | AddressbookEntry.Greeting() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property GUID

Advansys Formativ 1.6 | Language Reference
GUID property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.GUID() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property HomePhone

Advansys Formativ 1.6 | Language Reference
HomePhone property |
Parent |

Description
 | An entrys Home Phone field.
Syntax
 | AddressbookEntry.HomePhone() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property InternetDomain

Advansys Formativ 1.6 | Language Reference
InternetDomain property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.InternetDomain() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property LastName

Advansys Formativ 1.6 | Language Reference
LastName property |
Parent |

Description
 | An entrys Last Name field.
Syntax
 | AddressbookEntry.LastName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property MailStop

Advansys Formativ 1.6 | Language Reference
MailStop property |
Parent |

Description
 | An entrys Mail Stop field.
Syntax
 | AddressbookEntry.MailStop() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property NDSDestinguishedName

Advansys Formativ 1.6 | Language Reference
NDSDestinguishedName property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.NDSDestinguishedName() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property NetworkID

Advansys Formativ 1.6 | Language Reference
NetworkID property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.NetworkID() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Object

Advansys Formativ 1.6 | Language Reference
Object property |
Parent |

Description
 | Provides direct access the to native GroupWise Object API representation of the address book entry. See Novells Object API documentation for full details.
Syntax
 | AddressbookEntry.Object() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | None.


Property OfficePhone

Advansys Formativ 1.6 | Language Reference
OfficePhone property |
Parent |

Description
 | An entrys Office Phone field.
Syntax
 | AddressbookEntry.OfficePhone() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Organization

Advansys Formativ 1.6 | Language Reference
Organization property |
Parent |

Description
 | An entrys Organization field.
Syntax
 | AddressbookEntry.Organization() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Owner

Advansys Formativ 1.6 | Language Reference
Owner property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.Owner() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property PostOffice

Advansys Formativ 1.6 | Language Reference
PostOffice property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.PostOffice() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property State

Advansys Formativ 1.6 | Language Reference
State property |
Parent |

Description
 | An entrys State field.
Syntax
 | AddressbookEntry.State() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | An entrys Title field.
Syntax
 | AddressbookEntry.Title() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property UserID

Advansys Formativ 1.6 | Language Reference
UserID property |
Parent |

Description
 | No decription is available.
Syntax
 | AddressbookEntry.UserID() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property ZipCode

Advansys Formativ 1.6 | Language Reference
ZipCode property |
Parent |

Description
 | An entrys Zip Code or Post Code field.
Syntax
 | AddressbookEntry.ZipCode() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Object Addressbooks

Advansys Formativ 1.6 | Language Reference
Addressbooks object |

Description
Addressbooks represents a collection of GroupWise address books.

Properties and Methods
Properties | Methods
_NewEnum Count Item | Add Refresh

More Information
This object represents all the accessible GroupWise address books in your account. You can use this collection to access individual address books, and to add new address books to GroupWise.

Semantically, using the GroupWise.AddressBooks object is similar to using the GroupWise.Account model. For example, the script to list the names of all the address books available in an account is:

Sub Main(Client, GWEvent)

Dim objAddressBooks
Dim objAddressBook

Set objAddressBooks = GroupWise.AddressBooks
for Each objAddressBook in objAddressBooks
MsgBox(objAddressBook.Name)
Next
Set objAddressBooks = nothing

End Sub

The real benefit of using the GroupWise.AddressBooks object becomes apparent when you have to access address book entry fields. Unlike the GroupWise.Account technique, you can access all standard fields directly using properties of the AddressBookEntry object. There is no need to be concerned with FieldDefs, the version or language of the GroupWise client being used as is the case when accessing most fields using the GroupWise.Account technique.

GroupWise's underlying architecture dictates that address book fields traditionally had be accessed using field names. These field names were simply clear text, and varied between versions of the client being used and the language of the client being used. For example, if you wanted to write a program that accessed the 'Title' field of an address book, it was necessary to know the local variation of that name. If the user had an English client, the field called 'Title' was located. If the user had a French client, your program had to be aware of this and search for '*' instead. Formativ alleviates this problem through it's implementation of the GroupWise.AddressBooks object.

For example, if you wanted to extract the 'Title' field contents of every contact in a particular address book, you could do so by using the Title property of the AddressBookEntry object as shown here:

Sub Main(Client, GWEvent)

Dim objAddressBooks
Dim objAddressBook

Set objAddressBooks = GroupWise.AddressBooks
' Locate the address book called "Frequent Contacts"

Set objAddressBook = objAddressBooks.Item("Frequent Contacts")

' Display the email address of each entry in the book
for each objAddressBookEntry in objAddressBook
MsgBox(objAddressBookEntry.Title)
next

Set objAddressBooks = nothing

End Sub


Method Add

Advansys Formativ 1.6 | Language Reference
Add Method |
Parent |

Description
Creates a new GroupWise address book with a name specified by the Name parameter.
Syntax
Addressbooks.Add(Name String) : AddressBook

Parameter Useage:

Name String
Remarks
None.


Method Refresh

Advansys Formativ 1.6 | Language Reference
Refresh Method |
Parent |

Description
No description is available.
Syntax
Addressbooks.Refresh(Account Variant)

Parameter Useage:

Account Variant
Remarks
None.


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | Internal use only.
Syntax
 | Addressbooks._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | The number of GroupWise address books in the collection.
Syntax
 | Addressbooks.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
No decription is available.
Syntax
Addressbooks.Item(Index Variant) : AddressBook

Parameter Useage:

Index Variant

This is a Read Only property. It returns a variable of type AddressBook.
Remarks
None.


Object CheckBoxControl

Advansys Formativ 1.6 | Language Reference
CheckBoxControl object |

Description
CheckBoxControl is a wrapper for a Windows check box control. Add this control to the fcControlDlg with the AddCheckBoxControl method.

Properties and Methods
Properties | Methods
Caption Checked Control ControlType Height Hint Left SpaceAbove Spacing Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text description of the check box control.
Syntax
 | CheckBoxControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Checked

Advansys Formativ 1.6 | Language Reference
Checked property |
Parent |

Description
 | Sets or gets the checked state of the control.
Syntax
 | CheckBoxControl.Checked() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | CheckBoxControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | CheckBoxControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | CheckBoxControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | CheckBoxControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | CheckBoxControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | CheckBoxControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | CheckBoxControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | CheckBoxControl.Width() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Object CheckListControl

Advansys Formativ 1.6 | Language Reference
CheckListControl object |

Description
CheckListControl implements a multiselect listbox with a checkbox glyph to indicate whether each item is checked. Add this control to the fcControlDlg with the AddCheckListControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Checked CheckedColor CheckedColorChange CheckedItems Columns Control ControlType GlyphAlignH GlyphAlignV GlyphForeColor GlyphSpace GlyphStyle Height Hint ItemIndex Items Left Options Sorted SpaceAbove Spacing Width WordWrap | AddItem CheckAll ClearAll IsItemChecked SetItemState

More Information
Note: If this control contains multiple duplicate entries, and one of the duplicate entries is selected, then the list scrolled, all of the duplicate entries automatically become selected. This is due to a problem with the underlying check list control. Under normal use this should not be an issue as it is rare that a check list control would contain duplicate entries.


Method AddItem

Advansys Formativ 1.6 | Language Reference
AddItem Method |
Parent |

Description
Adds a string to the checklistbox and optionally set its checked value with the Checked parameter (True = entry is checked).
Syntax
CheckListControl.AddItem(Text String, Checked Variant)

Parameter Useage:

Text String
Checked Variant
Remarks
None.


Method CheckAll

Advansys Formativ 1.6 | Language Reference
CheckAll Method |
Parent |

Description
 | This procedure checks all items in the listbox.
Syntax
 | CheckListControl.CheckAll()
Remarks
 | None.


Method ClearAll

Advansys Formativ 1.6 | Language Reference
ClearAll Method |
Parent |

Description
 | This procedure unchecks all items in the listbox.
Syntax
 | CheckListControl.ClearAll()
Remarks
 | None.


Method IsItemChecked

Advansys Formativ 1.6 | Language Reference
IsItemChecked Method |
Parent |

Description
Returns true if the item containing the string is checked. Returns false if the item containing the string is not checked or if the string is not in the list.
Syntax
CheckListControl.IsItemChecked(Item String) : Boolean

Parameter Useage:

Item String
Remarks
None.


Method SetItemState

Advansys Formativ 1.6 | Language Reference
SetItemState Method |
Parent |

Description
Sets the checked state of an item using the string value.
Syntax
CheckListControl.SetItemState(Item String, Checked Boolean) : Boolean

Parameter Useage:

Item String
Checked Boolean
Remarks
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | CheckListControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | CheckListControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | CheckListControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | CheckListControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | CheckListControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Checked

Advansys Formativ 1.6 | Language Reference
Checked property |
Parent |

Description
Indicates which items are checked. For each member of the Items array, Checked is True if a check mark appears in the item’s check box. Checked corresponds to the fcbChecked state; that is, Checked is True when State = fcbChecked and False when State = fcbUnchecked or State = fcbGrayed.
Syntax
CheckListControl.Checked(Index Integer) : Boolean

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
None.


Property CheckedColor

Advansys Formativ 1.6 | Language Reference
CheckedColor property |
Parent |

Description
 | This property sets the color of checked items. CheckedColorChange must be true to use this property. See Color constants for details.
Syntax
 | CheckListControl.CheckedColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property CheckedColorChange

Advansys Formativ 1.6 | Language Reference
CheckedColorChange property |
Parent |

Description
 | If this property is true then checked items are colored using the CheckedColor property.
Syntax
 | CheckListControl.CheckedColorChange() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property CheckedItems

Advansys Formativ 1.6 | Language Reference
CheckedItems property |
Parent |

Description
 | This can be used to read or set the checked items in the list. The items in this list must first exist in the listbox Items.
Syntax
 | CheckListControl.CheckedItems() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Columns

Advansys Formativ 1.6 | Language Reference
Columns property |
Parent |

Description
 | Specifies the number of columns, in a multi-column list box, that are visible without having to scroll. Use Columns to specify the number of columns, in a multi-column list box, that are visible without having to use the horizontal scrollbar. Use Columns to specify the number of columns, in a multi-column list box, that are visible without having to use the horizontal scrollbar. For Columns values greater than 0, multiple columns accommodate the items as they wrap beyond the bottom of the list box. The Columns property specifies the number of columns that are visible without having to horizontally scroll the list box. The width of each column depends upon both the Width property and the number of Columns.
Syntax
 | CheckListControl.Columns() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | CheckListControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | CheckListControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property GlyphAlignH

Advansys Formativ 1.6 | Language Reference
GlyphAlignH property |
Parent |

Description
 | Aligns the glyphs to the left or right of the checkbox. See GlyphAlignH constants for details.
Syntax
 | CheckListControl.GlyphAlignH() : GlyphAlignH This is a Write Only property. It accepts a variable of type GlyphAlignH.
Remarks
 | None.


Property GlyphAlignV

Advansys Formativ 1.6 | Language Reference
GlyphAlignV property |
Parent |

Description
 | Aligns the glyphs to the bottom, center or top of the item. See GlyphAlignV constants for details.
Syntax
 | CheckListControl.GlyphAlignV() : GlyphAlignV This is a Write Only property. It accepts a variable of type GlyphAlignV.
Remarks
 | None.


Property GlyphForeColor

Advansys Formativ 1.6 | Language Reference
GlyphForeColor property |
Parent |

Description
 | This property sets the foreground color of the check glyphs. See the Color constants for details.
Syntax
 | CheckListControl.GlyphForeColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property GlyphSpace

Advansys Formativ 1.6 | Language Reference
GlyphSpace property |
Parent |

Description
 | This sets the space in pixels separating the glyph horizontally from the edge of the checkbox and from the text in the items.
Syntax
 | CheckListControl.GlyphSpace() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property GlyphStyle

Advansys Formativ 1.6 | Language Reference
GlyphStyle property |
Parent |

Description
 | Set the GlyphStyle property to select one of these glyphs. Formativ does not support custom glyphs. See GlyphStyle for details.
Syntax
 | CheckListControl.GlyphStyle() : GlyphStyle This is a Write Only property. It accepts a variable of type GlyphStyle.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | CheckListControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | CheckListControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ItemIndex

Advansys Formativ 1.6 | Language Reference
ItemIndex property |
Parent |

Description
 | No decription is available.
Syntax
 | CheckListControl.ItemIndex() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Items

Advansys Formativ 1.6 | Language Reference
Items property |
Parent |

Description
 | Contains the strings that appear in the list box. Use Items to add, insert, delete and move items. By default the items in a list box are of type Strings. Use this item type to access its methods or properties in order to manipulate the items in the list.
Syntax
 | CheckListControl.Items() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | CheckListControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Options

Advansys Formativ 1.6 | Language Reference
Options property |
Parent |

Description
 | This controls the options for selecting items in the list. See CheckListOptions constants for details.
Syntax
 | CheckListControl.Options() : CheckListOptions This is a Write Only property. It accepts a variable of type CheckListOptions.
Remarks
 | None.


Property Sorted

Advansys Formativ 1.6 | Language Reference
Sorted property |
Parent |

Description
 | Specifies whether the items in a list box are arranged alphabetically. Use Sorted to sort the items by setting its value to True. If Sorted is False, the items are unsorted. When Sorted is True, items that are added or inserted are automatically into the list box in alphabetical order.
Syntax
 | CheckListControl.Sorted() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | CheckListControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | CheckListControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | CheckListControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property WordWrap

Advansys Formativ 1.6 | Language Reference
WordWrap property |
Parent |

Description
 | Specifies whether the label text wraps when it is too long for the width of the listbox.
Syntax
 | CheckListControl.WordWrap() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Object ComboBox

Advansys Formativ 1.6 | Language Reference
ComboBox object |

Description
ComboBox combines an edit box with a scrollable list. Add this control to the fcControlDlg with the AddComboBoxControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth CharCase Control ControlType DropDownCount DroppedDown Height Hint ItemIndex Items Left ListText MaxLength Sorted SpaceAbove Spacing Style Text Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | ComboBox.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | ComboBox.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | ComboBox.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | ComboBox.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | ComboBox.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CharCase

Advansys Formativ 1.6 | Language Reference
CharCase property |
Parent |

Description
 | Sets the character case for text entered into the control. The default is Normal Case. Uses the CharCase constant.
Syntax
 | ComboBox.CharCase() : CharCase This is a Write Only property. It accepts a variable of type CharCase.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | ComboBox.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | ComboBox.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property DropDownCount

Advansys Formativ 1.6 | Language Reference
DropDownCount property |
Parent |

Description
 | By default, the drop-down list is long enough to contain eight items without requiring the user to scroll to see them all. To make the drop-down list smaller or larger, specify a number larger or smaller than eight as the DropDownCount value. DroppedDown is meaningful only if the value of Style is not csSimple.
Syntax
 | ComboBox.DropDownCount() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property DroppedDown

Advansys Formativ 1.6 | Language Reference
DroppedDown property |
Parent |

Description
 | Read DroppedDown to determine whether the drop-down list is visible. Set DropDown to drop the list down or close it up. DroppedDown is True when the drop-down list is open, and False when it is closed. DroppedDown is meaningful only if the value of Style is not csSimple.
Syntax
 | ComboBox.DroppedDown() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | ComboBox.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | ComboBox.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ItemIndex

Advansys Formativ 1.6 | Language Reference
ItemIndex property |
Parent |

Description
 | Read ItemIndex to determine which item in the list is the value of the combo box. This value appears in the edit box portion of the combo box. The first item in the list has index 0, the second item has index 1, and so on. If no item is selected, the value of ItemIndex is -1. Set ItemIndex to programmatically select an item from the list.
Syntax
 | ComboBox.ItemIndex() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Items

Advansys Formativ 1.6 | Language Reference
Items property |
Parent |

Description
 | Accesses the combo box value list by the Strings object. See Strings for more details.
Syntax
 | ComboBox.Items() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | ComboBox.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ListText

Advansys Formativ 1.6 | Language Reference
ListText property |
Parent |

Description
 | Sets the combo box list values by passing a string with entry values separated by commas (comma-delimited string). Gets all the values from a combo box in a comma delimited string.
Syntax
 | ComboBox.ListText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property MaxLength

Advansys Formativ 1.6 | Language Reference
MaxLength property |
Parent |

Description
 | Use MaxLength to limit the length of strings the user can type into the combo box. MaxLength does not affect the length of strings available in the list. If MaxLength is 0 (the default), there is no limit to the number of characters that can be entered.
Syntax
 | ComboBox.MaxLength() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Sorted

Advansys Formativ 1.6 | Language Reference
Sorted property |
Parent |

Description
 | Set Sorted to True to sort the items in the Items list alphabetically. New items added to the list while Sorted is True are inserted in the correct alphabetical position.
Syntax
 | ComboBox.Sorted() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | ComboBox.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | ComboBox.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Style

Advansys Formativ 1.6 | Language Reference
Style property |
Parent |

Description
 | Set Style to specify how the list and edit region of the combo box should appear. Users ComboBoxStyle constants.
Syntax
 | ComboBox.Style() : ComboBoxStyle This is a Write Only property. It accepts a variable of type ComboBoxStyle.
Remarks
 | None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Gets the currently selected text value from the combo box or sets the text to be the default selection (the text string must already exist in the combo box list for it to be selected).
Syntax
 | ComboBox.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | ComboBox.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object ControlFont

Advansys Formativ 1.6 | Language Reference
ControlFont object |

Description
Font is used by other controls to provide a high level of font control.

Properties and Methods
Properties | Methods
CharSet Color Height Name Size Style |

More Information
None.


Property CharSet

Advansys Formativ 1.6 | Language Reference
CharSet property |
Parent |

Description
 | Specifies the character set of the font. Set Charset to identify the character set of the font. Each typeface (specified by the Name property) supports one or more character sets. Check the information supplied by the font vendor to determine what values of Charset are valid.
Syntax
 | ControlFont.CharSet() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Color

Advansys Formativ 1.6 | Language Reference
Color property |
Parent |

Description
 | Specifies the color of the text. See the Color constants for details. A 6 digit hexadecimal RGB value can also be specified by prefixing the value with &H, such as &HFF0000, which is Red.
Syntax
 | ControlFont.Color() : Color This is a Read/Write property. You may only pass in a Color to the property. It returns a Color.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Specifies the height of the font. Use Height to specify the height of the font in pixels. If the value is negative, the internal leading that appears at the top of each line of text is not measured. If the value is positive, Height represents the height of the characters plus the internal leading. To specify the size of the font in points, use the Size property instead. Users usually specify font size in points, while applications may be concerned with the actual size of the font in pixels when displaying the font on the screen. The value of Height can be optained from the point size using this formula: Font.Height = -Font.Size * Font.PixelsPerInch / 72 . When the Height property has a positive value, the Size property has a negative value. When the Size property has a positive value, the Height property has a negative value.
Syntax
 | ControlFont.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Name

Advansys Formativ 1.6 | Language Reference
Name property |
Parent |

Description
 | Identifies the typeface of the font. Use Name to specify the typeface of the font. If the font family described by Name includes multiple character sets, be sure to set the CharSet property as well.
Syntax
 | ControlFont.Name() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Size

Advansys Formativ 1.6 | Language Reference
Size property |
Parent |

Description
 | Specifies the height of the font in points. Use Size to specify the point size of the font. If the value is negative, the internal leading that appears at the top of each line of text is included. If the value is positive, Size represents the height of the characters but not the internal leading. To determine the size of the font in pixels, use the Height property instead. The value of Size can be optained from the height in pixels using this formula: Font.Size = -Font.Height * 72 / Font.PixelsPerInch . When the Size property has a positive value, the Height property has a negative value. When the Height property has a positive value, the Size property has a negative value.
Syntax
 | ControlFont.Size() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Style

Advansys Formativ 1.6 | Language Reference
Style property |
Parent |

Description
 | Determines whether the font is normal, italic, underlined, bold, and so on. Use Style to add special characteristics to characters that use the font. See the FontStyle constants for details.
Syntax
 | ControlFont.Style() : FontStyle This is a Write Only property. It accepts a variable of type FontStyle.
Remarks
 | None.


Object CurrentItem

Advansys Formativ 1.6 | Language Reference
CurrentItem object |

Description
CurrentItem represents the current composing item, normally represented by the Message ID "X00".

Properties and Methods
Properties | Methods
AssignedDate BC BodyText BoxType CallerCompany CallerName CameToSee CC ClassName ConvertAttachments CreationDate Deleted DueDate EndDate FromText IsPrivate MessageID Opened PleaseCall Priority Read ReplyDaysRequested ReplyRequested ReturnedCall Routed RoutingEndOfLine Sender StartDate Subject TaskCategory TaskPriority Telephoned To_ Urgent ViewName WantsToSee WillCall |

More Information
Use the current item object access GroupWise messages that are not yet saved in the message store. This object is most useful when creating new GroupWise messages or when you need to access information from a newly constructed GroupWise message that has not yet been sent.


Property AssignedDate

Advansys Formativ 1.6 | Language Reference
AssignedDate property |
Parent |

Description
 | Returns the items assigned date (AssignedDate).
Syntax
 | CurrentItem.AssignedDate() : DATE This is a Read Only property. It returns a variable of type DATE.
Remarks
 | None.


Property BC

Advansys Formativ 1.6 | Language Reference
BC property |
Parent |

Description
 | Returns or sets the items BC field text. Only retrieves blind copy information from a Sent Item when you are the sender or have proxy rights.
Syntax
 | CurrentItem.BC() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property BodyText

Advansys Formativ 1.6 | Language Reference
BodyText property |
Parent |

Description
 | Returns or sets the body text of the item. The message body field has a limit of 32,000 characters and will stop accepting data after 32,000 characters.
Syntax
 | CurrentItem.BodyText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property BoxType

Advansys Formativ 1.6 | Language Reference
BoxType property |
Parent |

Description
 | Returns the location of a specified item. In GroupWise version 5.5 Personal type items are refered to as Posted type items. Return values: 1 (Mailbox), 2 (Sent Items) or 3 (Personal). Command fails on encapsulated items.
Syntax
 | CurrentItem.BoxType() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property CallerCompany

Advansys Formativ 1.6 | Language Reference
CallerCompany property |
Parent |

Description
 | Returns or sets the phone items Caller Company field text.
Syntax
 | CurrentItem.CallerCompany() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CallerName

Advansys Formativ 1.6 | Language Reference
CallerName property |
Parent |

Description
 | Returns or sets the phone items Caller field text.
Syntax
 | CurrentItem.CallerName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CameToSee

Advansys Formativ 1.6 | Language Reference
CameToSee property |
Parent |

Description
 | Returns or sets the phone items "Came to see you" checked status.
Syntax
 | CurrentItem.CameToSee() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property CC

Advansys Formativ 1.6 | Language Reference
CC property |
Parent |

Description
 | Returns or sets the items CC field text.
Syntax
 | CurrentItem.CC() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ClassName

Advansys Formativ 1.6 | Language Reference
ClassName property |
Parent |

Description
 | Returns an items type. Return values: 1 (Appointment), 2 (Mail), 3 (Note), 4 (Phone Message) or 5 (Task).
Syntax
 | CurrentItem.ClassName() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property ConvertAttachments

Advansys Formativ 1.6 | Language Reference
ConvertAttachments property |
Parent |

Description
 | Not implemented
Syntax
 | CurrentItem.ConvertAttachments() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property CreationDate

Advansys Formativ 1.6 | Language Reference
CreationDate property |
Parent |

Description
 | Returns the items creation date (CreateDate).
Syntax
 | CurrentItem.CreationDate() : DATE This is a Read Only property. It returns a variable of type DATE.
Remarks
 | None.


Property Deleted

Advansys Formativ 1.6 | Language Reference
Deleted property |
Parent |

Description
 | Returns TRUE if the item has been deleted.
Syntax
 | CurrentItem.Deleted() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property DueDate

Advansys Formativ 1.6 | Language Reference
DueDate property |
Parent |

Description
 | Returns or sets the items due date (DueDate).
Syntax
 | CurrentItem.DueDate() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property EndDate

Advansys Formativ 1.6 | Language Reference
EndDate property |
Parent |

Description
 | Returns or sets the items end date (EndDateTime).
Syntax
 | CurrentItem.EndDate() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property FromText

Advansys Formativ 1.6 | Language Reference
FromText property |
Parent |

Description
 | Returns or sets the From text of the item.
Syntax
 | CurrentItem.FromText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property IsPrivate

Advansys Formativ 1.6 | Language Reference
IsPrivate property |
Parent |

Description
 | Returns TRUE if the item is marked private. Set this value to TRUE to mark the item private or FALSE to unmark the item as private.
Syntax
 | CurrentItem.IsPrivate() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property MessageID

Advansys Formativ 1.6 | Language Reference
MessageID property |
Parent |

Description
 | Always returns "X00", which is the default Message ID for a composing item.
Syntax
 | CurrentItem.MessageID() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Opened

Advansys Formativ 1.6 | Language Reference
Opened property |
Parent |

Description
 | Returns TRUE if the item has been opened.
Syntax
 | CurrentItem.Opened() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property PleaseCall

Advansys Formativ 1.6 | Language Reference
PleaseCall property |
Parent |

Description
 | Returns or sets the phone items "Please call" checked status.
Syntax
 | CurrentItem.PleaseCall() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Priority

Advansys Formativ 1.6 | Language Reference
Priority property |
Parent |

Description
 | Returns or sets the priority setting of an item. Valid return and parameter values: 1 (Low), 2 (Medium) or 3 (High).
Syntax
 | CurrentItem.Priority() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Read

Advansys Formativ 1.6 | Language Reference
Read property |
Parent |

Description
 | Returns TRUE if the item has been read. Set to TRUE to mark the item as read or FALSE to mark the item as unread.
Syntax
 | CurrentItem.Read() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ReplyDaysRequested

Advansys Formativ 1.6 | Language Reference
ReplyDaysRequested property |
Parent |

Description
 | Not implemented.
Syntax
 | CurrentItem.ReplyDaysRequested() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ReplyRequested

Advansys Formativ 1.6 | Language Reference
ReplyRequested property |
Parent |

Description
 | Returns TRUE if a reply has been requested for the item. You cannot set this value for the item.
Syntax
 | CurrentItem.ReplyRequested() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ReturnedCall

Advansys Formativ 1.6 | Language Reference
ReturnedCall property |
Parent |

Description
 | Returns or sets the phone items "Returned your call" checked status.
Syntax
 | CurrentItem.ReturnedCall() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Routed

Advansys Formativ 1.6 | Language Reference
Routed property |
Parent |

Description
 | Returns TRUE if the item is routed. Set to TRUE to mark the item as routed or FALSE to unmark the item as routed.
Syntax
 | CurrentItem.Routed() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property RoutingEndOfLine

Advansys Formativ 1.6 | Language Reference
RoutingEndOfLine property |
Parent |

Description
 | Returns TRUE if the item is designated RoutingEndOfLine.
Syntax
 | CurrentItem.RoutingEndOfLine() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property Sender

Advansys Formativ 1.6 | Language Reference
Sender property |
Parent |

Description
 | Returns the Sender text of the item.
Syntax
 | CurrentItem.Sender() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property StartDate

Advansys Formativ 1.6 | Language Reference
StartDate property |
Parent |

Description
 | Returns or sets the items start date (BeginDateTime).
Syntax
 | CurrentItem.StartDate() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property Subject

Advansys Formativ 1.6 | Language Reference
Subject property |
Parent |

Description
 | Returns or sets the subject text of the item.
Syntax
 | CurrentItem.Subject() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property TaskCategory

Advansys Formativ 1.6 | Language Reference
TaskCategory property |
Parent |

Description
 | Returns or sets the items Task Category.
Syntax
 | CurrentItem.TaskCategory() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property TaskPriority

Advansys Formativ 1.6 | Language Reference
TaskPriority property |
Parent |

Description
 | Returns or sets the items Task Priority.
Syntax
 | CurrentItem.TaskPriority() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Telephoned

Advansys Formativ 1.6 | Language Reference
Telephoned property |
Parent |

Description
 | Returns or sets the phone items "Telephoned" checked status.
Syntax
 | CurrentItem.Telephoned() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property To_

Advansys Formativ 1.6 | Language Reference
To_ property |
Parent |

Description
 | Returns or sets the items TO field text.
Syntax
 | CurrentItem.To_() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Urgent

Advansys Formativ 1.6 | Language Reference
Urgent property |
Parent |

Description
 | Returns or sets the phone items "Urgent" checked status.
Syntax
 | CurrentItem.Urgent() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ViewName

Advansys Formativ 1.6 | Language Reference
ViewName property |
Parent |

Description
 | Returns or sets the view name of the item.
Syntax
 | CurrentItem.ViewName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property WantsToSee

Advansys Formativ 1.6 | Language Reference
WantsToSee property |
Parent |

Description
 | Returns or sets the phone items "Wants to see you" checked status.
Syntax
 | CurrentItem.WantsToSee() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property WillCall

Advansys Formativ 1.6 | Language Reference
WillCall property |
Parent |

Description
 | Returns or sets the phone items "Will call again" checked status.
Syntax
 | CurrentItem.WillCall() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Object DateTimePicker

Advansys Formativ 1.6 | Language Reference
DateTimePicker object |

Description
DateTimePicker displays a list box for entering dates or times. Add this control to the fcControlDlg with the AddDateTimeControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Checked Control ControlType Date DateMode DateTime Height Hint Kind Left MaxDate MinDate ShowCheckBox SpaceAbove Spacing Time Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | DateTimePicker.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | DateTimePicker.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | DateTimePicker.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | DateTimePicker.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | DateTimePicker.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Checked

Advansys Formativ 1.6 | Language Reference
Checked property |
Parent |

Description
 | Sets or gets the checked state of the control.
Syntax
 | DateTimePicker.Checked() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | DateTimePicker.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | DateTimePicker.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Date

Advansys Formativ 1.6 | Language Reference
Date property |
Parent |

Description
 | Use Date to get or set the date that is marked on the calendar.
Syntax
 | DateTimePicker.Date() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property DateMode

Advansys Formativ 1.6 | Language Reference
DateMode property |
Parent |

Description
 | If DateMode is fdmComboBox, the component has a drop-down calendar illustration from which the user can select a date. If DateMode is fdmUpDown, the component has Up/Down arrows with which the user can adjust the date. (Applies only when Kind = fdtkDate.)
Syntax
 | DateTimePicker.DateMode() : DateMode This is a Write Only property. It accepts a variable of type DateMode.
Remarks
 | None.


Property DateTime

Advansys Formativ 1.6 | Language Reference
DateTime property |
Parent |

Description
 | Use DateTime to get or set the date that is marked on the calendar.
Syntax
 | DateTimePicker.DateTime() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | DateTimePicker.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | DateTimePicker.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Kind

Advansys Formativ 1.6 | Language Reference
Kind property |
Parent |

Description
 | If Kind is fdtkDate, the control is used to select a date. If Kind is fdtkTime, the control is used to select a time.
Syntax
 | DateTimePicker.Kind() : DateTimeKind This is a Write Only property. It accepts a variable of type DateTimeKind.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | DateTimePicker.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property MaxDate

Advansys Formativ 1.6 | Language Reference
MaxDate property |
Parent |

Description
 | Use MaxDate to get or set the maximum date to which you can scroll the calendar.
Syntax
 | DateTimePicker.MaxDate() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property MinDate

Advansys Formativ 1.6 | Language Reference
MinDate property |
Parent |

Description
 | Use MinDate to get or set the minimum date that can be selected.
Syntax
 | DateTimePicker.MinDate() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property ShowCheckBox

Advansys Formativ 1.6 | Language Reference
ShowCheckBox property |
Parent |

Description
 | Set ShowCheckbox to True to display a check box in the DateTimePicker control.
Syntax
 | DateTimePicker.ShowCheckBox() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | DateTimePicker.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | DateTimePicker.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Time

Advansys Formativ 1.6 | Language Reference
Time property |
Parent |

Description
 | Sets or gets the time value of the control.
Syntax
 | DateTimePicker.Time() : DATE This is a Read/Write property. You may only pass in a DATE to the property. It returns a DATE.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | DateTimePicker.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object DlgControls

Advansys Formativ 1.6 | Language Reference
DlgControls object |

Description
The DlgControls object is used by the fcControlDlgs ControlList parameter.

Properties and Methods
Properties | Methods
_NewEnum Count Item |

More Information
None.


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | For internal use only.
Syntax
 | DlgControls._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | Returns the number of controls in the dynamic control dialog.
Syntax
 | DlgControls.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
Returns the control object pointer, identified by the Index parameter, from the dialog control list.
Syntax
DlgControls.Item(Index Integer) : Interface

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type Interface.
Remarks
None.


Object EditControl

Advansys Formativ 1.6 | Language Reference
EditControl object |

Description
The EditControl object is a wrapper for a Windows single-line edit control. Add this control to the fcControlDlg with the AddEditControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth CharCase Control ControlType Height Hint Left MaxLength Modified PasswordChar SpaceAbove Spacing Text Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | EditControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | EditControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | EditControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | EditControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | EditControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CharCase

Advansys Formativ 1.6 | Language Reference
CharCase property |
Parent |

Description
 | Sets the character case for text entered into the control. The default is Normal Case. Uses the CharCase constant.
Syntax
 | EditControl.CharCase() : CharCase This is a Write Only property. It accepts a variable of type CharCase.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | EditControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | EditControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | EditControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | EditControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | EditControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property MaxLength

Advansys Formativ 1.6 | Language Reference
MaxLength property |
Parent |

Description
 | Set the maximum number of characters which can be entered into the control.
Syntax
 | EditControl.MaxLength() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Modified

Advansys Formativ 1.6 | Language Reference
Modified property |
Parent |

Description
 | Identifies whether the user has modified the text within the control.
Syntax
 | EditControl.Modified() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property PasswordChar

Advansys Formativ 1.6 | Language Reference
PasswordChar property |
Parent |

Description
 | Sets the character which should appear if this control is to be used for entering passwords. The default is the * character.
Syntax
 | EditControl.PasswordChar() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | EditControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | EditControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Set the default text for, or get the text from, the control.
Syntax
 | EditControl.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | EditControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object Extensions

Advansys Formativ 1.6 | Language Reference
Extensions object |

Description
Adds several generic extensions to the Formativ language

Properties and Methods
Properties | Methods
 | Format xc

More Information
None.


Method Format

Advansys Formativ 1.6 | Language Reference
Format Method |
Parent |

Description
This function formats the series of arguments in the open array Args. Formatting is controlled by the format string Format. The results are returned in the function result as a string.
Syntax
Extensions.Format(FormatStr String, Arguments Variant, ExpandCodes Boolean) : String

Parameter Useage:

FormatStr String
Arguments Variant
ExpandCodes Boolean
Remarks
Format strings passed to the string formatting routines contain two types of objects -- literal characters and format specifiers. Literal characters are copied verbatim to the resulting string. Format specifiers fetch arguments from the argument list and apply formatting to them.

Format specifiers have the following form:

"%" type

A format specifier begins with a % character. After the % come the conversion type character, type

d - Decimal. The argument must be an integer value. The value is converted to a string of decimal digits.

s - String. The argument must be a string value. The string or character is inserted in place of the format specifier.

The ExpandCodes boolean specifies if standard escape codes should be processed in the input string. The default value for this parameter is TRUE.


Method xc

Advansys Formativ 1.6 | Language Reference
xc Method |
Parent |

Description
Expands standard escape codes. (For example, \n expands to a new line)
Syntax
Extensions.xc(aString String) : String

Parameter Useage:

aString String
Remarks
Escape codes are used to embed specific characters within a string. For example, instead of using:

aString = "This is the first line" & Chr(13) & Chr(10) & "This is the second line"

we could use

aString = "This is the first line\nThis is the second line"

The '\n' is an escape code that inserts a line feed code into the string, causing the line to be split over two lines when displayed.

The following escape codes are supported:

\n - linefeed
\r - carriage return
\t - tab
\b - backspace
\v - vtab
\f - formfeed
\a - alert
\? - question mark
\x - hex character representation, may span more than 3 characters including \.


Object fcControlDlg

Advansys Formativ 1.6 | Language Reference
fcControlDlg object |

Description
fcControlDlg

Properties and Methods
Properties | Methods
AutoSize Button1Caption Button1Visible Button2Caption Button2Visible Button3Caption Button3Visible Button4Caption Button4Visible Button5Caption Button5Visible Button6Caption Button6Visible CancelButton Caption ControlList DefaultButton Description Height ImageBkColor MaxControlSize ShowWizardImage Sizeable Title VertScrollBar WizardImage | AddCheckBoxControl AddCheckListControl AddComboBoxControl AddDateTimeControl AddEditControl AddImageControl AddListBoxControl AddMemoControl AddMultiLineLabelControl AddPanelControl AddRadioButtonControl AddRadioGroupControl AddSpinEditControl AddStringGridControl AddTabListBoxControl Execute

More Information
Controls are added to this dialog to build forms. For example:

Dim Dlg
Dim EditControl

Set Dlg = Utilities.NewControlBoxDialog

Dlg.VertScrollBar = TRUE
Dlg.Caption = "Dynamic Dialog"
Dlg.Title = "Dynamic Multiple Control Dialog Example"
Dlg.Description = "This is the dialog caption"

Set ListBox = Dlg.AddListBoxControl
ListBox.Caption = "This is a listbox"
ListBox.MultiSelect = TRUE
ListBox.ExtendedSelect = TRUE
ListBox.ListText = "One,Two,Three"
ListBox.Selected = "Three"


Method AddCheckBoxControl

Advansys Formativ 1.6 | Language Reference
AddCheckBoxControl Method |
Parent |

Description
 | Adds a new Check Box Control to the dialog. Use the AddCheckBox method to present an option for the user. The user can check the box to select the option, or uncheck it to deselect the option.
Syntax
 | fcControlDlg.AddCheckBoxControl() : CheckBoxControl
Remarks
 | None.


Method AddCheckListControl

Advansys Formativ 1.6 | Language Reference
AddCheckListControl Method |
Parent |

Description
 | Adds a new Check List Control to the dialog. Use this control to allow the user to select one or more list entries by checking their associated check boxes.
Syntax
 | fcControlDlg.AddCheckListControl() : CheckListControl
Remarks
 | None.


Method AddComboBoxControl

Advansys Formativ 1.6 | Language Reference
AddComboBoxControl Method |
Parent |

Description
 | Adds a new Combo Box Control to the dialog. ComboBox is an edit box with a scrollable drop-down list attached to it. Users can select an item from the list or type directly into the edit box.
Syntax
 | fcControlDlg.AddComboBoxControl() : ComboBox
Remarks
 | None.


Method AddDateTimeControl

Advansys Formativ 1.6 | Language Reference
AddDateTimeControl Method |
Parent |

Description
 | Adds a new DateTime Picker Control to the dialog. The DateTime control is designed specifically for entering dates or times. In fdmComboBox date mode, it resembles a list box or combo box, except that the drop-down list is replaced with a calendar illustration; users can select a date from the calendar. Dates or times can also be selected by scrolling with Up and Down arrows and by typing.
Syntax
 | fcControlDlg.AddDateTimeControl() : DateTimePicker
Remarks
 | None.


Method AddEditControl

Advansys Formativ 1.6 | Language Reference
AddEditControl Method |
Parent |

Description
 | Adds a new Edit Control to the dialog. Use the AddEditControl method to put a standard Windows edit control on a form. Edit controls are used to retrieve text that users type. Edit controls can also display text to the user.
Syntax
 | fcControlDlg.AddEditControl() : EditControl
Remarks
 | None.


Method AddImageControl

Advansys Formativ 1.6 | Language Reference
AddImageControl Method |
Parent |

Description
 | Adds a new Image Control to the dialog. Use ImageControl to display a graphical bitmap (BMP) image in a fcControlDlg.
Syntax
 | fcControlDlg.AddImageControl() : ImageControl
Remarks
 | None.


Method AddListBoxControl

Advansys Formativ 1.6 | Language Reference
AddListBoxControl Method |
Parent |

Description
 | Adds a new List Box Control to the dialog. Use the ListBox control to display a scrollable list of items that users can select, add or delete.
Syntax
 | fcControlDlg.AddListBoxControl() : ListBoxControl
Remarks
 | None.


Method AddMemoControl

Advansys Formativ 1.6 | Language Reference
AddMemoControl Method |
Parent |

Description
 | Adds a new Memo Control to the dialog. Use the AddMemoControl method to put a standard Windows multiline edit control on a form. Multiline edit boxes allow the user to enter more than one line of text. They are appropriate for representing lengthy information.
Syntax
 | fcControlDlg.AddMemoControl() : MemoControl
Remarks
 | None.


Method AddMultiLineLabelControl

Advansys Formativ 1.6 | Language Reference
AddMultiLineLabelControl Method |
Parent |

Description
 | Adds a MultiLine Label Control to the dialog. Use this control when you need a read-only, multiple line label style control. This is great for displaying instruction text on a dialog, such as a Wizard dialog.
Syntax
 | fcControlDlg.AddMultiLineLabelControl() : MultiLineLabelControl
Remarks
 | None.


Method AddPanelControl

Advansys Formativ 1.6 | Language Reference
AddPanelControl Method |
Parent |

Description
 | Adds a Panel Control to the dialog. Use TPanel to put an empty panel on a form. Panels provide properties for providing a bevelled border around the control. The Height, SpaceAbove, SpaceBelow and AutoSpace parameters of the Panel can also be used to control the spacing between other controls placed onto a fcControlDlg.
Syntax
 | fcControlDlg.AddPanelControl() : PanelControl
Remarks
 | None.


Method AddRadioButtonControl

Advansys Formativ 1.6 | Language Reference
AddRadioButtonControl Method |
Parent |

Description
 | Adds a new Radio Button Control to the dialog. Use AddRadioButtonControl to add a radio button to a ControlDlg. Use radio buttons to present a set of mutually exclusive options to the user, that is, only one radio button in a set can be selected at any time. When the user selects a radio button, the previously selected radio button becomes unselected. See also AddRadioGroupControl.
Syntax
 | fcControlDlg.AddRadioButtonControl() : RadioButtonControl
Remarks
 | None.


Method AddRadioGroupControl

Advansys Formativ 1.6 | Language Reference
AddRadioGroupControl Method |
Parent |

Description
 | Adds a Radio Group Control to the dialog. A RadioGroup is a special group box that contains only radio buttons. Radio buttons that are placed directly in the same control component are said to be grouped. When the user checks a radio button, all other radio buttons in its group become unchecked.
Syntax
 | fcControlDlg.AddRadioGroupControl() : RadioGroupControl
Remarks
 | None.


Method AddSpinEditControl

Advansys Formativ 1.6 | Language Reference
AddSpinEditControl Method |
Parent |

Description
 | Adds a new Spin Edit Control to the dialog. This control allows the user to enter numeric values by direct input or by using the increment/decrement arrow buttons.
Syntax
 | fcControlDlg.AddSpinEditControl() : SpinEditControl
Remarks
 | None.


Method AddStringGridControl

Advansys Formativ 1.6 | Language Reference
AddStringGridControl Method |
Parent |

Description
 | Adds a new String Grid Control to the dialog. Add a StringGrid control to present textual data in a tabular format. StringGrid provides many properties to control the appearance of the grid. StringGrid introduces the ability to associate a string data object with each string in the grid.
Syntax
 | fcControlDlg.AddStringGridControl() : StringGridControl
Remarks
 | None.


Method AddTabListBoxControl

Advansys Formativ 1.6 | Language Reference
AddTabListBoxControl Method |
Parent |

Description
 | Adds a new Tab List Box Control to the dialog. The TabListBox is ideal to display formatted columns of data across the screen. To use tabs, each item in the list would contain a string with several values separated by tab characters.
Syntax
 | fcControlDlg.AddTabListBoxControl() : TabListBoxControl
Remarks
 | None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Displays the dynamic control dialog.
Syntax
 | fcControlDlg.Execute() : Integer
Remarks
 | None.


Property AutoSize

Advansys Formativ 1.6 | Language Reference
AutoSize property |
Parent |

Description
 | When AutoSize is true, the dialog will expand its height to make all controls visible until the maximum screen height is reached.
Syntax
 | fcControlDlg.AutoSize() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button1Caption

Advansys Formativ 1.6 | Language Reference
Button1Caption property |
Parent |

Description
 | Sets the Button1 caption text.
Syntax
 | fcControlDlg.Button1Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button1Visible

Advansys Formativ 1.6 | Language Reference
Button1Visible property |
Parent |

Description
 | Controls the visibility of Button1, which is located on the far right hand side of the dialog. Button1 is visible by default.
Syntax
 | fcControlDlg.Button1Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button2Caption

Advansys Formativ 1.6 | Language Reference
Button2Caption property |
Parent |

Description
 | Sets the Button2 caption text.
Syntax
 | fcControlDlg.Button2Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button2Visible

Advansys Formativ 1.6 | Language Reference
Button2Visible property |
Parent |

Description
 | Controls the visibility of Button2, which is visible by default.
Syntax
 | fcControlDlg.Button2Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button3Caption

Advansys Formativ 1.6 | Language Reference
Button3Caption property |
Parent |

Description
 | Sets the Button3 caption text.
Syntax
 | fcControlDlg.Button3Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button3Visible

Advansys Formativ 1.6 | Language Reference
Button3Visible property |
Parent |

Description
 | Controls the visibility of Button3, which is not visible by default.
Syntax
 | fcControlDlg.Button3Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button4Caption

Advansys Formativ 1.6 | Language Reference
Button4Caption property |
Parent |

Description
 | Sets the Button4 caption text.
Syntax
 | fcControlDlg.Button4Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button4Visible

Advansys Formativ 1.6 | Language Reference
Button4Visible property |
Parent |

Description
 | Controls the visibility of Button4, which is not visible by default
Syntax
 | fcControlDlg.Button4Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button5Caption

Advansys Formativ 1.6 | Language Reference
Button5Caption property |
Parent |

Description
 | Sets the Button5 caption text.
Syntax
 | fcControlDlg.Button5Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button5Visible

Advansys Formativ 1.6 | Language Reference
Button5Visible property |
Parent |

Description
 | Controls the visibility of Button5, which is not visible by default.
Syntax
 | fcControlDlg.Button5Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button6Caption

Advansys Formativ 1.6 | Language Reference
Button6Caption property |
Parent |

Description
 | Sets the Button6 caption text.
Syntax
 | fcControlDlg.Button6Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button6Visible

Advansys Formativ 1.6 | Language Reference
Button6Visible property |
Parent |

Description
 | Controls the visibility of Button6, which is not visible by default. Button6 is not fully visible if the dialogs Wizard Image is not displayed.
Syntax
 | fcControlDlg.Button6Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property CancelButton

Advansys Formativ 1.6 | Language Reference
CancelButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Cancel button. The default is Button 2 (Btn2). Remember that you may need to change the caption if you choose another button for the Cancel operation. See also the StdDlgButtons constants.
Syntax
 | fcControlDlg.CancelButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the dialogs Window title.
Syntax
 | fcControlDlg.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property ControlList

Advansys Formativ 1.6 | Language Reference
ControlList property |
Parent |

Description
 | This property maintains a list of the controls which have been added to the dialog.
Syntax
 | fcControlDlg.ControlList() : DlgControls This is a Read Only property. It returns a variable of type DlgControls.
Remarks
 | None.


Property DefaultButton

Advansys Formativ 1.6 | Language Reference
DefaultButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Default button, which has the initial focus. The default is Button 1 (Btn1). If another button does not have the focus, then the default button value is returned when the Enter key is pressed. See also the StdDlgButtons constants.
Syntax
 | fcControlDlg.DefaultButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Description

Advansys Formativ 1.6 | Language Reference
Description property |
Parent |

Description
 | Contains the description text for the dialog.
Syntax
 | fcControlDlg.Description() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the dialog to the specified height.
Syntax
 | fcControlDlg.Height() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ImageBkColor

Advansys Formativ 1.6 | Language Reference
ImageBkColor property |
Parent |

Description
 | Sets the color or the background behind the Wizard Image. This will only display when the Wizard Image does not fully conceal the image panel, for example, if the dialog is resized. Use pre-defined color constants or a Hex RGB value.
Syntax
 | fcControlDlg.ImageBkColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property MaxControlSize

Advansys Formativ 1.6 | Language Reference
MaxControlSize property |
Parent |

Description
 | Expands the size of certain dynamically added controls, such as a memo control, to use all available visible space on the dialog. If this property is not set, the default value is TRUE.
Syntax
 | fcControlDlg.MaxControlSize() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property ShowWizardImage

Advansys Formativ 1.6 | Language Reference
ShowWizardImage property |
Parent |

Description
 | Controls the visibility of the Wizard Image panel. This setting should be set to TRUE if Button6 is being used.
Syntax
 | fcControlDlg.ShowWizardImage() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Sizeable

Advansys Formativ 1.6 | Language Reference
Sizeable property |
Parent |

Description
 | Controls whether the dialog height can be sized by the user.
Syntax
 | fcControlDlg.Sizeable() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Sets the main title of the dialog. As this title is a large font, the number of title words should be limited.
Syntax
 | fcControlDlg.Title() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property VertScrollBar

Advansys Formativ 1.6 | Language Reference
VertScrollBar property |
Parent |

Description
 | Controls whether the vertical scroll bar is visible on the dialog. If this property is set to false, and yet the dynamically added controls exceed the visible height, scroll buttons will appear automatically beneath the control list.
Syntax
 | fcControlDlg.VertScrollBar() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property WizardImage

Advansys Formativ 1.6 | Language Reference
WizardImage property |
Parent |

Description
 | Sets the path to the bitmap image file (BMP) for the Wizard Image. Viewable Image size is 342H x 112W for Windows displaying Small Fonts and 424H x 141W for Windows displaying Large Fonts.
Syntax
 | fcControlDlg.WizardImage() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object fcFilePickerDlg

Advansys Formativ 1.6 | Language Reference
fcFilePickerDlg object |

Description
The fcFilePickerDlg object provides a configurable file list dialog where the user can select single or multiple files.

Properties and Methods
Properties | Methods
AutoSize Button1Caption Button1Visible Button2Caption Button2Visible Button3Caption Button3Visible Button4Caption Button4Visible Button5Caption Button5Visible Button6Caption Button6Visible CancelButton Caption DefaultButton Description Extension Height ImageBkColor MultiSelect SelectedFiles ShowExtensions ShowWizardImage Sizeable StartingFolder Title WizardImage | Execute

More Information
None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Displays the File Picker dialog.
Syntax
 | fcFilePickerDlg.Execute() : Integer
Remarks
 | None.


Property AutoSize

Advansys Formativ 1.6 | Language Reference
AutoSize property |
Parent |

Description
 | When AutoSize is true, the dialog will expand its height to make all controls visible until the maximum screen height is reached.
Syntax
 | fcFilePickerDlg.AutoSize() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button1Caption

Advansys Formativ 1.6 | Language Reference
Button1Caption property |
Parent |

Description
 | Sets the Button1 caption text.
Syntax
 | fcFilePickerDlg.Button1Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button1Visible

Advansys Formativ 1.6 | Language Reference
Button1Visible property |
Parent |

Description
 | Controls the visibility of Button1, which is located on the far right hand side of the dialog. Button1 is visible by default.
Syntax
 | fcFilePickerDlg.Button1Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button2Caption

Advansys Formativ 1.6 | Language Reference
Button2Caption property |
Parent |

Description
 | Sets the Button2 caption text.
Syntax
 | fcFilePickerDlg.Button2Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button2Visible

Advansys Formativ 1.6 | Language Reference
Button2Visible property |
Parent |

Description
 | Controls the visibility of Button2, which is visible by default.
Syntax
 | fcFilePickerDlg.Button2Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button3Caption

Advansys Formativ 1.6 | Language Reference
Button3Caption property |
Parent |

Description
 | Sets the Button3 caption text.
Syntax
 | fcFilePickerDlg.Button3Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button3Visible

Advansys Formativ 1.6 | Language Reference
Button3Visible property |
Parent |

Description
 | Controls the visibility of Button3, which is not visible by default.
Syntax
 | fcFilePickerDlg.Button3Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button4Caption

Advansys Formativ 1.6 | Language Reference
Button4Caption property |
Parent |

Description
 | Sets the Button4 caption text.
Syntax
 | fcFilePickerDlg.Button4Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button4Visible

Advansys Formativ 1.6 | Language Reference
Button4Visible property |
Parent |

Description
 | Controls the visibility of Button4, which is not visible by default
Syntax
 | fcFilePickerDlg.Button4Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button5Caption

Advansys Formativ 1.6 | Language Reference
Button5Caption property |
Parent |

Description
 | Sets the Button5 caption text.
Syntax
 | fcFilePickerDlg.Button5Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button5Visible

Advansys Formativ 1.6 | Language Reference
Button5Visible property |
Parent |

Description
 | Controls the visibility of Button5, which is not visible by default.
Syntax
 | fcFilePickerDlg.Button5Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button6Caption

Advansys Formativ 1.6 | Language Reference
Button6Caption property |
Parent |

Description
 | Sets the Button6 caption text.
Syntax
 | fcFilePickerDlg.Button6Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button6Visible

Advansys Formativ 1.6 | Language Reference
Button6Visible property |
Parent |

Description
 | Controls the visibility of Button6, which is not visible by default. Button6 is not fully visible if the dialogs Wizard Image is not displayed.
Syntax
 | fcFilePickerDlg.Button6Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property CancelButton

Advansys Formativ 1.6 | Language Reference
CancelButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Cancel button. The default is Button 2 (Btn2). Remember that you may need to change the caption if you choose another button for the Cancel operation. See also the StdDlgButtons constants.
Syntax
 | fcFilePickerDlg.CancelButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the dialogs Window title.
Syntax
 | fcFilePickerDlg.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property DefaultButton

Advansys Formativ 1.6 | Language Reference
DefaultButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Default button, which has the initial focus. The default is Button 1 (Btn1). If another button does not have the focus, then the default button value is returned when the Enter key is pressed. See also the StdDlgButtons constants.
Syntax
 | fcFilePickerDlg.DefaultButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Description

Advansys Formativ 1.6 | Language Reference
Description property |
Parent |

Description
 | Contains the description text for the dialog.
Syntax
 | fcFilePickerDlg.Description() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Extension

Advansys Formativ 1.6 | Language Reference
Extension property |
Parent |

Description
 | Sets the default extension for the selected file(s).
Syntax
 | fcFilePickerDlg.Extension() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the dialog to the specified height.
Syntax
 | fcFilePickerDlg.Height() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ImageBkColor

Advansys Formativ 1.6 | Language Reference
ImageBkColor property |
Parent |

Description
 | Sets the color or the background behind the Wizard Image. This will only display when the Wizard Image does not fully conceal the image panel, for example, if the dialog is resized. Use pre-defined color constants or a Hex RGB value.
Syntax
 | fcFilePickerDlg.ImageBkColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property MultiSelect

Advansys Formativ 1.6 | Language Reference
MultiSelect property |
Parent |

Description
 | Set to True if multiple files are to be selected from the dialog.
Syntax
 | fcFilePickerDlg.MultiSelect() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property SelectedFiles

Advansys Formativ 1.6 | Language Reference
SelectedFiles property |
Parent |

Description
 | Contains the filenames of the files which were selected in the dialog.
Syntax
 | fcFilePickerDlg.SelectedFiles() : SelectedFiles This is a Read Only property. It returns a variable of type SelectedFiles.
Remarks
 | None.


Property ShowExtensions

Advansys Formativ 1.6 | Language Reference
ShowExtensions property |
Parent |

Description
 | Set to True to display filename extensions.
Syntax
 | fcFilePickerDlg.ShowExtensions() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property ShowWizardImage

Advansys Formativ 1.6 | Language Reference
ShowWizardImage property |
Parent |

Description
 | Controls the visibility of the Wizard Image panel. This setting should be set to TRUE if Button6 is being used.
Syntax
 | fcFilePickerDlg.ShowWizardImage() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Sizeable

Advansys Formativ 1.6 | Language Reference
Sizeable property |
Parent |

Description
 | Controls whether the dialog height can be sized by the user.
Syntax
 | fcFilePickerDlg.Sizeable() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property StartingFolder

Advansys Formativ 1.6 | Language Reference
StartingFolder property |
Parent |

Description
 | Set the starting folder for the File Picker dialog.
Syntax
 | fcFilePickerDlg.StartingFolder() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Sets the main title of the dialog. As this title is a large font, the number of title words should be limited.
Syntax
 | fcFilePickerDlg.Title() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property WizardImage

Advansys Formativ 1.6 | Language Reference
WizardImage property |
Parent |

Description
 | Sets the path to the bitmap image file (BMP) for the Wizard Image. Viewable Image size is 342H x 112W for Windows displaying Small Fonts and 424H x 141W for Windows displaying Large Fonts.
Syntax
 | fcFilePickerDlg.WizardImage() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object FileIterator

Advansys Formativ 1.6 | Language Reference
FileIterator object |

Description
Builds a list of files and folders in the specified Path that matches the specified attributes

Properties and Methods
Properties | Methods
Attributes Files FileSpec FullNames | Load

More Information
None.


Method Load

Advansys Formativ 1.6 | Language Reference
Load Method |
Parent |

Description
 | No description is available.
Syntax
 | FileIterator.Load()
Remarks
 | None.


Property Attributes

Advansys Formativ 1.6 | Language Reference
Attributes property |
Parent |

Description
 | The Attr parameter specifies the special files to include in addition to all normal files.
Syntax
 | FileIterator.Attributes() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Files

Advansys Formativ 1.6 | Language Reference
Files property |
Parent |

Description
 | The Strings object containing the files and/or paths of the matching files.
Syntax
 | FileIterator.Files() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property FileSpec

Advansys Formativ 1.6 | Language Reference
FileSpec property |
Parent |

Description
 | Directory and file name mask for which you want to build the list. For example this can be c:\winnt\*.dll. It is case insensitive and applies to short and long filenames, so *.* will find all files.
Syntax
 | FileIterator.FileSpec() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property FullNames

Advansys Formativ 1.6 | Language Reference
FullNames property |
Parent |

Description
 | Specifies if the full path is included with each listed file name.
Syntax
 | FileIterator.FullNames() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Object FileSystemUtils

Advansys Formativ 1.6 | Language Reference
FileSystemUtils object |

Description
No decription is available.

Properties and Methods
Properties | Methods
FileIterator | CopyFile CopyFileEx CreateEmptyFile DelTree DelTreeEx DirectoryExists DiskInDrive FileExists FileGetDisplayName FileGetSize FileGetTempName FileGetTypeName FindUnusedFileName ForceDirectories GetDriveTypeStr GetFileCreation GetFileLastAccess GetFileLastWrite GetSizeOfFile IsDirectory PathAddExtension PathAddSeparator PathAppData PathAppend PathCommonAppData PathCommonPrefix PathExtractElements PathExtractFileDirFixed PathExtractFileNameNoExt PathGetLongNameFileSystem PathGetLongNameShell PathGetShortName PathIsAbsolute PathIsChild PathLocalAppData PathMyDocuments PathRemoveExtension PathRemoveSeparator PathShell SetFileCreation SetFileLastAccess SetFileLastWrite ShredFile

More Information
None.


Method CopyFile

Advansys Formativ 1.6 | Language Reference
CopyFile Method |
Parent |

Description
Copies an existing file to a new file. Security attributes for the existing file are not copied to the new file.
Syntax
FileSystemUtils.CopyFile(SourceFile String, DestinationFile String, FailIfExists Boolean) : Boolean

Parameter Useage:

SourceFile String
DestinationFile String
FailIfExists Boolean
Remarks
None.


Method CopyFileEx

Advansys Formativ 1.6 | Language Reference
CopyFileEx Method |
Parent |

Description
Copies an existing file, or files matching a filespec, to a new location. Inlcudes subfolders if specified.
Syntax
FileSystemUtils.CopyFileEx(SourceDir String, TargetDir String, Silent Boolean) : Boolean

Parameter Useage:

SourceDir String
TargetDir String
Silent Boolean
Remarks
None.


Method CreateEmptyFile

Advansys Formativ 1.6 | Language Reference
CreateEmptyFile Method |
Parent |

Description
CreateEmptyFile creates a new file with size of zero, that is without content. If a file with the same name already exists but isn't opened, the file is overwritten. Upon failure False is returned.
Syntax
FileSystemUtils.CreateEmptyFile(EmptyFilename String) : Boolean

Parameter Useage:

EmptyFilename String
Remarks
None.


Method DelTree

Advansys Formativ 1.6 | Language Reference
DelTree Method |
Parent |

Description
DelTree recursively deletes a folder much like the DOS command. That is, it deletes a folder and everything in it. If parts of the folder tree cannot be deleted, eg because some files may be currently open, the function attempts to delete as much as possible before returning.
Syntax
FileSystemUtils.DelTree(TreePath String) : Boolean

Parameter Useage:

TreePath String
Remarks
None.


Method DelTreeEx

Advansys Formativ 1.6 | Language Reference
DelTreeEx Method |
Parent |

Description
DelTreeEx recursively deletes a folder much like the DOS command. That is, it deletes a folder and everything in it. If parts of the folder tree cannot be deleted, eg because some files may be currently open, the function attempts to delete as much as possible before returning or immediately returns, depending on the ExitOnFailure parameter. Returns True if the tree was completely deleted.
Syntax
FileSystemUtils.DelTreeEx(ThePath String, ExitOnFailure Boolean) : Boolean

Parameter Useage:

ThePath String
ExitOnFailure Boolean
Remarks
None.


Method DirectoryExists

Advansys Formativ 1.6 | Language Reference
DirectoryExists Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.DirectoryExists(TheDirectory String) : Boolean

Parameter Useage:

TheDirectory String
Remarks
None.


Method DiskInDrive

Advansys Formativ 1.6 | Language Reference
DiskInDrive Method |
Parent |

Description
DiskInDrive tests whether or not there is a disk present in the specified drive. The drive can be any volume from a to z, specified either in lowercase or uppercase. The function returns whether or not the drive is accessible, for removable media this indicates whether or not the drive has a 'disk' present, for other type of media it indicates if the drive exists.
Syntax
FileSystemUtils.DiskInDrive(Drive String) : Boolean

Parameter Useage:

Drive String
Remarks
None.


Method FileExists

Advansys Formativ 1.6 | Language Reference
FileExists Method |
Parent |

Description
FileExists tests whether the specified file exists.
Syntax
FileSystemUtils.FileExists(TheFile String) : Boolean

Parameter Useage:

TheFile String
Remarks
None.


Method FileGetDisplayName

Advansys Formativ 1.6 | Language Reference
FileGetDisplayName Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.FileGetDisplayName(TheFile String) : String

Parameter Useage:

TheFile String
Remarks
None.


Method FileGetSize

Advansys Formativ 1.6 | Language Reference
FileGetSize Method |
Parent |

Description
Returns the size, in bytes, of the specified file. Does not work with files larger than 2GB.
Syntax
FileSystemUtils.FileGetSize(TheFile String) : Integer

Parameter Useage:

TheFile String
Remarks
None.


Method FileGetTempName

Advansys Formativ 1.6 | Language Reference
FileGetTempName Method |
Parent |

Description
Constructs a fully qualified filename based on system settings (such as a designated folder for temporary files) and the supplied prefix. As the name suggests, this is mostly useful when you need to create a temporary file. On input the first three characters of the string are used to form the name of the temporary file (can be empty).
Syntax
FileSystemUtils.FileGetTempName(Prefix String) : String

Parameter Useage:

Prefix String
Remarks
None.


Method FileGetTypeName

Advansys Formativ 1.6 | Language Reference
FileGetTypeName Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.FileGetTypeName(TheFile String) : String

Parameter Useage:

TheFile String
Remarks
None.


Method FindUnusedFileName

Advansys Formativ 1.6 | Language Reference
FindUnusedFileName Method |
Parent |

Description
Returns a unique filename composed of the FileName and Suffix parts and an optional number. If a file of the form FileName + Suffix.FileExt doesnt exist yet this is the name thats returned. If such a file already exists the function appends a number to the filename, starting at 1 and continues to increment this number until no file with the composed filename exists. For example, calling FindUnusedFileName(My, txt, File) while a file named MyFile.txt and MyFile1.txt already exists, will return MyFile2.txt (the sequence tried by the function is MyFile.txt, MyFile1.txt and MyFile2.txt).
Syntax
FileSystemUtils.FindUnusedFileName(TheFile String, FileExt String, Suffix String) : String

Parameter Useage:

TheFile String
FileExt String
Suffix String
Remarks
None.


Method ForceDirectories

Advansys Formativ 1.6 | Language Reference
ForceDirectories Method |
Parent |

Description
Creates all the directories along a directory path if they do not already exist.
Syntax
FileSystemUtils.ForceDirectories(ThePath String) : Boolean

Parameter Useage:

ThePath String
Remarks
None.


Method GetDriveTypeStr

Advansys Formativ 1.6 | Language Reference
GetDriveTypeStr Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.GetDriveTypeStr(Driveletter String) : String

Parameter Useage:

Driveletter String
Remarks
None.


Method GetFileCreation

Advansys Formativ 1.6 | Language Reference
GetFileCreation Method |
Parent |

Description
FileCreation returns the date/time that the specified file was created.
Syntax
FileSystemUtils.GetFileCreation(TheFile String) : DATE

Parameter Useage:

TheFile String
Remarks
None.


Method GetFileLastAccess

Advansys Formativ 1.6 | Language Reference
GetFileLastAccess Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.GetFileLastAccess(TheFile String) : DATE

Parameter Useage:

TheFile String
Remarks
None.


Method GetFileLastWrite

Advansys Formativ 1.6 | Language Reference
GetFileLastWrite Method |
Parent |

Description
Returns the date/time that the specified file was last written to.
Syntax
FileSystemUtils.GetFileLastWrite(TheFile String) : DATE

Parameter Useage:

TheFile String
Remarks
None.


Method GetSizeOfFile

Advansys Formativ 1.6 | Language Reference
GetSizeOfFile Method |
Parent |

Description
Returns the size, in bytes of the specified file. Note that the returned value is the actual size of the file. This may, and most likely will, differ from the storage the file actually occupies on the disk.
Syntax
FileSystemUtils.GetSizeOfFile(TheFile String) : Integer

Parameter Useage:

TheFile String
Remarks
None.


Method IsDirectory

Advansys Formativ 1.6 | Language Reference
IsDirectory Method |
Parent |

Description
Returns whether or not the specified file is a directory.
Syntax
FileSystemUtils.IsDirectory(TheFile String) : Boolean

Parameter Useage:

TheFile String
Remarks
None.


Method PathAddExtension

Advansys Formativ 1.6 | Language Reference
PathAddExtension Method |
Parent |

Description
Adds the specified extension to the supplied path. If the path already has an extension the function does nothing. Note that the dot (.) in the extension is optional, if its not specified the function inserts it.
Syntax
FileSystemUtils.PathAddExtension(Path String, Extension String) : String

Parameter Useage:

Path String
Extension String
Remarks
None.


Method PathAddSeparator

Advansys Formativ 1.6 | Language Reference
PathAddSeparator Method |
Parent |

Description
Adds a path directory separator to the end of the string to create the correct syntax for a path. If the string already has a trailing separator, no separator will be added.
Syntax
FileSystemUtils.PathAddSeparator(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathAppData

Advansys Formativ 1.6 | Language Reference
PathAppData Method |
Parent |

Description
 | Returns the path of the roaming, user-specific application data folder.
Syntax
 | FileSystemUtils.PathAppData() : String
Remarks
 | None.


Method PathAppend

Advansys Formativ 1.6 | Language Reference
PathAppend Method |
Parent |

Description
No description is available.
Syntax
FileSystemUtils.PathAppend(ThePath String, Append String) : String

Parameter Useage:

ThePath String
Append String
Remarks
None.


Method PathCommonAppData

Advansys Formativ 1.6 | Language Reference
PathCommonAppData Method |
Parent |

Description
 | Returns the path of the machine-specific application data folder.
Syntax
 | FileSystemUtils.PathCommonAppData() : String
Remarks
 | None.


Method PathCommonPrefix

Advansys Formativ 1.6 | Language Reference
PathCommonPrefix Method |
Parent |

Description
Compares the two paths to determine if they have a common prefix. Returns the number of prefix characters they have in common. For example, if Path1 is (c:\winnt\system32) and Path 2 is (c:\winnt\system) the result will be 9 which equals (c:\winnt\).
Syntax
FileSystemUtils.PathCommonPrefix(Path1 String, Path2 String) : Integer

Parameter Useage:

Path1 String
Path2 String
Remarks
None.


Method PathExtractElements

Advansys Formativ 1.6 | Language Reference
PathExtractElements Method |
Parent |

Description
Splits the supplied path into its elements such as drive, path and filename. Depending on the supplied path any of the out parameters can be an empty string on return.
Syntax
FileSystemUtils.PathExtractElements(FullPath String, TheDrive Variant, ThePath Variant, TheFilename Variant, TheExtension Variant)

Parameter Useage:

FullPath String
TheDrive Variant
ThePath Variant
TheFilename Variant
TheExtension Variant
Remarks
None.


Method PathExtractFileDirFixed

Advansys Formativ 1.6 | Language Reference
PathExtractFileDirFixed Method |
Parent |

Description
Extracts the drive and directory parts from the filename. The resulting path is always terminated with a path seperator.
Syntax
FileSystemUtils.PathExtractFileDirFixed(TheFile String) : String

Parameter Useage:

TheFile String
Remarks
None.


Method PathExtractFileNameNoExt

Advansys Formativ 1.6 | Language Reference
PathExtractFileNameNoExt Method |
Parent |

Description
Returns the filename part of the supplied path without the extension.
Syntax
FileSystemUtils.PathExtractFileNameNoExt(TheFile String) : String

Parameter Useage:

TheFile String
Remarks
None.


Method PathGetLongNameFileSystem

Advansys Formativ 1.6 | Language Reference
PathGetLongNameFileSystem Method |
Parent |

Description
Returns the long name of a given path. Cannot be used for shell paths, including GUIDs. See also PathGetLongNameShell.
Syntax
FileSystemUtils.PathGetLongNameFileSystem(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathGetLongNameShell

Advansys Formativ 1.6 | Language Reference
PathGetLongNameShell Method |
Parent |

Description
Returns the long name of a given path. Can be used for shell paths, including GUIDs. See also PathGetLongNameFileSystem.
Syntax
FileSystemUtils.PathGetLongNameShell(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathGetShortName

Advansys Formativ 1.6 | Language Reference
PathGetShortName Method |
Parent |

Description
Returns the short name of the given path.
Syntax
FileSystemUtils.PathGetShortName(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathIsAbsolute

Advansys Formativ 1.6 | Language Reference
PathIsAbsolute Method |
Parent |

Description
Tests whether the supplied path is an absolute path.
Syntax
FileSystemUtils.PathIsAbsolute(ThePath String) : Boolean

Parameter Useage:

ThePath String
Remarks
None.


Method PathIsChild

Advansys Formativ 1.6 | Language Reference
PathIsChild Method |
Parent |

Description
Determines whether the directory specified by ThePath is a child directory, either immediate or several levels deep, of the specified Base path.
Syntax
FileSystemUtils.PathIsChild(ThePath String, TheBase String) : Boolean

Parameter Useage:

ThePath String
TheBase String
Remarks
None.


Method PathLocalAppData

Advansys Formativ 1.6 | Language Reference
PathLocalAppData Method |
Parent |

Description
 | Returns the path of the non-roaming, user-specific application data folder.
Syntax
 | FileSystemUtils.PathLocalAppData() : String
Remarks
 | None.


Method PathMyDocuments

Advansys Formativ 1.6 | Language Reference
PathMyDocuments Method |
Parent |

Description
 | Returns the system value for the My Documents location
Syntax
 | FileSystemUtils.PathMyDocuments() : String
Remarks
 | None.


Method PathRemoveExtension

Advansys Formativ 1.6 | Language Reference
PathRemoveExtension Method |
Parent |

Description
Removes the extension part from the supplied path, if it exists.
Syntax
FileSystemUtils.PathRemoveExtension(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathRemoveSeparator

Advansys Formativ 1.6 | Language Reference
PathRemoveSeparator Method |
Parent |

Description
Removes the trailing directory separator from the path. If there is no trailing directory separator the function does nothing.
Syntax
FileSystemUtils.PathRemoveSeparator(ThePath String) : String

Parameter Useage:

ThePath String
Remarks
None.


Method PathShell

Advansys Formativ 1.6 | Language Reference
PathShell Method |
Parent |

Description
Returns the full path of the given shell ID path as returned by SHGetFolderPath. The path returned may not actually physically exist on disk.
Syntax
FileSystemUtils.PathShell(PathID Integer) : String

Parameter Useage:

PathID Integer
Remarks
None.


Method SetFileCreation

Advansys Formativ 1.6 | Language Reference
SetFileCreation Method |
Parent |

Description
Sets the specified files creation timestamp to the supplied datetime. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function.
Syntax
FileSystemUtils.SetFileCreation(TheFile String, DateTime DATE) : Boolean

Parameter Useage:

TheFile String
DateTime DATE
Remarks
None.


Method SetFileLastAccess

Advansys Formativ 1.6 | Language Reference
SetFileLastAccess Method |
Parent |

Description
Sets the specified files last-access timestamp to the supplied datetime. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function.
Syntax
FileSystemUtils.SetFileLastAccess(TheFile String, DateTime DATE) : Boolean

Parameter Useage:

TheFile String
DateTime DATE
Remarks
None.


Method SetFileLastWrite

Advansys Formativ 1.6 | Language Reference
SetFileLastWrite Method |
Parent |

Description
Sets the specified files last-write timestamp to the supplied datetime. You must supply the UTC based date and time. To convert from a local date and time use the LocalDateTimeToDateTime function.
Syntax
FileSystemUtils.SetFileLastWrite(TheFile String, DateTime DATE) : Boolean

Parameter Useage:

TheFile String
DateTime DATE
Remarks
None.


Method ShredFile

Advansys Formativ 1.6 | Language Reference
ShredFile Method |
Parent |

Description
Overwrites the contents of the specified file and then deletes the file. This ensures that even if the underlying filesystem does not physically remove the file, its contents are effectively inaccessible.
Syntax
FileSystemUtils.ShredFile(TheFile String, Times Integer)

Parameter Useage:

TheFile String
Times Integer
Remarks
None.


Property FileIterator

Advansys Formativ 1.6 | Language Reference
FileIterator property |
Parent |

Description
 | Returns a File Iterator object
Syntax
 | FileSystemUtils.FileIterator() : FileIterator This is a Read Only property. It returns a variable of type FileIterator.
Remarks
 | None.


Object FormVariable

Advansys Formativ 1.6 | Language Reference
FormVariable object |

Description
Represents a single HTML variable

Properties and Methods
Properties | Methods
Name Value |

More Information
The FormVariable object represents a single HTML form or Portal variable. FormVariables are managed by the FormVariables object.

See the Formativ Programmers Guide for more information.


Property Name

Advansys Formativ 1.6 | Language Reference
Name property |
Parent |

Description
 | The name of the variable
Syntax
 | FormVariable.Name() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Value

Advansys Formativ 1.6 | Language Reference
Value property |
Parent |

Description
 | The string value of the variable
Syntax
 | FormVariable.Value() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Object FormVariables

Advansys Formativ 1.6 | Language Reference
FormVariables object |

Description
Collection of HTML variables

Properties and Methods
Properties | Methods
_NewEnum Count Item | ItemByName

More Information
The FormVariables object is used to access values from HTML forms or Portals. The FormVariable object is a collection of FormVariable objects. A FormVariable object represents the name and value of a HTML form or Portal element. The FormVariables object is updated whenever a SUBMIT operation is performed.

The FormVariables object is available for use automatically within an applet. It does not have to be instantiated from any other objects. The FormVariables object is a collection of FormVariable objects


Method ItemByName

Advansys Formativ 1.6 | Language Reference
ItemByName Method |
Parent |

Description
No description is available.
Syntax
FormVariables.ItemByName(Name String) : FormVariable

Parameter Useage:

Name String
         Name is the name of the variable you are looking for.
Remarks
The ItemByName method is a convenient means to determine if a FormVariable with a given name exists in the collection. Name is the string ID used to identify the HTML element in the source portal or HTML dialog.

For example, if you defined a portal that contained a HTML form with the following input control:

<INPUT TYPE="TEXT" NAME="nameCTL" SIZE="60">

You could extract the value of the string entered into the control by passing the string "nameCTL" to the ItemByName method:

Set iNameCTL = FormVariables.ItemByName("nameCTL")
if not iNameCTL is nothing then
call msgbox(iNameCTL.value, vbInformation, "Name")
end if


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | No decription is available.
Syntax
 | FormVariables._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | The number of variables in the collection
Syntax
 | FormVariables.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | Count returns the number of FormVariable objects currently in the collection


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
Provides access to an individual variable
Syntax
FormVariables.Item(Index Integer) : FormVariable

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type FormVariable.
Remarks
Item returns the FormVariable object that has the given index value.


Object GroupWise

Advansys Formativ 1.6 | Language Reference
GroupWise object |

Description
GroupWise is the main Formativ object which provides access to all the GroupWise Token Commands. It also includes language extensions which provide easy access to GroupWise features, such as the Address Book object.

Properties and Methods
Properties Methods
Account

AddressBooks

AdminObject

CancelGroupWiseEvent

ComposingItem

Error

PortalManager

Session

         AboutDlg

AccountsDlg

AccountsSync

AddNewChecklistItem

AddNewDocument

AddressBookCompare

AddressBookDlg

AddressBookGetEntry

AddressBookGetField

AddressBookGetFullName

AddressBookResolve

AddressBookResolveFullName

AddressBookSearch

AddressBookSearchBegin

AddressBookSearchEnd

AddressBookSearchNext

AddressBookSearchPrevious

AddressItemDlg

AddressListAdd

AddressListCreate

AddressListCreateFromGroup

AddressListDelete

AddressListEdit

AddressListGetAddress

AddressListGetCount

AddressListGetEntry

AddressListGetField

AddressListGetFullName

AddressListIsInSection

AlarmSet

AlarmSetDlg

AppAllowClose

AppClose

AppointmentSetInterval

AppointmentSetMode

AttachmentAdd

AttachmentAddDlg

AttachmentAddEncapsulatedItem

AttachmentDelete

AttachmentDocReference

AttachmentListDlg

AttachmentOpen

AttachmentSaveAs

AttachmentSaveAsDlg

AttachmentView

AttachmentViewer

AttachmentViewSame

AutoPilotToggle

BusySearch

BusySearchDlg

ButtonBarReset

ButtonBarSetStyle

ButtonBarShow

CalendarHideIcons

CalendarIsShowingAppts

CalendarIsShowingNotes

CalendarIsShowingTasks

CalendarShowAppts

CalendarShowIcons

CalendarShowNotes

CalendarShowTasks

CalendarTabPropertiesDlg

Cancel

CategoriesSetDlg

CheckboxSelect

ClearAlarm

CloseDocument

CloseWindow

CollapseFolder

CollapseThread

ColumnDlg

ConversationPlace

CreateTrustedApplicationObject

CustomMessageCompose

DateAbsoluteGoTo

DateDifferenceDlg

DateParseDay

DateParseDayOfWeek

DateParseDurationHours

DateParseDurationMinutes

DateParseHours

DateParseMinutes

DateParseMonth

DateParseYear

DateRelativeGoTo

DateRelativeGoToDlg

DateSetAutodateMode

DateSetEndDateMode

DateSetStartDateMode

DateSwitchToAutoDate

DateSwitchToDuration

DateSwitchToEndDate

DateSwitchToStartDate

DayColumnAdd

DayColumnDelete

DBToggle

DBUseArchive

DBUsePrimary

Delete

DeleteCharPrevious

DeleteDocument

DeleteTrustedApplicationObject

DeleteWordLeft

DeleteWordRight

DialSender

DisableCommand

DisplayAddressBook

DisplayProfile

DisplaySettingsSelect

DisplaySettingsSet

DisplaySettingsSetEx

DisplaySettingsSetTemp

DmDisplayErrors

DocumentCheckInDlg

DocumentCheckOutDlg

DocumentEndRetrieve

DocumentImportDlg

DocumentMassOperationDlg

DocumentNewVersion

DocumentNewVersionDlg

DocumentReplace

DocumentReplaceDlg

DocumentSetInUseDlg

DocumentVersionList

EchoDocument

EditAttachmentToolbarDlg

EditCopy

EditCut

EditPaste

EditSettingsSelect

EditToolbarDlg

EmptySelectedItems

EmptyTrash

EnableAllCommands

EnableCommand

EndPreviewVersion

Enter

EnumSelect

EnvCheckCurrentWindow

EnvClearChangedFlag

EnvClipboardText

EnvCommandLine

EnvCurrentViewName

EnvDefaultConnectionName

EnvDocumentGetIntegrations

EnvEditorStyle

EnvGetNumLibraries

EnvGetProfileField

EnvIsCommandValid

EnvIsNetworkUser

EnvIsRemote

EnvIsRemoteConnectionActive

EnvIsRemoteConnectionFinished

EnvIsRemoteConnectionNeeded

EnvLastCmdResult

EnvLastError

EnvLastWindowCanceled

EnvNetworkLoginID

EnvPrefArchivePath

EnvPrefCustomViewPath

EnvPrefFullName

EnvPrefPostOfficePath

EnvPrefSavePath

EnvSentMessageID

EnvTextCurrentCharIndex

EnvTextCurrentLineIndex

EnvTextCurrentWord

EnvTextInsertMode

EnvTextLeftChar

EnvTextLineCharCount

EnvTextLineCount

EnvTextRightChar

EnvUserID

EnvVersionDate

EnvVersionName

EventNoticeRegister

EventNoticeUnregister

EventNotify

ExpandFolders

ExpandThread

FilterApply

FilterCategory

FilterClear

FilterCreate

FilterDelete

FilterDlg

FilterGroupBegin

FilterGroupEnd

FilterGroupMarker

FilterMenuMore

FilterReset

FilterSetAttachmentClass

FilterSetAttribute

FilterSetByte

FilterSetDate

FilterSetDateAbsolute

FilterSetDWord

FilterSetItemType

FilterSetPriority

FilterSetSDWord

FilterSetSource

FilterSetSWord

FilterSetText

FilterSetVersionStatus

FilterSetWord

Find

FindDlg

FindNext

FindPrevious

FocusSet

FolderContract

FolderContractToOneLevel

FolderCreate

FolderCreateDlg

FolderDeepMove

FolderDelete

FolderDeleteDlg

FolderExpand

FolderExpandAll

FolderExpandAllLevels

FolderLinkTo

FolderLinkToDlg

FolderListAddFolder

FolderListApplyToView

FolderListCreate

FolderListCreateFromView

FolderListDelete

FolderListGetName

FolderListSetFolder

FolderMoveTo

FolderParent

FolderProfileReferenceDlg

FolderRename

FolderRenameDlg

FolderSelect

FolderSelectDlg

FollowInternetLink

FontBold

FontDlg

FontItalic

FontNormal

FontSet

FontUnderline

HelpContents

HelpHowDoI

HelpNovellHomepage

HelpUsersGuide

HelpWhatsNew

Holder

ImportDocument

InfoUpdate

InitializeHTML

InsertTab

ItemAccept

ItemAcceptWithCommentDlg

ItemAnnotationGetCount

ItemAnnotationSaveAs

ItemArchive

ItemArchiveOpenItem

ItemAttachmentAdd

ItemAttachmentDelete

ItemAttachmentGetClass

ItemAttachmentGetCount

ItemAttachmentGetCurrentIndex

ItemAttachmentGetDisplayName

ItemAttachmentGetName

ItemAttachmentSaveAs

ItemAttachmentUpdate

ItemChecklistMoveDown

ItemChecklistMoveToBottom

ItemChecklistMoveToTop

ItemChecklistMoveUp

ItemComplete

ItemCopyProperties

ItemCustomReplyDlg

ItemDecline

ItemDeclineOpenItem

ItemDeclineWithCommentDlg

ItemDelegateDlg

ItemDelegateOpenItem

ItemDelete

ItemDeleteOpenItem

ItemDigitalSign

ItemEncrypt

ItemFolderAltMove

ItemFolderLink

ItemFolderMove

ItemForward

ItemGetAttribute

ItemGetDate

ItemGetMailboxID

ItemGetOutboxMessageID

ItemGetPriority

ItemGetReplyToMessageID

ItemGetSenderID

ItemGetSource

ItemGetText

ItemGetType

ItemInfoOpenItem

ItemIsValid

ItemListCreate

ItemListCreateFromControl

ItemListDelete

ItemListGetCount

ItemListGetItem

ItemListSort

ItemMarkPrivate

ItemMessageIDFromView

ItemMoveToChecklistFolder

ItemNewPropertySheet

ItemNextTabSelect

ItemOpen

ItemPost

ItemPrint

ItemRead

ItemReadLater

ItemReadNext

ItemReadPrevious

ItemReply

ItemResend

ItemRoute

ItemSaveInfo

ItemSaveMessage

ItemSaveMessageDlg

ItemSaveMessageDraft

ItemSaveView

ItemSaveViewDlg

ItemSend

ItemSetAlarm

ItemSetAttribute

ItemSetDate

ItemSetItemType

ItemSetPriority

ItemSetText

ItemShowInChecklist

ItemUndelete

ItemUndeleteOpenItem

JMAddUserToPAB

JMBlockSender

JMJunkSender

JMTrustSender

JunkMailHandling

JunkMailSettings

ListViewCalendar

ListViewChecklist

ListViewDetails

ListViewMessageThread

MainWindowShow

MarkOfficialVersion

MarkRead

MessengerSendIM

MessengerShowContacts

MessengerShowPreferences

MoviePause

MovieResume

MultiUserList

NewAppointment

NewAppointmentToContacts

NewContact

NewGroup

NewMail

NewMailToContacts

NewNote

NewNoteToContacts

NewOrganization

NewPhone

NewPhoneToContacts

NewResource

NewTask

NewTaskToContacts

NewTopic

NewUIAppointment

NewUIMail

NewUINote

NewUIPhoneMessage

NewUITask

NextThread

NextUnreadItem

ODMAQueryDlg

ODMSelectDlg

OfficeCloseViews

OfficeMinimize

OleAttachDlg

OleAttachInsertObject

OleAttachPaste

OleAttachPasteLink

OleConvertToStatic

OleDoVerb

OleInsertObject

OleInsertObjectDlg

OleLinksDlg

OlePasteLink

OpenCalendar

OpenDocument

OpenDocumentReadOnly

OpenInBox

OpenNewBrowser

OpenOutBox

OpenTrashWindow

PasteSpecialView

PosCharNext

PosCharPrevious

PosLineBegin

PosLineDown

PosLineEnd

PosLineUp

PosScreenDown

PosScreenLeft

PosScreenRight

PosScreenUp

PosTextTop

PosToEndOfText

PosWordLeft

PosWordRight

PrefAdvanced

PrefAppointment

PrefAppointmentTime

PrefBusySearch

PrefCleanup

PrefDateTimeFormat

PrefDlg

PrefEnvironment

PrefLocationOfFiles

PrefMailAndPhone

PrefNote

PrefSignature

PrefTask

PrefViewDefaults

PreviousThread

PreviousUnreadItem

Print

PrintCalendarDlg

PrintDlg

PrintSetup

ProcessMessageTemplate

ProcessTemplate

PromptForPassword

PromptSetMode

Properties

Proxy

ProxyDlg

QueryDlg

QueryEditDlg

QueryExecute

QueryExecuteODMA

QuerySaveAsFolder

QuerySaveAsFolderDlg

QueryStop

QuickCorrect

QuickViewerHide

QvButtonBarHide

QvButtonBarShow

Refresh

RefreshMultiloginAccount

RemoteConnect

RemoteCreateModemConnection

RemoteCreateNetworkConnection

RemoteDeleteConnection

RemoteDisconnect

RemoteGetPhoneNumber

RemoteHitTheRoadDlg

RemoteModemCommand

RemotePendingRequestsDlg

RemoteRequestContacts

RemoteRequestDocument

RemoteSelectedRetrieveDlg

RemoteSendRetrieveDlg

RemoteSetAddrBookDnloadFilter

RemoteSetDefaultConnection

RemoteSetItemsFolders

RemoteSetPreferences

RemoteSetPublicGroupDnloadFilter

RemoteSetRequestItemsFilter

RemoteViewConnectionLog

RemoveMenuItem

Rename

ResetMenuItems

Retrieve

RetrieveFileDlg

RuleAddActionAccept

RuleAddActionArchive

RuleAddActionDecline

RuleAddActionDelegate

RuleAddActionEmptyItem

RuleAddActionForward

RuleAddActionLinkToFolder

RuleAddActionMarkPrivate

RuleAddActionMarkRead

RuleAddActionMarkUnread

RuleAddActionMoveToFolder

RuleAddActionReply

RuleAddActionReplyWithText

RuleAddActionSendMail

RuleAddActionStopRules

RuleCreate

RuleDelete

RuleExecute

RuleExists

RuleListDlg

RunProgram

ScrollLeft

ScrollNext

ScrollPrior

ScrollRight

SecurityProperties

SelectDown

SelectLeft

SelectLeftWord

SelectPageDown

SelectPageUp

SelectRight

SelectRightWord

SelectToBegLine

SelectToBegText

SelectToEndLine

SelectToEndText

SelectUp

SendAppointment

SendMail

SendNote

SendOptions

SendOptionsDlg

SendPhone

SendTask

SendURL

SetCalDisplayOptions

SetColumns

SetDay

SetMonthDisplayOptions

SetSort

SetViewerClipboardOptions

SetViewerDisplayOptions

SetViewerPrintOptions

SetWorkSchedule

SharedFolderAccept

ShareDlg

ShowApptAs

ShowAttachmentWindow

ShowFolders

ShowLongFolderList

ShowQuickLook

Sortdlg

StatusWindowShow

SwitchToHTMLView

SwitchToRTFView

TabNext

TabPrevious

TextSetABEntry

TextSetAuthority

TextSetBC

TextSetCallerName

TextSetCategoryAndPriority

TextSetCC

TextSetCompany

TextSetDateTime

TextSetFrom

TextSetMessage

TextSetPhoneNumber

TextSetPlaceName

TextSetSubject

TextSetTo

Thesaurus

ThrowToken

TimeSetEndTimeMode

TimeSetStartTimeMode

TypeChar

TypeText

UpLevel

UserFunction

ViewContacts

ViewContactsOnly

ViewDocument

ViewDraftItems

ViewDraftItemsOnly

ViewerPageDown

ViewerPageUp

ViewGroups

ViewGroupsOnly

ViewHideMenu

ViewHideNonChecklistItems

ViewItem

ViewMaximize

ViewMinimize

ViewNextAttach

ViewOnTop

ViewOpen

ViewOpenDlg

ViewOpenFile

ViewOpenNamed

ViewOrganizations

ViewOrganizationsOnly

ViewPersonalItems

ViewPersonalItemsOnly

ViewPrevAttach

ViewReceivedItems

ViewReceivedItemsOnly

ViewResources

ViewResourcesOnly

ViewRestore

ViewSentItems

ViewSentItemsOnly

ViewSwitch

ViewSwitchDlg

ViewVersionList

WritingToolsTextLanguage

More Information
The GroupWise object provides easy access to the GroupWise message store. It also exposes the native GroupWise Object API methods ands properties via the Account property, and the native GroupWise Administrative Object API methods and properties via the Administration property.


Method AboutDlg

Advansys Formativ 1.6 | Language Reference
AboutDlg Method |
Parent |

Description
 | Displays the GroupWise About dialog box, which contains product, network, and post office information.
Syntax
 | GroupWise.AboutDlg()
Remarks
 | None.


Method AccountsDlg

Advansys Formativ 1.6 | Language Reference
AccountsDlg Method |
Parent |

Description
 | Launches the account options dialog that allows users to create, delete, and modify POP3, IMAP4, and GroupWise accounts. Version: GroupWise 5.5 EP SP1 and later.
Syntax
 | GroupWise.AccountsDlg()
Remarks
 | None.


Method AccountsSync

Advansys Formativ 1.6 | Language Reference
AccountsSync Method |
Parent |

Description
 | Synchronizes all the accounts marked in the account options dialog with their respective servers. Version: GroupWise 5.5 EP SP1 and later.
Syntax
 | GroupWise.AccountsSync()
Remarks
 | None.


Method AddNewChecklistItem

Advansys Formativ 1.6 | Language Reference
AddNewChecklistItem Method |
Parent |

Description
 | Activates in-place creation of a new checklist item, if the current focus is in a Checklist folder. GW 6.5 and above.
Syntax
 | GroupWise.AddNewChecklistItem()
Remarks
 | None.


Method AddNewDocument

Advansys Formativ 1.6 | Language Reference
AddNewDocument Method |
Parent |

Description
Creates a new document in the GroupWise library.
Syntax
GroupWise.AddNewDocument(Extension String) : String

Parameter Useage:

Extension String
         Text string to specify extension as seen on GW property sheet. String specifier for File extension field listed as a property of the document version.
Remarks
None.


Method AddressBookCompare

Advansys Formativ 1.6 | Language Reference
AddressBookCompare Method |
Parent |

Description
Returns a Boolean value indicating whether two addresses point to the same person or resource.
Syntax
GroupWise.AddressBookCompare(Address1 String, Address2 String) : Boolean

Parameter Useage:

Address1 String | First UserID or EmailAddress in DPU format (Domain.PostOffice.UserID)
Address2 String | Second UserID or EmailAddress in DPU format (Domain.PostOffice.UserID)
Remarks
None.


Method AddressBookDlg

Advansys Formativ 1.6 | Language Reference
AddressBookDlg Method |
Parent |

Description
 | Displays the dialog box in the Address Book which contains user names and IDs, groups, and resources.
Syntax
 | GroupWise.AddressBookDlg()
Remarks
 | GroupWise 5.2, 5.5 and later only.


Method AddressBookGetEntry

Advansys Formativ 1.6 | Language Reference
AddressBookGetEntry Method |
Parent |

Description
Returns the contents of an Address Book field.
Syntax
GroupWise.AddressBookGetEntry(ABField eAddressBookField, FullAddressText String, UserID String) : String

Parameter Useage:

ABField eAddressBookField
         Used to access individual field values in an address book entry.

Value | Description
abfPersonalGroupsID | Personal groups ID
abfPublicGroupsDescription | Public groups field
abfPublicGroupsDomain | Public groups domain
abfPublicGroupsHost | Public groups host
abfPublicGroupsID | Public groups ID
abfResourcesDescription | Resources description
abfResourcesDomain |
abfResourcesFID |
abfResourcesHost |
abfResourcesID |
abfResourcesOwner |
abfResourcesType |
abfUsersAccountID |
abfUsersDept |
abfUsersDomain |
abfUsersFID |
abfUsersFaxNum |
abfUsersFirstName |
abfUsersHost |
abfUsersID |
abfUsersLastName |
abfUsersNetID |
abfUsersPhone |
abfUsersTitle |
abfUsersUD1 |
abfUsersUD10 |
abfUsersUD2 |
abfUsersUD3 |
abfUsersUD4 |
abfUsersUD5 |
abfUsersUD6 |
abfUsersUD7 |
abfUsersUD8 |
abfUsersUD9 |
FullAddressText String
         Field address text description
UserID String
         User ID description
Remarks
None.


Method AddressBookGetField

Advansys Formativ 1.6 | Language Reference
AddressBookGetField Method |
Parent |

Description
Returns the name of an Address Book field.
Syntax
GroupWise.AddressBookGetField(ABField eAddressBookField) : String

Parameter Useage:

ABField eAddressBookField
         Used to access individual field values in an address book entry.

Value | Description
abfPersonalGroupsID | Personal groups ID
abfPublicGroupsDescription | Public groups field
abfPublicGroupsDomain | Public groups domain
abfPublicGroupsHost | Public groups host
abfPublicGroupsID | Public groups ID
abfResourcesDescription | Resources description
abfResourcesDomain |
abfResourcesFID |
abfResourcesHost |
abfResourcesID |
abfResourcesOwner |
abfResourcesType |
abfUsersAccountID |
abfUsersDept |
abfUsersDomain |
abfUsersFID |
abfUsersFaxNum |
abfUsersFirstName |
abfUsersHost |
abfUsersID |
abfUsersLastName |
abfUsersNetID |
abfUsersPhone |
abfUsersTitle |
abfUsersUD1 |
abfUsersUD10 |
abfUsersUD2 |
abfUsersUD3 |
abfUsersUD4 |
abfUsersUD5 |
abfUsersUD6 |
abfUsersUD7 |
abfUsersUD8 |
abfUsersUD9 |
Remarks
None.


Method AddressBookGetFullName

Advansys Formativ 1.6 | Language Reference
AddressBookGetFullName Method |
Parent |

Description
Returns the full name associated with a user ID in an Address Book.
Syntax
GroupWise.AddressBookGetFullName(FullAddressText String, UserID String) : String

Parameter Useage:

FullAddressText String | EmailAddress in the form "Domain.PostOffice.UserID." Will also except UserID as well as EmailAdress.
UserID String | User ID of the mailbox that contains the Address Book information. Use this parameter to search a proxy mailbox.
Remarks
None.


Method AddressBookResolve

Advansys Formativ 1.6 | Language Reference
AddressBookResolve Method |
Parent |

Description
Returns a list of valid, unambiguous (unique) addresses.
Syntax
GroupWise.AddressBookResolve(Addresses String, RemoveAmbiguousAddresses eAddressResolveCmd, RemoveInvalidAddresses eAddressResolveCmd, UserID String) : String

Parameter Useage:

Addresses String
         Separate addresses with commas and enclose in double quotation marks.
RemoveAmbiguousAddresses eAddressResolveCmd
         Specifies what to do with ambiguous addresses.

Value | Description
arcFail | RemoveAmbiguousAddresses parameter: causes the command to fail if there are ambiguous addresses. RemoveInvalidAddresses parameter: Causes the command to fail if there are invalid addresses.
arcPrompt | RemoveAmbiguousAddresses parameter: displays a dialog box where the user selects an address to include. RemoveInvalidAddresses parameter: displays a dialog box where the user removes invalid addresses from the address list.
arcYes | RemoveAmbiguousAddresses parameter: removes all ambiguous addresses. RemoveInvalidAddresses parameter: Removes all invalid addresses.
RemoveInvalidAddresses eAddressResolveCmd
         Specifies what to do with ambiguous addresses.

Value | Description
arcFail | RemoveAmbiguousAddresses parameter: causes the command to fail if there are ambiguous addresses. RemoveInvalidAddresses parameter: Causes the command to fail if there are invalid addresses.
arcPrompt | RemoveAmbiguousAddresses parameter: displays a dialog box where the user selects an address to include. RemoveInvalidAddresses parameter: displays a dialog box where the user removes invalid addresses from the address list.
arcYes | RemoveAmbiguousAddresses parameter: removes all ambiguous addresses. RemoveInvalidAddresses parameter: Removes all invalid addresses.
UserID String
         User ID of the mailbox that contains the Address Book information. Use this information to search in a proxy mailbox.
Remarks
None.


Method AddressBookResolveFullName

Advansys Formativ 1.6 | Language Reference
AddressBookResolveFullName Method |
Parent |

Description
Returns the full email address of a name or resource.
Syntax
GroupWise.AddressBookResolveFullName(FullName String, UserID String) : String

Parameter Useage:

FullName String
UserID String
Remarks
None.


Method AddressBookSearch

Advansys Formativ 1.6 | Language Reference
AddressBookSearch Method |
Parent |

Description
Searches for a character string in a specified Address Book field.
Syntax
GroupWise.AddressBookSearch(Handle Integer, ABField eAddressBookField, SearchString String, SearchDir eSearchDir, Match eMatch) : String

Parameter Useage:

Handle Integer
ABField eAddressBookField
         Used to access individual field values in an address book entry.

Value | Description
abfPersonalGroupsID | Personal groups ID
abfPublicGroupsDescription | Public groups field
abfPublicGroupsDomain | Public groups domain
abfPublicGroupsHost | Public groups host
abfPublicGroupsID | Public groups ID
abfResourcesDescription | Resources description
abfResourcesDomain |
abfResourcesFID |
abfResourcesHost |
abfResourcesID |
abfResourcesOwner |
abfResourcesType |
abfUsersAccountID |
abfUsersDept |
abfUsersDomain |
abfUsersFID |
abfUsersFaxNum |
abfUsersFirstName |
abfUsersHost |
abfUsersID |
abfUsersLastName |
abfUsersNetID |
abfUsersPhone |
abfUsersTitle |
abfUsersUD1 |
abfUsersUD10 |
abfUsersUD2 |
abfUsersUD3 |
abfUsersUD4 |
abfUsersUD5 |
abfUsersUD6 |
abfUsersUD7 |
abfUsersUD8 |
abfUsersUD9 |
SearchString String
SearchDir eSearchDir
         Specifies the direction for the search.

Value | Description
sdrBackward |
sdrForward |
Match eMatch
         SearchString in relation to the field contents. Position of the text in a character string.

Value | Description
matBeginText | Matches a string from the first character to the length of the search string.
matFullText | Requires an exact match and is case-sensitive.
matSubText | Matches any substrings.
matNotContainText | Matches items which do not contain the specified text.
Remarks
None.


Method AddressBookSearchBegin

Advansys Formativ 1.6 | Language Reference
AddressBookSearchBegin Method |
Parent |

Description
Returns an Address Book search handle.
Syntax
GroupWise.AddressBookSearchBegin(UserID String) : Integer

Parameter Useage:

UserID String
Remarks
None.


Method AddressBookSearchEnd

Advansys Formativ 1.6 | Language Reference
AddressBookSearchEnd Method |
Parent |

Description
Deletes an AddressBook search handle from memory.
Syntax
GroupWise.AddressBookSearchEnd(Handle Integer)

Parameter Useage:

Handle Integer
Remarks
None.


Method AddressBookSearchNext

Advansys Formativ 1.6 | Language Reference
AddressBookSearchNext Method |
Parent |

Description
Searches for the next occurrence of the character string specified by AddressBookSearch.
Syntax
GroupWise.AddressBookSearchNext(Handle Integer) : String

Parameter Useage:

Handle Integer
Remarks
None.


Method AddressBookSearchPrevious

Advansys Formativ 1.6 | Language Reference
AddressBookSearchPrevious Method |
Parent |

Description
Searches backward for the previous occurrence of the character string specified by AddressBookSearch.
Syntax
GroupWise.AddressBookSearchPrevious(Handle Integer) : String

Parameter Useage:

Handle Integer
Remarks
None.


Method AddressItemDlg

Advansys Formativ 1.6 | Language Reference
AddressItemDlg Method |
Parent |

Description
 | Causes the Address Book dialog to be displayed. This command is only valid when a Compose view is open and active. The addresses selected in the Address Book dialog will be set in the active Compose view.
Syntax
 | GroupWise.AddressItemDlg()
Remarks
 | None.


Method AddressListAdd

Advansys Formativ 1.6 | Language Reference
AddressListAdd Method |
Parent |

Description
Adds a user ID to To, CC, and BC address Lists. A run-time error occurs for incorrect or non-existent user IDs.
Syntax
GroupWise.AddressListAdd(Handle Integer, ToList String, CCList String, BCCList String)

Parameter Useage:

Handle Integer | Address List handle, returned by AddressListCreate() or AddressListCreateFromGroup
ToList String | User ID
CCList String | User ID.
BCCList String | User ID
Remarks
None.


Method AddressListCreate

Advansys Formativ 1.6 | Language Reference
AddressListCreate Method |
Parent |

Description
Creates an address list.
Syntax
GroupWise.AddressListCreate(UserID String) : Integer

Parameter Useage:

UserID String
         User ID of the mailbox where the address list is being built. Use this parameter to create an address list in a proxy mailbox.
Remarks
None.


Method AddressListCreateFromGroup

Advansys Formativ 1.6 | Language Reference
AddressListCreateFromGroup Method |
Parent |

Description
Constructs an address list from a group or distribution list. Creates an address list from a public or personal group. Default: personal group. To specify a public group, use the full address string. Not recordable.
Syntax
GroupWise.AddressListCreateFromGroup(GroupName String, UserID String) : Integer

Parameter Useage:

GroupName String
UserID String
Remarks
None.


Method AddressListDelete

Advansys Formativ 1.6 | Language Reference
AddressListDelete Method |
Parent |

Description
Deletes an address list handle from memory.
Syntax
GroupWise.AddressListDelete(Handle Integer)

Parameter Useage:

Handle Integer
         Address list handle.
Remarks
None.


Method AddressListEdit

Advansys Formativ 1.6 | Language Reference
AddressListEdit Method |
Parent |

Description
Displays a dialog box for editing an address list. The Address Book dialog box is initialized with the contents of the address list. Changes to the TO, CC, and BC dialog lists replace the corresponding contents of the address list.
Syntax
GroupWise.AddressListEdit(Handle Integer)

Parameter Useage:

Handle Integer
         Address list handle, returned by AddressListCreate().
Remarks
None.


Method AddressListGetAddress

Advansys Formativ 1.6 | Language Reference
AddressListGetAddress Method |
Parent |

Description
Returns the full string of a specified address.
Syntax
GroupWise.AddressListGetAddress(Handle Integer, Index Integer, FromWhichList eFromWhichList) : String

Parameter Useage:

Handle Integer
         Address list handle, returned by AddressListCreate().
Index Integer
         Address index. The first address is 0, the second is 1, and so forth. If the index is out of range, a run-time error occurs. See AddressListGetCount().
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
None.


Method AddressListGetCount

Advansys Formativ 1.6 | Language Reference
AddressListGetCount Method |
Parent |

Description
Returns the number of addresses in a list.
Syntax
GroupWise.AddressListGetCount(Handle Integer, FromWhichList eFromWhichList) : Integer

Parameter Useage:

Handle Integer
         Address list handle, returned by AddressListCreate().
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
None.


Method AddressListGetEntry

Advansys Formativ 1.6 | Language Reference
AddressListGetEntry Method |
Parent |

Description
Returns the contents of an address list entry.
Syntax
GroupWise.AddressListGetEntry(Handle Integer, Index Integer, ABField eAddressBookField, FromWhichList eFromWhichList) : String

Parameter Useage:

Handle Integer
         Address list handle, returned by AddressListCreate().
Index Integer
         Address index. The first address is 0, the second is 1, and so forth. If the index is out of range, a run-time error occurs.
ABField eAddressBookField
         Used to access individual field values in an address book entry.

Value | Description
abfPersonalGroupsID | Personal groups ID
abfPublicGroupsDescription | Public groups field
abfPublicGroupsDomain | Public groups domain
abfPublicGroupsHost | Public groups host
abfPublicGroupsID | Public groups ID
abfResourcesDescription | Resources description
abfResourcesDomain |
abfResourcesFID |
abfResourcesHost |
abfResourcesID |
abfResourcesOwner |
abfResourcesType |
abfUsersAccountID |
abfUsersDept |
abfUsersDomain |
abfUsersFID |
abfUsersFaxNum |
abfUsersFirstName |
abfUsersHost |
abfUsersID |
abfUsersLastName |
abfUsersNetID |
abfUsersPhone |
abfUsersTitle |
abfUsersUD1 |
abfUsersUD10 |
abfUsersUD2 |
abfUsersUD3 |
abfUsersUD4 |
abfUsersUD5 |
abfUsersUD6 |
abfUsersUD7 |
abfUsersUD8 |
abfUsersUD9 |
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
Only available in GroupWise 5.5 and later.


Method AddressListGetField

Advansys Formativ 1.6 | Language Reference
AddressListGetField Method |
Parent |

Description
Returns an address list field name.
Syntax
GroupWise.AddressListGetField(Handle Integer, Index Integer, ABField eAddressBookField, FromWhichList eFromWhichList) : String

Parameter Useage:

Handle Integer
Index Integer
ABField eAddressBookField
         Used to access individual field values in an address book entry.

Value | Description
abfPersonalGroupsID | Personal groups ID
abfPublicGroupsDescription | Public groups field
abfPublicGroupsDomain | Public groups domain
abfPublicGroupsHost | Public groups host
abfPublicGroupsID | Public groups ID
abfResourcesDescription | Resources description
abfResourcesDomain |
abfResourcesFID |
abfResourcesHost |
abfResourcesID |
abfResourcesOwner |
abfResourcesType |
abfUsersAccountID |
abfUsersDept |
abfUsersDomain |
abfUsersFID |
abfUsersFaxNum |
abfUsersFirstName |
abfUsersHost |
abfUsersID |
abfUsersLastName |
abfUsersNetID |
abfUsersPhone |
abfUsersTitle |
abfUsersUD1 |
abfUsersUD10 |
abfUsersUD2 |
abfUsersUD3 |
abfUsersUD4 |
abfUsersUD5 |
abfUsersUD6 |
abfUsersUD7 |
abfUsersUD8 |
abfUsersUD9 |
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
None.


Method AddressListGetFullName

Advansys Formativ 1.6 | Language Reference
AddressListGetFullName Method |
Parent |

Description
Returns the full name associated with a user ID in an address list.
Syntax
GroupWise.AddressListGetFullName(Handle Integer, Index Integer, FromWhichList eFromWhichList) : String

Parameter Useage:

Handle Integer
         Address list handle, returned by AddressListCreate().
Index Integer
         Address index. The first address is 0, the second is 1, and so forth. If the index is out of range, a run-time error occurs.
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
Only available in GroupWise 5.5 and later.


Method AddressListIsInSection

Advansys Formativ 1.6 | Language Reference
AddressListIsInSection Method |
Parent |

Description
Lets you determine if an address already exists in a specified address list. Returns the number of addresses in a section (such as To, CC, BC lists), of a list. Not recordable.
Syntax
GroupWise.AddressListIsInSection(Handle Integer, Index Integer, Section eSection, FromWhichList eFromWhichList) : Boolean

Parameter Useage:

Handle Integer
Index Integer
Section eSection
         The section to search in.

Value | Description
secExternalAddress |
secPersonalGroups |
secPublicGroups |
secResources |
secUsers |
FromWhichList eFromWhichList
         The target address list.

Value | Description
fwlBCList |
fwlCCList |
fwlCombined | Concatenates TO, CC, and BC, respectively.
fwlToList |
Remarks
None.


Method AlarmSet

Advansys Formativ 1.6 | Language Reference
AlarmSet Method |
Parent |

Description
Sets an alarm that notifies a user of an appointment and optionally launches a program. The appointment must have the input focus and must be future.
Syntax
GroupWise.AlarmSet(HoursBefore Integer, MinutesBefore Integer, ProgramToLaunch String)

Parameter Useage:

HoursBefore Integer
MinutesBefore Integer
ProgramToLaunch String
Remarks
None.


Method AlarmSetDlg

Advansys Formativ 1.6 | Language Reference
AlarmSetDlg Method |
Parent |

Description
 | Displays the Set Alarm dialog box. The appointment must have the input focus and must be future.
Syntax
 | GroupWise.AlarmSetDlg()
Remarks
 | None.


Method AppAllowClose

Advansys Formativ 1.6 | Language Reference
AppAllowClose Method |
Parent |

Description
Specifies whether a user can exit GroupWise. GroupWise cannot be closed if an applet is playing or if AppAllowClose is set to No! (See Allow parameter).
Syntax
GroupWise.AppAllowClose(Allow Boolean)

Parameter Useage:

Allow Boolean
         If Allow is set to No!, you must set it to Yes! before ending the DDE conversation or cross-application macro. Otherwise, you will be able to exit GroupWise only through the Windows Task Li
Remarks
None.


Method AppClose

Advansys Formativ 1.6 | Language Reference
AppClose Method |
Parent |

Description
 | Causes the GroupWise client to shut down. AppAllowClose must be set to No! for AppClose to function.
Syntax
 | GroupWise.AppClose()
Remarks
 | None.


Method AppointmentSetInterval

Advansys Formativ 1.6 | Language Reference
AppointmentSetInterval Method |
Parent |

Description
Sets the time interval on the appointments part of the calendar view. The optional Interval parameter has the following valid values: 10, 15, 20, 30, 60, 120.
Syntax
GroupWise.AppointmentSetInterval(Interval Integer)

Parameter Useage:

Interval Integer
         Valid intervals are: 10, 15, 20, 30, 60, 120.
Remarks
None.


Method AppointmentSetMode

Advansys Formativ 1.6 | Language Reference
AppointmentSetMode Method |
Parent |

Description
Changes the display mode for the calendar appointment view.
Syntax
GroupWise.AppointmentSetMode(Mode eMode)

Parameter Useage:

Mode eMode
         Defines the display mode for the calendar appointment view.

Value | Description
modGrid |
modText |
Remarks
Only available in GroupWise 5.5 and later.


Method AttachmentAdd

Advansys Formativ 1.6 | Language Reference
AttachmentAdd Method |
Parent |

Description
Attaches a file to an item.
Syntax
GroupWise.AttachmentAdd(Filename String, DeleteWhenDone Boolean, AttachmentDisplayName String)

Parameter Useage:

Filename String
DeleteWhenDone Boolean
AttachmentDisplayName String
Remarks
None.


Method AttachmentAddDlg

Advansys Formativ 1.6 | Language Reference
AttachmentAddDlg Method |
Parent |

Description
Displays the AddAttachment dialog box to attach a file to an item.
Syntax
GroupWise.AttachmentAddDlg(DirectoryPath String)

Parameter Useage:

DirectoryPath String
Remarks
None.


Method AttachmentAddEncapsulatedItem

Advansys Formativ 1.6 | Language Reference
AttachmentAddEncapsulatedItem Method |
Parent |

Description
Adds a message item as an attachment.
Syntax
GroupWise.AttachmentAddEncapsulatedItem(DRN Integer, DiskID Integer, ItemType eItemType, InUserDatabase Boolean)

Parameter Useage:

DRN Integer
DiskID Integer
ItemType eItemType
         Specifies the item type.

Value | Description
itmAppointment |
itmMail |
itmNote |
itmPhone |
itmProfile |
itmSearch |
itmTask |
InUserDatabase Boolean
Remarks
Only available in GroupWise 5.5 and later.


Method AttachmentDelete

Advansys Formativ 1.6 | Language Reference
AttachmentDelete Method |
Parent |

Description
Deletes an attachment before an item is sent.
Syntax
GroupWise.AttachmentDelete(AttachmentIndex Integer)

Parameter Useage:

AttachmentIndex Integer
Remarks
Only available in GroupWise 5.5 and later


Method AttachmentDocReference

Advansys Formativ 1.6 | Language Reference
AttachmentDocReference Method |
Parent |

Description
 | Displays the user interface to allow a user to select a document reference that will be added as an attachment to the active item Compose view.
Syntax
 | GroupWise.AttachmentDocReference()
Remarks
 | None.


Method AttachmentListDlg

Advansys Formativ 1.6 | Language Reference
AttachmentListDlg Method |
Parent |

Description
 | Displays the Attachments dialog box to add attachments to a new item.
Syntax
 | GroupWise.AttachmentListDlg()
Remarks
 | In GroupWise 5.5 this token brings up AttachmentAddDlg. The AttachmentListDlg is no longer a part of version 5.5.


Method AttachmentOpen

Advansys Formativ 1.6 | Language Reference
AttachmentOpen Method |
Parent |

Description
Opens an attachment.
Syntax
GroupWise.AttachmentOpen(AttachmentIndex Integer)

Parameter Useage:

AttachmentIndex Integer
         Index number (zero-based)
Remarks
None.


Method AttachmentSaveAs

Advansys Formativ 1.6 | Language Reference
AttachmentSaveAs Method |
Parent |

Description
Saves an attachment with a new filename. For this command to function, the message window with the attachment in the list must be showing.
Syntax
GroupWise.AttachmentSaveAs(NewFileName String, AttachmentIndex Integer)

Parameter Useage:

NewFileName String | AttachmentIndex As WORD
AttachmentIndex Integer |
Remarks
None.


Method AttachmentSaveAsDlg

Advansys Formativ 1.6 | Language Reference
AttachmentSaveAsDlg Method |
Parent |

Description
 | Displays the Save As dialog box to save an attachment with a new filename.
Syntax
 | GroupWise.AttachmentSaveAsDlg()
Remarks
 | None.


Method AttachmentView

Advansys Formativ 1.6 | Language Reference
AttachmentView Method |
Parent |

Description
Displays an attachment.
Syntax
GroupWise.AttachmentView(TypeToView eAttachViewType, AttachmentIndex Integer)

Parameter Useage:

TypeToView eAttachViewType
         Specifies the type to view.

Value | Description
avtAttachment |
avtMessage |
avtzOldMessage |
AttachmentIndex Integer
Remarks
None.


Method AttachmentViewer

Advansys Formativ 1.6 | Language Reference
AttachmentViewer Method |
Parent |

Description
Displays an attachment.
Syntax
GroupWise.AttachmentViewer(TypeToView eAttachViewType, AttachmentIndex Integer)

Parameter Useage:

TypeToView eAttachViewType
         Specifies the type to view.

Value | Description
avtAttachment |
avtMessage |
avtzOldMessage |
AttachmentIndex Integer
Remarks
None.


Method AttachmentViewSame

Advansys Formativ 1.6 | Language Reference
AttachmentViewSame Method |
Parent |

Description
When viewing a message, this token displays the specified attachment in the same viewer window (without opening a new viewer window). GW 6.5 and above.
Syntax
GroupWise.AttachmentViewSame(TypeToView eAttachViewType, AttachmentIndex Integer)

Parameter Useage:

TypeToView eAttachViewType
         Specifies the type to view.

Value | Description
avtAttachment |
avtMessage |
avtzOldMessage |
AttachmentIndex Integer
Remarks
None.


Method AutoPilotToggle

Advansys Formativ 1.6 | Language Reference
AutoPilotToggle Method |
Parent |

Description
 | Turns on or off the auto pilot that syncs all marked accounts. Version: GroupWise 5.5 EP SP1 or later.
Syntax
 | GroupWise.AutoPilotToggle()
Remarks
 | None.


Method BusySearch

Advansys Formativ 1.6 | Language Reference
BusySearch Method |
Parent |

Description
Searches one or more users schedules and displays the result in the Choose Appointment Time dialog box. Enclose multiple IDs in double quotation marks, separated by columns. (see TO, CC, and BC parameters).
Syntax
GroupWise.BusySearch(To_ String, CC String, BC String, StartDay Integer, StartMonth Integer, StartYear Integer, StartMinute Integer, StartHour Integer, DurationMinutes Integer, DurationHours Integer, ApptInfo eDisplay, NoDays Boolean, Sunday Boolean, Monday Boolean, Tuesday Boolean, Wednesday Boolean, Thursday Boolean, Friday Boolean, Saturday Boolean, DisplayBeginMinute Integer, DisplayBeginHour Integer, DisplayEndMinute Integer, DisplayEndHour Integer)

Parameter Useage:

To_ String
         User IDs to include in search.
CC String
         User IDs to receive a carbon copy.
BC String
StartDay Integer
StartMonth Integer
StartYear Integer
StartMinute Integer
StartHour Integer
DurationMinutes Integer
DurationHours Integer
ApptInfo eDisplay
         Hide and show constants.

Value | Description
disHide |
disShow |
NoDays Boolean
Sunday Boolean
Monday Boolean
Tuesday Boolean
Wednesday Boolean
Thursday Boolean
Friday Boolean
Saturday Boolean
DisplayBeginMinute Integer
DisplayBeginHour Integer
DisplayEndMinute Integer
DisplayEndHour Integer
Remarks
None.


Method BusySearchDlg

Advansys Formativ 1.6 | Language Reference
BusySearchDlg Method |
Parent |

Description
 | Displays the Busy Search Settings dialog box to search one or more of the users schedules.
Syntax
 | GroupWise.BusySearchDlg()
Remarks
 | None.


Method ButtonBarReset

Advansys Formativ 1.6 | Language Reference
ButtonBarReset Method |
Parent |

Description
Resets the specified toolbar to the shipping default. GroupWise 6.5 and later.
Syntax
GroupWise.ButtonBarReset(Toolbar eButtonBarReset)

Parameter Useage:

Toolbar eButtonBarReset
         Use with ButtonBarReset

Value | Description
bbMain |
bbItemContext |
bbFolderContext |
Remarks
None.


Method ButtonBarSetStyle

Advansys Formativ 1.6 | Language Reference
ButtonBarSetStyle Method |
Parent |

Description
Specifies a GroupWise ToolBar style.
Syntax
GroupWise.ButtonBarSetStyle(StyleAs eButtonBarStyle, WrapAs Boolean)

Parameter Useage:

StyleAs eButtonBarStyle
         Specifies the button bar style.

Value | Description
bbsPicOnlySingleRow | Button picture only, single row of buttons.
bbsPicOnlyMultiRow | Button picture only, multiple rows of buttons if required.
bbsPicAndTxtSingleRow | Button picture and text labels; display only a single row of buttons.
bbsPicAndTxtMultiRow | Button picture and text label; display multiple rows of buttons if required.
WrapAs Boolean
Remarks
None.


Method ButtonBarShow

Advansys Formativ 1.6 | Language Reference
ButtonBarShow Method |
Parent |

Description
Turns the Toolbar on or off.
Syntax
GroupWise.ButtonBarShow(IsVisible Boolean)

Parameter Useage:

IsVisible Boolean
Remarks
None.


Method CalendarHideIcons

Advansys Formativ 1.6 | Language Reference
CalendarHideIcons Method |
Parent |

Description
 | Hides the icons on the calendar view. This command does not work for the month view.
Syntax
 | GroupWise.CalendarHideIcons()
Remarks
 | None.


Method CalendarIsShowingAppts

Advansys Formativ 1.6 | Language Reference
CalendarIsShowingAppts Method |
Parent |

Description
 | Returns TRUE if the calendar is showing appointments, FALSE otherwise. The calendar must have focus for this command to work properly. GroupWise 6.5 and later.
Syntax
 | GroupWise.CalendarIsShowingAppts() : Boolean
Remarks
 | None.


Method CalendarIsShowingNotes

Advansys Formativ 1.6 | Language Reference
CalendarIsShowingNotes Method |
Parent |

Description
 | Returns TRUE if the calendar is showing notes, FALSE otherwise. The calendar must have focus for this command to work properly. GroupWise 6.5 and later.
Syntax
 | GroupWise.CalendarIsShowingNotes() : Boolean
Remarks
 | None.


Method CalendarIsShowingTasks

Advansys Formativ 1.6 | Language Reference
CalendarIsShowingTasks Method |
Parent |

Description
 | Returns TRUE if the calendar is showing tasks, FALSE otherwise. The calendar must have focus for this command to work properly. GroupWise 6.5 and later.
Syntax
 | GroupWise.CalendarIsShowingTasks() : Boolean
Remarks
 | None.


Method CalendarShowAppts

Advansys Formativ 1.6 | Language Reference
CalendarShowAppts Method |
Parent |

Description
Shows or hides appointments in the calendar. The calendar must have the focus for this command to work. GroupWise 6.5 and later .
Syntax
GroupWise.CalendarShowAppts(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method CalendarShowIcons

Advansys Formativ 1.6 | Language Reference
CalendarShowIcons Method |
Parent |

Description
 | Shows the icons on the calendar view. This command does not work for the month view.
Syntax
 | GroupWise.CalendarShowIcons()
Remarks
 | None.


Method CalendarShowNotes

Advansys Formativ 1.6 | Language Reference
CalendarShowNotes Method |
Parent |

Description
Shows or hides notes in the calendar. The calendar must have focus for this command to work properly. GroupWise 6.5 and later.
Syntax
GroupWise.CalendarShowNotes(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method CalendarShowTasks

Advansys Formativ 1.6 | Language Reference
CalendarShowTasks Method |
Parent |

Description
Shows or hides tasks in the calendar. The calendar must have focus for this command to work properly. GroupWise 6.5 and later.
Syntax
GroupWise.CalendarShowTasks(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method CalendarTabPropertiesDlg

Advansys Formativ 1.6 | Language Reference
CalendarTabPropertiesDlg Method |
Parent |

Description
 | Shows the Add Calendar Tab dialog.
Syntax
 | GroupWise.CalendarTabPropertiesDlg()
Remarks
 | Only available in GroupWise 5.5 and later.


Method Cancel

Advansys Formativ 1.6 | Language Reference
Cancel Method |
Parent |

Description
 | Cancels the current view, dialog, or command.
Syntax
 | GroupWise.Cancel()
Remarks
 | None.


Method CategoriesSetDlg

Advansys Formativ 1.6 | Language Reference
CategoriesSetDlg Method |
Parent |

Description
 | Invokes the Set Categories dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.CategoriesSetDlg()
Remarks
 | None.


Method CheckboxSelect

Advansys Formativ 1.6 | Language Reference
CheckboxSelect Method |
Parent |

Description
Selects or deselects a check box in a phone message view.
Syntax
GroupWise.CheckboxSelect(StandardCheck ePhoneMsgOpt, UserDefinedBoxName String, Checked Boolean)

Parameter Useage:

StandardCheck ePhoneMsgOpt
         Constants for the properties of a phone message view.

Value | Description
pmvPhoneCalled |
pmvPhonePleaseCall |
pmvPhoneWillCallAgain |
pmvPhoneReturnedYou |
pmvPhoneWantsToSeeYou |
pmvPhoneCameToSeeYou |
pmvPhoneUrgent |
UserDefinedBoxName String
Checked Boolean
Remarks
None.


Method ClearAlarm

Advansys Formativ 1.6 | Language Reference
ClearAlarm Method |
Parent |

Description
 | Clears the alarm.
Syntax
 | GroupWise.ClearAlarm()
Remarks
 | None.


Method CloseDocument

Advansys Formativ 1.6 | Language Reference
CloseDocument Method |
Parent |

Description
Returns the document identified by the Document Number passed in DocIDStr to the GroupWise library.
Syntax
GroupWise.CloseDocument(DocID String) : Integer

Parameter Useage:

DocID String
         String in the form Domain.PostOffice.Library:Doc#.Ver#.
Remarks
None.


Method CloseWindow

Advansys Formativ 1.6 | Language Reference
CloseWindow Method |
Parent |

Description
 | Closes the current view.
Syntax
 | GroupWise.CloseWindow()
Remarks
 | None.


Method CollapseFolder

Advansys Formativ 1.6 | Language Reference
CollapseFolder Method |
Parent |

Description
 | Collapses the currently selected folder. GroupWise 6.5 and later.
Syntax
 | GroupWise.CollapseFolder()
Remarks
 | None.


Method CollapseThread

Advansys Formativ 1.6 | Language Reference
CollapseThread Method |
Parent |

Description
 | Collapses the current thread.
Syntax
 | GroupWise.CollapseThread()
Remarks
 | Only available in GroupWise 5.5 and later.


Method ColumnDlg

Advansys Formativ 1.6 | Language Reference
ColumnDlg Method |
Parent |

Description
 | Displays the dialog which allows users to specify the columns to display in the GroupWise client.
Syntax
 | GroupWise.ColumnDlg()
Remarks
 | None.


Method ConversationPlace

Advansys Formativ 1.6 | Language Reference
ConversationPlace Method |
Parent |

Description
 | Launches the Conversation Place application.
Syntax
 | GroupWise.ConversationPlace()
Remarks
 | None.


Method CreateTrustedApplicationObject

Advansys Formativ 1.6 | Language Reference
CreateTrustedApplicationObject Method |
Parent |

Description
Creates a trusted application object. See the Programmers Guide for more information.
Syntax
GroupWise.CreateTrustedApplicationObject(DomainPath String, ApplicationName String, ApplicationDesc String, TCPAddress String, TCPPort Integer, SSLRequired Boolean, RequiresQueuing Boolean, Overwrite Boolean, TrustedKey Variant) : eTrustedApplication

Parameter Useage:

DomainPath String
ApplicationName String
ApplicationDesc String
TCPAddress String
TCPPort Integer
SSLRequired Boolean
RequiresQueuing Boolean
Overwrite Boolean
TrustedKey Variant
Remarks
None.


Method CustomMessageCompose

Advansys Formativ 1.6 | Language Reference
CustomMessageCompose Method |
Parent |

Description
Launches the Conversation Place application. Versions: GroupWise 5.5.
Syntax
GroupWise.CustomMessageCompose(MsgClass String)

Parameter Useage:

MsgClass String
Remarks
None.


Method DateAbsoluteGoTo

Advansys Formativ 1.6 | Language Reference
DateAbsoluteGoTo Method |
Parent |

Description
Changes the calendar date to a specified day, month, and year. An error message is displayed if the day, month, and year are out of range.
Syntax
GroupWise.DateAbsoluteGoTo(Day Integer, Month Integer, Year Integer)

Parameter Useage:

Day Integer |
Month Integer |
Year Integer | Full year string (2000, 1999, etc.)
Remarks
None.


Method DateDifferenceDlg

Advansys Formativ 1.6 | Language Reference
DateDifferenceDlg Method |
Parent |

Description
 | Displays the Date Difference dialog box.
Syntax
 | GroupWise.DateDifferenceDlg()
Remarks
 | None.


Method DateParseDay

Advansys Formativ 1.6 | Language Reference
DateParseDay Method |
Parent |

Description
Parses a date string and returns the day of the month.
Syntax
GroupWise.DateParseDay(DateString String) : Integer

Parameter Useage:

DateString String
         For example, "Jun 17 1999" returns 17.
Remarks
None.


Method DateParseDayOfWeek

Advansys Formativ 1.6 | Language Reference
DateParseDayOfWeek Method |
Parent |

Description
Parses a date string and returns the day of the week.
Syntax
GroupWise.DateParseDayOfWeek(DateString String) : Integer

Parameter Useage:

DateString String
         For example, "Jun 17 1999" returns 4.
Remarks
None.


Method DateParseDurationHours

Advansys Formativ 1.6 | Language Reference
DateParseDurationHours Method |
Parent |

Description
Parses a date string and returns the number of hours
Syntax
GroupWise.DateParseDurationHours(DateString String) : Integer

Parameter Useage:

DateString String
         Rounds down to the closest hour. For example: "119" minutes returns 1 hour; "1 hour 30 minutes" returns 1; "2.5 days" returns 60; "60 minutes" returns 1. Limits are as follows: 255 for "minutes"; 255
Remarks
None.


Method DateParseDurationMinutes

Advansys Formativ 1.6 | Language Reference
DateParseDurationMinutes Method |
Parent |

Description
Parses a date string and returns the number of minutes.
Syntax
GroupWise.DateParseDurationMinutes(DateString String) : Integer

Parameter Useage:

DateString String
         For example, "1 hour 30 minutes" returns 30; ".25" returns 15.
Remarks
None.


Method DateParseHours

Advansys Formativ 1.6 | Language Reference
DateParseHours Method |
Parent |

Description
Parses a time string and returns the hour of a time string.
Syntax
GroupWise.DateParseHours(DateString String) : Integer

Parameter Useage:

DateString String
         String in the form HH:MM[:SS][AM/PM]. For example, "10:30" returns 10; "23:59" returns 23; "11:59:55 AM" returns 11; "11:59:55 PM" returns 23.
Remarks
None.


Method DateParseMinutes

Advansys Formativ 1.6 | Language Reference
DateParseMinutes Method |
Parent |

Description
Parses a time string and returns the number of minutes of a date string.
Syntax
GroupWise.DateParseMinutes(DateString String) : Integer

Parameter Useage:

DateString String
         String in the form HH:MM[:SS][AM/PM]. For example, "10:30" returns 30; "23:59" returns 59.
Remarks
None.


Method DateParseMonth

Advansys Formativ 1.6 | Language Reference
DateParseMonth Method |
Parent |

Description
Parses a date string and returns a month.
Syntax
GroupWise.DateParseMonth(DateString String) : Integer

Parameter Useage:

DateString String
         For example, "Jun 17 1999" returns 6.
Remarks
None.


Method DateParseYear

Advansys Formativ 1.6 | Language Reference
DateParseYear Method |
Parent |

Description
Parses a date string and returns a year.
Syntax
GroupWise.DateParseYear(DateString String) : Integer

Parameter Useage:

DateString String
         For example, "Jun 17 1999" returns 1999.
Remarks
None.


Method DateRelativeGoTo

Advansys Formativ 1.6 | Language Reference
DateRelativeGoTo Method |
Parent |

Description
Sets the calendar date forward (positive) or backward (negative) relative to the current date. If no parameters are specified, the date is set to the current date.
Syntax
GroupWise.DateRelativeGoTo(RelDay Integer, RelMonth Integer, RelYear Integer)

Parameter Useage:

RelDay Integer | Number of days.
RelMonth Integer | Number of months.
RelYear Integer | Number of year.
Remarks
None.


Method DateRelativeGoToDlg

Advansys Formativ 1.6 | Language Reference
DateRelativeGoToDlg Method |
Parent |

Description
 | Displays the GoTo Date dialog box.
Syntax
 | GroupWise.DateRelativeGoToDlg()
Remarks
 | None.


Method DateSetAutodateMode

Advansys Formativ 1.6 | Language Reference
DateSetAutodateMode Method |
Parent |

Description
 | Displays the Autodate dialog box to schedule recurring appointments, tasks, or notes.
Syntax
 | GroupWise.DateSetAutodateMode()
Remarks
 | None.


Method DateSetEndDateMode

Advansys Formativ 1.6 | Language Reference
DateSetEndDateMode Method |
Parent |

Description
 | Displays the Set Date dialog box to set appointment, End Dates (if selected in Options), or task End dates.
Syntax
 | GroupWise.DateSetEndDateMode()
Remarks
 | None.


Method DateSetStartDateMode

Advansys Formativ 1.6 | Language Reference
DateSetStartDateMode Method |
Parent |

Description
 | Displays the Set Date dialog box to set the start date for appointments, tasks or notes.
Syntax
 | GroupWise.DateSetStartDateMode()
Remarks
 | None.


Method DateSwitchToAutoDate

Advansys Formativ 1.6 | Language Reference
DateSwitchToAutoDate Method |
Parent |

Description
 | Switches from Start Date to Autodate to schedule recurring appointments, tasks and/or notes.
Syntax
 | GroupWise.DateSwitchToAutoDate()
Remarks
 | None.


Method DateSwitchToDuration

Advansys Formativ 1.6 | Language Reference
DateSwitchToDuration Method |
Parent |

Description
 | Switches from End Date to Duration to display the length of an appointment.
Syntax
 | GroupWise.DateSwitchToDuration()
Remarks
 | None.


Method DateSwitchToEndDate

Advansys Formativ 1.6 | Language Reference
DateSwitchToEndDate Method |
Parent |

Description
 | Switches from Duration to End Date to display the length of an appointment.
Syntax
 | GroupWise.DateSwitchToEndDate()
Remarks
 | None.


Method DateSwitchToStartDate

Advansys Formativ 1.6 | Language Reference
DateSwitchToStartDate Method |
Parent |

Description
 | Switches from Autodate to Start Date to schedule appointments, tasks, and/or notes.
Syntax
 | GroupWise.DateSwitchToStartDate()
Remarks
 | None.


Method DayColumnAdd

Advansys Formativ 1.6 | Language Reference
DayColumnAdd Method |
Parent |

Description
 | Adds a new day column to the Week Calendar view (up to six days).
Syntax
 | GroupWise.DayColumnAdd()
Remarks
 | None.


Method DayColumnDelete

Advansys Formativ 1.6 | Language Reference
DayColumnDelete Method |
Parent |

Description
 | Deletes a day column from the Week calendar view.
Syntax
 | GroupWise.DayColumnDelete()
Remarks
 | None.


Method DBToggle

Advansys Formativ 1.6 | Language Reference
DBToggle Method |
Parent |

Description
 | Toggles between current and archived items.
Syntax
 | GroupWise.DBToggle()
Remarks
 | None.


Method DBUseArchive

Advansys Formativ 1.6 | Language Reference
DBUseArchive Method |
Parent |

Description
 | Lists archive Mailbox, Sent Items, and Trash items.
Syntax
 | GroupWise.DBUseArchive()
Remarks
 | None.


Method DBUsePrimary

Advansys Formativ 1.6 | Language Reference
DBUsePrimary Method |
Parent |

Description
 | Lists current Mailbox, Sent Items, and Trash items.
Syntax
 | GroupWise.DBUsePrimary()
Remarks
 | None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
 | Deletes selected text, selected items, or a character at the insertion point.
Syntax
 | GroupWise.Delete()
Remarks
 | None.


Method DeleteCharPrevious

Advansys Formativ 1.6 | Language Reference
DeleteCharPrevious Method |
Parent |

Description
 | Deletes selected text, or one character to the left of the insertion point.
Syntax
 | GroupWise.DeleteCharPrevious()
Remarks
 | None.


Method DeleteDocument

Advansys Formativ 1.6 | Language Reference
DeleteDocument Method |
Parent |

Description
Deletes the document identified by the Document Number in DocIDStr from the GroupWise library.
Syntax
GroupWise.DeleteDocument(DocID String)

Parameter Useage:

DocID String
Remarks
None.


Method DeleteTrustedApplicationObject

Advansys Formativ 1.6 | Language Reference
DeleteTrustedApplicationObject Method |
Parent |

Description
Deletes a trusted application object. See the Programmers Guide for more information.
Syntax
GroupWise.DeleteTrustedApplicationObject(DomainPath String, ApplicationName String, TrustedKey String) : eTrustedApplication

Parameter Useage:

DomainPath String
ApplicationName String
TrustedKey String
Remarks
None.


Method DeleteWordLeft

Advansys Formativ 1.6 | Language Reference
DeleteWordLeft Method |
Parent |

Description
 | Deletes the word at the insertion point, to the left of the insertion point (if it is after the last character), or to the right of the insertion point (if it is before the first character).
Syntax
 | GroupWise.DeleteWordLeft()
Remarks
 | None.


Method DeleteWordRight

Advansys Formativ 1.6 | Language Reference
DeleteWordRight Method |
Parent |

Description
 | Deletes all text right of the insertion line to the end of the line.
Syntax
 | GroupWise.DeleteWordRight()
Remarks
 | None.


Method DialSender

Advansys Formativ 1.6 | Language Reference
DialSender Method |
Parent |

Description
 | Causes Conversation Place to dial the phone number of the sender of the active item.
Syntax
 | GroupWise.DialSender()
Remarks
 | None.


Method DisableCommand

Advansys Formativ 1.6 | Language Reference
DisableCommand Method |
Parent |

Description
Disables a GroupWise command within the GroupWise client. The command to be disabled is specified by a valid GroupWise Token ID passed in as the ID parameter. This command can be used within an applet to alter GroupWise client functionality available to a user. For example, an applet which is integrated with the GroupWise OnStartup event, could disable access to the Signatures or Rules functionality. See also the EnableCommand.
Syntax
GroupWise.DisableCommand(ID Integer)

Parameter Useage:

ID Integer
Remarks
None.


Method DisplayAddressBook

Advansys Formativ 1.6 | Language Reference
DisplayAddressBook Method |
Parent |

Description
 | Display the address book and allow the selection of address book entries
Syntax
 | GroupWise.DisplayAddressBook() : String
Remarks
 | The return value from this command is a string containing the email addresses of the selected contacts. Note that this list will only include contacts selected as primary recipients: CC and BCC recipients are not included.


Method DisplayProfile

Advansys Formativ 1.6 | Language Reference
DisplayProfile Method |
Parent |

Description
Displays the document profile for the document in the GroupWise library identified by the Document Number in DocIDStr.
Syntax
GroupWise.DisplayProfile(DocID String)

Parameter Useage:

DocID String
Remarks
None.


Method DisplaySettingsSelect

Advansys Formativ 1.6 | Language Reference
DisplaySettingsSelect Method |
Parent |

Description
 | Displays the Select Display Settings dialog box.
Syntax
 | GroupWise.DisplaySettingsSelect()
Remarks
 | Only available in GroupWise 5.5 and later.


Method DisplaySettingsSet

Advansys Formativ 1.6 | Language Reference
DisplaySettingsSet Method |
Parent |

Description
Syntax
GroupWise.DisplaySettingsSet(FolderName String, SettingsName String, SettingsDesc String, ViewMode eViewMode, ItemSourceIncoming Boolean, ItemSourceOutgoing Boolean, ItemSourcePersonal Boolean, ItemSourceDraft Boolean, SortKey eSortKey, SortFieldName String, SortOrder eSortOrder, UserID String, Col00 eColField, ColName00 String, ColWidth00 Integer, Col01 eColField, ColName01 String, ColWidth01 Integer, Col02 eColField, ColName02 String, ColWidth02 Integer, Col03 eColField, ColName03 String, ColWidth03 Integer, Col04 eColField, ColName04 String, ColWidth04 Integer, Col05 eColField, ColName05 String, ColWidth05 Integer, Col06 eColField, ColName06 String, ColWidth06 Integer, Col07 eColField, ColName07 String, ColWidth07 Integer, Col08 eColField, ColName08 String, ColWidth08 Integer, Col09 eColField, ColName09 String, ColWidth09 Integer)

Parameter Useage:

FolderName String
         The name of the folder.
SettingsName String
SettingsDesc String
ViewMode eViewMode
         Specifies the view mode.

Value | Description
vvmCalendar |
vvmConversion |
vvmDetails |
ItemSourceIncoming Boolean
ItemSourceOutgoing Boolean
ItemSourcePersonal Boolean
ItemSourceDraft Boolean
SortKey eSortKey
         Specifies the possible values for the sort key.

Value | Description
stkAcceptedCnt |
stkAssignedDate |
stkAuthor |
stkAuthority |
stkBC |
stkBeginDateTime |
stkCC |
stkCaller |
stkCompany |
stkCompletedCnt |
stkCopyType |
stkCreateDate |
stkCreator |
stkCurrentVersion |
stkDate |
stkDeletedCnt |
stkDeliveredDate |
stkDocType |
stkDocumentID |
stkDueDate |
stkEndDateTime |
stkFilename |
stkFrom |
stkItemType |
stkLabel |
stkLibrary |
stkLibraryId |
stkModified |
stkNamedFldByte |
stkNamedFldDate |
stkNamedFldSDWord |
stkNamedFldSWord |
stkNamedFldText |
stkNamedFldUDWord |
stkNamedFldUWord |
stkNamedFldWrdStr |
stkOfficialVersion |
stkOpenCnt |
stkPhone |
stkPlace |
stkRecipientsCnt |
stkRepliedCnt |
stkRetrievedBy |
stkRetrievedDate |
stkSize |
stkSource |
stkSubject |
stkSubType |
stkTaskCategory |
stkTaskPriority |
stkTo |
stkTransferCnt |
stkUndeliveredCnt |
stkVersion |
stkVersionCreator |
stkVersionDate |
stkVersionDescription |
stkViewName |
SortFieldName String
SortOrder eSortOrder
         Specifies the sort order.

Value | Description
stoAscending |
stoDescending |
UserID String
Col00 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName00 String
ColWidth00 Integer
Col01 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName01 String
ColWidth01 Integer
Col02 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName02 String
ColWidth02 Integer
Col03 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName03 String
ColWidth03 Integer
Col04 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName04 String
ColWidth04 Integer
Col05 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName05 String
ColWidth05 Integer
Col06 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName06 String
ColWidth06 Integer
Col07 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName07 String
ColWidth07 Integer
Col08 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName08 String
ColWidth08 Integer
Col09 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName09 String
ColWidth09 Integer
Remarks
None.


Method DisplaySettingsSetEx

Advansys Formativ 1.6 | Language Reference
DisplaySettingsSetEx Method |
Parent |

Description
Customizes the display appearance of folder contents in the GroupWise client. It is also possible to create named display settings with DisplaySettingsSetEx.
Syntax
GroupWise.DisplaySettingsSetEx(FolderName String, SettingsName String, SettingsDesc String, VewMode eViewMode, ItemSourceIncoming Boolean, ItemSourceOutgoing Boolean, ItemSourcePersonal Boolean, ItemSourceDraft Boolean, ItemTypeAppointment Boolean, ItemTypeDoc Boolean, ItemTypeDocument Boolean, ItemTypeMail Boolean, ItemTypeNote Boolean, ItemTypePhone Boolean, ItemTypeTask Boolean, SortKey eSortKey, SortFieldName String, SortOrder eSortOrder, UserID String, Col00 eColField, ColName00 String, ColWidth00 Integer, Col01 eColField, ColName01 String, ColWidth01 Integer, Col02 eColField, ColName02 String, ColWidth02 Integer, Col03 eColField, ColName03 String, ColWidth03 Integer, Col04 eColField, ColName04 String, ColWidth04 Integer)

Parameter Useage:

FolderName String
SettingsName String
SettingsDesc String
VewMode eViewMode
         Specifies the view mode.

Value | Description
vvmCalendar |
vvmConversion |
vvmDetails |
ItemSourceIncoming Boolean
ItemSourceOutgoing Boolean
ItemSourcePersonal Boolean
ItemSourceDraft Boolean
ItemTypeAppointment Boolean
ItemTypeDoc Boolean
ItemTypeDocument Boolean
ItemTypeMail Boolean
ItemTypeNote Boolean
ItemTypePhone Boolean
ItemTypeTask Boolean
SortKey eSortKey
         Specifies the possible values for the sort key.

Value | Description
stkAcceptedCnt |
stkAssignedDate |
stkAuthor |
stkAuthority |
stkBC |
stkBeginDateTime |
stkCC |
stkCaller |
stkCompany |
stkCompletedCnt |
stkCopyType |
stkCreateDate |
stkCreator |
stkCurrentVersion |
stkDate |
stkDeletedCnt |
stkDeliveredDate |
stkDocType |
stkDocumentID |
stkDueDate |
stkEndDateTime |
stkFilename |
stkFrom |
stkItemType |
stkLabel |
stkLibrary |
stkLibraryId |
stkModified |
stkNamedFldByte |
stkNamedFldDate |
stkNamedFldSDWord |
stkNamedFldSWord |
stkNamedFldText |
stkNamedFldUDWord |
stkNamedFldUWord |
stkNamedFldWrdStr |
stkOfficialVersion |
stkOpenCnt |
stkPhone |
stkPlace |
stkRecipientsCnt |
stkRepliedCnt |
stkRetrievedBy |
stkRetrievedDate |
stkSize |
stkSource |
stkSubject |
stkSubType |
stkTaskCategory |
stkTaskPriority |
stkTo |
stkTransferCnt |
stkUndeliveredCnt |
stkVersion |
stkVersionCreator |
stkVersionDate |
stkVersionDescription |
stkViewName |
SortFieldName String
SortOrder eSortOrder
         Specifies the sort order.

Value | Description
stoAscending |
stoDescending |
UserID String
Col00 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName00 String
ColWidth00 Integer
Col01 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName01 String
ColWidth01 Integer
Col02 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName02 String
ColWidth02 Integer
Col03 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName03 String
ColWidth03 Integer
Col04 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
ColName04 String
ColWidth04 Integer
Remarks
Only available in GroupWise 5.5 and later.


Method DisplaySettingsSetTemp

Advansys Formativ 1.6 | Language Reference
DisplaySettingsSetTemp Method |
Parent |

Description
Changes display settings temporarily for selected folder.
Syntax
GroupWise.DisplaySettingsSetTemp(SettingsName String, FolderName String)

Parameter Useage:

SettingsName String
FolderName String
Remarks
Only available in GroupWise 5.5 and later.


Method DmDisplayErrors

Advansys Formativ 1.6 | Language Reference
DmDisplayErrors Method |
Parent |

Description
Displays DmDisplay errors.
Syntax
GroupWise.DmDisplayErrors(ErrorDisplayState Boolean, FolderName String)

Parameter Useage:

ErrorDisplayState Boolean
FolderName String
Remarks
Only available in GroupWise 5.5 and later.


Method DocumentCheckInDlg

Advansys Formativ 1.6 | Language Reference
DocumentCheckInDlg Method |
Parent |

Description
 | Displays the Document Check-in dialog box.
Syntax
 | GroupWise.DocumentCheckInDlg()
Remarks
 | None.


Method DocumentCheckOutDlg

Advansys Formativ 1.6 | Language Reference
DocumentCheckOutDlg Method |
Parent |

Description
 | Displays the Document Check-out dialog box which lists any document references selected in the GroupWise client.
Syntax
 | GroupWise.DocumentCheckOutDlg()
Remarks
 | None.


Method DocumentEndRetrieve

Advansys Formativ 1.6 | Language Reference
DocumentEndRetrieve Method |
Parent |

Description
 | Returns a document being edited to the GroupWise library and updates the profile and version information associated with the document.
Syntax
 | GroupWise.DocumentEndRetrieve()
Remarks
 | None.


Method DocumentImportDlg

Advansys Formativ 1.6 | Language Reference
DocumentImportDlg Method |
Parent |

Description
 | Runs the Wizard to import new documents into the GroupWise library.
Syntax
 | GroupWise.DocumentImportDlg()
Remarks
 | None.


Method DocumentMassOperationDlg

Advansys Formativ 1.6 | Language Reference
DocumentMassOperationDlg Method |
Parent |

Description
 | Performs operations on multiple documents at once. Version: GroupWise 5.5 or later.
Syntax
 | GroupWise.DocumentMassOperationDlg()
Remarks
 | None.


Method DocumentNewVersion

Advansys Formativ 1.6 | Language Reference
DocumentNewVersion Method |
Parent |

Description
Creates a new version of the document identified by the Document Number in DocIDStr. Depending on the value of Method; the user may be prompted for a new document version description.
Syntax
GroupWise.DocumentNewVersion(DocID String, Method eDocNewMethod) : String

Parameter Useage:

DocID String
Method eDocNewMethod
         Constants which specify the method for a new document version.

Value | Description
dnmInteractive | Asks for folder to create reference and Version Desc dialog box.
dnmNonInteractive |
Remarks
None.


Method DocumentNewVersionDlg

Advansys Formativ 1.6 | Language Reference
DocumentNewVersionDlg Method |
Parent |

Description
 | Displays a dialog to create a new version of a document.
Syntax
 | GroupWise.DocumentNewVersionDlg()
Remarks
 | None.


Method DocumentReplace

Advansys Formativ 1.6 | Language Reference
DocumentReplace Method |
Parent |

Description
Replaces the document in the document library specified by the DocIDStr with the document specified with the filename.
Syntax
GroupWise.DocumentReplace(DocID String, Filename String)

Parameter Useage:

DocID String
Filename String
Remarks
Only available in GroupWise 5.5 and later.


Method DocumentReplaceDlg

Advansys Formativ 1.6 | Language Reference
DocumentReplaceDlg Method |
Parent |

Description
 | Displays the Replace Document Version With Backup dialog box.
Syntax
 | GroupWise.DocumentReplaceDlg()
Remarks
 | Only available in GroupWise 5.5 and later.


Method DocumentSetInUseDlg

Advansys Formativ 1.6 | Language Reference
DocumentSetInUseDlg Method |
Parent |

Description
 | Displays the Reset Document Status dialog which allows a user to specify documents to be marked as In Use in the GroupWise library.
Syntax
 | GroupWise.DocumentSetInUseDlg()
Remarks
 | None.


Method DocumentVersionList

Advansys Formativ 1.6 | Language Reference
DocumentVersionList Method |
Parent |

Description
 | Lists a versions of the currently selected document.
Syntax
 | GroupWise.DocumentVersionList()
Remarks
 | None.


Method EchoDocument

Advansys Formativ 1.6 | Language Reference
EchoDocument Method |
Parent |

Description
Echoes the document
Syntax
GroupWise.EchoDocument(DocID String)

Parameter Useage:

DocID String
         In the form Domain.PostOffice.Library:Doc#.Ver#.
Remarks
Only available in GroupWise 5.5 and later.


Method EditAttachmentToolbarDlg

Advansys Formativ 1.6 | Language Reference
EditAttachmentToolbarDlg Method |
Parent |

Description
 | Adds, moves, or deletes buttons from the current Attachment Toolbar.
Syntax
 | GroupWise.EditAttachmentToolbarDlg()
Remarks
 | Only available in GroupWise 5.5 and later.


Method EditCopy

Advansys Formativ 1.6 | Language Reference
EditCopy Method |
Parent |

Description
 | Copies selected text to the Clipboard, replacing existing Clipboard text.
Syntax
 | GroupWise.EditCopy()
Remarks
 | None.


Method EditCut

Advansys Formativ 1.6 | Language Reference
EditCut Method |
Parent |

Description
 | Removes selected text and copies to the Clipboard, replacing existing Clipboard text.
Syntax
 | GroupWise.EditCut()
Remarks
 | None.


Method EditPaste

Advansys Formativ 1.6 | Language Reference
EditPaste Method |
Parent |

Description
 | Inserts Clipboard text at the insertion point.
Syntax
 | GroupWise.EditPaste()
Remarks
 | None.


Method EditSettingsSelect

Advansys Formativ 1.6 | Language Reference
EditSettingsSelect Method |
Parent |

Description
 | Edit display settings for the current folder.
Syntax
 | GroupWise.EditSettingsSelect()
Remarks
 | Only available in GroupWise 5.5 and later.


Method EditToolbarDlg

Advansys Formativ 1.6 | Language Reference
EditToolbarDlg Method |
Parent |

Description
 | Displays the edit toolbar dialog.
Syntax
 | GroupWise.EditToolbarDlg()
Remarks
 | Only available in GroupWise 5.5 and later.


Method EmptySelectedItems

Advansys Formativ 1.6 | Language Reference
EmptySelectedItems Method |
Parent |

Description
 | Removes selected items from Trash and erases them from the post office database.
Syntax
 | GroupWise.EmptySelectedItems()
Remarks
 | None.


Method EmptyTrash

Advansys Formativ 1.6 | Language Reference
EmptyTrash Method |
Parent |

Description
 | Removes all items from Trash and erases them from the post office database.
Syntax
 | GroupWise.EmptyTrash()
Remarks
 | None.


Method EnableAllCommands

Advansys Formativ 1.6 | Language Reference
EnableAllCommands Method |
Parent |

Description
 | EnableAllCommands is a convenient method to reenable all GroupWise commands which have been disabled by the DisableCommand. See also the EnableCommand and DisableCommand.
Syntax
 | GroupWise.EnableAllCommands()
Remarks
 | None.


Method EnableCommand

Advansys Formativ 1.6 | Language Reference
EnableCommand Method |
Parent |

Description
EnableCommand is the reverse of DisableCommand. A GroupWise command can be reenabled within the GroupWise client. The command to be enabled is specified by a valid GroupWise Token ID passed in as the ID parameter.
Syntax
GroupWise.EnableCommand(ID Integer)

Parameter Useage:

ID Integer
Remarks
None.


Method EndPreviewVersion

Advansys Formativ 1.6 | Language Reference
EndPreviewVersion Method |
Parent |

Description
Deletes the staged copy of the document specified by DocIDStr.
Syntax
GroupWise.EndPreviewVersion(DocID String, PathFile String)

Parameter Useage:

DocID String |
PathFile String | In the form Domain.PostOffice.Library:Doc#.Ver#.
Remarks
None.


Method Enter

Advansys Formativ 1.6 | Language Reference
Enter Method |
Parent |

Description
 | Inserts a hard return at the insertion point, or opens a selected item.
Syntax
 | GroupWise.Enter()
Remarks
 | None.


Method EnumSelect

Advansys Formativ 1.6 | Language Reference
EnumSelect Method |
Parent |

Description
Selects an enumeration from a user-defined control such as a pop-up button.
Syntax
GroupWise.EnumSelect(Text String, ControlName String)

Parameter Useage:

Text String | Enumeration to select, such as a list item on a pop-up button control.
ControlName String | Name of a user-defined control. For example, open GroupWise View Designer and create a pop-up button control. Then choose Edit | Item Properties. Type the ControlName in the List Name edit
Remarks
None.


Method EnvCheckCurrentWindow

Advansys Formativ 1.6 | Language Reference
EnvCheckCurrentWindow Method |
Parent |

Description
Returns True if the current window type matches a specified window type; False, if not.
Syntax
GroupWise.EnvCheckCurrentWindow(WindowType eWindowType) : Boolean

Parameter Useage:

WindowType eWindowType
         Constants which specify the window type.

Value | Description
ewtAppointmentMessage |
ewtAttachmentView |
ewtBrowser |
ewtCalendar |
ewtInbox |
ewtInfo |
ewtItemView |
ewtMailMessage |
ewtMainWindow |
ewtModelessDialog |
ewtNoteMessage |
ewtOutbox |
ewtPhoneMessage |
ewtTaskMessage |
ewtTrash |
Remarks
None.


Method EnvClearChangedFlag

Advansys Formativ 1.6 | Language Reference
EnvClearChangedFlag Method |
Parent |

Description
 | Resets the view-has-been-modified flag on all view controls to zero, which disables the "Do you want to save your changes?" dialog when closing the view. Version: GroupWise 5.2 and later.
Syntax
 | GroupWise.EnvClearChangedFlag()
Remarks
 | None.


Method EnvClipboardText

Advansys Formativ 1.6 | Language Reference
EnvClipboardText Method |
Parent |

Description
 | Returns the contents (text) of the clipboard.
Syntax
 | GroupWise.EnvClipboardText() : String
Remarks
 | None.


Method EnvCommandLine

Advansys Formativ 1.6 | Language Reference
EnvCommandLine Method |
Parent |

Description
 | Returns the command line string passed to GroupWise at startup.
Syntax
 | GroupWise.EnvCommandLine() : String
Remarks
 | None.


Method EnvCurrentViewName

Advansys Formativ 1.6 | Language Reference
EnvCurrentViewName Method |
Parent |

Description
 | Returns the name of the active view.
Syntax
 | GroupWise.EnvCurrentViewName() : String
Remarks
 | None.


Method EnvDefaultConnectionName

Advansys Formativ 1.6 | Language Reference
EnvDefaultConnectionName Method |
Parent |

Description
 | Returns the name of the default connection, which is a collection of settings used to hook up to the master mailbox that includes IP address and port for TCP/IP connections, etc.
Syntax
 | GroupWise.EnvDefaultConnectionName() : String
Remarks
 | None.


Method EnvDocumentGetIntegrations

Advansys Formativ 1.6 | Language Reference
EnvDocumentGetIntegrations Method |
Parent |

Description
 | Determines if Document Management Integrations is enabled.
Syntax
 | GroupWise.EnvDocumentGetIntegrations() : Boolean
Remarks
 | None.


Method EnvEditorStyle

Advansys Formativ 1.6 | Language Reference
EnvEditorStyle Method |
Parent |

Description
 | Determines if HTMLview editor is enabled.
Syntax
 | GroupWise.EnvEditorStyle() : Integer
Remarks
 | None.


Method EnvGetNumLibraries

Advansys Formativ 1.6 | Language Reference
EnvGetNumLibraries Method |
Parent |

Description
 | Returns the number of GroupWise libraries on the users post office.
Syntax
 | GroupWise.EnvGetNumLibraries() : Integer
Remarks
 | None.


Method EnvGetProfileField

Advansys Formativ 1.6 | Language Reference
EnvGetProfileField Method |
Parent |

Description
Returns the value of the field specified by FieldID in the document profile for the document specified by the Document Number in DocIDStr.
Syntax
GroupWise.EnvGetProfileField(DocID String, FieldID eDocProfileField) : String

Parameter Useage:

DocID String
FieldID eDocProfileField
         Specifies the document profile field required.

Value | Description
prfAuthor |
prfDocumentExtension | Returns the Document Extension of the filename.
prfDocumentType |
prfSubject |
Remarks
None.


Method EnvIsCommandValid

Advansys Formativ 1.6 | Language Reference
EnvIsCommandValid Method |
Parent |

Description
Checks to see if command is valid. Version: GroupWise 4.1a or later.
Syntax
GroupWise.EnvIsCommandValid(Command Integer) : Boolean

Parameter Useage:

Command Integer
Remarks
None.


Method EnvIsNetworkUser

Advansys Formativ 1.6 | Language Reference
EnvIsNetworkUser Method |
Parent |

Description
 | Returns True if the current user is logged into the network; False, if not. This command detects whether the /la startup option is used.
Syntax
 | GroupWise.EnvIsNetworkUser() : Boolean
Remarks
 | None.


Method EnvIsRemote

Advansys Formativ 1.6 | Language Reference
EnvIsRemote Method |
Parent |

Description
 | Returns True if GroupWise is running as a remote client; False, if not.
Syntax
 | GroupWise.EnvIsRemote() : Boolean
Remarks
 | None.


Method EnvIsRemoteConnectionActive

Advansys Formativ 1.6 | Language Reference
EnvIsRemoteConnectionActive Method |
Parent |

Description
 | Returns True if the remote connection is active; False, if not.
Syntax
 | GroupWise.EnvIsRemoteConnectionActive() : Boolean
Remarks
 | None.


Method EnvIsRemoteConnectionFinished

Advansys Formativ 1.6 | Language Reference
EnvIsRemoteConnectionFinished Method |
Parent |

Description
 | Returns True if the updating of the remote mailbox is complete and there are no outstanding remote requests. False if not.
Syntax
 | GroupWise.EnvIsRemoteConnectionFinished() : Boolean
Remarks
 | None.


Method EnvIsRemoteConnectionNeeded

Advansys Formativ 1.6 | Language Reference
EnvIsRemoteConnectionNeeded Method |
Parent |

Description
 | Returns True if a remote connection is needed; False, if not. A connection is needed when items are in the Pending Requests to Master Mailbox dialog box.
Syntax
 | GroupWise.EnvIsRemoteConnectionNeeded() : Boolean
Remarks
 | None.


Method EnvLastCmdResult

Advansys Formativ 1.6 | Language Reference
EnvLastCmdResult Method |
Parent |

Description
 | Returns the value returned by the last DDE-issued command.
Syntax
 | GroupWise.EnvLastCmdResult() : String
Remarks
 | None.


Method EnvLastError

Advansys Formativ 1.6 | Language Reference
EnvLastError Method |
Parent |

Description
 | Returns information about an error condition that causes a DDE or other transaction to fail.
Syntax
 | GroupWise.EnvLastError() : String
Remarks
 | None.


Method EnvLastWindowCanceled

Advansys Formativ 1.6 | Language Reference
EnvLastWindowCanceled Method |
Parent |

Description
 | Returns True if the last displayed window was canceled; False, if not.
Syntax
 | GroupWise.EnvLastWindowCanceled() : Boolean
Remarks
 | None.


Method EnvNetworkLoginID

Advansys Formativ 1.6 | Language Reference
EnvNetworkLoginID Method |
Parent |

Description
 | Returns the network login ID of the current user.
Syntax
 | GroupWise.EnvNetworkLoginID() : String
Remarks
 | None.


Method EnvPrefArchivePath

Advansys Formativ 1.6 | Language Reference
EnvPrefArchivePath Method |
Parent |

Description
 | Returns the default path of archive database files.
Syntax
 | GroupWise.EnvPrefArchivePath() : String
Remarks
 | None.


Method EnvPrefCustomViewPath

Advansys Formativ 1.6 | Language Reference
EnvPrefCustomViewPath Method |
Parent |

Description
 | Returns the default path of custom view files.
Syntax
 | GroupWise.EnvPrefCustomViewPath() : String
Remarks
 | None.


Method EnvPrefFullName

Advansys Formativ 1.6 | Language Reference
EnvPrefFullName Method |
Parent |

Description
 | Returns a users full name.
Syntax
 | GroupWise.EnvPrefFullName() : String
Remarks
 | None.


Method EnvPrefPostOfficePath

Advansys Formativ 1.6 | Language Reference
EnvPrefPostOfficePath Method |
Parent |

Description
 | Returns the default post office path.
Syntax
 | GroupWise.EnvPrefPostOfficePath() : String
Remarks
 | None.


Method EnvPrefSavePath

Advansys Formativ 1.6 | Language Reference
EnvPrefSavePath Method |
Parent |

Description
 | Returns the default path for item (*.MLM) files and attachments.
Syntax
 | GroupWise.EnvPrefSavePath() : String
Remarks
 | None.


Method EnvSentMessageID

Advansys Formativ 1.6 | Language Reference
EnvSentMessageID Method |
Parent |

Description
Returns actual messageID of a new message created by the Sendxxx() commands.
Syntax
GroupWise.EnvSentMessageID(IDFromToken Integer, RemoveFromQueue Boolean) : String

Parameter Useage:

IDFromToken Integer
RemoveFromQueue Boolean
Remarks
Only available in GroupWise 5.5 and later.


Method EnvTextCurrentCharIndex

Advansys Formativ 1.6 | Language Reference
EnvTextCurrentCharIndex Method |
Parent |

Description
 | Returns the position of the cursor in the current message.
Syntax
 | GroupWise.EnvTextCurrentCharIndex() : Integer
Remarks
 | None.


Method EnvTextCurrentLineIndex

Advansys Formativ 1.6 | Language Reference
EnvTextCurrentLineIndex Method |
Parent |

Description
 | Identifies the current curser location by line number.
Syntax
 | GroupWise.EnvTextCurrentLineIndex() : Integer
Remarks
 | None.


Method EnvTextCurrentWord

Advansys Formativ 1.6 | Language Reference
EnvTextCurrentWord Method |
Parent |

Description
 | Returns the word at the current cursor position.
Syntax
 | GroupWise.EnvTextCurrentWord() : String
Remarks
 | None.


Method EnvTextInsertMode

Advansys Formativ 1.6 | Language Reference
EnvTextInsertMode Method |
Parent |

Description
 | Detects the insert mode of editor.
Syntax
 | GroupWise.EnvTextInsertMode() : Boolean
Remarks
 | None.


Method EnvTextLeftChar

Advansys Formativ 1.6 | Language Reference
EnvTextLeftChar Method |
Parent |

Description
 | Returns the character to the left of the cursor in the message window.
Syntax
 | GroupWise.EnvTextLeftChar() : String
Remarks
 | None.


Method EnvTextLineCharCount

Advansys Formativ 1.6 | Language Reference
EnvTextLineCharCount Method |
Parent |

Description
Returns a number of characters on the current line in the message window.
Syntax
GroupWise.EnvTextLineCharCount(Index Integer) : Integer

Parameter Useage:

Index Integer
Remarks
None.


Method EnvTextLineCount

Advansys Formativ 1.6 | Language Reference
EnvTextLineCount Method |
Parent |

Description
 | Returns the number of lines in a current message box (must have input focus); 1, if empty.
Syntax
 | GroupWise.EnvTextLineCount() : Integer
Remarks
 | None.


Method EnvTextRightChar

Advansys Formativ 1.6 | Language Reference
EnvTextRightChar Method |
Parent |

Description
 | Returns the character to the right of the cursor in the message window.
Syntax
 | GroupWise.EnvTextRightChar() : String
Remarks
 | None.


Method EnvUserID

Advansys Formativ 1.6 | Language Reference
EnvUserID Method |
Parent |

Description
 | Returns the current user ID.
Syntax
 | GroupWise.EnvUserID() : String
Remarks
 | None.


Method EnvVersionDate

Advansys Formativ 1.6 | Language Reference
EnvVersionDate Method |
Parent |

Description
 | Returns the GroupWise version date in form: MM/DD/YY.
Syntax
 | GroupWise.EnvVersionDate() : String
Remarks
 | None.


Method EnvVersionName

Advansys Formativ 1.6 | Language Reference
EnvVersionName Method |
Parent |

Description
 | Returns the GroupWise version name.
Syntax
 | GroupWise.EnvVersionName() : String
Remarks
 | Only available in GroupWise 5.5 and later.


Method EventNoticeRegister

Advansys Formativ 1.6 | Language Reference
EventNoticeRegister Method |
Parent |

Description
Registers interest in a GroupWise event.
Syntax
GroupWise.EventNoticeRegister(DLLPath String, FunctionNamer String, RegID Integer, Flags eEventRegFlags) : Integer

Parameter Useage:

DLLPath String
         Text. Fully qualified filename to a dll/exe containing the function to call when an event occurs.
FunctionNamer String
         Text. Name of the exported function to call.
RegID Integer
         A 32-bit ID value that will be passed to the function specified in DLLPath and FunctionName. This provides some flexibility since a pointer or handle can be passed to the memory where the function is
Flags eEventRegFlags
         The events for which you want notificiation.

Value | Description
erfEVT_GROUPWISE_SEND_ITEM |
erfEVT_GROUPWISE_CANCEL_ITEM |
erfEVT_GROUPWISE_CLOSE_ITEM |
erfEVT_GROUPWISE_PACKAGING_ITEM |
erfEVT_GROUPWISE_PACKAGING_ITEM_CANCELED |
erfEVT_GROUPWISE_SEND_ITEM_COMPLETED |
Remarks
Only available in GroupWise 5.5 and later.


Method EventNoticeUnregister

Advansys Formativ 1.6 | Language Reference
EventNoticeUnregister Method |
Parent |

Description
Unregisters a previous call to EventNoticRegister.
Syntax
GroupWise.EventNoticeUnregister(Handle Integer)

Parameter Useage:

Handle Integer
Remarks
None.


Method EventNotify

Advansys Formativ 1.6 | Language Reference
EventNotify Method |
Parent |

Description
Signals a third-party DLL when certain events happen. The method that this token calls can only be loaded from a DLL.
Syntax
GroupWise.EventNotify(AppEvent eAppEvent, Command String)

Parameter Useage:

AppEvent eAppEvent
         Specifies the application event.

Value | Description
aevAppInitialized | Indicates GroupWise is loaded and running. The command string is set to GROUPWISE: App Initialized.
aevContextMenu | Indicates context-sensitive QuickMenu display on right click. The command string contains an ANSISTRING menu identifier representation and the menu handle, both space delimited.
Command String
         If AppEvent equals AppInitialized, then command equals WPOF: App Initialized. If AppEvent equals ContextMenu, then command is a string representation of the decimal ID (MENU_ID) followed by a space a
Remarks
None.


Method ExpandFolders

Advansys Formativ 1.6 | Language Reference
ExpandFolders Method |
Parent |

Description
 | Expands the currently selected folder. GroupWise 6.5 and later.
Syntax
 | GroupWise.ExpandFolders()
Remarks
 | None.


Method ExpandThread

Advansys Formativ 1.6 | Language Reference
ExpandThread Method |
Parent |

Description
 | Expands a thread.
Syntax
 | GroupWise.ExpandThread()
Remarks
 | None.


Method FilterApply

Advansys Formativ 1.6 | Language Reference
FilterApply Method |
Parent |

Description
Applies a filter to a specified list or control.
Syntax
GroupWise.FilterApply(FilterHandleType eFilterHandleType, ApplyTo eFilterApplyTo, ControlName String)

Parameter Useage:

FilterHandleType eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
ApplyTo eFilterApplyTo
         Specifies the control list type.

Value | Description
fatAppointmentList | Apply to calendar views.
fatItemList | Apply to Mailbox, Sent Items, or Trash views.
fatNoteList | Apply to calendar views.
fatSelectedControl | Apply to all item views.
fatTaskList | Apply to calendar views.
fatView |
fatWeekControl | Apply to a Week Calendar view.
ControlName String
         Name of user-defined control.
Remarks
None.


Method FilterCategory

Advansys Formativ 1.6 | Language Reference
FilterCategory Method |
Parent |

Description
Filters the current list of messages by category. GroupWise 6.5 and later.
Syntax
GroupWise.FilterCategory(FilterAction eFilterActions, CategoryName String)

Parameter Useage:

FilterAction eFilterActions

Value | Description
faClear |
faSet |
faPrompt |
CategoryName String
Remarks
None.


Method FilterClear

Advansys Formativ 1.6 | Language Reference
FilterClear Method |
Parent |

Description
 | Clears the contents of a filter.
Syntax
 | GroupWise.FilterClear()
Remarks
 | None.


Method FilterCreate

Advansys Formativ 1.6 | Language Reference
FilterCreate Method |
Parent |

Description
Creates a new filter.
Syntax
GroupWise.FilterCreate(FilterType eFilterType, DefaultFilter Boolean) : Integer

Parameter Useage:

FilterType eFilterType
         Specifies the filter type.

Value | Description
fttCalendar |
fttEmpty |
fttInbox |
fttOutbox |
DefaultFilter Boolean
Remarks
None.


Method FilterDelete

Advansys Formativ 1.6 | Language Reference
FilterDelete Method |
Parent |

Description
Deletes a filter handle from memory.
Syntax
GroupWise.FilterDelete(FilterHandleType eFilterHandleType)

Parameter Useage:

FilterHandleType eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
Remarks
None.


Method FilterDlg

Advansys Formativ 1.6 | Language Reference
FilterDlg Method |
Parent |

Description
 | Displays the Filter, Filter Mailbox, or Filter Sent Items dialog box, depending on the view displayed.
Syntax
 | GroupWise.FilterDlg()
Remarks
 | None.


Method FilterGroupBegin

Advansys Formativ 1.6 | Language Reference
FilterGroupBegin Method |
Parent |

Description
Encapsulates a set of filter comparison operations to be evaluated together as a group, when paired with FilterGroupEnd(). Call FilterGroupMarker() to identify the group, then call FilterGroupBegin to start a group. Call the desired filter commands to build up the group, and then call FilterGroupEnd to terminate the group.
Syntax
GroupWise.FilterGroupBegin(FilterHandleType eFilterHandleType, FilterOperator eBooleanOperator)

Parameter Useage:

FilterHandleType eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FilterOperator eBooleanOperator
         Specifies the boolean operator.

Value | Description
bopAnd |
bopOr |
Remarks
None.


Method FilterGroupEnd

Advansys Formativ 1.6 | Language Reference
FilterGroupEnd Method |
Parent |

Description
Encapsulates a set of filter comparison operations to be evaluated together as a group, when paired with FilterGroupBegin(). Call FilterGroupMarker() to identify the group, then call FilterGroupBegin to start a group. Call the desired filter commands to build up the group, and then call FilterGroupEnd to terminate the group.
Syntax
GroupWise.FilterGroupEnd(FilterHandle eFilterHandleType)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
Remarks
None.


Method FilterGroupMarker

Advansys Formativ 1.6 | Language Reference
FilterGroupMarker Method |
Parent |

Description
Inserts a marker in a filter expression that indicates a grouped set of expressions follows. Call FilterGroupMarker to identify the group, then call FilterGroupBegin() to start a group. Call the desired filter tokens to build up the group, and then call FilterGroupEnd() to terminate the group.
Syntax
GroupWise.FilterGroupMarker(FilterHandle eFilterHandleType, FilterOperator eBooleanOperator)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FilterOperator eBooleanOperator
         Specifies the boolean operator.

Value | Description
bopAnd |
bopOr |
Remarks
None.


Method FilterMenuMore

Advansys Formativ 1.6 | Language Reference
FilterMenuMore Method |
Parent |

Description
 | Displays a list of all saved filters.
Syntax
 | GroupWise.FilterMenuMore()
Remarks
 | Only available in GroupWise 5.5 and later.


Method FilterReset

Advansys Formativ 1.6 | Language Reference
FilterReset Method |
Parent |

Description
 | Selects all the items in the filter results list.
Syntax
 | GroupWise.FilterReset()
Remarks
 | None.


Method FilterSetAttachmentClass

Advansys Formativ 1.6 | Language Reference
FilterSetAttachmentClass Method |
Parent |

Description
Filters items according to the contents of the Attach list box.
Syntax
GroupWise.FilterSetAttachmentClass(FilterHandle eFilterHandleType, AttachmentClass eAttachClassType, BitOn eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
AttachmentClass eAttachClassType
         Specifies the attachment type.

Value | Description
actAttachClassFile |
actAttachClassMessage |
actAttachClassMovie |
actAttachClassOLE |
actAttachClassSound |
BitOn eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetAttribute

Advansys Formativ 1.6 | Language Reference
FilterSetAttribute Method |
Parent |

Description
Filters items by specified attributes.
Syntax
GroupWise.FilterSetAttribute(FilterHandle eFilterHandleType, Attribute eFilterAttribute, IsRequired eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
Attribute eFilterAttribute
         Specifies the item attribute processed by the filter.

Value | Description
fsaAccepted |
fsaArchived |
fsaAutodated |
fsaCompleted |
fsaCustomView |
fsaDelegated |
fsaOpened |
fsaPersonal |
fsaPrivate |
fsaRead |
fsaReplyRequested |
fsaReturnReceiptRequested |
fsaRouted |
IsRequired eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetByte

Advansys Formativ 1.6 | Language Reference
FilterSetByte Method |
Parent |

Description
Filters items which have the user-defined field FieldName associated with it, based on the FieldOperator and ByteValue specified.
Syntax
GroupWise.FilterSetByte(FilterHandle eFilterHandleType, FieldName String, FieldOperator eFieldOperator, ByteValue Integer, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FieldName String
FieldOperator eFieldOperator
         Specifies possible values for the Field Operator.

Value | Description
fopDontCare |
fopEqual |
fopGT |
fopGTE |
fopLT |
fopLTE |
fopNotEqual |
ByteValue Integer
UserID String
Remarks
None.


Method FilterSetDate

Advansys Formativ 1.6 | Language Reference
FilterSetDate Method |
Parent |

Description
Filters items based on the item date attribute specified by FilterDateType, the date value specified by Date, and the operation specified by Operation. Optionally, the filter can specify a user-defined field with type Date by setting the optional FieldName parameter. In this case the filter uses this field with Date and Operation to filter for items.
Syntax
GroupWise.FilterSetDate(FilterHandle eFilterHandleType, FilterDateType eFilterDateType, FieldName String, UserID String, Operation eOperation, Date eDate, DateOffset Integer)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FilterDateType eFilterDateType
         Specifies the possible item date parameters for the date filter.

Value | Description
fdtAssignedDate |
fdtBeginDateTime |
fdtCreateDate |
fdtDeliveredDate |
fdtDueDate |
fdtEndDateTime |
fdtNamedField |
FieldName String
UserID String
Operation eOperation
         Specifies the possible operators.

Value | Description
opnEqual |
opnGT |
opnGTE |
opnLT |
opnLTE |
Date eDate
         Specifies the possible date values.

Value | Description
datMonth |
datToday |
datTomorrow |
datWeek |
datYear |
datYesterday |
DateOffset Integer
Remarks
None.


Method FilterSetDateAbsolute

Advansys Formativ 1.6 | Language Reference
FilterSetDateAbsolute Method |
Parent |

Description
Filters items according to an absolute date or date range.
Syntax
GroupWise.FilterSetDateAbsolute(FilterHandle eFilterHandleType, FilterDateType eFilterDateAbsolute, FieldName String, UserID String, Operation eOperation, DayOfMonth Integer, Month Integer, Year Integer)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FilterDateType eFilterDateAbsolute
         Specifies the possible date values.

Value | Description
fdaAssignedDate |
fdaBeginDateTime |
fdaCreateDate |
fdaDeliveredDate |
fdaDueDate |
fdaEndDateTime |
fdaNamedField |
FieldName String
UserID String
Operation eOperation
         Specifies the possible operators.

Value | Description
opnEqual |
opnGT |
opnGTE |
opnLT |
opnLTE |
DayOfMonth Integer
Month Integer
Year Integer
Remarks
None.


Method FilterSetDWord

Advansys Formativ 1.6 | Language Reference
FilterSetDWord Method |
Parent |

Description
Filters items which have the user-defined field FieldName associated with it based on the FieldOperator and DWord Value specified.
Syntax
GroupWise.FilterSetDWord(FilterHandle eFilterHandleType, FieldName String, FieldOperator eFieldOperator, FieldDWordValue Integer, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FieldName String
FieldOperator eFieldOperator
         Specifies possible values for the Field Operator.

Value | Description
fopDontCare |
fopEqual |
fopGT |
fopGTE |
fopLT |
fopLTE |
fopNotEqual |
FieldDWordValue Integer
UserID String
Remarks
None.


Method FilterSetItemType

Advansys Formativ 1.6 | Language Reference
FilterSetItemType Method |
Parent |

Description
Filters items according to a specified item type.
Syntax
GroupWise.FilterSetItemType(FilterHandle eFilterHandleType, ItemType eItemType, BitOn eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
ItemType eItemType
         Specifies the item type.

Value | Description
itmAppointment |
itmMail |
itmNote |
itmPhone |
itmProfile |
itmSearch |
itmTask |
BitOn eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetPriority

Advansys Formativ 1.6 | Language Reference
FilterSetPriority Method |
Parent |

Description
Filters items according to priority.
Syntax
GroupWise.FilterSetPriority(FilterHandle eFilterHandleType, Priority ePriority, BitOn eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
BitOn eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetSDWord

Advansys Formativ 1.6 | Language Reference
FilterSetSDWord Method |
Parent |

Description
Filters items which have the user-defined field FieldName associated with it based on the FieldOperator and SDWord Value specified.
Syntax
GroupWise.FilterSetSDWord(FilterHandle eFilterHandleType, FieldName String, FieldOperator eFieldOperator, FieldSDWordValue Integer, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FieldName String
FieldOperator eFieldOperator
         Specifies possible values for the Field Operator.

Value | Description
fopDontCare |
fopEqual |
fopGT |
fopGTE |
fopLT |
fopLTE |
fopNotEqual |
FieldSDWordValue Integer
UserID String
Remarks
None.


Method FilterSetSource

Advansys Formativ 1.6 | Language Reference
FilterSetSource Method |
Parent |

Description
Filters items according to their source. You must specify a source if ItemCreate created an empty filter.
Syntax
GroupWise.FilterSetSource(FilterHandle eFilterHandleType, BoxType eBoxType, BitOn eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
BoxType eBoxType
         Specifies item source.

Value | Description
bxtInbox |
bxtOutbox |
bxtPersonal |
BitOn eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetSWord

Advansys Formativ 1.6 | Language Reference
FilterSetSWord Method |
Parent |

Description
FilterSetSWord( ) filters items which have the user-defined field FieldName associated with it based, on the FieldOperator and SWord Value specified.
Syntax
GroupWise.FilterSetSWord(FilterHandle eFilterHandleType, FieldName String, FieldOperator eFieldOperator, FieldSWWordValue Integer, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FieldName String
FieldOperator eFieldOperator
         Specifies possible values for the Field Operator.

Value | Description
fopDontCare |
fopEqual |
fopGT |
fopGTE |
fopLT |
fopLTE |
fopNotEqual |
FieldSWWordValue Integer
UserID String
Remarks
None.


Method FilterSetText

Advansys Formativ 1.6 | Language Reference
FilterSetText Method |
Parent |

Description
Filters items according to the text in a text field.
Syntax
GroupWise.FilterSetText(FilterHandle eFilterHandleType, Field eTextField, FieldText String, Match eMatch, FieldName String, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
Field eTextField
         Specifies the possible values for an item text field.

Value | Description
fldAuthor |
fldAuthority |
fldBC |
fldCaller |
fldCC |
fldCompany |
fldCreator |
fldFrom |
fldMessage |
fldNameField |
fldPhone |
fldPlace |
fldSubject |
fldTaskCategory |
fldTaskPriority |
fldTo |
fldViewName |
FieldText String
Match eMatch
         SearchString in relation to the field contents. Position of the text in a character string.

Value | Description
matBeginText | Matches a string from the first character to the length of the search string.
matFullText | Requires an exact match and is case-sensitive.
matSubText | Matches any substrings.
matNotContainText | Matches items which do not contain the specified text.
FieldName String
UserID String
Remarks
None.


Method FilterSetVersionStatus

Advansys Formativ 1.6 | Language Reference
FilterSetVersionStatus Method |
Parent |

Description
Filters for document reference items which have a version status matching the one specified in VersionStatus.
Syntax
GroupWise.FilterSetVersionStatus(FilterHandle eFilterHandleType, VersionStatus eDocVersionStatus, BitOn eBitOn)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
VersionStatus eDocVersionStatus
         Specifies the possible status for a document version.

Value | Description
dvsArchived |
dvsAvailable |
dvsCheckedOut |
dvsInUse |
dvsRemoteInUse |
BitOn eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method FilterSetWord

Advansys Formativ 1.6 | Language Reference
FilterSetWord Method |
Parent |

Description
Filters items which have the user-defined field FieldName associated with it based, on the FieldOperator and Word Value specified.
Syntax
GroupWise.FilterSetWord(FilterHandle eFilterHandleType, FieldName String, FieldOperator eFieldOperator, FieldWordValue Integer, UserID String)

Parameter Useage:

FilterHandle eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
FieldName String
FieldOperator eFieldOperator
         Specifies possible values for the Field Operator.

Value | Description
fopDontCare |
fopEqual |
fopGT |
fopGTE |
fopLT |
fopLTE |
fopNotEqual |
FieldWordValue Integer
UserID String
Remarks
None.


Method Find

Advansys Formativ 1.6 | Language Reference
Find Method |
Parent |

Description
Finds a character string in the From, Subject, or Message edit boxes.
Syntax
GroupWise.Find(FromSearchString String, SubjectSearchString String, MessageSearchString String, SearchDir eFindSearchDir, FromMatch eMatch, SubjectMatch eMatch, MessageMatch eMatch)

Parameter Useage:

FromSearchString String
         From edit box character string.
SubjectSearchString String
         Subject edit box character string.
MessageSearchString String
         Message edit box character string.
SearchDir eFindSearchDir
         Specifies whether to search forward or backward from the insertion point.

Value | Description
fsdForward |
fsBackward |
FromMatch eMatch
         SearchString in relation to the field contents. Position of the text in a character string.

Value | Description
matBeginText | Matches a string from the first character to the length of the search string.
matFullText | Requires an exact match and is case-sensitive.
matSubText | Matches any substrings.
matNotContainText | Matches items which do not contain the specified text.
SubjectMatch eMatch
         SearchString in relation to the field contents. Position of the text in a character string.

Value | Description
matBeginText | Matches a string from the first character to the length of the search string.
matFullText | Requires an exact match and is case-sensitive.
matSubText | Matches any substrings.
matNotContainText | Matches items which do not contain the specified text.
MessageMatch eMatch
         SearchString in relation to the field contents. Position of the text in a character string.

Value | Description
matBeginText | Matches a string from the first character to the length of the search string.
matFullText | Requires an exact match and is case-sensitive.
matSubText | Matches any substrings.
matNotContainText | Matches items which do not contain the specified text.
Remarks
None.


Method FindDlg

Advansys Formativ 1.6 | Language Reference
FindDlg Method |
Parent |

Description
 | Opens the Find dialog box to search the Message edit box of the current view, or displays an error message if the Message edit box does not have the input focus.
Syntax
 | GroupWise.FindDlg()
Remarks
 | None.


Method FindNext

Advansys Formativ 1.6 | Language Reference
FindNext Method |
Parent |

Description
 | Finds the next occurrence of a character string.
Syntax
 | GroupWise.FindNext()
Remarks
 | None.


Method FindPrevious

Advansys Formativ 1.6 | Language Reference
FindPrevious Method |
Parent |

Description
 | Finds the previous occurrence of a character string.
Syntax
 | GroupWise.FindPrevious()
Remarks
 | None.


Method FocusSet

Advansys Formativ 1.6 | Language Reference
FocusSet Method |
Parent |

Description
Gives the input focus to a specified Windows control.
Syntax
GroupWise.FocusSet(Place eControl, ControlName String)

Parameter Useage:

Place eControl
         Specifies the control to receive the input focus.

Value | Description
fcsAcceptBtn |
fcsAddressBtn |
fcsAttachBtn |
fcsAttachments |
fcsAuthority |
fcsBC |
fcsBusyBtn |
fcsCalled |
fcsCaller |
fcsCameToSeeYou |
fcsCancelOrCloseBtn |
fcsCC |
fcsCompany |
fcsControlName |
fcsDayAppt |
fcsDayNote |
fcsDayTask |
fcsDeclineBtn |
fcsDelegateBtn |
fcsDeleteBtn |
fcsFolderList |
fcsForwardBtn |
fcsFrom |
fcsInfoBtn |
fcsItemList |
fcsMessage |
fcsOkBtn |
fcsPhone |
fcsPlace |
fcsPleaseCall |
fcsPrintBtn |
fcsPriority |
fcsReplyBtn |
fcsReturnedYourCall |
fcsSaveBtn |
fcsSecurity |
fcsSendBtn |
fcsSmallMonth |
fcsSubject |
fcsTo |
fcsUrgent |
fcsWantsToSeeYou |
fcsWeekAppt |
fcsWeekNote |
fcsWeekTask |
fcsWillCall |
ControlName String
         Name of a user-defined control.
Remarks
None.


Method FolderContract

Advansys Formativ 1.6 | Language Reference
FolderContract Method |
Parent |

Description
Contracts a specified folder (hides all subfolders).
Syntax
GroupWise.FolderContract(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderContractToOneLevel

Advansys Formativ 1.6 | Language Reference
FolderContractToOneLevel Method |
Parent |

Description
Contracts a specific folder to one level (hides subfolders). There must be two levels of subfolders.
Syntax
GroupWise.FolderContractToOneLevel(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderCreate

Advansys Formativ 1.6 | Language Reference
FolderCreate Method |
Parent |

Description
Creates a new folder.
Syntax
GroupWise.FolderCreate(FolderName String, FolderDesc String, FolderPosition Integer)

Parameter Useage:

FolderName String | Include full folder path.
FolderDesc String |
FolderPosition Integer |
Remarks
None.


Method FolderCreateDlg

Advansys Formativ 1.6 | Language Reference
FolderCreateDlg Method |
Parent |

Description
Displays the folder name dialog box to create a new folder. The command fails if a folder item is selected instead of a folder.
Syntax
GroupWise.FolderCreateDlg(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderDeepMove

Advansys Formativ 1.6 | Language Reference
FolderDeepMove Method |
Parent |

Description
Deletes all links and moves selected items to one or more folders.
Syntax
GroupWise.FolderDeepMove(Folder00 String, Folder01 String, Folder02 String, Folder03 String, Folder04 String, Folder05 String, Folder06 String, Folder07 String, Folder08 String, Folder09 String, Folder10 String, Folder11 String, Folder12 String, Folder13 String, Folder14 String, Folder15 String, Folder16 String, Folder17 String, Folder18 String, Folder19 String)

Parameter Useage:

Folder00 String | Include full folder path.
Folder01 String | Include full folder path. Separate multiple folders with semicolons.
Folder02 String |
Folder03 String |
Folder04 String |
Folder05 String |
Folder06 String |
Folder07 String |
Folder08 String |
Folder09 String |
Folder10 String |
Folder11 String |
Folder12 String |
Folder13 String |
Folder14 String |
Folder15 String |
Folder16 String |
Folder17 String |
Folder18 String |
Folder19 String |
Remarks
None.


Method FolderDelete

Advansys Formativ 1.6 | Language Reference
FolderDelete Method |
Parent |

Description
Deletes a folder and its contents, or only the contents.
Syntax
GroupWise.FolderDelete(DeleteType eDeleteType, FolderName String)

Parameter Useage:

DeleteType eDeleteType
         Specifies what to delete.

Value | Description
vdtItemsAndFolders |
vdtItemsOnly |
FolderName String
         Include full folder path.
Remarks
None.


Method FolderDeleteDlg

Advansys Formativ 1.6 | Language Reference
FolderDeleteDlg Method |
Parent |

Description
 | Displays the Delete Folder(s) dialog box. This command fails if a folder item is selected instead of a folder.
Syntax
 | GroupWise.FolderDeleteDlg()
Remarks
 | None.


Method FolderExpand

Advansys Formativ 1.6 | Language Reference
FolderExpand Method |
Parent |

Description
Displays the subfolders of a contracted folder.
Syntax
GroupWise.FolderExpand(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderExpandAll

Advansys Formativ 1.6 | Language Reference
FolderExpandAll Method |
Parent |

Description
Displays all subfolders of a contracted folder.
Syntax
GroupWise.FolderExpandAll(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderExpandAllLevels

Advansys Formativ 1.6 | Language Reference
FolderExpandAllLevels Method |
Parent |

Description
Displays the subfolders of a selected folder.
Syntax
GroupWise.FolderExpandAllLevels(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderLinkTo

Advansys Formativ 1.6 | Language Reference
FolderLinkTo Method |
Parent |

Description
Links an item to one folder. Linked items appear in more than one folder.
Syntax
GroupWise.FolderLinkTo(aFolder String)

Parameter Useage:

aFolder String
Remarks
None.


Method FolderLinkToDlg

Advansys Formativ 1.6 | Language Reference
FolderLinkToDlg Method |
Parent |

Description
Displays the Mailbox Selections, Sent Items Selections, or Move/Link Selections to Folder dialog box, depending on the folder list.
Syntax
GroupWise.FolderLinkToDlg(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path
Remarks
None.


Method FolderListAddFolder

Advansys Formativ 1.6 | Language Reference
FolderListAddFolder Method |
Parent |

Description
Adds one or more folders to a folder list.
Syntax
GroupWise.FolderListAddFolder(FolderListHandle Integer, FolderName String)

Parameter Useage:

FolderListHandle Integer | Folder list handle, returned by FolderListCreate As ANSISTRING or FolderListCreateFromView As ANSISTRING.
FolderName String |
Remarks
None.


Method FolderListApplyToView

Advansys Formativ 1.6 | Language Reference
FolderListApplyToView Method |
Parent |

Description
Applies a folder list to an active view.
Syntax
GroupWise.FolderListApplyToView(FolderListHandle Integer)

Parameter Useage:

FolderListHandle Integer
         Folder list handle, returned by FolderListCreate or FolderListCreateFromView.
Remarks
None.


Method FolderListCreate

Advansys Formativ 1.6 | Language Reference
FolderListCreate Method |
Parent |

Description
Creates a folder list.
Syntax
GroupWise.FolderListCreate(Contents eFldrListContents, UserID String) : Integer

Parameter Useage:

Contents eFldrListContents
         Create a folder list including all folders, no folders, or only the root folder.

Value | Description
flcAll |
flcEmpty | If you create an Empty! folder list, call FolderListAddFolder() before passing the folder list handle to ItemListCreate.
flcRoot |
UserID String
Remarks
None.


Method FolderListCreateFromView

Advansys Formativ 1.6 | Language Reference
FolderListCreateFromView Method |
Parent |

Description
 | Creates a folder list from one or more selected folders (active view).
Syntax
 | GroupWise.FolderListCreateFromView() : Integer
Remarks
 | None.


Method FolderListDelete

Advansys Formativ 1.6 | Language Reference
FolderListDelete Method |
Parent |

Description
Deletes a folder list handle from memory. The folder list handle is returned by FolderListCreate or FolderListCreateFromView.
Syntax
GroupWise.FolderListDelete(FolderListHandle Integer)

Parameter Useage:

FolderListHandle Integer
Remarks
None.


Method FolderListGetName

Advansys Formativ 1.6 | Language Reference
FolderListGetName Method |
Parent |

Description
Returns a folder name from a folder list.
Syntax
GroupWise.FolderListGetName(FolderListHandle Integer, Index Integer, FullyQualified Boolean) : String

Parameter Useage:

FolderListHandle Integer | Folder list handle, returned by FolderListCreate or FolderListCreateFromView.
Index Integer | Index number (first folder equals 0).
FullyQualified Boolean |
Remarks
None.


Method FolderListSetFolder

Advansys Formativ 1.6 | Language Reference
FolderListSetFolder Method |
Parent |

Description
Replaces the contents of a folder list with one or more specified folders (creates a new list).
Syntax
GroupWise.FolderListSetFolder(FolderListHandle Integer, FolderListName String)

Parameter Useage:

FolderListHandle Integer | Handle of the folder list that has contents to replace. The handle is returned by FolderListCreate or FolderListCreateFromView.
FolderListName String | Folder name to add.
Remarks
None.


Method FolderMoveTo

Advansys Formativ 1.6 | Language Reference
FolderMoveTo Method |
Parent |

Description
Moves an item to one or more folders and removes it from the original folder.
Syntax
GroupWise.FolderMoveTo(aFolder String)

Parameter Useage:

aFolder String
Remarks
None.


Method FolderParent

Advansys Formativ 1.6 | Language Reference
FolderParent Method |
Parent |

Description
 | Selects the parent of the current folder.
Syntax
 | GroupWise.FolderParent()
Remarks
 | None.


Method FolderProfileReferenceDlg

Advansys Formativ 1.6 | Language Reference
FolderProfileReferenceDlg Method |
Parent |

Description
 | Displays dialog allowing the user to add a document reference to the selected folder.
Syntax
 | GroupWise.FolderProfileReferenceDlg()
Remarks
 | None.


Method FolderRename

Advansys Formativ 1.6 | Language Reference
FolderRename Method |
Parent |

Description
Renames a folder.
Syntax
GroupWise.FolderRename(FullFolderName String, NewName String)

Parameter Useage:

FullFolderName String | Folder to rename. Include full path.
NewName String | New folder name only. Do not include full path.
Remarks
None.


Method FolderRenameDlg

Advansys Formativ 1.6 | Language Reference
FolderRenameDlg Method |
Parent |

Description
Displays the Rename Folder dialog box. The command fails if a folder item is selected instead of a folder.
Syntax
GroupWise.FolderRenameDlg(FolderName String)

Parameter Useage:

FolderName String
         If not specified, folder must be selected.
Remarks
None.


Method FolderSelect

Advansys Formativ 1.6 | Language Reference
FolderSelect Method |
Parent |

Description
Selects a folder. Each new selection deselects the previous section.
Syntax
GroupWise.FolderSelect(FolderName String)

Parameter Useage:

FolderName String
         Include full folder path.
Remarks
None.


Method FolderSelectDlg

Advansys Formativ 1.6 | Language Reference
FolderSelectDlg Method |
Parent |

Description
 | Displays the Folders dialog box.
Syntax
 | GroupWise.FolderSelectDlg()
Remarks
 | None.


Method FollowInternetLink

Advansys Formativ 1.6 | Language Reference
FollowInternetLink Method |
Parent |

Description
Launches browser to go to URL or create a new message addressed to the MAILTO address.
Syntax
GroupWise.FollowInternetLink(LinkName String, LinkType eLinkType)

Parameter Useage:

LinkName String
LinkType eLinkType
         Specify the link type.

Value | Description
lnkBROWSER_LINK |
lnkMAIL_LINK |
Remarks
None.


Method FontBold

Advansys Formativ 1.6 | Language Reference
FontBold Method |
Parent |

Description
Turns Bold on or off.
Syntax
GroupWise.FontBold(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method FontDlg

Advansys Formativ 1.6 | Language Reference
FontDlg Method |
Parent |

Description
 | Displays the Font dialog box.
Syntax
 | GroupWise.FontDlg()
Remarks
 | None.


Method FontItalic

Advansys Formativ 1.6 | Language Reference
FontItalic Method |
Parent |

Description
Turns Italic on or off.
Syntax
GroupWise.FontItalic(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method FontNormal

Advansys Formativ 1.6 | Language Reference
FontNormal Method |
Parent |

Description
 | Turns off all current font attributes (Bold, Italic, or Underline).
Syntax
 | GroupWise.FontNormal()
Remarks
 | None.


Method FontSet

Advansys Formativ 1.6 | Language Reference
FontSet Method |
Parent |

Description
Specifies a font and font attributes. To see the height a weight values of a specified font, record your actions as you specify a font and font attributes.
Syntax
GroupWise.FontSet(FaceName String, Height Integer, Weight eFontWeight, Underline Boolean, Italic Boolean, CharSet Integer)

Parameter Useage:

FaceName String
         Name of font.
Height Integer
         Font height in pixels: 65535N (where N is the height in pixels). Cell height: 0-32767. Character height including ascender and descender: 32768-65535.
Weight eFontWeight
         Specifies the font style.

Value | Description
fnwTHIN |
fnwEXTRATHIN |
fnwULTRALIGHT |
fnwNORMAL |
fnwREGULAR |
fnwMEDIUM |
fnwSEMIBOLD |
fnwDEMIBOLD |
fnwBOLD |
fnwEXTRABOLD |
fnwULTRABOLD |
fnwBLACK |
fnwHEAVY |
Underline Boolean
Italic Boolean
CharSet Integer
         Asian versions only.
Remarks
None.


Method FontUnderline

Advansys Formativ 1.6 | Language Reference
FontUnderline Method |
Parent |

Description
Turns Underline on or off.
Syntax
GroupWise.FontUnderline(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method HelpContents

Advansys Formativ 1.6 | Language Reference
HelpContents Method |
Parent |

Description
 | Displays the GroupWise Help Contents screen.
Syntax
 | GroupWise.HelpContents()
Remarks
 | None.


Method HelpHowDoI

Advansys Formativ 1.6 | Language Reference
HelpHowDoI Method |
Parent |

Description
 | Displays the How Do I help screen.
Syntax
 | GroupWise.HelpHowDoI()
Remarks
 | None.


Method HelpNovellHomepage

Advansys Formativ 1.6 | Language Reference
HelpNovellHomepage Method |
Parent |

Description
 | Links to the Novell home page on the World Wide Web.
Syntax
 | GroupWise.HelpNovellHomepage()
Remarks
 | Only available in GroupWise 5.5 and later.


Method HelpUsersGuide

Advansys Formativ 1.6 | Language Reference
HelpUsersGuide Method |
Parent |

Description
 | Invokes the Users Guide Help. GroupWise 6.5 and later.
Syntax
 | GroupWise.HelpUsersGuide()
Remarks
 | None.


Method HelpWhatsNew

Advansys Formativ 1.6 | Language Reference
HelpWhatsNew Method |
Parent |

Description
 | Invokes the Whats New Help. GroupWise 6.5 and later.
Syntax
 | GroupWise.HelpWhatsNew()
Remarks
 | None.


Method Holder

Advansys Formativ 1.6 | Language Reference
Holder Method |
Parent |

Description
 | Internal Use only.
Syntax
 | GroupWise.Holder()
Remarks
 | None.


Method ImportDocument

Advansys Formativ 1.6 | Language Reference
ImportDocument Method |
Parent |

Description
Adds the specified filename to the default library specified in the GroupWise documents options.
Syntax
GroupWise.ImportDocument(Filename String) : String

Parameter Useage:

Filename String
Remarks
None.


Method InfoUpdate

Advansys Formativ 1.6 | Language Reference
InfoUpdate Method |
Parent |

Description
 | Updates an items Information view. The Item Properties view window must be displayed for this token to function.
Syntax
 | GroupWise.InfoUpdate()
Remarks
 | None.


Method InitializeHTML

Advansys Formativ 1.6 | Language Reference
InitializeHTML Method |
Parent |

Description
No description is available.
Syntax
GroupWise.InitializeHTML(Activate Boolean)

Parameter Useage:

Activate Boolean
Remarks
None.


Method InsertTab

Advansys Formativ 1.6 | Language Reference
InsertTab Method |
Parent |

Description
 | Insert a tab.
Syntax
 | GroupWise.InsertTab()
Remarks
 | None.


Method ItemAccept

Advansys Formativ 1.6 | Language Reference
ItemAccept Method |
Parent |

Description
Accepts an Appointment, Task or Note.
Syntax
GroupWise.ItemAccept(Comment String)

Parameter Useage:

Comment String
         Response to an accepted item.
Remarks
None.


Method ItemAcceptWithCommentDlg

Advansys Formativ 1.6 | Language Reference
ItemAcceptWithCommentDlg Method |
Parent |

Description
 | Displays the Accept With Comment dialog box.
Syntax
 | GroupWise.ItemAcceptWithCommentDlg()
Remarks
 | None.


Method ItemAnnotationGetCount

Advansys Formativ 1.6 | Language Reference
ItemAnnotationGetCount Method |
Parent |

Description
Returns the number of sound annotations on an item view.
Syntax
GroupWise.ItemAnnotationGetCount(MessageID String) : Integer

Parameter Useage:

MessageID String
         Unique Item identifier, returned by ItemMessageIDFromView.
Remarks
None.


Method ItemAnnotationSaveAs

Advansys Formativ 1.6 | Language Reference
ItemAnnotationSaveAs Method |
Parent |

Description
Saves a sound annotation to a file.
Syntax
GroupWise.ItemAnnotationSaveAs(MessageID String, Index Integer, Filename String)

Parameter Useage:

MessageID String | Unique Item identifier, returned by ItemMessageIDFromView().
Index Integer | Index number (zero-based) of the sound annotation.
Filename String |
Remarks
None.


Method ItemArchive

Advansys Formativ 1.6 | Language Reference
ItemArchive Method |
Parent |

Description
Saves an item to the archive database.
Syntax
GroupWise.ItemArchive(MessageID String)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView(). If not specified, archives the selected item.
Remarks
None.


Method ItemArchiveOpenItem

Advansys Formativ 1.6 | Language Reference
ItemArchiveOpenItem Method |
Parent |

Description
 | Saves one or more selected items to the archive database. This token will also unarchive an item if in the archive mode.
Syntax
 | GroupWise.ItemArchiveOpenItem()
Remarks
 | None.


Method ItemAttachmentAdd

Advansys Formativ 1.6 | Language Reference
ItemAttachmentAdd Method |
Parent |

Description
Adds an attachment to an item. Using X00 will work for the messageID if the item view is showing.
Syntax
GroupWise.ItemAttachmentAdd(MessageID String, AttachmentClass eItemAttachClass, AttachmentName String, AttachmentDisplayName String)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
AttachmentClass eItemAttachClass
         Specifies the attachment class.

Value | Description
itcAttachClassFile |
itcAttachClassMessage |
AttachmentName String
         Name of an attachment.
AttachmentDisplayName String
         Name displayed in the Attach File box.
Remarks
None.


Method ItemAttachmentDelete

Advansys Formativ 1.6 | Language Reference
ItemAttachmentDelete Method |
Parent |

Description
Deletes an attachment. Using X00 will work for the messageID if the item view is showing.
Syntax
GroupWise.ItemAttachmentDelete(MessageID String, Index Integer)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer | Attachment index number (zero-based).
Remarks
None.


Method ItemAttachmentGetClass

Advansys Formativ 1.6 | Language Reference
ItemAttachmentGetClass Method |
Parent |

Description
Returns an attachment class. Using X00 will work for the messageID if the item view is showing.
Syntax
GroupWise.ItemAttachmentGetClass(MessageID String, Index Integer) : Integer

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer |
Remarks
None.


Method ItemAttachmentGetCount

Advansys Formativ 1.6 | Language Reference
ItemAttachmentGetCount Method |
Parent |

Description
Returns the number of attachments. Using X00 will work for the messageID if the item view is showing.
Syntax
GroupWise.ItemAttachmentGetCount(MessageID String) : Integer

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemAttachmentGetCurrentIndex

Advansys Formativ 1.6 | Language Reference
ItemAttachmentGetCurrentIndex Method |
Parent |

Description
 | Returns the current attachment index. The item view must be open with the attachment selected.
Syntax
 | GroupWise.ItemAttachmentGetCurrentIndex() : Integer
Remarks
 | None.


Method ItemAttachmentGetDisplayName

Advansys Formativ 1.6 | Language Reference
ItemAttachmentGetDisplayName Method |
Parent |

Description
Returns the display name of an attachment.
Syntax
GroupWise.ItemAttachmentGetDisplayName(MessageID String, Index Integer) : String

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer | Attachment index number (zero-based).
Remarks
None.


Method ItemAttachmentGetName

Advansys Formativ 1.6 | Language Reference
ItemAttachmentGetName Method |
Parent |

Description
Returns the name of an attachment.
Syntax
GroupWise.ItemAttachmentGetName(MessageID String, Index Integer) : String

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer | Attachment index number (zero-based).
Remarks
None.


Method ItemAttachmentSaveAs

Advansys Formativ 1.6 | Language Reference
ItemAttachmentSaveAs Method |
Parent |

Description
Saves an attachment to a specified directory.
Syntax
GroupWise.ItemAttachmentSaveAs(MessageID String, Index Integer, Filename String)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer | Attachment index number (zero-based).
Filename String | Attachment name. Path is optional.
Remarks
None.


Method ItemAttachmentUpdate

Advansys Formativ 1.6 | Language Reference
ItemAttachmentUpdate Method |
Parent |

Description
Replaces one attachment with another. It only works on attachments of class type "File."
Syntax
GroupWise.ItemAttachmentUpdate(MessageID String, Index Integer, Filename String)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Index Integer | Attachment index number (zero-based).
Filename String | Replacement Attachment.
Remarks
None.


Method ItemChecklistMoveDown

Advansys Formativ 1.6 | Language Reference
ItemChecklistMoveDown Method |
Parent |

Description
 | Moves the currently displayed checklist item down one position in the checklist. GroupWise 6.5 and later.
Syntax
 | GroupWise.ItemChecklistMoveDown()
Remarks
 | None.


Method ItemChecklistMoveToBottom

Advansys Formativ 1.6 | Language Reference
ItemChecklistMoveToBottom Method |
Parent |

Description
Moves the specified checklist item to the bottom of the checklist. GroupWise 6.5 and later.
Syntax
GroupWise.ItemChecklistMoveToBottom(Index Integer)

Parameter Useage:

Index Integer
Remarks
None.


Method ItemChecklistMoveToTop

Advansys Formativ 1.6 | Language Reference
ItemChecklistMoveToTop Method |
Parent |

Description
Moves the specified checklist item to the top of the checklist. GroupWise 6.5 and later.
Syntax
GroupWise.ItemChecklistMoveToTop(Index Integer)

Parameter Useage:

Index Integer
Remarks
None.


Method ItemChecklistMoveUp

Advansys Formativ 1.6 | Language Reference
ItemChecklistMoveUp Method |
Parent |

Description
 | Moves the currently selected checklist item up one position in the checklist. GroupWise 6.5 and later.
Syntax
 | GroupWise.ItemChecklistMoveUp()
Remarks
 | None.


Method ItemComplete

Advansys Formativ 1.6 | Language Reference
ItemComplete Method |
Parent |

Description
Marks a task or routed item done, or not done.
Syntax
GroupWise.ItemComplete(Accept Boolean)

Parameter Useage:

Accept Boolean
Remarks
None.


Method ItemCopyProperties

Advansys Formativ 1.6 | Language Reference
ItemCopyProperties Method |
Parent |

Description
 | Copies selected documents and their properties to another library.
Syntax
 | GroupWise.ItemCopyProperties()
Remarks
 | None.


Method ItemCustomReplyDlg

Advansys Formativ 1.6 | Language Reference
ItemCustomReplyDlg Method |
Parent |

Description
 | Displays the reply dialog box to set custom reply options.
Syntax
 | GroupWise.ItemCustomReplyDlg()
Remarks
 | None.


Method ItemDecline

Advansys Formativ 1.6 | Language Reference
ItemDecline Method |
Parent |

Description
Declines an appointment, task, or note, and attaches a comment.
Syntax
GroupWise.ItemDecline(Comment String, MessageID String, AllInstances Boolean)

Parameter Useage:

Comment String | Comment is displayed in an item's information view.
MessageID String | Unique item identifier, returned by ItemMessageIDFromView(). If not specified, declines the selected item.
AllInstances Boolean |
Remarks
None.


Method ItemDeclineOpenItem

Advansys Formativ 1.6 | Language Reference
ItemDeclineOpenItem Method |
Parent |

Description
Declines a selected or opened appointment, task, or note and attaches a comment.
Syntax
GroupWise.ItemDeclineOpenItem(Comment String)

Parameter Useage:

Comment String
         Comment is displayed in an item's information view.
Remarks
None.


Method ItemDeclineWithCommentDlg

Advansys Formativ 1.6 | Language Reference
ItemDeclineWithCommentDlg Method |
Parent |

Description
Displays the Decline With Comment dialog box.
Syntax
GroupWise.ItemDeclineWithCommentDlg(Comment String)

Parameter Useage:

Comment String
         Comment is displayed in an item's information view.
Remarks
None.


Method ItemDelegateDlg

Advansys Formativ 1.6 | Language Reference
ItemDelegateDlg Method |
Parent |

Description
 | Displays the delegate dialog box.
Syntax
 | GroupWise.ItemDelegateDlg()
Remarks
 | None.


Method ItemDelegateOpenItem

Advansys Formativ 1.6 | Language Reference
ItemDelegateOpenItem Method |
Parent |

Description
Delegates an appointment, task, note and attaches comments.
Syntax
GroupWise.ItemDelegateOpenItem(ToUserID String, RecipComments String, SenderComments String)

Parameter Useage:

ToUserID String
RecipComments String
SenderComments String
Remarks
None.


Method ItemDelete

Advansys Formativ 1.6 | Language Reference
ItemDelete Method |
Parent |

Description
Deletes an item from the Mailbox or Sent Items.
Syntax
GroupWise.ItemDelete(MessageID String, EmptyItem Boolean, FolderListHandle Integer, AllInstances Boolean, Retract eRetract)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView(). If not specified, deletes the selected item. If specified, you must also specify EmptyItem.
EmptyItem Boolean
FolderListHandle Integer
AllInstances Boolean
Retract eRetract
         Specifies from where to retract the item.

Value | Description
retAllBoxes |
retAllInBoxes |
retThisOutbox |
Remarks
None.


Method ItemDeleteOpenItem

Advansys Formativ 1.6 | Language Reference
ItemDeleteOpenItem Method |
Parent |

Description
 | Deletes a selected or opened Mailbox or Sent Items item.
Syntax
 | GroupWise.ItemDeleteOpenItem()
Remarks
 | None.


Method ItemDigitalSign

Advansys Formativ 1.6 | Language Reference
ItemDigitalSign Method |
Parent |

Description
Digitally sign this item.
Syntax
GroupWise.ItemDigitalSign(SignMode Boolean)

Parameter Useage:

SignMode Boolean
Remarks
Only available in GroupWise 5.2 and later.


Method ItemEncrypt

Advansys Formativ 1.6 | Language Reference
ItemEncrypt Method |
Parent |

Description
Encrypt the entire mail message including all attachments. Version: GroupWise 5.x and later.
Syntax
GroupWise.ItemEncrypt(Mode Boolean)

Parameter Useage:

Mode Boolean
Remarks
Only available in GroupWise 5.x and later.


Method ItemFolderAltMove

Advansys Formativ 1.6 | Language Reference
ItemFolderAltMove Method |
Parent |

Description
Moves an item to the folders in a folder list.
Syntax
GroupWise.ItemFolderAltMove(MessageID String, FolderListHandle Integer)

Parameter Useage:

MessageID String | Unique item identifier.
FolderListHandle Integer | Handle of the destination folder list.
Remarks
None.


Method ItemFolderLink

Advansys Formativ 1.6 | Language Reference
ItemFolderLink Method |
Parent |

Description
Links an item to the folders in a folder list.
Syntax
GroupWise.ItemFolderLink(MessageID String, FolderListHandle Integer)

Parameter Useage:

MessageID String | Unique item identifier.
FolderListHandle Integer | Handle of the destination folder list.
Remarks
None.


Method ItemFolderMove

Advansys Formativ 1.6 | Language Reference
ItemFolderMove Method |
Parent |

Description
Moves an item from one folder list to another.
Syntax
GroupWise.ItemFolderMove(MessageID String, FolderListHandleDest Integer, FolderListHandleSrc Integer)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
FolderListHandleDest Integer | Handle of the destination folder list, returned by FolderListCreate().
FolderListHandleSrc Integer | Handle of the source folder list, returned by FolderListCreate().
Remarks
None.


Method ItemForward

Advansys Formativ 1.6 | Language Reference
ItemForward Method |
Parent |

Description
 | Forwards a selected or opened Mailbox item to one or more users.
Syntax
 | GroupWise.ItemForward()
Remarks
 | None.


Method ItemGetAttribute

Advansys Formativ 1.6 | Language Reference
ItemGetAttribute Method |
Parent |

Description
Returns True or False, depending on the state of a specified attribute.
Syntax
GroupWise.ItemGetAttribute(MessageID String, Attribute eItemAttribute) : Boolean

Parameter Useage:

MessageID String
Attribute eItemAttribute
         Specifies the possible values for the item attribute.

Value | Description
iatAccepted |
iatArchived |
iatAutodate |
iatCompleted |
iatCustomView |
iatDelegated |
iatDeleted |
iatForwarding |
iatOpened |
iatPersonal |
iatPhoneCalled |
iatPhoneCameToSeeYou |
iatPhonePleaseCall |
iatPhoneReturnValuedYourCall |
iatPhoneUrgent |
iatPhoneWantsToSeeYou |
iatPhoneWillCallAgain |
iatPrivate |
iatRead |
iatReplying |
iatReplyRequested |
iatResending |
iatReceiptRequested |
iatRouted |
iatRoutingEndOfLine |
Remarks
None.


Method ItemGetDate

Advansys Formativ 1.6 | Language Reference
ItemGetDate Method |
Parent |

Description
Returns the date specified by the DateType parameter.
Syntax
GroupWise.ItemGetDate(MessageID String, DateType eItemDateType, DateFormatType eItemDateFormat) : String

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
DateType eItemDateType
         Specifies the values for the date type.

Value | Description
idtAssignedDate |
idtBeginDateTime |
idtCreateDate |
idtDueDate |
idtDuration |
idtEndDateTime |
DateFormatType eItemDateFormat
         Specifies the date format.

Value | Description
idfDate | Returns in format: Month/Day 12HR:MIN AM[PM].
idfMAPIDate | Returns in format: Year/Month/Day 24HR:MIN.
Remarks
None.


Method ItemGetMailboxID

Advansys Formativ 1.6 | Language Reference
ItemGetMailboxID Method |
Parent |

Description
Returns the mailbox ID of an items primary recipient.
Syntax
GroupWise.ItemGetMailboxID(MessageID String) : String

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView.
Remarks
None.


Method ItemGetOutboxMessageID

Advansys Formativ 1.6 | Language Reference
ItemGetOutboxMessageID Method |
Parent |

Description
Returns the message ID of a Sent Items item.
Syntax
GroupWise.ItemGetOutboxMessageID(MessageID String) : String

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemGetPriority

Advansys Formativ 1.6 | Language Reference
ItemGetPriority Method |
Parent |

Description
Returns the priority setting of an item.
Syntax
GroupWise.ItemGetPriority(MessageID String) : Integer

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemGetReplyToMessageID

Advansys Formativ 1.6 | Language Reference
ItemGetReplyToMessageID Method |
Parent |

Description
Returns the message ID of the item that is being replied to.
Syntax
GroupWise.ItemGetReplyToMessageID(MessageID String) : String

Parameter Useage:

MessageID String
         Message ID of the reply view ("X00").
Remarks
None.


Method ItemGetSenderID

Advansys Formativ 1.6 | Language Reference
ItemGetSenderID Method |
Parent |

Description
Returns the user ID of the items sender.
Syntax
GroupWise.ItemGetSenderID(MessageID String) : String

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView.
Remarks
None.


Method ItemGetSource

Advansys Formativ 1.6 | Language Reference
ItemGetSource Method |
Parent |

Description
Returns the location of a specified item. In GroupWise version 5.5 Personal type items are refered to as Posted type items.
Syntax
GroupWise.ItemGetSource(MessageID String) : Integer

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemGetText

Advansys Formativ 1.6 | Language Reference
ItemGetText Method |
Parent |

Description
Returns the contents of a text field (edit box).
Syntax
GroupWise.ItemGetText(MessageID String, FieldID eItemTextField) : String

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
FieldID eItemTextField
         Specifies the possible values for the item text field.

Value | Description
itfAuthority |
itfBC |
itfCaller |
itfCC |
itfCompany |
itfFrom |
itfMessage |
itfPhone |
itfPlace |
itfSubject |
itfTaskCategory |
itfTaskPriority |
itfTo |
itfViewName |
Remarks
None.


Method ItemGetType

Advansys Formativ 1.6 | Language Reference
ItemGetType Method |
Parent |

Description
Returns an items type.
Syntax
GroupWise.ItemGetType(MessageID String) : Integer

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemInfoOpenItem

Advansys Formativ 1.6 | Language Reference
ItemInfoOpenItem Method |
Parent |

Description
 | Displays the item Information view of a selected item.
Syntax
 | GroupWise.ItemInfoOpenItem()
Remarks
 | None.


Method ItemIsValid

Advansys Formativ 1.6 | Language Reference
ItemIsValid Method |
Parent |

Description
Returns True if an item is valid, False if not. An item is invalid after it is deleted, or when it is associated with an unproxied user.
Syntax
GroupWise.ItemIsValid(MessageID String) : Boolean

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemListCreate

Advansys Formativ 1.6 | Language Reference
ItemListCreate Method |
Parent |

Description
Creates an item list from a current filter or folder list.
Syntax
GroupWise.ItemListCreate(UserID String, FilterHandle Integer, FolderListHandle Integer) : Integer

Parameter Useage:

UserID String | User network ID.
FilterHandle Integer | Filter list handle.
FolderListHandle Integer | Folder list handle.
Remarks
None.


Method ItemListCreateFromControl

Advansys Formativ 1.6 | Language Reference
ItemListCreateFromControl Method |
Parent |

Description
Creates an item list from a control, such as an Appointment list.
Syntax
GroupWise.ItemListCreateFromControl(ControlListType eControlListType, SelectedItemsOnly Boolean, ControlName String) : Integer

Parameter Useage:

ControlListType eControlListType
         Specifies the list type.

Value | Description
cltAppointmentList | Apply to calendar views.
cltItemList | Apply to Mailbox, Sent Items, or Trash views.
cltNoteList | Apply to calendar views.
cltSelectedControl | Apply to all item views.
cltTaskList | Apply to calendar views.
cltWeekControl | Apply to a Week Calendar view.
SelectedItemsOnly Boolean
ControlName String
         Custom control name.
Remarks
None.


Method ItemListDelete

Advansys Formativ 1.6 | Language Reference
ItemListDelete Method |
Parent |

Description
Deletes an item list handle from memory.
Syntax
GroupWise.ItemListDelete(Handle Integer)

Parameter Useage:

Handle Integer
         Item list handle.
Remarks
None.


Method ItemListGetCount

Advansys Formativ 1.6 | Language Reference
ItemListGetCount Method |
Parent |

Description
Returns the number of items in a list.
Syntax
GroupWise.ItemListGetCount(Handle Integer) : Integer

Parameter Useage:

Handle Integer
         Item list handle.
Remarks
None.


Method ItemListGetItem

Advansys Formativ 1.6 | Language Reference
ItemListGetItem Method |
Parent |

Description
Returns the message ID of a list item. ItemListCreate or ItemListCreateFromControl creates a list and returns an Item list handle.
Syntax
GroupWise.ItemListGetItem(Handle Integer, Index Integer) : String

Parameter Useage:

Handle Integer | Item list handle.
Index Integer | Index number (zero-based) of a list item.
Remarks
None.


Method ItemListSort

Advansys Formativ 1.6 | Language Reference
ItemListSort Method |
Parent |

Description
Sorts an item list.
Syntax
GroupWise.ItemListSort(Handle Integer, SortKey eSortKey, SortField String, SortOrder eSortOrder)

Parameter Useage:

Handle Integer
SortKey eSortKey
         Specifies the possible values for the sort key.

Value | Description
stkAcceptedCnt |
stkAssignedDate |
stkAuthor |
stkAuthority |
stkBC |
stkBeginDateTime |
stkCC |
stkCaller |
stkCompany |
stkCompletedCnt |
stkCopyType |
stkCreateDate |
stkCreator |
stkCurrentVersion |
stkDate |
stkDeletedCnt |
stkDeliveredDate |
stkDocType |
stkDocumentID |
stkDueDate |
stkEndDateTime |
stkFilename |
stkFrom |
stkItemType |
stkLabel |
stkLibrary |
stkLibraryId |
stkModified |
stkNamedFldByte |
stkNamedFldDate |
stkNamedFldSDWord |
stkNamedFldSWord |
stkNamedFldText |
stkNamedFldUDWord |
stkNamedFldUWord |
stkNamedFldWrdStr |
stkOfficialVersion |
stkOpenCnt |
stkPhone |
stkPlace |
stkRecipientsCnt |
stkRepliedCnt |
stkRetrievedBy |
stkRetrievedDate |
stkSize |
stkSource |
stkSubject |
stkSubType |
stkTaskCategory |
stkTaskPriority |
stkTo |
stkTransferCnt |
stkUndeliveredCnt |
stkVersion |
stkVersionCreator |
stkVersionDate |
stkVersionDescription |
stkViewName |
SortField String
SortOrder eSortOrder
         Specifies the sort order.

Value | Description
stoAscending |
stoDescending |
Remarks
None.


Method ItemMarkPrivate

Advansys Formativ 1.6 | Language Reference
ItemMarkPrivate Method |
Parent |

Description
Marks private the opened item or all selected items.
Syntax
GroupWise.ItemMarkPrivate(State Boolean, Index Integer)

Parameter Useage:

State Boolean
Index Integer
Remarks
None.


Method ItemMessageIDFromView

Advansys Formativ 1.6 | Language Reference
ItemMessageIDFromView Method |
Parent |

Description
 | Returns the message ID of an active view.
Syntax
 | GroupWise.ItemMessageIDFromView() : String
Remarks
 | None.


Method ItemMoveToChecklistFolder

Advansys Formativ 1.6 | Language Reference
ItemMoveToChecklistFolder Method |
Parent |

Description
 | Moves the currently selected checklist item(s) to the checklist folder. GroupWise 6.5 and later.
Syntax
 | GroupWise.ItemMoveToChecklistFolder()
Remarks
 | None.


Method ItemNewPropertySheet

Advansys Formativ 1.6 | Language Reference
ItemNewPropertySheet Method |
Parent |

Description
 | Creates a new document.
Syntax
 | GroupWise.ItemNewPropertySheet()
Remarks
 | None.


Method ItemNextTabSelect

Advansys Formativ 1.6 | Language Reference
ItemNextTabSelect Method |
Parent |

Description
 | Selects the next tab in a tabbed item view. GroupWise 6.5 and later.
Syntax
 | GroupWise.ItemNextTabSelect()
Remarks
 | None.


Method ItemOpen

Advansys Formativ 1.6 | Language Reference
ItemOpen Method |
Parent |

Description
Opens an item with a corresponding MessageID (see MessageID parameter).
Syntax
GroupWise.ItemOpen(MessageID String, UserID String)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
UserID String | User ID. This parameter permits opening messages on a proxiable mailbox.
Remarks
None.


Method ItemPost

Advansys Formativ 1.6 | Language Reference
ItemPost Method |
Parent |

Description
 | Posts the current item. GroupWise 6.5 and later.
Syntax
 | GroupWise.ItemPost()
Remarks
 | None.


Method ItemPrint

Advansys Formativ 1.6 | Language Reference
ItemPrint Method |
Parent |

Description
Prints the item specified by MessageID. Brings up the print dialog just as if you clicked File | Print or the Print toolbar button.
Syntax
GroupWise.ItemPrint(MessageID String)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemRead

Advansys Formativ 1.6 | Language Reference
ItemRead Method |
Parent |

Description
 | Opens a selected item to read.
Syntax
 | GroupWise.ItemRead()
Remarks
 | None.


Method ItemReadLater

Advansys Formativ 1.6 | Language Reference
ItemReadLater Method |
Parent |

Description
 | Changes selected items to appear unopened in the GroupWise client.
Syntax
 | GroupWise.ItemReadLater()
Remarks
 | None.


Method ItemReadNext

Advansys Formativ 1.6 | Language Reference
ItemReadNext Method |
Parent |

Description
 | Opens an item after an already opened item.
Syntax
 | GroupWise.ItemReadNext()
Remarks
 | None.


Method ItemReadPrevious

Advansys Formativ 1.6 | Language Reference
ItemReadPrevious Method |
Parent |

Description
 | Opens the item before an already opened item.
Syntax
 | GroupWise.ItemReadPrevious()
Remarks
 | None.


Method ItemReply

Advansys Formativ 1.6 | Language Reference
ItemReply Method |
Parent |

Description
Opens a reply view for a selected or opened item.
Syntax
GroupWise.ItemReply(ReplyTo eReplyTo, IncludeText Boolean)

Parameter Useage:

ReplyTo eReplyTo
         Specifies the Reply To values.

Value | Description
repAll | Reply to all.
repSender | Reply to Sender.
IncludeText Boolean
Remarks
None.


Method ItemResend

Advansys Formativ 1.6 | Language Reference
ItemResend Method |
Parent |

Description
Resends a selected or opened Sent Items item.
Syntax
GroupWise.ItemResend(RetractOriginal Boolean)

Parameter Useage:

RetractOriginal Boolean
Remarks
None.


Method ItemRoute

Advansys Formativ 1.6 | Language Reference
ItemRoute Method |
Parent |

Description
Routes a message task to different users in turn.
Syntax
GroupWise.ItemRoute(DoRouting Boolean)

Parameter Useage:

DoRouting Boolean
Remarks
None.


Method ItemSaveInfo

Advansys Formativ 1.6 | Language Reference
ItemSaveInfo Method |
Parent |

Description
Saves item information to a specified file. Item information includes recipient names, routes, file sizes, creation date, and security options.
Syntax
GroupWise.ItemSaveInfo(MessageID String, Filename String, FileFormat eFileFormat)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView.
Filename String
         Path and name of a file.
FileFormat eFileFormat
         Specifies the possible values for the file format.

Value | Description
fmtAnsitext |
fmtWordPerfect60 |
Remarks
None.


Method ItemSaveMessage

Advansys Formativ 1.6 | Language Reference
ItemSaveMessage Method |
Parent |

Description
Saves the information contained in an item view to a specified file.
Syntax
GroupWise.ItemSaveMessage(MessageID String, Filename String, FileFormat eFileFormat)

Parameter Useage:

MessageID String
Filename String
FileFormat eFileFormat
         Specifies the possible values for the file format.

Value | Description
fmtAnsitext |
fmtWordPerfect60 |
Remarks
None.


Method ItemSaveMessageDlg

Advansys Formativ 1.6 | Language Reference
ItemSaveMessageDlg Method |
Parent |

Description
 | Displays the Save Message dialog box of an item view, or the Save Message Entries dialog box of an Mailbox, Sent Items, or Calendar view (selected or opened).
Syntax
 | GroupWise.ItemSaveMessageDlg()
Remarks
 | None.


Method ItemSaveMessageDraft

Advansys Formativ 1.6 | Language Reference
ItemSaveMessageDraft Method |
Parent |

Description
Saves a draft copy of the current message in the specified folder. If no folder is specified, the user is prompted to indicate which folder to use.
Syntax
GroupWise.ItemSaveMessageDraft(FolderPath Variant)

Parameter Useage:

FolderPath Variant
Remarks
None.


Method ItemSaveView

Advansys Formativ 1.6 | Language Reference
ItemSaveView Method |
Parent |

Description
Saves a custom view to a file.
Syntax
GroupWise.ItemSaveView(MessageID String, Filename String)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
Filename String | Full path and name of a file.
Remarks
None.


Method ItemSaveViewDlg

Advansys Formativ 1.6 | Language Reference
ItemSaveViewDlg Method |
Parent |

Description
 | Displays the Save View dialog box.
Syntax
 | GroupWise.ItemSaveViewDlg()
Remarks
 | None.


Method ItemSend

Advansys Formativ 1.6 | Language Reference
ItemSend Method |
Parent |

Description
Send a new item. The item must be open. (New to GroupWise 5.5.).
Syntax
GroupWise.ItemSend(AutoSpellCheck Boolean)

Parameter Useage:

AutoSpellCheck Boolean
Remarks
None.


Method ItemSetAlarm

Advansys Formativ 1.6 | Language Reference
ItemSetAlarm Method |
Parent |

Description
Sets an alarm for the appointment specified by MessageID. This command fails if the item identified by MessageID is not an appointment or it the appointment is past.
Syntax
GroupWise.ItemSetAlarm(MessageID String, HoursBefore Integer, MinutesBefore Integer, ProgramToLaunch String)

Parameter Useage:

MessageID String | Unique item identifier, returned by ItemMessageIDFromView().
HoursBefore Integer |
MinutesBefore Integer |
ProgramToLaunch String | Path and name of a program to launch when the alarm goes off.
Remarks
None.


Method ItemSetAttribute

Advansys Formativ 1.6 | Language Reference
ItemSetAttribute Method |
Parent |

Description
Sets an attribute for the item specified by MessageID.
Syntax
GroupWise.ItemSetAttribute(MessageID String, ModifyAttribute eModifyAttribute, AttributeValue Boolean)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
ModifyAttribute eModifyAttribute
         Apply attributes to specified item conditions. The conditions are: creating personal item, creating group item, existing personal item, and existing group item.

Value | Description
isaAccepted |
isaCompleted |
isaPrivate |
isaRead |
AttributeValue Boolean
Remarks
None.


Method ItemSetDate

Advansys Formativ 1.6 | Language Reference
ItemSetDate Method |
Parent |

Description
Sets the start and/or end date, or duration of Tasks, Appointments and Notes. EndMinute is not optional when trying to set the Due On date of a Task.
Syntax
GroupWise.ItemSetDate(MessageID String, StartDay Integer, StartMonth Integer, StartYear Integer, StartMinute Integer, StartHour Integer, EndDay Integer, EndMonth Integer, EndYear Integer, EndMinute Integer, EndHour Integer, DurationMinutes Integer, DurationHours Integer)

Parameter Useage:

MessageID String |
StartDay Integer | Unique item identifier, returned by ItemMessageIDFromView().
StartMonth Integer |
StartYear Integer |
StartMinute Integer |
StartHour Integer |
EndDay Integer |
EndMonth Integer |
EndYear Integer |
EndMinute Integer |
EndHour Integer |
DurationMinutes Integer |
DurationHours Integer |
Remarks
None.


Method ItemSetItemType

Advansys Formativ 1.6 | Language Reference
ItemSetItemType Method |
Parent |

Description
Specifies an item type for a new item.
Syntax
GroupWise.ItemSetItemType(MessageID String, ItemType eItemType, IsPersonal Boolean)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
ItemType eItemType
         Specifies the item type.

Value | Description
itmAppointment |
itmMail |
itmNote |
itmPhone |
itmProfile |
itmSearch |
itmTask |
IsPersonal Boolean
Remarks
None.


Method ItemSetPriority

Advansys Formativ 1.6 | Language Reference
ItemSetPriority Method |
Parent |

Description
Assign priority to a new item.
Syntax
GroupWise.ItemSetPriority(MessageID String, Priority ePriority)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Remarks
None.


Method ItemSetText

Advansys Formativ 1.6 | Language Reference
ItemSetText Method |
Parent |

Description
Appends to, or replaces the text of, a specified field.
Syntax
GroupWise.ItemSetText(MessageID String, FieldID eItemTextField, FieldText String, AppendText Boolean)

Parameter Useage:

MessageID String
FieldID eItemTextField
         Specifies the possible values for the item text field.

Value | Description
itfAuthority |
itfBC |
itfCaller |
itfCC |
itfCompany |
itfFrom |
itfMessage |
itfPhone |
itfPlace |
itfSubject |
itfTaskCategory |
itfTaskPriority |
itfTo |
itfViewName |
FieldText String
         Replacement text.
AppendText Boolean
Remarks
None.


Method ItemShowInChecklist

Advansys Formativ 1.6 | Language Reference
ItemShowInChecklist Method |
Parent |

Description
Displays the currently selected item(s) in the checklist folder. GroupWise 6.5 and later.
Syntax
GroupWise.ItemShowInChecklist(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method ItemUndelete

Advansys Formativ 1.6 | Language Reference
ItemUndelete Method |
Parent |

Description
Restores an item from Trash. Will not work if item view has focus or is on top. Mailbox or main window must be on top.
Syntax
GroupWise.ItemUndelete(MessageID String)

Parameter Useage:

MessageID String
         Unique item identifier, returned by ItemMessageIDFromView().
Remarks
None.


Method ItemUndeleteOpenItem

Advansys Formativ 1.6 | Language Reference
ItemUndeleteOpenItem Method |
Parent |

Description
 | Restores a selected item from Trash. Will not work if item view has focus or is on top. Mailbox or main window must be on top.
Syntax
 | GroupWise.ItemUndeleteOpenItem()
Remarks
 | None.


Method JMAddUserToPAB

Advansys Formativ 1.6 | Language Reference
JMAddUserToPAB Method |
Parent |

Description
 | Adds the sender address of the selected item (or open item) to the frequent contacts list of the Personal Address Book (PAB). The selected (or open) item must be a candidate for junk mail handling (delivered thru GWIA) and must be in the trash folder or junk mail folder. GroupWise 6.5 and later.
Syntax
 | GroupWise.JMAddUserToPAB()
Remarks
 | None.


Method JMBlockSender

Advansys Formativ 1.6 | Language Reference
JMBlockSender Method |
Parent |

Description
 | Invokes the Block Sender dialog for the selected item(s). At least one of the selected items must be a candidate for junk mail handling (and be delivered through GWIA). GroupWise 6.5 and later.
Syntax
 | GroupWise.JMBlockSender()
Remarks
 | None.


Method JMJunkSender

Advansys Formativ 1.6 | Language Reference
JMJunkSender Method |
Parent |

Description
 | Invokes the Junk Sender dialog for the selected item(s). At least one of the selected items must be a candidate for junk mail handling (and be delivered through GWIA). GroupWise 6.5 and later.
Syntax
 | GroupWise.JMJunkSender()
Remarks
 | None.


Method JMTrustSender

Advansys Formativ 1.6 | Language Reference
JMTrustSender Method |
Parent |

Description
 | Invokes the Trust Sender dialog for the selected item(s). At least one of the selected items must be a candidate for junk mail handling (and be delivered through GWIA). GroupWise 6.5 and later.
Syntax
 | GroupWise.JMTrustSender()
Remarks
 | None.


Method JunkMailHandling

Advansys Formativ 1.6 | Language Reference
JunkMailHandling Method |
Parent |

Description
 | Invokes the junk mail handling dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.JunkMailHandling()
Remarks
 | None.


Method JunkMailSettings

Advansys Formativ 1.6 | Language Reference
JunkMailSettings Method |
Parent |

Description
Modifies the settings for junk mail handling. GroupWise 6.5 and later.
Syntax
GroupWise.JunkMailSettings(BlockListEnabled Boolean, JunkListEnabled Boolean, JunkPabEnabled Boolean, JunkFolderAutoRemove Boolean, JunkFolderRetention Integer)

Parameter Useage:

BlockListEnabled Boolean
JunkListEnabled Boolean
JunkPabEnabled Boolean
JunkFolderAutoRemove Boolean
JunkFolderRetention Integer
Remarks
None.


Method ListViewCalendar

Advansys Formativ 1.6 | Language Reference
ListViewCalendar Method |
Parent |

Description
Allows only the calendar items in the selected folder to be displayed.
Syntax
GroupWise.ListViewCalendar(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ListViewChecklist

Advansys Formativ 1.6 | Language Reference
ListViewChecklist Method |
Parent |

Description
 | Displays the current folder in checklist mode. GroupWise 6.5 and later.
Syntax
 | GroupWise.ListViewChecklist()
Remarks
 | None.


Method ListViewDetails

Advansys Formativ 1.6 | Language Reference
ListViewDetails Method |
Parent |

Description
Displays the Item List, using details.
Syntax
GroupWise.ListViewDetails(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ListViewMessageThread

Advansys Formativ 1.6 | Language Reference
ListViewMessageThread Method |
Parent |

Description
Displays incoming and outgoing messaging in discussion format.
Syntax
GroupWise.ListViewMessageThread(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method MainWindowShow

Advansys Formativ 1.6 | Language Reference
MainWindowShow Method |
Parent |

Description
 | Shows the main window when it is hidden, and activates the main window if it is behind an item view (not displayed), or maximizes the main window if it is minimized.
Syntax
 | GroupWise.MainWindowShow()
Remarks
 | None.


Method MarkOfficialVersion

Advansys Formativ 1.6 | Language Reference
MarkOfficialVersion Method |
Parent |

Description
 | Marks the selected document version as the Official Version.
Syntax
 | GroupWise.MarkOfficialVersion()
Remarks
 | None.


Method MarkRead

Advansys Formativ 1.6 | Language Reference
MarkRead Method |
Parent |

Description
 | Marks the selected items as read. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.MarkRead()
Remarks
 | None.


Method MessengerSendIM

Advansys Formativ 1.6 | Language Reference
MessengerSendIM Method |
Parent |

Description
 | Sends a new instant message from GroupWise Messenger. GroupWise Messenger must be running. GroupWise 6.5 and later.
Syntax
 | GroupWise.MessengerSendIM()
Remarks
 | None.


Method MessengerShowContacts

Advansys Formativ 1.6 | Language Reference
MessengerShowContacts Method |
Parent |

Description
 | Displays the GroupWise Messenger contact list. GroupWise Messenger must be running. GroupWise 6.5 and later.
Syntax
 | GroupWise.MessengerShowContacts()
Remarks
 | None.


Method MessengerShowPreferences

Advansys Formativ 1.6 | Language Reference
MessengerShowPreferences Method |
Parent |

Description
 | Displays the GroupWise Messenger options dialog. GroupWise Messenger must be running. GroupWise 6.5 and later.
Syntax
 | GroupWise.MessengerShowPreferences()
Remarks
 | None.


Method MoviePause

Advansys Formativ 1.6 | Language Reference
MoviePause Method |
Parent |

Description
 | Pauses a multi-media graphic running in the graphics box of a customized view.
Syntax
 | GroupWise.MoviePause()
Remarks
 | None.


Method MovieResume

Advansys Formativ 1.6 | Language Reference
MovieResume Method |
Parent |

Description
 | Resumes play of a multi-media graphic, paused in the graphics box of a customized view.
Syntax
 | GroupWise.MovieResume()
Remarks
 | None.


Method MultiUserList

Advansys Formativ 1.6 | Language Reference
MultiUserList Method |
Parent |

Description
 | Version: GroupWise 5.x and later.
Syntax
 | GroupWise.MultiUserList()
Remarks
 | None.


Method NewAppointment

Advansys Formativ 1.6 | Language Reference
NewAppointment Method |
Parent |

Description
 | Creates a new appointment item.
Syntax
 | GroupWise.NewAppointment()
Remarks
 | None.


Method NewAppointmentToContacts

Advansys Formativ 1.6 | Language Reference
NewAppointmentToContacts Method |
Parent |

Description
 | Opens a new appointment item addressed to the selected contacts. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewAppointmentToContacts()
Remarks
 | None.


Method NewContact

Advansys Formativ 1.6 | Language Reference
NewContact Method |
Parent |

Description
 | Invokes the New Contact dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewContact()
Remarks
 | None.


Method NewGroup

Advansys Formativ 1.6 | Language Reference
NewGroup Method |
Parent |

Description
 | Invokes the New Group dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewGroup()
Remarks
 | None.


Method NewMail

Advansys Formativ 1.6 | Language Reference
NewMail Method |
Parent |

Description
 | Creates a new mail item.
Syntax
 | GroupWise.NewMail()
Remarks
 | None.


Method NewMailToContacts

Advansys Formativ 1.6 | Language Reference
NewMailToContacts Method |
Parent |

Description
 | Opens a new mail item addressed to the selected contacts. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewMailToContacts()
Remarks
 | None.


Method NewNote

Advansys Formativ 1.6 | Language Reference
NewNote Method |
Parent |

Description
 | Creates a new note item.
Syntax
 | GroupWise.NewNote()
Remarks
 | None.


Method NewNoteToContacts

Advansys Formativ 1.6 | Language Reference
NewNoteToContacts Method |
Parent |

Description
 | Opens a new note item addressed to the selected contacts. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewNoteToContacts()
Remarks
 | None.


Method NewOrganization

Advansys Formativ 1.6 | Language Reference
NewOrganization Method |
Parent |

Description
 | Invokes the New Organization dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewOrganization()
Remarks
 | None.


Method NewPhone

Advansys Formativ 1.6 | Language Reference
NewPhone Method |
Parent |

Description
 | Creates a new phone message item.
Syntax
 | GroupWise.NewPhone()
Remarks
 | None.


Method NewPhoneToContacts

Advansys Formativ 1.6 | Language Reference
NewPhoneToContacts Method |
Parent |

Description
 | Opens a new phone item addressed to the selected contacts. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewPhoneToContacts()
Remarks
 | None.


Method NewResource

Advansys Formativ 1.6 | Language Reference
NewResource Method |
Parent |

Description
 | Invokes the New Resource dialog. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewResource()
Remarks
 | None.


Method NewTask

Advansys Formativ 1.6 | Language Reference
NewTask Method |
Parent |

Description
 | Creates a new task item.
Syntax
 | GroupWise.NewTask()
Remarks
 | None.


Method NewTaskToContacts

Advansys Formativ 1.6 | Language Reference
NewTaskToContacts Method |
Parent |

Description
 | Opens a new task item addressed to the selected contacts. GroupWise 6.5 and later.
Syntax
 | GroupWise.NewTaskToContacts()
Remarks
 | None.


Method NewTopic

Advansys Formativ 1.6 | Language Reference
NewTopic Method |
Parent |

Description
 | Creates a new topic item. This token is refered to in GroupWise 5.5 as "A new discussion" (File | New | Discussion, or File | New | Shared Folder Discussion).
Syntax
 | GroupWise.NewTopic()
Remarks
 | None.


Method NewUIAppointment

Advansys Formativ 1.6 | Language Reference
NewUIAppointment Method |
Parent |

Description
 | Creates a new appointment item.
Syntax
 | GroupWise.NewUIAppointment() : Interface
Remarks
 | None.


Method NewUIMail

Advansys Formativ 1.6 | Language Reference
NewUIMail Method |
Parent |

Description
 | Creates a new mail item.
Syntax
 | GroupWise.NewUIMail() : Interface
Remarks
 | None.


Method NewUINote

Advansys Formativ 1.6 | Language Reference
NewUINote Method |
Parent |

Description
 | Creates a new note item.
Syntax
 | GroupWise.NewUINote() : Interface
Remarks
 | None.


Method NewUIPhoneMessage

Advansys Formativ 1.6 | Language Reference
NewUIPhoneMessage Method |
Parent |

Description
 | Creates a new phone message item.
Syntax
 | GroupWise.NewUIPhoneMessage() : Interface
Remarks
 | None.


Method NewUITask

Advansys Formativ 1.6 | Language Reference
NewUITask Method |
Parent |

Description
 | Creates a new task item.
Syntax
 | GroupWise.NewUITask() : Interface
Remarks
 | None.


Method NextThread

Advansys Formativ 1.6 | Language Reference
NextThread Method |
Parent |

Description
 | Moves the cursor to the next thread.
Syntax
 | GroupWise.NextThread()
Remarks
 | None.


Method NextUnreadItem

Advansys Formativ 1.6 | Language Reference
NextUnreadItem Method |
Parent |

Description
 | Moves the cursor to the next unread item.
Syntax
 | GroupWise.NextUnreadItem()
Remarks
 | None.


Method ODMAQueryDlg

Advansys Formativ 1.6 | Language Reference
ODMAQueryDlg Method |
Parent |

Description
 | Displays the ODMA Query dialog box. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.ODMAQueryDlg()
Remarks


Method ODMSelectDlg

Advansys Formativ 1.6 | Language Reference
ODMSelectDlg Method |
Parent |

Description
 | Displays the ODMA Select dialog box.
Syntax
 | GroupWise.ODMSelectDlg() : String
Remarks
 | None.


Method OfficeCloseViews

Advansys Formativ 1.6 | Language Reference
OfficeCloseViews Method |
Parent |

Description
 | Closes all GroupWise windows except the active window.
Syntax
 | GroupWise.OfficeCloseViews()
Remarks
 | None.


Method OfficeMinimize

Advansys Formativ 1.6 | Language Reference
OfficeMinimize Method |
Parent |

Description
 | Minimizes all GroupWise windows and views to an icon.
Syntax
 | GroupWise.OfficeMinimize()
Remarks
 | None.


Method OleAttachDlg

Advansys Formativ 1.6 | Language Reference
OleAttachDlg Method |
Parent |

Description
 | Displays the Attach Object dialog box.
Syntax
 | GroupWise.OleAttachDlg()
Remarks
 | None.


Method OleAttachInsertObject

Advansys Formativ 1.6 | Language Reference
OleAttachInsertObject Method |
Parent |

Description
Opens an application associated with an OLE object. To attach the object, choose File, Update or Update GroupWise, depending on the application. The recipient can open, view, edit, and/or save an attached OLE object.
Syntax
GroupWise.OleAttachInsertObject(ClassString String)

Parameter Useage:

ClassString String
         Object to attach, such as WordPerfect object.
Remarks
None.


Method OleAttachPaste

Advansys Formativ 1.6 | Language Reference
OleAttachPaste Method |
Parent |

Description
 | Attaches the contents of the Clipboard to a new item as an OLE object.
Syntax
 | GroupWise.OleAttachPaste()
Remarks
 | None.


Method OleAttachPasteLink

Advansys Formativ 1.6 | Language Reference
OleAttachPasteLink Method |
Parent |

Description
 | Displays dialog allowing a user to select an Ole Object type to attach to the active item compose view.
Syntax
 | GroupWise.OleAttachPasteLink()
Remarks
 | None.


Method OleConvertToStatic

Advansys Formativ 1.6 | Language Reference
OleConvertToStatic Method |
Parent |

Description
 | Converts an OLE embedded object so that it cannot be edited by the recipient.
Syntax
 | GroupWise.OleConvertToStatic()
Remarks
 | None.


Method OleDoVerb

Advansys Formativ 1.6 | Language Reference
OleDoVerb Method |
Parent |

Description
Performs an action on an attached or embedded OLE object. The action depends on the object.
Syntax
GroupWise.OleDoVerb(Verb String, AttachmentIndex Integer)

Parameter Useage:

Verb String | Action to perform on an OLE object. If you open an item with two attached objects---a Paintbrush Picture and WordPerfect 6.0 document---the following example opens the second attached object (WP objec
AttachmentIndex Integer | Attachment index number (zero-based).
Remarks
None.


Method OleInsertObject

Advansys Formativ 1.6 | Language Reference
OleInsertObject Method |
Parent |

Description
Opens an application associated with an OLE object in a custom view.
Syntax
GroupWise.OleInsertObject(ObjectClass String)

Parameter Useage:

ObjectClass String
         Object to embed, such as a Paintbrush object.
Remarks
None.


Method OleInsertObjectDlg

Advansys Formativ 1.6 | Language Reference
OleInsertObjectDlg Method |
Parent |

Description
 | Displays the insert object dialog box.
Syntax
 | GroupWise.OleInsertObjectDlg()
Remarks
 | None.


Method OleLinksDlg

Advansys Formativ 1.6 | Language Reference
OleLinksDlg Method |
Parent |

Description
 | Displays the links dialog box to update, cancel, or change a Link.
Syntax
 | GroupWise.OleLinksDlg()
Remarks
 | None.


Method OlePasteLink

Advansys Formativ 1.6 | Language Reference
OlePasteLink Method |
Parent |

Description
 | Pastes the contents of the Clipboard into an OLE box, and creates a link to a server application. The object must have been saved in the server application and copied to the Clipboard. You cannot cut the object to the clipboard or make any changes after it is saved and use this command.
Syntax
 | GroupWise.OlePasteLink()
Remarks
 | None.


Method OpenCalendar

Advansys Formativ 1.6 | Language Reference
OpenCalendar Method |
Parent |

Description
 | Opens or switches to the default Calendar view.
Syntax
 | GroupWise.OpenCalendar()
Remarks
 | None.


Method OpenDocument

Advansys Formativ 1.6 | Language Reference
OpenDocument Method |
Parent |

Description
Opens the document identified by the Document Number, specified in DocIDStr. The Value of OpenFlag determines the action OpenDocument will take.
Syntax
GroupWise.OpenDocument(DocID String, OpenFlag eOpenDocFlag) : String

Parameter Useage:

DocID String
         String in the form: Domain.PostOffice.Library:Doc#.Ver.#
OpenFlag eOpenDocFlag
         Specifies how to open the document.

Value | Description
odfLaunchApp |
odfUseCurrentApp |
odfQuickviewer |
Remarks
None.


Method OpenDocumentReadOnly

Advansys Formativ 1.6 | Language Reference
OpenDocumentReadOnly Method |
Parent |

Description
Opens the document identified by the Document Number, specified in DocIDStr, in read-only mode. The Value of OpenFlag determines the action OpenDocumentReadOnly will take.
Syntax
GroupWise.OpenDocumentReadOnly(DocID String, OpenFlag eOpenDocFlag) : String

Parameter Useage:

DocID String
         String in the form Domain.PostOffice.Library:Doc#.Ver#:
OpenFlag eOpenDocFlag
         Specifies how to open the document.

Value | Description
odfLaunchApp |
odfUseCurrentApp |
odfQuickviewer |
Remarks
None.


Method OpenInBox

Advansys Formativ 1.6 | Language Reference
OpenInBox Method |
Parent |

Description
 | Opens or switches to the Mailbox. Also switches selection and focus to the Mailbox folder.
Syntax
 | GroupWise.OpenInBox()
Remarks
 | None.


Method OpenNewBrowser

Advansys Formativ 1.6 | Language Reference
OpenNewBrowser Method |
Parent |

Description
 | Opens a new main GroupWise client window.
Syntax
 | GroupWise.OpenNewBrowser()
Remarks
 | None.


Method OpenOutBox

Advansys Formativ 1.6 | Language Reference
OpenOutBox Method |
Parent |

Description
 | Opens or switches to the Sent Items. Also switches selection and focus to the Mailbox folder. And shows all sent items in that folder.
Syntax
 | GroupWise.OpenOutBox()
Remarks
 | None.


Method OpenTrashWindow

Advansys Formativ 1.6 | Language Reference
OpenTrashWindow Method |
Parent |

Description
 | Opens or switches to the Trash window. Also switches selection and focus to the Trash folder. And show all items in that folder.
Syntax
 | GroupWise.OpenTrashWindow()
Remarks
 | None.


Method PasteSpecialView

Advansys Formativ 1.6 | Language Reference
PasteSpecialView Method |
Parent |

Description
 | Selects options for pasting from the Clipboard. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.PasteSpecialView()
Remarks


Method PosCharNext

Advansys Formativ 1.6 | Language Reference
PosCharNext Method |
Parent |

Description
 | Moves the insertion point to the next character or space.
Syntax
 | GroupWise.PosCharNext()
Remarks
 | None.


Method PosCharPrevious

Advansys Formativ 1.6 | Language Reference
PosCharPrevious Method |
Parent |

Description
 | Moves the insertion point to the previous character or space.
Syntax
 | GroupWise.PosCharPrevious()
Remarks
 | None.


Method PosLineBegin

Advansys Formativ 1.6 | Language Reference
PosLineBegin Method |
Parent |

Description
 | Moves the insertion point to the beginning of the current line.
Syntax
 | GroupWise.PosLineBegin()
Remarks
 | None.


Method PosLineDown

Advansys Formativ 1.6 | Language Reference
PosLineDown Method |
Parent |

Description
 | Moves the insertion point down one line.
Syntax
 | GroupWise.PosLineDown()
Remarks
 | None.


Method PosLineEnd

Advansys Formativ 1.6 | Language Reference
PosLineEnd Method |
Parent |

Description
 | Moves the insertion point to the end of the current line.
Syntax
 | GroupWise.PosLineEnd()
Remarks
 | None.


Method PosLineUp

Advansys Formativ 1.6 | Language Reference
PosLineUp Method |
Parent |

Description
 | Moves the insertion point up one line.
Syntax
 | GroupWise.PosLineUp()
Remarks
 | None.


Method PosScreenDown

Advansys Formativ 1.6 | Language Reference
PosScreenDown Method |
Parent |

Description
 | Displays the next screen. The insertion point stays on the same line and position, if possible.
Syntax
 | GroupWise.PosScreenDown()
Remarks
 | None.


Method PosScreenLeft

Advansys Formativ 1.6 | Language Reference
PosScreenLeft Method |
Parent |

Description
 | Moves the insertion point to the left side of a message box.
Syntax
 | GroupWise.PosScreenLeft()
Remarks
 | None.


Method PosScreenRight

Advansys Formativ 1.6 | Language Reference
PosScreenRight Method |
Parent |

Description
 | Moves the insertion point to the end of the current line.
Syntax
 | GroupWise.PosScreenRight()
Remarks
 | None.


Method PosScreenUp

Advansys Formativ 1.6 | Language Reference
PosScreenUp Method |
Parent |

Description
 | Displays the previous screen. The insertion point stays on the same line and position, if possible.
Syntax
 | GroupWise.PosScreenUp()
Remarks
 | None.


Method PosTextTop

Advansys Formativ 1.6 | Language Reference
PosTextTop Method |
Parent |

Description
 | Moves the insertion point to the beginning of the first line.
Syntax
 | GroupWise.PosTextTop()
Remarks
 | None.


Method PosToEndOfText

Advansys Formativ 1.6 | Language Reference
PosToEndOfText Method |
Parent |

Description
 | Moves the insertion point to the end of the last line.
Syntax
 | GroupWise.PosToEndOfText()
Remarks
 | None.


Method PosWordLeft

Advansys Formativ 1.6 | Language Reference
PosWordLeft Method |
Parent |

Description
 | Moves the insertion point to the beginning of the current word, or to the beginning of the previous word, depending on its current position.
Syntax
 | GroupWise.PosWordLeft()
Remarks
 | None.


Method PosWordRight

Advansys Formativ 1.6 | Language Reference
PosWordRight Method |
Parent |

Description
 | Moves the insertion point to the beginning of the next word.
Syntax
 | GroupWise.PosWordRight()
Remarks
 | None.


Method PrefAdvanced

Advansys Formativ 1.6 | Language Reference
PrefAdvanced Method |
Parent |

Description
Sets the default Advanced Send options.
Syntax
GroupWise.PrefAdvanced(Security eSecurity, ConcealSubject Boolean, DeliverDelay Integer, InsertOutbox Boolean, ConvertAttachments Boolean, RequireRoutedPassword Boolean, DeliverHour Integer, DeliverMinute Integer, DeliverDay Integer, DeliverMonth Integer, DeliverYear Integer)

Parameter Useage:

Security eSecurity
         Specifies an items security level.

Value | Description
secConfidential |
secForYourEyesOnly |
secNormal |
secProprietary |
secSecret |
secTopSecret |
ConcealSubject Boolean
DeliverDelay Integer
InsertOutbox Boolean
ConvertAttachments Boolean
RequireRoutedPassword Boolean
DeliverHour Integer
DeliverMinute Integer
DeliverDay Integer
         Number of days to delay delivery.
DeliverMonth Integer
DeliverYear Integer
Remarks
None.


Method PrefAppointment

Advansys Formativ 1.6 | Language Reference
PrefAppointment Method |
Parent |

Description
Sets the default Appointment Send options.
Syntax
GroupWise.PrefAppointment(Priority ePriority, Notify Boolean, ReturnOnOpen eReturnOnValue, ReturnOnAcept eReturnOnValue, ReturnOnDelete eReturnOnValue, StatusInfo eStatusInfo)

Parameter Useage:

Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Notify Boolean
ReturnOnOpen eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnAcept eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnDelete eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
StatusInfo eStatusInfo
         Information to track when an Appointment is sent.

Value | Description
stiAllInfo |
stiDelivered |
stiNone |
stiOpened |
Remarks
None.


Method PrefAppointmentTime

Advansys Formativ 1.6 | Language Reference
PrefAppointmentTime Method |
Parent |

Description
Sets the default Appointment Time options.
Syntax
GroupWise.PrefAppointmentTime(ShowTimeIntervals Boolean, StartTimeMinute Integer, StartTimeHour Integer, Interval Integer, Alarm Boolean, AlarmMinutes Integer, AlarmHours Integer, DisplayEventType eDisplayEventType, DefaultLenMinutes Integer, DefaultLenHours Integer)

Parameter Useage:

ShowTimeIntervals Boolean
StartTimeMinute Integer
         Minute to begin day on.
StartTimeHour Integer
         Hour to begin day on.
Interval Integer
         Length of display time interval.
Alarm Boolean
AlarmMinutes Integer
         Minutes before appointment to sound alarm.
AlarmHours Integer
         Hours before appointment to sound alarm.
DisplayEventType eDisplayEventType
         Specifies how to display the items time duration.

Value | Description
detDuration |
detEndDateAndTime |
DefaultLenMinutes Integer
         Default length of appointment in minutes.
DefaultLenHours Integer
         Default length of appointment in hours.
Remarks
None.


Method PrefBusySearch

Advansys Formativ 1.6 | Language Reference
PrefBusySearch Method |
Parent |

Description
Sets the default Busy Search options.
Syntax
GroupWise.PrefBusySearch(StartTimeMinute Integer, StartTimeHour Integer, EndTimeMinute Integer, EndTimeHour Integer, ApptLenMinutes Integer, ApptLenHours Integer, BusySunday Boolean, BusyMonday Boolean, BusyTuesday Boolean, BusyWednesday Boolean, BusyThursday Boolean, BusyFriday Boolean, BusySaturday Boolean, ExtInfo Boolean, SearchRange Integer)

Parameter Useage:

StartTimeMinute Integer |
StartTimeHour Integer |
EndTimeMinute Integer |
EndTimeHour Integer |
ApptLenMinutes Integer |
ApptLenHours Integer |
BusySunday Boolean |
BusyMonday Boolean |
BusyTuesday Boolean |
BusyWednesday Boolean |
BusyThursday Boolean |
BusyFriday Boolean |
BusySaturday Boolean |
ExtInfo Boolean |
SearchRange Integer | Number of days to search.
Remarks
None.


Method PrefCleanup

Advansys Formativ 1.6 | Language Reference
PrefCleanup Method |
Parent |

Description
Sets the default Cleanup options.
Syntax
GroupWise.PrefCleanup(MailPhoneDelete eMsgDelete, MailPhoneDelayDays Integer, ApptTaskNoteDelete eMsgDelete, ApptTaskNoteDelayDays Integer, EmptyTrash eEmptyTrash, EmptyTrashDelayDays Integer, IncludeSundayInSearch Boolean)

Parameter Useage:

MailPhoneDelete eMsgDelete
         Specifies the item deletion options.

Value | Description
msdAutoArchive |
msdAutoDelete |
msdManual |
MailPhoneDelayDays Integer
         Number of days to AutoArchive! or AutoDelete! cleanup.
ApptTaskNoteDelete eMsgDelete
         Specifies the item deletion options.

Value | Description
msdAutoArchive |
msdAutoDelete |
msdManual |
ApptTaskNoteDelayDays Integer
         Number of days to AutoArchive! or AutoDelete! cleanup.
EmptyTrash eEmptyTrash
         Specifies the method to empty the trash.

Value | Description
etrAutomatic |
etrManual |
EmptyTrashDelayDays Integer
         Number of days to AutoArchive! or AutoDelete! cleanup.
IncludeSundayInSearch Boolean
Remarks
None.


Method PrefDateTimeFormat

Advansys Formativ 1.6 | Language Reference
PrefDateTimeFormat Method |
Parent |

Description
Sets the default Date and Time format.
Syntax
GroupWise.PrefDateTimeFormat(DateFormat String, TimeDefault String, MailBoxDate String, InfoDate String, FileDate String)

Parameter Useage:

DateFormat String | Date format for all GroupWise views.
TimeDefault String | Time format for all GroupWise views.
MailBoxDate String | Mailbox date and time formats.
InfoDate String | Info date and time formats. To see the date, open Mailbox, choose Actions > Info.
FileDate String | Info date and time formats for attached items. To see the date, open Sent Items, choose Actions > Info.
Remarks
None.


Method PrefDlg

Advansys Formativ 1.6 | Language Reference
PrefDlg Method |
Parent |

Description
 | Displays the preference dialog box to set GroupWise defaults.
Syntax
 | GroupWise.PrefDlg()
Remarks
 | None.


Method PrefEnvironment

Advansys Formativ 1.6 | Language Reference
PrefEnvironment Method |
Parent |

Description
Sets the default Environment options.
Syntax
GroupWise.PrefEnvironment(Language String, AdvanceOnDelete Boolean, NewScreenOnSend Boolean, UpdateRateSeconds Integer, UpdateRateMinutes Integer, OpenItemAction eOpenItemAction, OpenAttachmentAction eOpenAttachAction, Mnemonmics Boolean)

Parameter Useage:

Language String
         The display language. Affects only the interface. The desired language version must be installed. After setting, exit and re-enter GroupWise.
AdvanceOnDelete Boolean
NewScreenOnSend Boolean
UpdateRateSeconds Integer
         Specify in seconds how frequently GroupWise checks your mailbox for incoming items.
UpdateRateMinutes Integer
         Specify in minutes how frequently GroupWise checks your mailbox for incoming items.
OpenItemAction eOpenItemAction
         Specifies the action for Open Item.

Value | Description
oiaOpenItem |
oiaResendItem |
oiaShowProperties |
OpenAttachmentAction eOpenAttachAction
         Specifies the open attachment action.

Value | Description
oaaOpenAttachment |
oaaViewAttachment |
Mnemonmics Boolean
Remarks
None.


Method PrefLocationOfFiles

Advansys Formativ 1.6 | Language Reference
PrefLocationOfFiles Method |
Parent |

Description
Sets the default Location of Files options.
Syntax
GroupWise.PrefLocationOfFiles(ArchiveDir String, CustomViews String, DefaultSaveDir String)

Parameter Useage:

ArchiveDir String
CustomViews String
DefaultSaveDir String
Remarks
None.


Method PrefMailAndPhone

Advansys Formativ 1.6 | Language Reference
PrefMailAndPhone Method |
Parent |

Description
Sets the default Mail and Phone Send options.
Syntax
GroupWise.PrefMailAndPhone(Priority ePriority, Notify Boolean, ReturnOnOpen eReturnOnValue, ReturnOnCompleted eReturnOnValue, ReturnOnDelete eReturnOnValue, StatusInfo eStatusInfo, ReplyRequested eReplyRequested, ReplyRequestedDays Integer, ExpireDays Integer, AutoDelete Boolean)

Parameter Useage:

Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Notify Boolean
ReturnOnOpen eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnCompleted eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnDelete eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
StatusInfo eStatusInfo
         Information to track when an Appointment is sent.

Value | Description
stiAllInfo |
stiDelivered |
stiNone |
stiOpened |
ReplyRequested eReplyRequested
         Specifies the Reply Requested option.

Value | Description
rrqNone |
rrqWhenConvenient |
rrqWithinDays |
ReplyRequestedDays Integer
         Number of days. The recipient sees: REPLY REQUESTED: By xx/xx/xx.
ExpireDays Integer
         Number of days a mail or phone message remains in recipient's mailbox.
AutoDelete Boolean
Remarks
None.


Method PrefNote

Advansys Formativ 1.6 | Language Reference
PrefNote Method |
Parent |

Description
Sets the default Note Send options.
Syntax
GroupWise.PrefNote(Priority ePriority, Notify Boolean, ReturnOnOpen eReturnOnValue, ReturnOnDelete eReturnOnValue, StatusInfo eStatusInfo)

Parameter Useage:

Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Notify Boolean
ReturnOnOpen eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnDelete eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
StatusInfo eStatusInfo
         Information to track when an Appointment is sent.

Value | Description
stiAllInfo |
stiDelivered |
stiNone |
stiOpened |
Remarks
None.


Method PrefSignature

Advansys Formativ 1.6 | Language Reference
PrefSignature Method |
Parent |

Description
Sets the signature that is appended to every message sent. Version: GroupWise 5.x and later.
Syntax
GroupWise.PrefSignature(SigOptions eInclude, AddSignature Boolean, AddVCard Boolean, SignatureText String)

Parameter Useage:

SigOptions eInclude
         Specifies the signature include option.

Value | Description
incNo |
incYes |
incPrompt |
AddSignature Boolean
AddVCard Boolean
SignatureText String
         Return notification options.
Remarks
Only available in GroupWise 5.5 and later.


Method PrefTask

Advansys Formativ 1.6 | Language Reference
PrefTask Method |
Parent |

Description
Sets the default Task Send options.
Syntax
GroupWise.PrefTask(Priority ePriority, Notify Boolean, ReturnOnOpen eReturnOnValue, ReturnOnAccept eReturnOnValue, ReturnOnDelete eReturnOnValue, ReturnOnCompleted eReturnOnValue, StatusInfo eStatusInfo, DisplayEventType eTaskDisplay)

Parameter Useage:

Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Notify Boolean
ReturnOnOpen eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnAccept eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnDelete eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnCompleted eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
StatusInfo eStatusInfo
         Information to track when an Appointment is sent.

Value | Description
stiAllInfo |
stiDelivered |
stiNone |
stiOpened |
DisplayEventType eTaskDisplay
         Specifies the task time duration display.

Value | Description
tdtDuration |
tdtEndDateAndTime |
Remarks
None.


Method PrefViewDefaults

Advansys Formativ 1.6 | Language Reference
PrefViewDefaults Method |
Parent |

Description
Sets the default Views for personal and group views.
Syntax
GroupWise.PrefViewDefaults(GroupApptView String, PersonalApptView String, FolderView String, MailView String, GroupNoteView String, PersonalNoteView String, PhoneView String, GroupTaskView String, PersonalTaskView String, ReadUsingDefaultViews Boolean)

Parameter Useage:

GroupApptView String | Example: "Meeting w/attach"
PersonalApptView String | Example: "Personal Appointment w/attach"
FolderView String | Calendar View. Example: "Day Planner"
MailView String | Example: "Expanded Mail"
GroupNoteView String | Example: "Notice"
PersonalNoteView String | Example: "Personal Note"
PhoneView String | Example: "Phone Message w/attach"
GroupTaskView String | Example: "Task"
PersonalTaskView String | Example: "Personal Task"
ReadUsingDefaultViews Boolean |
Remarks
None.


Method PreviousThread

Advansys Formativ 1.6 | Language Reference
PreviousThread Method |
Parent |

Description
 | Moves the cursor to the previous thread. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.PreviousThread()
Remarks
 | Only available in GroupWise 5.5 and later.


Method PreviousUnreadItem

Advansys Formativ 1.6 | Language Reference
PreviousUnreadItem Method |
Parent |

Description
 | Move the cursor to the previous unread item.
Syntax
 | GroupWise.PreviousUnreadItem()
Remarks
 | None.


Method Print

Advansys Formativ 1.6 | Language Reference
Print Method |
Parent |

Description
 | Prints an opened attachment.
Syntax
 | GroupWise.Print()
Remarks
 | None.


Method PrintCalendarDlg

Advansys Formativ 1.6 | Language Reference
PrintCalendarDlg Method |
Parent |

Description
 | Displays the Print Calendar dialog box.
Syntax
 | GroupWise.PrintCalendarDlg()
Remarks
 | None.


Method PrintDlg

Advansys Formativ 1.6 | Language Reference
PrintDlg Method |
Parent |

Description
 | Displays the Print dialog box.
Syntax
 | GroupWise.PrintDlg()
Remarks
 | None.


Method PrintSetup

Advansys Formativ 1.6 | Language Reference
PrintSetup Method |
Parent |

Description
 | Displays the Print Setup dialog box.
Syntax
 | GroupWise.PrintSetup()
Remarks
 | None.


Method ProcessMessageTemplate

Advansys Formativ 1.6 | Language Reference
ProcessMessageTemplate Method |
Parent |

Description
No description is available.
Syntax
GroupWise.ProcessMessageTemplate(Template String)

Parameter Useage:

Template String
Remarks
None.


Method ProcessTemplate

Advansys Formativ 1.6 | Language Reference
ProcessTemplate Method |
Parent |

Description
No description is available.
Syntax
GroupWise.ProcessTemplate(Template String) : String

Parameter Useage:

Template String
Remarks
None.


Method PromptForPassword

Advansys Formativ 1.6 | Language Reference
PromptForPassword Method |
Parent |

Description
 | Prompts the user for a password and verifies that it is correct. User may enter a password as many as three times.
Syntax
 | GroupWise.PromptForPassword()
Remarks
 | None.


Method PromptSetMode

Advansys Formativ 1.6 | Language Reference
PromptSetMode Method |
Parent |

Description
Specifies whether to suppress certain prompt messages.
Syntax
GroupWise.PromptSetMode(Mode ePromptMode)

Parameter Useage:

Mode ePromptMode
         Specifies the prompting mode.

Value | Description
psmNormal |
psmSuppressed |
Remarks
None.


Method Properties

Advansys Formativ 1.6 | Language Reference
Properties Method |
Parent |

Description
 | Displays the properties dialog for the currently selected item.
Syntax
 | GroupWise.Properties()
Remarks
 | None.


Method Proxy

Advansys Formativ 1.6 | Language Reference
Proxy Method |
Parent |

Description
Specifies a person to proxy for (the person must grant proxy rights).
Syntax
GroupWise.Proxy(UserID String, aWindow eProxyWindow)

Parameter Useage:

UserID String
         Person to proxy for.
aWindow eProxyWindow
         Specifies the current window for the proxy.

Value | Description
prwCurrentWindow |
Remarks
None.


Method ProxyDlg

Advansys Formativ 1.6 | Language Reference
ProxyDlg Method |
Parent |

Description
 | Displays the Proxy dialog box.
Syntax
 | GroupWise.ProxyDlg()
Remarks
 | None.


Method QueryDlg

Advansys Formativ 1.6 | Language Reference
QueryDlg Method |
Parent |

Description
 | Displays the QuickFinder dialog box.
Syntax
 | GroupWise.QueryDlg()
Remarks
 | None.


Method QueryEditDlg

Advansys Formativ 1.6 | Language Reference
QueryEditDlg Method |
Parent |

Description
 | Displays the Find Criteria dialog box. The Find Results window must be showing for this token to work.
Syntax
 | GroupWise.QueryEditDlg()
Remarks
 | None.


Method QueryExecute

Advansys Formativ 1.6 | Language Reference
QueryExecute Method |
Parent |

Description
Executes a named query.
Syntax
GroupWise.QueryExecute(QFQuery String, WhereSearch eWhereToSearch, OfficialVer eOfficialVersion, Libraries String, FullIUserID String, FolderListHandle Integer)

Parameter Useage:

QFQuery String
WhereSearch eWhereToSearch
         Specifies where to search.

Value | Description
wtsRemoteMailBox |
wtsMasterMailBox |
OfficialVer eOfficialVersion
         Specifies the official version only.

Value | Description
OfficialOnly |
Libraries String
         Separates multiple libraries by a comma. In the form: Library.PostOffice.Domain.
FullIUserID String
FolderListHandle Integer
Remarks
None.


Method QueryExecuteODMA

Advansys Formativ 1.6 | Language Reference
QueryExecuteODMA Method |
Parent |

Description
Executes a named query returning the results to the ODMA dialog box.
Syntax
GroupWise.QueryExecuteODMA(QFQuery String, Filter Integer, WhereSearch eWhereToSearch, OfficialVersion eOfficialVersion, Libraries String, FullUserID String, FolderListHandle Integer)

Parameter Useage:

QFQuery String
Filter Integer
WhereSearch eWhereToSearch
         Specifies where to search.

Value | Description
wtsRemoteMailBox |
wtsMasterMailBox |
OfficialVersion eOfficialVersion
         Specifies the official version only.

Value | Description
OfficialOnly |
Libraries String
         Separates multiple libraries by a comma. In the form: Library.PostOffice.Domain.
FullUserID String
FolderListHandle Integer
Remarks
None.


Method QuerySaveAsFolder

Advansys Formativ 1.6 | Language Reference
QuerySaveAsFolder Method |
Parent |

Description
Creates a folder to display the results of the specified query when the folder is opened.
Syntax
GroupWise.QuerySaveAsFolder(FolderName String, FolderDesc String, FolderPosition Integer, InvokeOnOpen Boolean, QuickFinderQuery String, Filter Integer, WhereToSearch eWhereToSearch, OfficialVersion eOfficialVersion, Libraries String, FullUserID String, FolderListHandle Integer)

Parameter Useage:

FolderName String
         The full FolderName path. For example, User's Full Name\Cabinet\FolderName.
FolderDesc String
FolderPosition Integer
         The position the folder will be created in folderlist. 0 is in the first postion under the folder specified. For example, User's Full Name\Cabinet\FolderName would place the folder as the first folder
InvokeOnOpen Boolean
QuickFinderQuery String
Filter Integer
WhereToSearch eWhereToSearch
         Specifies where to search.

Value | Description
wtsRemoteMailBox |
wtsMasterMailBox |
OfficialVersion eOfficialVersion
         Specifies the official version only.

Value | Description
OfficialOnly |
Libraries String
FullUserID String
         The position the folder will be created in folderlist. 0 is in the first postion under the folder specified. For example, User's Full Name\Cabinet\FolderName would place the folder as the first folder
FolderListHandle Integer
         A list of a single or multiple folders. If you use this folder, do not use the FullUserID parameter.
Remarks
None.


Method QuerySaveAsFolderDlg

Advansys Formativ 1.6 | Language Reference
QuerySaveAsFolderDlg Method |
Parent |

Description
 | Creates a folder to display the results of the specified query when the folder is opened. The Find Results window must be showing for this token to work.
Syntax
 | GroupWise.QuerySaveAsFolderDlg()
Remarks
 | None.


Method QueryStop

Advansys Formativ 1.6 | Language Reference
QueryStop Method |
Parent |

Description
 | Stops searching for items and documents in GroupWise. Version: GroupWise 5.5 and later.
Syntax
 | GroupWise.QueryStop()
Remarks
 | None.


Method QuickCorrect

Advansys Formativ 1.6 | Language Reference
QuickCorrect Method |
Parent |

Description
 | Allows GroupWise to automatically check and correct spelling, as the user types. A message item view must be showing with the cursor, or focus in the subject or message fields.
Syntax
 | GroupWise.QuickCorrect()
Remarks
 | None.


Method QuickViewerHide

Advansys Formativ 1.6 | Language Reference
QuickViewerHide Method |
Parent |

Description
 | Hides the QuickViewer pane of the main browser.
Syntax
 | GroupWise.QuickViewerHide()
Remarks
 | None.


Method QvButtonBarHide

Advansys Formativ 1.6 | Language Reference
QvButtonBarHide Method |
Parent |

Description
 | Hides the QuickViewer toolbar. GroupWise 6.5 and later.
Syntax
 | GroupWise.QvButtonBarHide()
Remarks
 | None.


Method QvButtonBarShow

Advansys Formativ 1.6 | Language Reference
QvButtonBarShow Method |
Parent |

Description
Shows or hides the QuickViewer toolbar. GroupWise 6.5 and later.
Syntax
GroupWise.QvButtonBarShow(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method Refresh

Advansys Formativ 1.6 | Language Reference
Refresh Method |
Parent |

Description
 | Updates Mailbox, Sent Items, Trash, or Calendar views to display items after the view was opened.
Syntax
 | GroupWise.Refresh()
Remarks
 | None.


Method RefreshMultiloginAccount

Advansys Formativ 1.6 | Language Reference
RefreshMultiloginAccount Method |
Parent |

Description
Refreshes the list Multilogin account session list.
Syntax
GroupWise.RefreshMultiloginAccount(Account Variant)

Parameter Useage:

Account Variant
Remarks
This method is currently not implemented. See http://developer.novell.com/ndk/doc/gwobjapi/index.html?gwobjenu/data/h7ikbsqg.html for more information on multilogin accounts.


Method RemoteConnect

Advansys Formativ 1.6 | Language Reference
RemoteConnect Method |
Parent |

Description
Connects GroupWise Remote to the master system and updates the remote mailbox.
Syntax
GroupWise.RemoteConnect(RequestItems Boolean, RequestRules Boolean, RequestSysAddressBook Boolean, RequestPersonalAddressBook Boolean)

Parameter Useage:

RequestItems Boolean
RequestRules Boolean
RequestSysAddressBook Boolean
RequestPersonalAddressBook Boolean
Remarks
None.


Method RemoteCreateModemConnection

Advansys Formativ 1.6 | Language Reference
RemoteCreateModemConnection Method |
Parent |

Description
Creates a modem connection.
Syntax
GroupWise.RemoteCreateModemConnection(ConnectionName String, PhoneNumber String, GatewayLoginID String, GatewayPassword String, ModemScriptFilePath String, DisconnectMethod eDisconnectMethod, RedialAttempt Integer, RedialIntervals Integer)

Parameter Useage:

ConnectionName String
PhoneNumber String
GatewayLoginID String
GatewayPassword String
ModemScriptFilePath String
DisconnectMethod eDisconnectMethod
         Specifies the remote disconnection method.

Value | Description
dimAfterAllUpdates |
dimAfterRequestsSent |
dimManual |
RedialAttempt Integer
         Default = 5.
RedialIntervals Integer
         Number of minutes: Default = 1.
Remarks
None.


Method RemoteCreateNetworkConnection

Advansys Formativ 1.6 | Language Reference
RemoteCreateNetworkConnection Method |
Parent |

Description
Creates a network connection.
Syntax
GroupWise.RemoteCreateNetworkConnection(ConnectionName String, PostOfficePath String, DisconnectMethod eDisconnectMethod)

Parameter Useage:

ConnectionName String
         User defined.
PostOfficePath String
         Include full path.
DisconnectMethod eDisconnectMethod
         Specifies the remote disconnection method.

Value | Description
dimAfterAllUpdates |
dimAfterRequestsSent |
dimManual |
Remarks
None.


Method RemoteDeleteConnection

Advansys Formativ 1.6 | Language Reference
RemoteDeleteConnection Method |
Parent |

Description
Deletes a remote connection from the Connection dialog box.
Syntax
GroupWise.RemoteDeleteConnection(ConnectionName String)

Parameter Useage:

ConnectionName String
Remarks
None.


Method RemoteDisconnect

Advansys Formativ 1.6 | Language Reference
RemoteDisconnect Method |
Parent |

Description
 | Disconnects GroupWise Remote from the master system, and closes the Connection Status window. Token fails if there is no connection.
Syntax
 | GroupWise.RemoteDisconnect()
Remarks
 | None.


Method RemoteGetPhoneNumber

Advansys Formativ 1.6 | Language Reference
RemoteGetPhoneNumber Method |
Parent |

Description
 | Returns the phone number of the default modem connection.
Syntax
 | GroupWise.RemoteGetPhoneNumber() : String
Remarks
 | None.


Method RemoteHitTheRoadDlg

Advansys Formativ 1.6 | Language Reference
RemoteHitTheRoadDlg Method |
Parent |

Description
 | Runs the Wizard to create a remote post office from the users master post office.
Syntax
 | GroupWise.RemoteHitTheRoadDlg()
Remarks
 | None.


Method RemoteModemCommand

Advansys Formativ 1.6 | Language Reference
RemoteModemCommand Method |
Parent |

Description
Sends commands to a modem while a Remote connection is being initiated.
Syntax
GroupWise.RemoteModemCommand(ModemCommand eRemoteModemCmd, OEMString String)

Parameter Useage:

ModemCommand eRemoteModemCmd
         Specifies the remote modem command.

Value | Description
rmcAllowLogging |
rmcBreak |
rmcCharAvailable |
rmcConnected |
rmcRead |
rmcSettings |
rmcTerminalMode |
rmcWrite |
OEMString String
         String data passed to a modem.
Remarks
None.


Method RemotePendingRequestsDlg

Advansys Formativ 1.6 | Language Reference
RemotePendingRequestsDlg Method |
Parent |

Description
 | Displays the Pending Requests to Master Mailbox dialog box.
Syntax
 | GroupWise.RemotePendingRequestsDlg()
Remarks
 | None.


Method RemoteRequestContacts

Advansys Formativ 1.6 | Language Reference
RemoteRequestContacts Method |
Parent |

Description
 | Retrieves contacts into the remote database. GroupWise 6.5 and later.
Syntax
 | GroupWise.RemoteRequestContacts()
Remarks
 | None.


Method RemoteRequestDocument

Advansys Formativ 1.6 | Language Reference
RemoteRequestDocument Method |
Parent |

Description
Requests the document specified by DocIDStr to be downloaded from the Master System to the Remote post office. The document will be marked In Use, based on the value of MarkInUse.
Syntax
GroupWise.RemoteRequestDocument(DocID String, MarkInUse Boolean)

Parameter Useage:

DocID String
MarkInUse Boolean
Remarks
None.


Method RemoteSelectedRetrieveDlg

Advansys Formativ 1.6 | Language Reference
RemoteSelectedRetrieveDlg Method |
Parent |

Description
 | Displays the Retrieve Selected Items dialog box.
Syntax
 | GroupWise.RemoteSelectedRetrieveDlg()
Remarks
 | None.


Method RemoteSendRetrieveDlg

Advansys Formativ 1.6 | Language Reference
RemoteSendRetrieveDlg Method |
Parent |

Description
 | Displays the Send/Retrieve dialog box.
Syntax
 | GroupWise.RemoteSendRetrieveDlg()
Remarks
 | None.


Method RemoteSetAddrBookDnloadFilter

Advansys Formativ 1.6 | Language Reference
RemoteSetAddrBookDnloadFilter Method |
Parent |

Description
Requests user IDs, resources, and public group names from the master system.
Syntax
GroupWise.RemoteSetAddrBookDnloadFilter(Domain String, PostOffice String)

Parameter Useage:

Domain String | All post offices in this domain. If blank, all domains.
PostOffice String | One post office in a specified domain. Each post office represents a collection of mailboxes. If blank, all post offices.
Remarks
None.


Method RemoteSetDefaultConnection

Advansys Formativ 1.6 | Language Reference
RemoteSetDefaultConnection Method |
Parent |

Description
Sets the current modem or network connection.
Syntax
GroupWise.RemoteSetDefaultConnection(ConnectionName String)

Parameter Useage:

ConnectionName String
Remarks
None.


Method RemoteSetItemsFolders

Advansys Formativ 1.6 | Language Reference
RemoteSetItemsFolders Method |
Parent |

Description
Downloads one or all folders from the master system. Repeat this token to add more than one token, but fewer than all.
Syntax
GroupWise.RemoteSetItemsFolders(RetrieveContents eRetrieveContents, FolderName String)

Parameter Useage:

RetrieveContents eRetrieveContents
         Specifies the remote retrieve contents parameter.

Value | Description
recAdd |
recAll |
recReset |
FolderName String
         Ignored if RetrieveContentsis set to All!.
Remarks
None.


Method RemoteSetPreferences

Advansys Formativ 1.6 | Language Reference
RemoteSetPreferences Method |
Parent |

Description
RemoteSetPreferences( ) sets remote preferences, such as name, user ID, etc.
Syntax
GroupWise.RemoteSetPreferences(FullName String, UserID String, MMPassword String, Domain String, PostOffice String, Modem String)

Parameter Useage:

FullName String |
UserID String |
MMPassword String | Master mailbox password.
Domain String | Post office location.
PostOffice String | Mailbox location.
Modem String |
Remarks
None.


Method RemoteSetPublicGroupDnloadFilter

Advansys Formativ 1.6 | Language Reference
RemoteSetPublicGroupDnloadFilter Method |
Parent |

Description
Sets a filter for retrieving public groups.
Syntax
GroupWise.RemoteSetPublicGroupDnloadFilter(GroupName String)

Parameter Useage:

GroupName String
Remarks
None.


Method RemoteSetRequestItemsFilter

Advansys Formativ 1.6 | Language Reference
RemoteSetRequestItemsFilter Method |
Parent |

Description
Sets filters for retrieving items from the master system. Parameters not specified are not retrieved to the users remote database.
Syntax
GroupWise.RemoteSetRequestItemsFilter(FromInBox Boolean, FromOutBox Boolean, FromPersonalBox Boolean, RetrieveMainPhone eRetrieveMailPhoneNotes, RetrieveAppts eRetrieveAppts, RetrieveTasks eRetrieveTasks, RetrieveNotes eRetrieveMailPhoneNotes, MsgSizeLimit Integer, AttachSizeLimit Integer, DistSizeLimit Integer, DaysPrior Integer, DaysAfter Integer, RetrieveDocReferences eRetrieveDocRef)

Parameter Useage:

FromInBox Boolean
FromOutBox Boolean
FromPersonalBox Boolean
RetrieveMainPhone eRetrieveMailPhoneNotes
         Specifies which Mail, Phone and Note items to receive in remote mode.

Value | Description
rmpAll |
rmpNone |
rmpOpened |
rmpUnopened |
RetrieveAppts eRetrieveAppts
         Specifies which Appointment items to receive in remote mode.

Value | Description
rapAccepted |
rapAll |
rapNone |
rapUnaccepted |
RetrieveTasks eRetrieveTasks
         Specifies which Task items to receive in remote mode.

Value | Description
retAll |
retCompleted |
retNone |
retUncompleted |
RetrieveNotes eRetrieveMailPhoneNotes
         Specifies which Mail, Phone and Note items to receive in remote mode.

Value | Description
rmpAll |
rmpNone |
rmpOpened |
rmpUnopened |
MsgSizeLimit Integer
         Retrieve message text if less than a specified size in bytes. For example, 30720 (30x1024 or 30 kilobytes).
AttachSizeLimit Integer
         Retrieve attachments if less than a specified size in bytes. For example, 30720 (30x1023 or 30 kilobytes).
DistSizeLimit Integer
DaysPrior Integer
         Retrieve items no older than a specified number of days prior to the current date. For example, 5.
DaysAfter Integer
         Retrieve items that were received no later than a specified number of days after the current date. For example, 365.
RetrieveDocReferences eRetrieveDocRef
         Specifies which Document references to receive in remote mode.

Value | Description
rdrAll |
rdrNone |
Remarks
None.


Method RemoteViewConnectionLog

Advansys Formativ 1.6 | Language Reference
RemoteViewConnectionLog Method |
Parent |

Description
 | Displays the Connection Log message box.
Syntax
 | GroupWise.RemoteViewConnectionLog()
Remarks
 | None.


Method RemoveMenuItem

Advansys Formativ 1.6 | Language Reference
RemoveMenuItem Method |
Parent |

Description
This command allows you to remove menu items from the GroupWise client menus. In the MenuPath parameter, you must specify the full menu heirachy path to reach the menu entry you wish to remove, i.e. CONTEXT\MenuName\MenuName\MenuName... . Each menu level should be separated by a backslash character (\). The CONTEXT should be the GW.CLIENT.WINDOW.BROWSER for the GroupWise Main Window menus, GW.MESSAGE.MAIL for a Mail dialog menu, GW.MESSAGE.APPOINTMENT for an Appointment dialog, GW.MESSAGE.DISCUSSION for a discussion view, GW.MESSAGE.NOTE for a Note, GW.MESSAGE.PHONE for a Phone Message and GW.MESSAGE.TASK for a Task and so on. For example, if you wish to remove the "Rules" entry under the "Tools" menu, the applet command would be: GroupWise.RemoveMenuItem("GW.CLIENT.WINDOW.BROWSER\Tools\Rules"). Note: Some menu entries cannot be removed from the GroupWise client.
Syntax
GroupWise.RemoveMenuItem(MenuPath String)

Parameter Useage:

MenuPath String
Remarks
None.


Method Rename

Advansys Formativ 1.6 | Language Reference
Rename Method |
Parent |

Description
 | Allows the user to rename the selected folder.
Syntax
 | GroupWise.Rename()
Remarks
 | None.


Method ResetMenuItems

Advansys Formativ 1.6 | Language Reference
ResetMenuItems Method |
Parent |

Description
 | A convenient method for reinstating all menu items which have been previously disabled by the RemoveMenuItem command.
Syntax
 | GroupWise.ResetMenuItems()
Remarks
 | None.


Method Retrieve

Advansys Formativ 1.6 | Language Reference
Retrieve Method |
Parent |

Description
Retrieves a text file into a message box.
Syntax
GroupWise.Retrieve(Filename String)

Parameter Useage:

Filename String
Remarks
None.


Method RetrieveFileDlg

Advansys Formativ 1.6 | Language Reference
RetrieveFileDlg Method |
Parent |

Description
 | Displays the Retrieve dialog box.
Syntax
 | GroupWise.RetrieveFileDlg()
Remarks
 | None.


Method RuleAddActionAccept

Advansys Formativ 1.6 | Language Reference
RuleAddActionAccept Method |
Parent |

Description
Accepts a task or appointment when rule conditions are met.
Syntax
GroupWise.RuleAddActionAccept(UserID String, Rulename String, Comment String)

Parameter Useage:

UserID String |
Rulename String |
Comment String | Comment to include with accepted task or appointment.
Remarks
None.


Method RuleAddActionArchive

Advansys Formativ 1.6 | Language Reference
RuleAddActionArchive Method |
Parent |

Description
RuleAddActionArchive( ) archives an item when rule conditions are met.
Syntax
GroupWise.RuleAddActionArchive(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleAddActionDecline

Advansys Formativ 1.6 | Language Reference
RuleAddActionDecline Method |
Parent |

Description
Declines a task or appointment when rule conditions are met.
Syntax
GroupWise.RuleAddActionDecline(UserID String, Rulename String, Comment String)

Parameter Useage:

UserID String |
Rulename String |
Comment String | Comment to include with declined task or appointment.
Remarks
None.


Method RuleAddActionDelegate

Advansys Formativ 1.6 | Language Reference
RuleAddActionDelegate Method |
Parent |

Description
Delegates a task, appointment, or note item when rule conditions are met.
Syntax
GroupWise.RuleAddActionDelegate(UserID String, Rulename String, To_ String, SenderComments String, RecipientComments String)

Parameter Useage:

UserID String |
Rulename String |
To_ String | User ID of the person delegated a task, appointment, or note.
SenderComments String | Comments to the person who sent the task, appointment, or note.
RecipientComments String | Comments to the person delegated the task, appointment, or note.
Remarks
None.


Method RuleAddActionEmptyItem

Advansys Formativ 1.6 | Language Reference
RuleAddActionEmptyItem Method |
Parent |

Description
Deletes an item and then empties it from Trash when rule conditions are met.
Syntax
GroupWise.RuleAddActionEmptyItem(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleAddActionForward

Advansys Formativ 1.6 | Language Reference
RuleAddActionForward Method |
Parent |

Description
Forwards an item when rule conditions are met. Forwarded items are sent as an attachment to a mail message.
Syntax
GroupWise.RuleAddActionForward(UserID String, Rulename String, To_ String, CC String, BC String, Subject String, Files String, aMessage String, From String)

Parameter Useage:

UserID String |
Rulename String |
To_ String | User ID of the person to receive the forwarded item.
CC String | User ID of the person to receive a copy of the forwarded item.
BC String | User ID of the person to receive a blind copy of the forwarded item.
Subject String |
Files String | Separate multiple attachments with a comma.
aMessage String |
From String | Name of person forwarding the item.
Remarks
None.


Method RuleAddActionLinkToFolder

Advansys Formativ 1.6 | Language Reference
RuleAddActionLinkToFolder Method |
Parent |

Description
Links an item to a folder when rule conditions are met.
Syntax
GroupWise.RuleAddActionLinkToFolder(UserID String, Rulename String, FolderName String)

Parameter Useage:

UserID String |
Rulename String |
FolderName String | Include full folder path.
Remarks
None.


Method RuleAddActionMarkPrivate

Advansys Formativ 1.6 | Language Reference
RuleAddActionMarkPrivate Method |
Parent |

Description
Marks an item private when rule conditions are met.
Syntax
GroupWise.RuleAddActionMarkPrivate(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleAddActionMarkRead

Advansys Formativ 1.6 | Language Reference
RuleAddActionMarkRead Method |
Parent |

Description
Adds an action to the rule, specified by RuleName, marking the item being processed as Read.
Syntax
GroupWise.RuleAddActionMarkRead(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleAddActionMarkUnread

Advansys Formativ 1.6 | Language Reference
RuleAddActionMarkUnread Method |
Parent |

Description
Adds an action to the rule, specified by RuleName, marking the item being processed as Unread.
Syntax
GroupWise.RuleAddActionMarkUnread(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleAddActionMoveToFolder

Advansys Formativ 1.6 | Language Reference
RuleAddActionMoveToFolder Method |
Parent |

Description
Moves an item to a folder when rule conditions are met.
Syntax
GroupWise.RuleAddActionMoveToFolder(UserID String, Rulename String, FolderName String)

Parameter Useage:

UserID String |
Rulename String |
FolderName String | Include full folder path.
Remarks
None.


Method RuleAddActionReply

Advansys Formativ 1.6 | Language Reference
RuleAddActionReply Method |
Parent |

Description
Replies to the sender of a mail, appointment, task, or note item when rule conditions are met.
Syntax
GroupWise.RuleAddActionReply(UserID String, Rulename String, ReplyType eRuleReplyType, CC String, BC String, Subject String, Files String, aMessage String, aFrom String)

Parameter Useage:

UserID String
Rulename String
ReplyType eRuleReplyType
         Specifies the rule reply type.

Value | Description
rrtToAll |
rrtToSender |
CC String
         User ID of the person to receive a copy of the item.
BC String
         User ID of the person to receive a blind copy of the item.
Subject String
Files String
         Separate multiple attachments with a comma.
aMessage String
aFrom String
         Name of person replying to the item.
Remarks
None.


Method RuleAddActionReplyWithText

Advansys Formativ 1.6 | Language Reference
RuleAddActionReplyWithText Method |
Parent |

Description
Adds an action to the rule specified by RuleName that replies to the item being processed with a text message.
Syntax
GroupWise.RuleAddActionReplyWithText(UserID String, Rulename String, ReplyType eRuleReplyType, CC String, BC String, Subject String, Files String, aMessage String, aFrom String)

Parameter Useage:

UserID String
Rulename String
ReplyType eRuleReplyType
         Specifies the rule reply type.

Value | Description
rrtToAll |
rrtToSender |
CC String
         User ID of the person to receive a copy of the item.
BC String
         User ID of the person to receive a blind copy of the item.
Subject String
Files String
         Separate multiple attachments with a comma.
aMessage String
aFrom String
         Name of person replying to the item.
Remarks
None.


Method RuleAddActionSendMail

Advansys Formativ 1.6 | Language Reference
RuleAddActionSendMail Method |
Parent |

Description
Sends a mail item when rule conditions are met.
Syntax
GroupWise.RuleAddActionSendMail(UserID String, Rulename String, aTo String, CC String, BC String, Subject String, Files String, From String, ViewName String)

Parameter Useage:

UserID String |
Rulename String |
aTo String | Recipient user ID.
CC String | User ID of the person to receive a copy of the item.
BC String | User ID of the person to receive a blind copy of the item.
Subject String |
Files String | Separate multiple attachments with a comma.
From String | Name of person replying to the item.
ViewName String | Name of a mail view---such as "Mail"--- or the name of a custom mail view.
Remarks
None.


Method RuleAddActionStopRules

Advansys Formativ 1.6 | Language Reference
RuleAddActionStopRules Method |
Parent |

Description
Adds an action to the rule specified by RuleName that stops rule processing for the item being processed.
Syntax
GroupWise.RuleAddActionStopRules(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleCreate

Advansys Formativ 1.6 | Language Reference
RuleCreate Method |
Parent |

Description
Creates a rule that sets up conditions for performing an action on one or more items. This command must be followed with RuleAddAction commands.
Syntax
GroupWise.RuleCreate(UserID String, Rulename String, Event eRuleActivate, FolderName String, FilterHandleType eFilterHandleType, AppointmentConflict eBitOn)

Parameter Useage:

UserID String
Rulename String
Event eRuleActivate
         Specifies how the rule should be activated.

Value | Description
racCloseFolder |
racExit |
racFiledItem |
racNewItem |
racOpenFolder |
racStartup |
racUserActivated |
FolderName String
         The folder name when an event is CloseFolder!, FiledItem!, or OpenFolder!
FilterHandleType eFilterHandleType
         Default Filter Handle Value.

Value | Description
fhtDefault | Default value for Filter Handle.
AppointmentConflict eBitOn
         Specifies the BitOn value.

Value | Description
btoDontCare |
btoNo |
btoYes |
Remarks
None.


Method RuleDelete

Advansys Formativ 1.6 | Language Reference
RuleDelete Method |
Parent |

Description
Deletes a rule.
Syntax
GroupWise.RuleDelete(UserID String, Rulename String)

Parameter Useage:

UserID String
Rulename String
Remarks
None.


Method RuleExecute

Advansys Formativ 1.6 | Language Reference
RuleExecute Method |
Parent |

Description
Runs a rule on selected Mailbox, Sent Items, Trash or Calendar items.
Syntax
GroupWise.RuleExecute(Rulename String)

Parameter Useage:

Rulename String
Remarks
None.


Method RuleExists

Advansys Formativ 1.6 | Language Reference
RuleExists Method |
Parent |

Description
Checks to see if a rule already exists. Version: GroupWise 5.2 or later .
Syntax
GroupWise.RuleExists(Rulename String, UserID String) : Boolean

Parameter Useage:

Rulename String
UserID String
Remarks
None.


Method RuleListDlg

Advansys Formativ 1.6 | Language Reference
RuleListDlg Method |
Parent |

Description
 | Displays the Rules dialog box to list, create, edit, copy, delete and run rules.
Syntax
 | GroupWise.RuleListDlg()
Remarks
 | None.


Method RunProgram

Advansys Formativ 1.6 | Language Reference
RunProgram Method |
Parent |

Description
This function wraps the Windows create process function. You can specify the program to run (Executable parameter) and the command line parameters (Parameters parameter) which are passed to the program when it is executed.
Syntax
GroupWise.RunProgram(Executable String, Parameters String) : Boolean

Parameter Useage:

Executable String
Parameters String
Remarks
None.


Method ScrollLeft

Advansys Formativ 1.6 | Language Reference
ScrollLeft Method |
Parent |

Description
 | Display the previous day in the Week Calendar view.
Syntax
 | GroupWise.ScrollLeft()
Remarks
 | None.


Method ScrollNext

Advansys Formativ 1.6 | Language Reference
ScrollNext Method |
Parent |

Description
 | Displays the first day after the last day in the Week Calendar view as the first day. For example, if the last day of the week is June 17, the first day of the week is the June 18 after this command.
Syntax
 | GroupWise.ScrollNext()
Remarks
 | None.


Method ScrollPrior

Advansys Formativ 1.6 | Language Reference
ScrollPrior Method |
Parent |

Description
 | Displays the day before the first day in the Week Calendar view as the last day. For example, if the first day of the week is June 17, the last day of the week is June 16, after this command.
Syntax
 | GroupWise.ScrollPrior()
Remarks
 | None.


Method ScrollRight

Advansys Formativ 1.6 | Language Reference
ScrollRight Method |
Parent |

Description
 | Displays the next day in the Week Calendar view.
Syntax
 | GroupWise.ScrollRight()
Remarks
 | None.


Method SecurityProperties

Advansys Formativ 1.6 | Language Reference
SecurityProperties Method |
Parent |

Description
 | Displays the security properties of the selected item. Version: GroupWise 5.5 and later .
Syntax
 | GroupWise.SecurityProperties()
Remarks
 | Only available in GroupWise 5.5 and later.


Method SelectDown

Advansys Formativ 1.6 | Language Reference
SelectDown Method |
Parent |

Description
 | Moves the insertion point down one line and selects the text in between.
Syntax
 | GroupWise.SelectDown()
Remarks
 | None.


Method SelectLeft

Advansys Formativ 1.6 | Language Reference
SelectLeft Method |
Parent |

Description
 | Moves the insertion point one character to the left and selects the character.
Syntax
 | GroupWise.SelectLeft()
Remarks
 | None.


Method SelectLeftWord

Advansys Formativ 1.6 | Language Reference
SelectLeftWord Method |
Parent |

Description
 | Moves the insertion point to the beginnning of the previous word and selects the text in between.
Syntax
 | GroupWise.SelectLeftWord()
Remarks
 | None.


Method SelectPageDown

Advansys Formativ 1.6 | Language Reference
SelectPageDown Method |
Parent |

Description
 | Moves the insertion point from its current position to the first line of the next screen, and selects the text in between.
Syntax
 | GroupWise.SelectPageDown()
Remarks
 | None.


Method SelectPageUp

Advansys Formativ 1.6 | Language Reference
SelectPageUp Method |
Parent |

Description
 | Moves the insertion point form its current position to the first line of the previous screen, and selects the text in between.
Syntax
 | GroupWise.SelectPageUp()
Remarks
 | None.


Method SelectRight

Advansys Formativ 1.6 | Language Reference
SelectRight Method |
Parent |

Description
 | Moves the insertion point one character to the right and selects the character.
Syntax
 | GroupWise.SelectRight()
Remarks
 | None.


Method SelectRightWord

Advansys Formativ 1.6 | Language Reference
SelectRightWord Method |
Parent |

Description
 | Moves the insertion point to the beginning of the next word and selects the text in between.
Syntax
 | GroupWise.SelectRightWord()
Remarks
 | None.


Method SelectToBegLine

Advansys Formativ 1.6 | Language Reference
SelectToBegLine Method |
Parent |

Description
 | Moves the insertion point from its current position to the beginning of the line and selects the text in between.
Syntax
 | GroupWise.SelectToBegLine()
Remarks
 | None.


Method SelectToBegText

Advansys Formativ 1.6 | Language Reference
SelectToBegText Method |
Parent |

Description
 | Moves the insertion point from its current position to the beginning of a message box, and selects the text in between.
Syntax
 | GroupWise.SelectToBegText()
Remarks
 | None.


Method SelectToEndLine

Advansys Formativ 1.6 | Language Reference
SelectToEndLine Method |
Parent |

Description
 | Moves the insertion point from its current position to the end of a line, and selects the text in between.
Syntax
 | GroupWise.SelectToEndLine()
Remarks
 | None.


Method SelectToEndText

Advansys Formativ 1.6 | Language Reference
SelectToEndText Method |
Parent |

Description
 | Moves the insertion point from its current position to the end of a message box and selects the text in between.
Syntax
 | GroupWise.SelectToEndText()
Remarks
 | None.


Method SelectUp

Advansys Formativ 1.6 | Language Reference
SelectUp Method |
Parent |

Description
 | Moves the insertion point up one line and selects the text in between.
Syntax
 | GroupWise.SelectUp()
Remarks
 | None.


Method SendAppointment

Advansys Formativ 1.6 | Language Reference
SendAppointment Method |
Parent |

Description
Schedules an appointment.
Syntax
GroupWise.SendAppointment(aTo String, Subject String, StartDay Integer, StartMonth Integer, StartYear Integer, StartMinute Integer, StartHour Integer, EndDay Integer, EndMonth Integer, EndYear Integer, EndMinute Integer, EndHour Integer, aMessage String, Attach String, Place String, CC String, BC String, From String, ViewName String, AttachHasDisplayNames Boolean, UserID String, MessageIDs String, MsgIsFile Boolean, SubjectIsFile Boolean, ViewNameIsFile Boolean, OleAttach String, SenderID String) : String

Parameter Useage:

aTo String |
Subject String |
StartDay Integer |
StartMonth Integer |
StartYear Integer |
StartMinute Integer |
StartHour Integer |
EndDay Integer |
EndMonth Integer |
EndYear Integer |
EndMinute Integer |
EndHour Integer |
aMessage String |
Attach String | Separate multiple attachments with commas.
Place String |
CC String | User ID of one or more carbon copy recipients. Separate multiple recipients with commas.
BC String | User ID of one or more blind copy recipients. Separate multiple recipients with commas.
From String | Name of person scheduling the appointment.
ViewName String | Name of an Appointment view, such as "Meeting w/attach", or the name of a custom Appointment view. Parameter also accepts a filename.
AttachHasDisplayNames Boolean |
UserID String | Use this parameter to schedule an appointment from a proxy mailbox.
MessageIDs String | Attach encapsulated items. Separate multiple message IDs with a comma.
MsgIsFile Boolean |
SubjectIsFile Boolean |
ViewNameIsFile Boolean |
OleAttach String |
SenderID String |
Remarks
None.


Method SendMail

Advansys Formativ 1.6 | Language Reference
SendMail Method |
Parent |

Description
Schedules a mail item.
Syntax
GroupWise.SendMail(aTo String, Subject String, aMessage String, Attach String, CC String, BC String, From String, IsRouted Boolean, ViewName String, AttachListHasDisplayNames Boolean, UserID String, MessageIDs String, MessageIsFile Boolean, SubjectIsFile Boolean, ViewNameIsFile Boolean, AttachArePersonal Boolean, OleAttach String, SenderID String) : String

Parameter Useage:

aTo String | User ID of one or more appointment recipients. Separate multiple recipients with commas.
Subject String | Parameter also accepts a filename.
aMessage String | Parameter also accepts a filename.
Attach String | Separate multiple attachments with commas.
CC String | User ID of one or more carbon copy recipients. Separate multiple recipients with commas.
BC String | User ID of one or more blind copy recipients. Separate multiple recipients with commas.
From String | Name of person scheduling the appointment.
IsRouted Boolean |
ViewName String | Name of a Mail view. For example, "Expanded Mail", or the name of a custom view. Parameter also accepts a filename.
AttachListHasDisplayNames Boolean |
UserID String | Use this parameter to schedule an appointment from a proxy mailbox.
MessageIDs String | Attach encapsulated items. Separate multiple message IDs with a comma.
MessageIsFile Boolean |
SubjectIsFile Boolean |
ViewNameIsFile Boolean |
AttachArePersonal Boolean |
OleAttach String |
SenderID String |
Remarks
None.


Method SendNote

Advansys Formativ 1.6 | Language Reference
SendNote Method |
Parent |

Description
Schedules a note item.
Syntax
GroupWise.SendNote(Recipient String, Subject String, StartDate Integer, StartMonth Integer, StartYear Integer, Note String, Attach String, CC String, BC String, From String, ViewName String, AttachListDisplayNames Boolean, UserID String, MessageIDs String, MsgIsFile Boolean, SubjectIsFile Boolean, ViewNameIsFile Boolean, OleAttach String, SenderID String) : String

Parameter Useage:

Recipient String
Subject String
StartDate Integer
StartMonth Integer
StartYear Integer
Note String
Attach String
CC String
BC String
From String
ViewName String
AttachListDisplayNames Boolean
UserID String
MessageIDs String
MsgIsFile Boolean
SubjectIsFile Boolean
ViewNameIsFile Boolean
OleAttach String
SenderID String
Remarks
None.


Method SendOptions

Advansys Formativ 1.6 | Language Reference
SendOptions Method |
Parent |

Description
Sets Send Options for the current item (see SendMail(), for example). Not all options are available for every item.
Syntax
GroupWise.SendOptions(Priority ePriority, Notify Boolean, ReturnOnOpen eReturnOnValue, ReturnOnAccept eReturnOnValue, ReturnOnCompleted eReturnOnValue, ReturnOnDelete eReturnOnValue, StatusInfo eStatusInfo, ReplyRequested eReplyRequested, ReplyRequestedDays Integer, ExpireDays Integer, AutoDelete Boolean) : Integer

Parameter Useage:

Priority ePriority
         Specifies the possible values for item priority.

Value | Description
priLow |
priNormal |
priHigh |
Notify Boolean
ReturnOnOpen eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnAccept eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnCompleted eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
ReturnOnDelete eReturnOnValue
         Specifies the return notification options.

Value | Description
rovMail |
rovMailAndNotify |
rovNone |
rovNotify |
rovzOldMail |
StatusInfo eStatusInfo
         Information to track when an Appointment is sent.

Value | Description
stiAllInfo |
stiDelivered |
stiNone |
stiOpened |
ReplyRequested eReplyRequested
         Specifies the Reply Requested option.

Value | Description
rrqNone |
rrqWhenConvenient |
rrqWithinDays |
ReplyRequestedDays Integer
ExpireDays Integer
AutoDelete Boolean
Remarks
None.


Method SendOptionsDlg

Advansys Formativ 1.6 | Language Reference
SendOptionsDlg Method |
Parent |

Description
 | Displays the Send Options dialog box of the current item. For example, for task items, this command displays the Task Send Options dialog box.
Syntax
 | GroupWise.SendOptionsDlg()
Remarks
 | None.


Method SendPhone

Advansys Formativ 1.6 | Language Reference
SendPhone Method |
Parent |

Description
Sends a phone item.
Syntax
GroupWise.SendPhone(Recipient String, CallerName String, CallerCompanyName String, CallerPhone String, Telephoned Boolean, PleaseCall Boolean, WillCallAgain Boolean, ReturnedCall Boolean, WantsToSeeYou Boolean, CameToSeeYou Boolean, Urgent Boolean, Subject String, Msg String, Attach String, CC String, BC String, From String, ViewName String, AttachListDisplayNames Boolean, UserID String, MsgIDs String, MsgIsFile Boolean, SubjectIsFile Boolean, ViewNameIsFile Boolean, OleAttachment String, SenderID String) : String

Parameter Useage:

Recipient String
CallerName String
CallerCompanyName String
CallerPhone String
Telephoned Boolean
PleaseCall Boolean
WillCallAgain Boolean
ReturnedCall Boolean
WantsToSeeYou Boolean
CameToSeeYou Boolean
Urgent Boolean
Subject String
Msg String
Attach String
CC String
BC String
From String
ViewName String
AttachListDisplayNames Boolean
UserID String
MsgIDs String
MsgIsFile Boolean
SubjectIsFile Boolean
ViewNameIsFile Boolean
OleAttachment String
SenderID String
Remarks
None.


Method SendTask

Advansys Formativ 1.6 | Language Reference
SendTask Method |
Parent |

Description
Sends a task item.
Syntax
GroupWise.SendTask(Recipient String, Subject String, CategoryPriority String, StartDay Integer, StartMonth Integer, StartYear Integer, DueDay Integer, DueMonth Integer, DueYear Integer, Message String, Attach String, CC String, BC String, Sender String, IsRouted Boolean, ViewName String, AttachListDisplayNames Boolean, UserID String, MsgIDs String, MsgIsFile Boolean, SubjectIsFile Boolean, ViewNameIsFile Boolean, AttachmentsArePersonal Boolean, OleAttach String, SenderID String) : String

Parameter Useage:

Recipient String
Subject String
CategoryPriority String
StartDay Integer
StartMonth Integer
StartYear Integer
DueDay Integer
DueMonth Integer
DueYear Integer
Message String
Attach String
CC String
BC String
Sender String
IsRouted Boolean
ViewName String
AttachListDisplayNames Boolean
UserID String
MsgIDs String
MsgIsFile Boolean
SubjectIsFile Boolean
ViewNameIsFile Boolean
AttachmentsArePersonal Boolean
OleAttach String
SenderID String
Remarks
None.


Method SendURL

Advansys Formativ 1.6 | Language Reference
SendURL Method |
Parent |

Description
 | Creates a Mail message with http:// pre-added to the subject line. Version: GroupWise 5.5 and later.
Syntax
 | GroupWise.SendURL()
Remarks
 | Only available in GroupWise 5.5 and later.


Method SetCalDisplayOptions

Advansys Formativ 1.6 | Language Reference
SetCalDisplayOptions Method |
Parent |

Description
Sets the Date Time Options dialog preference items. There is no refresh, so changes are not readily apparent upon issueing the token. Version: GroupWise 5.x and later.
Syntax
GroupWise.SetCalDisplayOptions(ApptColor Boolean, NoteColor Boolean, ToDoColor Boolean, UnUsed Boolean, NoteLines Boolean, ToDoLines Boolean)

Parameter Useage:

ApptColor Boolean
NoteColor Boolean
ToDoColor Boolean
UnUsed Boolean
NoteLines Boolean
ToDoLines Boolean
Remarks
None.


Method SetColumns

Advansys Formativ 1.6 | Language Reference
SetColumns Method |
Parent |

Description
Sets the columns and their associated properties for display in the GroupWise client.
Syntax
GroupWise.SetColumns(Col00 eColField, FieldName00 String, ColWidth00 Integer, Col01 eColField, FieldName01 String, ColWidth01 Integer, Col02 eColField, FieldName02 String, ColWidth02 Integer, Col03 eColField, FieldName03 String, ColWidth03 Integer, Col04 eColField, FieldName04 String, ColWidth04 Integer, Col05 eColField, FieldName05 String, ColWidth05 Integer, Col06 eColField, FieldName06 String, ColWidth06 Integer, Col07 eColField, FieldName07 String, ColWidth07 Integer, Col08 eColField, FieldName08 String, ColWidth08 Integer, Col09 eColField, FieldName09 String, ColWidth09 Integer)

Parameter Useage:

Col00 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName00 String
ColWidth00 Integer
Col01 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName01 String
ColWidth01 Integer
Col02 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName02 String
ColWidth02 Integer
Col03 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName03 String
ColWidth03 Integer
Col04 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName04 String
ColWidth04 Integer
Col05 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName05 String
ColWidth05 Integer
Col06 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName06 String
ColWidth06 Integer
Col07 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName07 String
ColWidth07 Integer
Col08 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName08 String
ColWidth08 Integer
Col09 eColField
         Specifies the column field.

Value | Description
fcnNameField |
fcnNone |
FieldName09 String
ColWidth09 Integer
Remarks
None.


Method SetDay

Advansys Formativ 1.6 | Language Reference
SetDay Method |
Parent |

Description
Sets the first day of the week, or which day of the week will be the first column of the month control.
Syntax
GroupWise.SetDay(FirstDayOfWeek eFirstDayofWeek)

Parameter Useage:

FirstDayOfWeek eFirstDayofWeek
         Specifies the first day of the week.

Value | Description
fdwFriday |
fdwMonday |
fdwSaturday |
fdwSunday |
fdwThursday |
fdwTuesday |
fdwWednesday |
Remarks
None.


Method SetMonthDisplayOptions

Advansys Formativ 1.6 | Language Reference
SetMonthDisplayOptions Method |
Parent |

Description
Sets the global display options for the Month calendar control. Version: GroupWise 5.x and later.
Syntax
GroupWise.SetMonthDisplayOptions(FirstDayOfWeek eFirstDayofWeek, ShowWeekNumber Boolean, DaysToHilite eDaystoHighlight)

Parameter Useage:

FirstDayOfWeek eFirstDayofWeek
         Specifies the first day of the week.

Value | Description
fdwFriday |
fdwMonday |
fdwSaturday |
fdwSunday |
fdwThursday |
fdwTuesday |
fdwWednesday |
ShowWeekNumber Boolean
DaysToHilite eDaystoHighlight
         Specifies the days to highlight in the calendar view.

Value | Description
dthNone |
dthSunCol |
dthMonCol |
dthTuesCol |
dthSatCol |
dthSatSunCols |
Remarks
GroupWise 5.x and later


Method SetSort

Advansys Formativ 1.6 | Language Reference
SetSort Method |
Parent |

Description
Sets the sort key and sort order for the column display.
Syntax
GroupWise.SetSort(SortKey eSortKey, SortFieldName String, SortOrder eSortOrder)

Parameter Useage:

SortKey eSortKey
         Specifies the possible values for the sort key.

Value | Description
stkAcceptedCnt |
stkAssignedDate |
stkAuthor |
stkAuthority |
stkBC |
stkBeginDateTime |
stkCC |
stkCaller |
stkCompany |
stkCompletedCnt |
stkCopyType |
stkCreateDate |
stkCreator |
stkCurrentVersion |
stkDate |
stkDeletedCnt |
stkDeliveredDate |
stkDocType |
stkDocumentID |
stkDueDate |
stkEndDateTime |
stkFilename |
stkFrom |
stkItemType |
stkLabel |
stkLibrary |
stkLibraryId |
stkModified |
stkNamedFldByte |
stkNamedFldDate |
stkNamedFldSDWord |
stkNamedFldSWord |
stkNamedFldText |
stkNamedFldUDWord |
stkNamedFldUWord |
stkNamedFldWrdStr |
stkOfficialVersion |
stkOpenCnt |
stkPhone |
stkPlace |
stkRecipientsCnt |
stkRepliedCnt |
stkRetrievedBy |
stkRetrievedDate |
stkSize |
stkSource |
stkSubject |
stkSubType |
stkTaskCategory |
stkTaskPriority |
stkTo |
stkTransferCnt |
stkUndeliveredCnt |
stkVersion |
stkVersionCreator |
stkVersionDate |
stkVersionDescription |
stkViewName |
SortFieldName String
         Use one of the NamedFldxxx ENUMS for the SortKey.
SortOrder eSortOrder
         Specifies the sort order.

Value | Description
stoAscending |
stoDescending |
Remarks
None.


Method SetViewerClipboardOptions

Advansys Formativ 1.6 | Language Reference
SetViewerClipboardOptions Method |
Parent |

Description
 | Displays the Clipboard Options dialog if the viewer is showing. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.SetViewerClipboardOptions()
Remarks
 | Only available in GroupWise 5.5 and later.


Method SetViewerDisplayOptions

Advansys Formativ 1.6 | Language Reference
SetViewerDisplayOptions Method |
Parent |

Description
 | Displays the Display Options dialog if the viewer is showing. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.SetViewerDisplayOptions()
Remarks
 | Only available in GroupWise 5.5 and later.


Method SetViewerPrintOptions

Advansys Formativ 1.6 | Language Reference
SetViewerPrintOptions Method |
Parent |

Description
 | Displays the Print Options dialog if the viewer is showing. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.SetViewerPrintOptions()
Remarks
 | None.


Method SetWorkSchedule

Advansys Formativ 1.6 | Language Reference
SetWorkSchedule Method |
Parent |

Description
Sets the work schedule.Version: GroupWise 5.x and later.
Syntax
GroupWise.SetWorkSchedule(StartWorkDay Integer, EndWorkDay Integer, WorkDays eWorkDays)

Parameter Useage:

StartWorkDay Integer
         Use minutes since midnight, so 9:00 AM is 540.
EndWorkDay Integer
         Use minutes since midnight, so 5:00 PM is 1020.
WorkDays eWorkDays
         Specifies the week work days.

Value | Description
wkdSun |
wkdMon |
wkdTues |
wkdWed |
wkdThu |
wkdFri |
wkdSat |
wkdAllButSatSun |
Remarks
None.


Method SharedFolderAccept

Advansys Formativ 1.6 | Language Reference
SharedFolderAccept Method |
Parent |

Description
Accepts a shared folder and creates a reference name and position, if necessary.
Syntax
GroupWise.SharedFolderAccept(FolderName String, FolderDesc String, FolderPos Integer, MessageID String)

Parameter Useage:

FolderName String | Requires a full folder path. For example, First Last\Cabinet\FolderName.
FolderDesc String |
FolderPos Integer |
MessageID String | MessageID can be obtained by using the ItemMessageIDFromView() token from the Properties view of the "Shared folder notification" message.
Remarks
None.


Method ShareDlg

Advansys Formativ 1.6 | Language Reference
ShareDlg Method |
Parent |

Description
Shows the Sharing Tab of the Folder Properties dialog box. Version: GroupWise 5.x and later.
Syntax
GroupWise.ShareDlg(FolderName String)

Parameter Useage:

FolderName String
         Full path of the folder. For example, FirstName LastName\Cabinet\FolderName.
Remarks
None.


Method ShowApptAs

Advansys Formativ 1.6 | Language Reference
ShowApptAs Method |
Parent |

Description
Toggles the display of the folder list.Version: GroupWise 5.x and later.
Syntax
GroupWise.ShowApptAs(BusyLevel eBusyLevel)

Parameter Useage:

BusyLevel eBusyLevel
         Specifies the busy level for an appointment.

Value | Description
busFree |
busTentative |
busBusy |
busOut |
Remarks
None.


Method ShowAttachmentWindow

Advansys Formativ 1.6 | Language Reference
ShowAttachmentWindow Method |
Parent |

Description
Shows or hides the Attachment Window within the QuickViewer window. The Quick Viewer Window is turned on via the View|QuickViewer menu in the client.
Syntax
GroupWise.ShowAttachmentWindow(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ShowFolders

Advansys Formativ 1.6 | Language Reference
ShowFolders Method |
Parent |

Description
 | Toggles the display of the folder list.
Syntax
 | GroupWise.ShowFolders()
Remarks
 | None.


Method ShowLongFolderList

Advansys Formativ 1.6 | Language Reference
ShowLongFolderList Method |
Parent |

Description
 | Displays the long folder list when QuickViewer is active. Acts as a toggle. GroupWise 6.5 and later.
Syntax
 | GroupWise.ShowLongFolderList()
Remarks
 | None.


Method ShowQuickLook

Advansys Formativ 1.6 | Language Reference
ShowQuickLook Method |
Parent |

Description
Toggles the display of the QuickViewer.
Syntax
GroupWise.ShowQuickLook(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method Sortdlg

Advansys Formativ 1.6 | Language Reference
Sortdlg Method |
Parent |

Description
 | Displays the sort dialog box to sort Mailbox or Sent Items items.
Syntax
 | GroupWise.Sortdlg()
Remarks
 | None.


Method StatusWindowShow

Advansys Formativ 1.6 | Language Reference
StatusWindowShow Method |
Parent |

Description
 | Shows the status window that gives feedback while connecting to the master in remote or while connecting to pop and imap servers. Version: GroupWise 5.5 EP SP1 or later.
Syntax
 | GroupWise.StatusWindowShow()
Remarks
 | None.


Method SwitchToHTMLView

Advansys Formativ 1.6 | Language Reference
SwitchToHTMLView Method |
Parent |

Description
 | Switches the editor to use HTML if it isnt in this mode already. Valid on compose mail view.
Syntax
 | GroupWise.SwitchToHTMLView()
Remarks
 | None.


Method SwitchToRTFView

Advansys Formativ 1.6 | Language Reference
SwitchToRTFView Method |
Parent |

Description
 | Switches the editor to use the RTF (plain text) mode if it is not in this mode already.
Syntax
 | GroupWise.SwitchToRTFView()
Remarks
 | None.


Method TabNext

Advansys Formativ 1.6 | Language Reference
TabNext Method |
Parent |

Description
Moves the insertion point forward a specific number of tab stops.
Syntax
GroupWise.TabNext(TabStops Integer)

Parameter Useage:

TabStops Integer
Remarks
None.


Method TabPrevious

Advansys Formativ 1.6 | Language Reference
TabPrevious Method |
Parent |

Description
Moves the insertion point backwards a specified number of tab stops. Not recordable.
Syntax
GroupWise.TabPrevious(TabStops Integer)

Parameter Useage:

TabStops Integer
         Definition (Domain.PostOffice.UserID).
Remarks
None.


Method TextSetABEntry

Advansys Formativ 1.6 | Language Reference
TextSetABEntry Method |
Parent |

Description
Purpose Here.
Syntax
GroupWise.TextSetABEntry(ABEntry String, EntryType eEntryType, Append Boolean)

Parameter Useage:

ABEntry String
EntryType eEntryType
         Specifies the address entry type.

Value | Description
etyBC |
etyCC |
etyTo |
Append Boolean
Remarks
None.


Method TextSetAuthority

Advansys Formativ 1.6 | Language Reference
TextSetAuthority Method |
Parent |

Description
Inserts the name of a person or entity in an Authority text box (available only in customized Appointment view).
Syntax
GroupWise.TextSetAuthority(AuthorityText String, Append Boolean)

Parameter Useage:

AuthorityText String
Append Boolean
Remarks
None.


Method TextSetBC

Advansys Formativ 1.6 | Language Reference
TextSetBC Method |
Parent |

Description
Inserts a user ID in a BC text box.
Syntax
GroupWise.TextSetBC(BCText String, Append Boolean)

Parameter Useage:

BCText String | User ID of blind copy recipients. Separate multiple users with commas.
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetCallerName

Advansys Formativ 1.6 | Language Reference
TextSetCallerName Method |
Parent |

Description
Inserts a callers name in the Caller text box of a Phone Message view.
Syntax
GroupWise.TextSetCallerName(CallerName String, Append Boolean)

Parameter Useage:

CallerName String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetCategoryAndPriority

Advansys Formativ 1.6 | Language Reference
TextSetCategoryAndPriority Method |
Parent |

Description
Inserts a character in the Priority text box of a Task view.
Syntax
GroupWise.TextSetCategoryAndPriority(CatandPri String, Append Boolean)

Parameter Useage:

CatandPri String | For example: "A5" (A is the category and 5 the priorty.
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetCC

Advansys Formativ 1.6 | Language Reference
TextSetCC Method |
Parent |

Description
Inserts a user ID in a CC text box.
Syntax
GroupWise.TextSetCC(CCText String, Append Boolean)

Parameter Useage:

CCText String | User ID of carbon copy recipients. Separate multiple users with commas.
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetCompany

Advansys Formativ 1.6 | Language Reference
TextSetCompany Method |
Parent |

Description
Inserts a companys name in the Company text box of a Phone view.
Syntax
GroupWise.TextSetCompany(CompanyText String, Append Boolean)

Parameter Useage:

CompanyText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetDateTime

Advansys Formativ 1.6 | Language Reference
TextSetDateTime Method |
Parent |

Description
Inserts a date and time in the Appointment date and time text boxes of an Appointment view.
Syntax
GroupWise.TextSetDateTime(StartDay Integer, StartMonth Integer, StartYear Integer, StartMinute Integer, StartHour Integer, EndDay Integer, EndMonth Integer, EndYear Integer, EndMinute Integer, EndHour Integer, DurationMinutes Integer, DurationHours Integer)

Parameter Useage:

StartDay Integer
StartMonth Integer
StartYear Integer
StartMinute Integer
StartHour Integer
EndDay Integer
EndMonth Integer
EndYear Integer
EndMinute Integer
EndHour Integer
DurationMinutes Integer
DurationHours Integer
Remarks
None.


Method TextSetFrom

Advansys Formativ 1.6 | Language Reference
TextSetFrom Method |
Parent |

Description
Inserts a users name in the From text box. The logged user name is included in parenthesis.
Syntax
GroupWise.TextSetFrom(FromText String, Append Boolean)

Parameter Useage:

FromText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetMessage

Advansys Formativ 1.6 | Language Reference
TextSetMessage Method |
Parent |

Description
Sets the text contained in MessageText into the Message field of the currently active compose view. The text is either appended to the message, or replaces the text of the message, based on the value of Append.
Syntax
GroupWise.TextSetMessage(MessageText String, Append Boolean)

Parameter Useage:

MessageText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetPhoneNumber

Advansys Formativ 1.6 | Language Reference
TextSetPhoneNumber Method |
Parent |

Description
Inserts text in the Phone text box of a Phone Message view.
Syntax
GroupWise.TextSetPhoneNumber(PhoneNumber String, Append Boolean)

Parameter Useage:

PhoneNumber String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetPlaceName

Advansys Formativ 1.6 | Language Reference
TextSetPlaceName Method |
Parent |

Description
Inserts a location in the Place text box of an Appointment view.
Syntax
GroupWise.TextSetPlaceName(PlaceText String, Append Boolean)

Parameter Useage:

PlaceText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetSubject

Advansys Formativ 1.6 | Language Reference
TextSetSubject Method |
Parent |

Description
Inserts a subject in a Subject text box.
Syntax
GroupWise.TextSetSubject(SubjectText String, Append Boolean)

Parameter Useage:

SubjectText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method TextSetTo

Advansys Formativ 1.6 | Language Reference
TextSetTo Method |
Parent |

Description
Inserts a user ID in a To text box.
Syntax
GroupWise.TextSetTo(ToText String, Append Boolean)

Parameter Useage:

ToText String |
Append Boolean | False Default. Replaces existing text. True Appends to existing text.
Remarks
None.


Method Thesaurus

Advansys Formativ 1.6 | Language Reference
Thesaurus Method |
Parent |

Description
 | Displays the Thesaurus dialog box.
Syntax
 | GroupWise.Thesaurus()
Remarks
 | None.


Method ThrowToken

Advansys Formativ 1.6 | Language Reference
ThrowToken Method |
Parent |

Description
Uses the native GroupWise Token Commander to execute the given token. The return value from the token is given in the ResultValue parameter.
Syntax
GroupWise.ThrowToken(TokenSyntax String, ResultValue Variant) : Boolean

Parameter Useage:

TokenSyntax String
ResultValue Variant
Remarks
None.


Method TimeSetEndTimeMode

Advansys Formativ 1.6 | Language Reference
TimeSetEndTimeMode Method |
Parent |

Description
 | Displays the Time Input dialog box.
Syntax
 | GroupWise.TimeSetEndTimeMode()
Remarks
 | None.


Method TimeSetStartTimeMode

Advansys Formativ 1.6 | Language Reference
TimeSetStartTimeMode Method |
Parent |

Description
 | Displays the Time Input dialog box.
Syntax
 | GroupWise.TimeSetStartTimeMode()
Remarks
 | None.


Method TypeChar

Advansys Formativ 1.6 | Language Reference
TypeChar Method |
Parent |

Description
Inserts a charater at the insertion point.
Syntax
GroupWise.TypeChar(CharSet Integer, CharNum Integer)

Parameter Useage:

CharSet Integer | Definition (Domain.PostOffice.UserID)
CharNum Integer | Definition (Domain.PostOffice.UserID)
Remarks
None.


Method TypeText

Advansys Formativ 1.6 | Language Reference
TypeText Method |
Parent |

Description
Inserts text into a text box at the insertion point.
Syntax
GroupWise.TypeText(Text String)

Parameter Useage:

Text String
Remarks
None.


Method UpLevel

Advansys Formativ 1.6 | Language Reference
UpLevel Method |
Parent |

Description
 | Selects the attachment that is up one level.Version: GroupWise 5.x and later.
Syntax
 | GroupWise.UpLevel()
Remarks
 | None.


Method UserFunction

Advansys Formativ 1.6 | Language Reference
UserFunction Method |
Parent |

Description
Executes a command from another application. Primarily used by third-party developers.
Syntax
GroupWise.UserFunction(Command String)

Parameter Useage:

Command String
         Command to execute a third-party DLL. The command name should take the form xxxx: name, where xxxx represents a four-character identifier.
Remarks
None.


Method ViewContacts

Advansys Formativ 1.6 | Language Reference
ViewContacts Method |
Parent |

Description
Displays or hides contacts in the contact list. GroupWise 6.5 and later.
Syntax
GroupWise.ViewContacts(FilterContacts Boolean)

Parameter Useage:

FilterContacts Boolean
Remarks
None.


Method ViewContactsOnly

Advansys Formativ 1.6 | Language Reference
ViewContactsOnly Method |
Parent |

Description
 | Displays only the contacts in the contact list (and filters out groups, references, and organizations). GroupWise 6.5 and later.
Syntax
 | GroupWise.ViewContactsOnly()
Remarks
 | None.


Method ViewDocument

Advansys Formativ 1.6 | Language Reference
ViewDocument Method |
Parent |

Description
Allows the document specified by the Document Number in DocIDStr to be displayed in the viewer.
Syntax
GroupWise.ViewDocument(DocID String)

Parameter Useage:

DocID String
Remarks
None.


Method ViewDraftItems

Advansys Formativ 1.6 | Language Reference
ViewDraftItems Method |
Parent |

Description
Toggles the display of draft items in the GroupWise client, based on the value of State.
Syntax
GroupWise.ViewDraftItems(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ViewDraftItemsOnly

Advansys Formativ 1.6 | Language Reference
ViewDraftItemsOnly Method |
Parent |

Description
 | Allows the GroupWise client to display only draft items.
Syntax
 | GroupWise.ViewDraftItemsOnly()
Remarks
 | None.


Method ViewerPageDown

Advansys Formativ 1.6 | Language Reference
ViewerPageDown Method |
Parent |

Description
 | Pages the viewer window down. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.ViewerPageDown()
Remarks
 | None.


Method ViewerPageUp

Advansys Formativ 1.6 | Language Reference
ViewerPageUp Method |
Parent |

Description
 | Pages the viewer window up.Version: GroupWise 5.x and later.
Syntax
 | GroupWise.ViewerPageUp()
Remarks


Method ViewGroups

Advansys Formativ 1.6 | Language Reference
ViewGroups Method |
Parent |

Description
Displays or hides groups in the contact list. GroupWise 6.5 and later.
Syntax
GroupWise.ViewGroups(FilterGroups Boolean)

Parameter Useage:

FilterGroups Boolean
Remarks
None.


Method ViewGroupsOnly

Advansys Formativ 1.6 | Language Reference
ViewGroupsOnly Method |
Parent |

Description
 | Displays only the groups in the contact list (and filters out contacts, references, and organizations). GroupWise 6.5 and later.
Syntax
 | GroupWise.ViewGroupsOnly()
Remarks
 | None.


Method ViewHideMenu

Advansys Formativ 1.6 | Language Reference
ViewHideMenu Method |
Parent |

Description
Hides or shows the Caption and Menu bar on a Calendar view.
Syntax
GroupWise.ViewHideMenu(State eDisplay)

Parameter Useage:

State eDisplay
         Hide and show constants.

Value | Description
disHide |
disShow |
Remarks
None.


Method ViewHideNonChecklistItems

Advansys Formativ 1.6 | Language Reference
ViewHideNonChecklistItems Method |
Parent |

Description
Displays or hides non checklist items in the contact list. GroupWise 6.5 and later.
Syntax
GroupWise.ViewHideNonChecklistItems(Show Boolean)

Parameter Useage:

Show Boolean
Remarks
None.


Method ViewItem

Advansys Formativ 1.6 | Language Reference
ViewItem Method |
Parent |

Description
 | Brings up the viewer for the currently selected item and its attachments.
Syntax
 | GroupWise.ViewItem()
Remarks
 | None.


Method ViewMaximize

Advansys Formativ 1.6 | Language Reference
ViewMaximize Method |
Parent |

Description
 | Enlarges a window or view to full size. Items reduced to an icon can only be restored (see ViewRestore()), they cannot be maximized.
Syntax
 | GroupWise.ViewMaximize()
Remarks
 | None.


Method ViewMinimize

Advansys Formativ 1.6 | Language Reference
ViewMinimize Method |
Parent |

Description
 | Reduces a window or view to an icon.
Syntax
 | GroupWise.ViewMinimize()
Remarks
 | None.


Method ViewNextAttach

Advansys Formativ 1.6 | Language Reference
ViewNextAttach Method |
Parent |

Description
 | Views the next item in the list. Version: GroupWise 5.x and later.
Syntax
 | GroupWise.ViewNextAttach()
Remarks
 | None.


Method ViewOnTop

Advansys Formativ 1.6 | Language Reference
ViewOnTop Method |
Parent |

Description
Displays Mailbox, Sent Items, Trash, or Calendar views and icons on top of other views.
Syntax
GroupWise.ViewOnTop(OnTop Boolean)

Parameter Useage:

OnTop Boolean
Remarks
None.


Method ViewOpen

Advansys Formativ 1.6 | Language Reference
ViewOpen Method |
Parent |

Description
Opens a default view such as Mail or Calendar view.
Syntax
GroupWise.ViewOpen(ViewType eViewType, IsGroupItem Boolean, FolderName String)

Parameter Useage:

ViewType eViewType
         Specifies the view type.

Value | Description
vwtAppointment |
vwtBrowser |
vwtCalendar |
vwtInbox |
vwtMail |
vwtNote |
vwtOutbox |
vwtPhoneMessage |
vwtTask |
vwtTrash |
IsGroupItem Boolean
FolderName String
Remarks
None.


Method ViewOpenDlg

Advansys Formativ 1.6 | Language Reference
ViewOpenDlg Method |
Parent |

Description
 | Displays the Open View dialog box.
Syntax
 | GroupWise.ViewOpenDlg()
Remarks
 | None.


Method ViewOpenFile

Advansys Formativ 1.6 | Language Reference
ViewOpenFile Method |
Parent |

Description
Opens a view by its file name.
Syntax
GroupWise.ViewOpenFile(Filename String, FolderName String, ClassName String)

Parameter Useage:

Filename String | Include full path.
FolderName String | FolderName allows you to specify where any Personal/Posted message item will stored. Not valid for group type messages.
ClassName String | Added to the end of a message class. For example, GW.MESSAGE.MAIL.ClassName.
Remarks
None.


Method ViewOpenNamed

Advansys Formativ 1.6 | Language Reference
ViewOpenNamed Method |
Parent |

Description
Opens a view by menu name and type. Some valid shipping view names for message items are: Mail, Mail (small), Meeting, Task, Reminder, and Phone Message. For calendar views: Day, Week, Month, Year, etc.
Syntax
GroupWise.ViewOpenNamed(ViewName String, ViewType eViewNamedType, FolderPath String)

Parameter Useage:

ViewName String
ViewType eViewNamedType
         Specifies the named view type.

Value | Description
vwnAppointment |
vwnCalendar |
vwnMail |
vwnNote |
vwnPhoneMessage |
vwnTask |
FolderPath String
Remarks
None.


Method ViewOrganizations

Advansys Formativ 1.6 | Language Reference
ViewOrganizations Method |
Parent |

Description
Displays or hides organizations in the contact list. GroupWise 6.5 and later.
Syntax
GroupWise.ViewOrganizations(FilterOrganizations Boolean)

Parameter Useage:

FilterOrganizations Boolean
Remarks
None.


Method ViewOrganizationsOnly

Advansys Formativ 1.6 | Language Reference
ViewOrganizationsOnly Method |
Parent |

Description
 | Displays only the organizations in the contact list (and filters out contacts, groups, and references). GroupWise 6.5 and later.
Syntax
 | GroupWise.ViewOrganizationsOnly()
Remarks
 | None.


Method ViewPersonalItems

Advansys Formativ 1.6 | Language Reference
ViewPersonalItems Method |
Parent |

Description
Toggles the display of personal or posted items in the GroupWise client, based on the value of State.
Syntax
GroupWise.ViewPersonalItems(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ViewPersonalItemsOnly

Advansys Formativ 1.6 | Language Reference
ViewPersonalItemsOnly Method |
Parent |

Description
 | Allows the GroupWise client to only display personal or posted items.
Syntax
 | GroupWise.ViewPersonalItemsOnly()
Remarks
 | None.


Method ViewPrevAttach

Advansys Formativ 1.6 | Language Reference
ViewPrevAttach Method |
Parent |

Description
 | Views the previous item in the list. Versions: GroupWise 5.5 and later.
Syntax
 | GroupWise.ViewPrevAttach()
Remarks
 | Only available in GroupWise 5.5 and later.


Method ViewReceivedItems

Advansys Formativ 1.6 | Language Reference
ViewReceivedItems Method |
Parent |

Description
Toggles the display of received items in the GroupWise client based on the value of State.
Syntax
GroupWise.ViewReceivedItems(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ViewReceivedItemsOnly

Advansys Formativ 1.6 | Language Reference
ViewReceivedItemsOnly Method |
Parent |

Description
 | Allows the GroupWise client to only display received items.
Syntax
 | GroupWise.ViewReceivedItemsOnly()
Remarks
 | None.


Method ViewResources

Advansys Formativ 1.6 | Language Reference
ViewResources Method |
Parent |

Description
Displays or hides resources in the contact list. GroupWise 6.5 and later.
Syntax
GroupWise.ViewResources(FilterResources Boolean)

Parameter Useage:

FilterResources Boolean
Remarks
None.


Method ViewResourcesOnly

Advansys Formativ 1.6 | Language Reference
ViewResourcesOnly Method |
Parent |

Description
 | Displays only the resources in the contact list (and filters out contacts, groups, and organizations). GroupWise 6.5 and later.
Syntax
 | GroupWise.ViewResourcesOnly()
Remarks
 | None.


Method ViewRestore

Advansys Formativ 1.6 | Language Reference
ViewRestore Method |
Parent |

Description
 | Restores a window to its previous size and position.
Syntax
 | GroupWise.ViewRestore()
Remarks
 | None.


Method ViewSentItems

Advansys Formativ 1.6 | Language Reference
ViewSentItems Method |
Parent |

Description
Toggles the display of sent items in the GroupWise client, based on the value of State.
Syntax
GroupWise.ViewSentItems(State Boolean)

Parameter Useage:

State Boolean
Remarks
None.


Method ViewSentItemsOnly

Advansys Formativ 1.6 | Language Reference
ViewSentItemsOnly Method |
Parent |

Description
 | Allows the GroupWise client to only display sent items.
Syntax
 | GroupWise.ViewSentItemsOnly()
Remarks
 | None.


Method ViewSwitch

Advansys Formativ 1.6 | Language Reference
ViewSwitch Method |
Parent |

Description
Opens a view from a view, copies the information from the old view to the new, and then closes the old view. The ViewName parameter is required if the ViewType parameter is used, and vice versa.
Syntax
GroupWise.ViewSwitch(Filename String, ViewType eViewSwitchType, ViewName String)

Parameter Useage:

Filename String
         Open a view by filename. With this parameter, do not use ViewType and ViewName.
ViewType eViewSwitchType
         Specifies the view to switch to.

Value | Description
vwsAppointment |
vwsCalendar |
vwsMail |
vwsNote |
vwsOutbox |
vwsPhoneMessage |
vwsTask |
ViewName String
         Menu name such as "Mail" or "Appointment w/attach" (see the ViewType parameter).
Remarks
None.


Method ViewSwitchDlg

Advansys Formativ 1.6 | Language Reference
ViewSwitchDlg Method |
Parent |

Description
 | Displays the Switch View dialog box.
Syntax
 | GroupWise.ViewSwitchDlg()
Remarks
 | None.


Method ViewVersionList

Advansys Formativ 1.6 | Language Reference
ViewVersionList Method |
Parent |

Description
Displays the version list of the document specified by DocNum in the library specified by Library. WhereToSearch determines whether the version list is obtained from the Master or Remote post office.
Syntax
GroupWise.ViewVersionList(DocNum Integer, Libraries String, WhereToSearch eWhereToSearch)

Parameter Useage:

DocNum Integer
Libraries String
WhereToSearch eWhereToSearch
         Specifies where to search.

Value | Description
wtsRemoteMailBox |
wtsMasterMailBox |
Remarks
None.


Method WritingToolsTextLanguage

Advansys Formativ 1.6 | Language Reference
WritingToolsTextLanguage Method |
Parent |

Description
 | Displays the Writing Tools Text Language dialog box.
Syntax
 | GroupWise.WritingToolsTextLanguage()
Remarks
 | None.


Property Account

Advansys Formativ 1.6 | Language Reference
Account property |
Parent |

Description
 | Read only property which provides access to the GroupWise Account object.
Syntax
 | GroupWise.Account() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | The Account property provides full access the GroupWise Object API. The Object API is the native GroupWise API that can be used to access the GroupWise message store. The GroupWise Object API lets you see, use, and manipulate the GroupWise information store from outside GroupWise. Object API lets you use the GroupWise address book and document management capabilities to affect mail messages, appointments, tasks, notes, and phone messages The object returned by the Account property represents a logged in Account object. In other words, there is no need to authenticate to the API as you would normally have to if you using the Object API natively. The full online Object API documentation can be found here.


Property AddressBooks

Advansys Formativ 1.6 | Language Reference
AddressBooks property |
Parent |

Description
 | Read only property which provides access to the Formativ AddressBooks object.
Syntax
 | GroupWise.AddressBooks() : Addressbooks This is a Read Only property. It returns a variable of type Addressbooks.
Remarks
 | None.


Property AdminObject

Advansys Formativ 1.6 | Language Reference
AdminObject property |
Parent |

Description
 | Read only property which provides access to the GroupWise Administration object.
Syntax
 | GroupWise.AdminObject() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | The AdminObject property returns an object representing the native GroupWise Administrative Objects API. The GroupWise Administrative Object API lets you see, use, and manipulate GroupWise administration information from outside GroupWise. You can access the online Administrative Objects API documentation here.


Property CancelGroupWiseEvent

Advansys Formativ 1.6 | Language Reference
CancelGroupWiseEvent property |
Parent |

Description
 | Setting this property to TRUE will cancel any GroupWise event that caused an applet to execute.
Syntax
 | GroupWise.CancelGroupWiseEvent() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ComposingItem

Advansys Formativ 1.6 | Language Reference
ComposingItem property |
Parent |

Description
 | Read only property which provides access to the Formativ CurrentItem object.
Syntax
 | GroupWise.ComposingItem() : CurrentItem This is a Read Only property. It returns a variable of type CurrentItem.
Remarks
 | None.


Property Error

Advansys Formativ 1.6 | Language Reference
Error property |
Parent |

Description
 | Returns the error value after a GroupWise command is executed.
Syntax
 | GroupWise.Error() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property PortalManager

Advansys Formativ 1.6 | Language Reference
PortalManager property |
Parent |

Description
 | Returns the single instance object of the IPortalManager.
Syntax
 | GroupWise.PortalManager() : PortalManager This is a Read Only property. It returns a variable of type PortalManager.
Remarks
 | Returns an instance of the PortalManager. The Portal Manager is a powerful new feature that lets you create and embed portals into the GroupWise client. A portal is a window that can display many different types of data. The types of data you can display depends on the software you have installed on your computer, but at a minimum you can display web sites, XML, HTML and images. The Formativ Portal Manager let's you create and display any number of portals directly in the GroupWise client. You can also programmatically access the information being displayed in a portal.


Property Session

Advansys Formativ 1.6 | Language Reference
Session property |
Parent |

Description
Returns an new Object API Session from the Multilogin feature.
Syntax
GroupWise.Session() : Interface

This is a Read Only property. It returns a variable of type Interface.
Remarks
Session represents the native GroupWise ObjectAPI root Application object. All other GroupWise objects are contained by this object.

Among other properties and methods, this object exposes the MultiLogin method (GroupWise 5.5 and later versions). The Multilogin Lets you to login to multiple accounts with the same applet. Logs in to the account specified by UserID. Returns the Account object, or returns nothing when an exception is thrown. Adds the account to the MainAccounts collection. It does not affect the root login, so Notify, the GroupWise client, and other such applications will not be automatically logged in, and the RootAccount object will be empty. The parameters for MultiLogin are the same as the parameters for Login, except the UserID parameter, which is required for MultiLogin. Use the Account object's Refresh method to see changes made to a MultiLogin account. Changes made to one MultiLogin account are not automatically updated in other MultiLogin accounts.

See Novell's Object API documentation for more information: http://developer.novell.com/ndk/doc/gwobjapi/index.html?gwobjenu/data/h7ikbsqg.html


Object HTMLDialog

Advansys Formativ 1.6 | Language Reference
HTMLDialog object |

Description
Represents a dialog capable of displaying HTML content. The dialog can be displayed normally or embedded into the GroupWise client.

Properties and Methods
Properties | Methods
BorderStyle Caption ContextMenuEnabled Height HTMLCode OpenGroupWiseMsgs ToolbarVisible Variables Width WindowState | Execute Navigate

More Information
HTML Dialogs represent a new and exciting way to build user interfaces to your Formativ applets. HTML dialogs are modal dialogs who's content consists purely of HTML and related content, such as Javascript. HTML dialogs make it possible to build dialogs that contain interactive content.

See the Formativ Programmers Guide for more information.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Causes the dialog to be displayed.
Syntax
 | HTMLDialog.Execute() : Integer
Remarks
 | None.


Method Navigate

Advansys Formativ 1.6 | Language Reference
Navigate Method |
Parent |

Description
Loads the HTML code at the given URL.
Syntax
HTMLDialog.Navigate(Destination String)

Parameter Useage:

Destination String
Remarks
None.


Property BorderStyle

Advansys Formativ 1.6 | Language Reference
BorderStyle property |
Parent |

Description
 | Specifies the border style of the dialog.
Syntax
 | HTMLDialog.BorderStyle() : BorderStyle This is a Read/Write property. You may only pass in a BorderStyle to the property. It returns a BorderStyle.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Specifies the caption displayed on the dialog.
Syntax
 | HTMLDialog.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property ContextMenuEnabled

Advansys Formativ 1.6 | Language Reference
ContextMenuEnabled property |
Parent |

Description
 | Specifies whether the right mouse menu context menu should be accessible via the dialog.
Syntax
 | HTMLDialog.ContextMenuEnabled() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Specifies a height for the dialog.
Syntax
 | HTMLDialog.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property HTMLCode

Advansys Formativ 1.6 | Language Reference
HTMLCode property |
Parent |

Description
 | Lets you specify the HTML code to be displayed.
Syntax
 | HTMLDialog.HTMLCode() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property OpenGroupWiseMsgs

Advansys Formativ 1.6 | Language Reference
OpenGroupWiseMsgs property |
Parent |

Description
 | Specifies whether GroupWise message IDs embedded in HTML will cause the message to be opened when clicked. See the Programmers Guide for more information.
Syntax
 | HTMLDialog.OpenGroupWiseMsgs() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | In order to build HTML that automatically opens a GroupWise message, you need to build a specially formatted HREF element containing the message ID of the message to be opened (a message ID is a unique message identifier). A properly formed message ID HREF element is shown below: <A HREF="UID:[MessageID]"[Description]</A> Where: [Message ID] is the unique message ID of the message to be displayed when the link is pressed, and [Description] is the text that describes the link. An example of such a link is: <A HREF="UID:3C8467EB.GWDEVDOM.GWDEVPO.100.16D676D.1.68B.1"<B>Meeting</B></A> This HTML code will result in a link being displayed with the label Sales Meeting. When the link is clicked, the original GroupWise message (in this case an appointment) will be automatically opened for the user.


Property ToolbarVisible

Advansys Formativ 1.6 | Language Reference
ToolbarVisible property |
Parent |

Description
 | Specifies whether the dialog toolbar, containing OK and Cancel buttons, is visible.
Syntax
 | HTMLDialog.ToolbarVisible() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Variables

Advansys Formativ 1.6 | Language Reference
Variables property |
Parent |

Description
 | Returns any variables and there values set by HTML form controls in the dialog.
Syntax
 | HTMLDialog.Variables() : FormVariables This is a Read Only property. It returns a variable of type FormVariables.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Specifies a width for the dialog.
Syntax
 | HTMLDialog.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property WindowState

Advansys Formativ 1.6 | Language Reference
WindowState property |
Parent |

Description
 | Specifies how the dialog is to be displayed.
Syntax
 | HTMLDialog.WindowState() : eHTMLDlgStyle This is a Read/Write property. You may only pass in a eHTMLDlgStyle to the property. It returns a eHTMLDlgStyle.
Remarks
 | None.


Object HTTP

Advansys Formativ 1.6 | Language Reference
HTTP object |

Description
No decription is available.

Properties and Methods
Properties | Methods
HandleRedirects Port ProtocolVersion ResponseCode ResponseText | Get Post

More Information
None.


Method Get

Advansys Formativ 1.6 | Language Reference
Get Method |
Parent |

Description
No description is available.
Syntax
HTTP.Get(URL String) : String

Parameter Useage:

URL String
Remarks
None.


Method Post

Advansys Formativ 1.6 | Language Reference
Post Method |
Parent |

Description
No description is available.
Syntax
HTTP.Post(PostData String, URL String) : String

Parameter Useage:

PostData String
URL String
Remarks
None.


Property HandleRedirects

Advansys Formativ 1.6 | Language Reference
HandleRedirects property |
Parent |

Description
 | No decription is available.
Syntax
 | HTTP.HandleRedirects() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Port

Advansys Formativ 1.6 | Language Reference
Port property |
Parent |

Description
 | No decription is available.
Syntax
 | HTTP.Port() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ProtocolVersion

Advansys Formativ 1.6 | Language Reference
ProtocolVersion property |
Parent |

Description
 | No decription is available.
Syntax
 | HTTP.ProtocolVersion() : eHTTPProtocolversion This is a Read/Write property. You may only pass in a eHTTPProtocolversion to the property. It returns a eHTTPProtocolversion.
Remarks
 | None.


Property ResponseCode

Advansys Formativ 1.6 | Language Reference
ResponseCode property |
Parent |

Description
 | No decription is available.
Syntax
 | HTTP.ResponseCode() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ResponseText

Advansys Formativ 1.6 | Language Reference
ResponseText property |
Parent |

Description
 | No decription is available.
Syntax
 | HTTP.ResponseText() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Object ImageControl

Advansys Formativ 1.6 | Language Reference
ImageControl object |

Description
ImageControl displays a graphical image. Add this control to the fcControlDlg with the AddImageControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Center Control ControlType Height Hint ImageFile Left SpaceAbove Spacing Stretch Transparent Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | ImageControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | ImageControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | ImageControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | ImageControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | ImageControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Center

Advansys Formativ 1.6 | Language Reference
Center property |
Parent |

Description
 | Indicates whether the image is centered in the image control. When the image does not fit perfectly within the image control, use Center to specify how the image is positioned. When Center is True, the image is centered in the control. When Center is False, the upper left corner of the image is positioned at the upper left corner of the control. Center has no effect if the AutoSize property is True or if the Stretch property is True and Picture does not specify an icon.
Syntax
 | ImageControl.Center() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | ImageControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | ImageControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | ImageControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | ImageControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ImageFile

Advansys Formativ 1.6 | Language Reference
ImageFile property |
Parent |

Description
 | Specify the path and filename of the bitmap (BMP) image file.
Syntax
 | ImageControl.ImageFile() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | ImageControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | ImageControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | ImageControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Stretch

Advansys Formativ 1.6 | Language Reference
Stretch property |
Parent |

Description
 | Indicates whether the image should be changed so that it exactly fits the bounds of the image control. Set Stretch to True to cause the image to assume the size and shape of the image control. When the image control resizes, the image resizes also. Stretch resizes the height and width of the image independently. Thus, unlike a simple change in magnification, stretch can distort the image if the image control is not the same shape as the image.
Syntax
 | ImageControl.Stretch() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Transparent

Advansys Formativ 1.6 | Language Reference
Transparent property |
Parent |

Description
 | Specifies whether the background of the image obscures objects below the image object.
Syntax
 | ImageControl.Transparent() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | ImageControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object ListBoxControl

Advansys Formativ 1.6 | Language Reference
ListBoxControl object |

Description
ListBoxControl is a wrapper for a Windows list box control. Add this control to the fcControlDlg with the AddListBoxControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Control ControlType ExtendedSelect Height Hint Items Left ListText MultiSelect Selected Sorted SpaceAbove Spacing TabWidth TopIndex Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | ListBoxControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | ListBoxControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | ListBoxControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | ListBoxControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | ListBoxControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | ListBoxControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | ListBoxControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property ExtendedSelect

Advansys Formativ 1.6 | Language Reference
ExtendedSelect property |
Parent |

Description
 | ExtendedSelect works in conjunction with the MultiSelect property. If ExtendedSelect is True and MultiSelect is True, the user can select an item then hold down the Shift key and select another and all the items in between the two selected items also become selected. If the user doesn’t hold down the Shift or Ctrl key while selecting a second item, the first selected item becomes unselected—in other words, the user must use the Ctrl key to select multiple noncontiguous items, or the Shift key to select a range of items. If ExtendedSelect is False and MultiSelect is True, the user can select multiple items without using the Shift or Ctrl key, but they can’t select a range of items in one operation. If MultiSelect is False, the setting of ExtendedSelect has no effect as the user will not be able to select more than one item at a time in the list box.
Syntax
 | ListBoxControl.ExtendedSelect() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | ListBoxControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | ListBoxControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Items

Advansys Formativ 1.6 | Language Reference
Items property |
Parent |

Description
 | Contains the strings that appear in the list box. Use Items to add, insert, delete and move items. By default the items in a list box are of type Strings. Use this item type to access its methods or properties in order to manipulate the items in the list. See Strings for more details.
Syntax
 | ListBoxControl.Items() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | ListBoxControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ListText

Advansys Formativ 1.6 | Language Reference
ListText property |
Parent |

Description
 | Use ListText to get or set all the strings in the List Box in a single comma-delimited string.
Syntax
 | ListBoxControl.ListText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property MultiSelect

Advansys Formativ 1.6 | Language Reference
MultiSelect property |
Parent |

Description
 | Set MultiSelect to True to allow the user to select multiple items. If MultiSelect if False, multiple items cannot be selected in the list box at the same time. MultiSelect allows users to select multiple non-sequential items. It does not allow users to select a range of items in one operation, as does the ExtendedSelect property. When MultiSelect is True and multiple items are selected, the value of the ItemIndex property, which indicates the index of the Selected item, is the index of the selected item that has focus.
Syntax
 | ListBoxControl.MultiSelect() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Selected

Advansys Formativ 1.6 | Language Reference
Selected property |
Parent |

Description
 | Gets the currently selected text value (or values if multi-select is true) from the List Box or sets the list entry to be the default selection (the text string must already exist in the List Box list for it to be selected).
Syntax
 | ListBoxControl.Selected() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Sorted

Advansys Formativ 1.6 | Language Reference
Sorted property |
Parent |

Description
 | Use Sorted to sort the items by setting its value to True. If Sorted is False, the items are unsorted. When Sorted is True, items that are added or inserted are automatically into the list box in alphabetical order.
Syntax
 | ListBoxControl.Sorted() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | ListBoxControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | ListBoxControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property TabWidth

Advansys Formativ 1.6 | Language Reference
TabWidth property |
Parent |

Description
 | Set TabWidth to control the number of dialog base units displayed for each tab character that appears in the strings of a list box. If TabWidth is set to 0, which is the default setting, the tabs default to the width specified by Windows, which is two dialog base units.
Syntax
 | ListBoxControl.TabWidth() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property TopIndex

Advansys Formativ 1.6 | Language Reference
TopIndex property |
Parent |

Description
 | Use TopIndex property to find or set the first item displayed at the top of the list box. TopIndex can be used, for example, to change the topmost item to a different item in the list.
Syntax
 | ListBoxControl.TopIndex() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | ListBoxControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object MemoControl

Advansys Formativ 1.6 | Language Reference
MemoControl object |

Description
MemoControl is a wrapper for a windows multiline edit control. Add this control to the fcControlDlg with the AddMemoControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Control ControlType Height Hint Left Lines MaxLength Modified ReadOnly ScrollBars SpaceAbove Spacing Text WantReturns WantTabs Width WordWrap |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | MemoControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | MemoControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | MemoControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | MemoControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | MemoControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | MemoControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | MemoControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | MemoControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | MemoControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | MemoControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Lines

Advansys Formativ 1.6 | Language Reference
Lines property |
Parent |

Description
 | Provides access to the controls text via the Strings object. See Strings for more details.
Syntax
 | MemoControl.Lines() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property MaxLength

Advansys Formativ 1.6 | Language Reference
MaxLength property |
Parent |

Description
 | Set the maximum number of characters which can be entered into the control.
Syntax
 | MemoControl.MaxLength() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Modified

Advansys Formativ 1.6 | Language Reference
Modified property |
Parent |

Description
 | Identifies whether the user has modified the text within the control.
Syntax
 | MemoControl.Modified() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ReadOnly

Advansys Formativ 1.6 | Language Reference
ReadOnly property |
Parent |

Description
 | Setting this property to TRUE will make the control read only, i.e. its contents cannot be edited.
Syntax
 | MemoControl.ReadOnly() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ScrollBars

Advansys Formativ 1.6 | Language Reference
ScrollBars property |
Parent |

Description
 | Configures the state of the controls scroll bars. Uses the ScrollStyle constants.
Syntax
 | MemoControl.ScrollBars() : ScrollStyle This is a Write Only property. It accepts a variable of type ScrollStyle.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | MemoControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | MemoControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Set the default text for, or get the text from, the control.
Syntax
 | MemoControl.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property WantReturns

Advansys Formativ 1.6 | Language Reference
WantReturns property |
Parent |

Description
 | Controls whether hard returns (Enter key) are allowed in the text. Default is TRUE.
Syntax
 | MemoControl.WantReturns() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property WantTabs

Advansys Formativ 1.6 | Language Reference
WantTabs property |
Parent |

Description
 | Controls whether tab characters (Tab key) are allowed in the text.
Syntax
 | MemoControl.WantTabs() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | MemoControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property WordWrap

Advansys Formativ 1.6 | Language Reference
WordWrap property |
Parent |

Description
 | Controls whether the text will wrap around when it reaches the right hand side edge of the control.
Syntax
 | MemoControl.WordWrap() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Object MultiLineLabelControl

Advansys Formativ 1.6 | Language Reference
MultiLineLabelControl object |

Description
MultiLineLabelControl is a special label control with a Lines property of class Strings for easy multiline display of read only information.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Control ControlType Height Hint Left Lines SpaceAbove Spacing Width WordWrap |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | MultiLineLabelControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | MultiLineLabelControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | MultiLineLabelControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | MultiLineLabelControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | MultiLineLabelControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | MultiLineLabelControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | MultiLineLabelControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | MultiLineLabelControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | MultiLineLabelControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | MultiLineLabelControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Lines

Advansys Formativ 1.6 | Language Reference
Lines property |
Parent |

Description
 | Contains the individual lines of text in the control.
Syntax
 | MultiLineLabelControl.Lines() : StringsNoObj This is a Read Only property. It returns a variable of type StringsNoObj.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | MultiLineLabelControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | MultiLineLabelControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | MultiLineLabelControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property WordWrap

Advansys Formativ 1.6 | Language Reference
WordWrap property |
Parent |

Description
 | Specifies whether the label text wraps when it is too long for the width of the label.
Syntax
 | MultiLineLabelControl.WordWrap() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Object OpenFileDlg

Advansys Formativ 1.6 | Language Reference
OpenFileDlg object |

Description
The OpenFileDlg object provides a configurable file selection dialog.

Properties and Methods
Properties | Methods
DefaultExt Filename Filter InitialDir Title | Execute

More Information
None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Displays the Open File dialog.
Syntax
 | OpenFileDlg.Execute() : Boolean
Remarks
 | None.


Property DefaultExt

Advansys Formativ 1.6 | Language Reference
DefaultExt property |
Parent |

Description
 | Sets the default extension for the Open File dialog.
Syntax
 | OpenFileDlg.DefaultExt() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Filename

Advansys Formativ 1.6 | Language Reference
Filename property |
Parent |

Description
 | Contains the filename selected from the Open File dialog.
Syntax
 | OpenFileDlg.Filename() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Filter

Advansys Formativ 1.6 | Language Reference
Filter property |
Parent |

Description
 | Sets the file type filter for the Open File dialog.
Syntax
 | OpenFileDlg.Filter() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property InitialDir

Advansys Formativ 1.6 | Language Reference
InitialDir property |
Parent |

Description
 | Sets the initial directory for the Open File dialog.
Syntax
 | OpenFileDlg.InitialDir() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Sets the title of the Open File dialog.
Syntax
 | OpenFileDlg.Title() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object PanelControl

Advansys Formativ 1.6 | Language Reference
PanelControl object |

Description
PanelControl implements a generic panel control. Add this control to the fcControlDlg with the AddPanelControl method.

Properties and Methods
Properties | Methods
Alignment AutoSpace BevelInner BevelOuter BevelWidth BorderStyle BorderWidth Caption Color Control ControlType Font Height Hint Left SpaceAbove SpaceBelow Width |

More Information
None.


Property Alignment

Advansys Formativ 1.6 | Language Reference
Alignment property |
Parent |

Description
 | Determines how caption is aligned within the panel. Use the Alignment property to specify if the caption of a panel appears on the left, right, or center of the panel. See the Alignment constants for details.
Syntax
 | PanelControl.Alignment() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property AutoSpace

Advansys Formativ 1.6 | Language Reference
AutoSpace property |
Parent |

Description
 | When True, which is the default value, the control will automatically have space above and below the control when added to the dynamic control dialog. When False, the values in the SpaceAbove and SpaceBelow properties determing the spacing between other controls.
Syntax
 | PanelControl.AutoSpace() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property BevelInner

Advansys Formativ 1.6 | Language Reference
BevelInner property |
Parent |

Description
 | Determines the style of the inner bevel of a panel. Use BevelInner to provide the panel with a three-dimensional bevelled look. A panel component has two bevels, an outer bevel drawn next to the border of the control, and an inner bevel drawn inside the outer bevel, separated by the number of pixels specified in the BorderWidth property. The width of the bevels, if they are drawn, is the BevelWidth property. See PanelBevel constants for details.
Syntax
 | PanelControl.BevelInner() : PanelBevel This is a Write Only property. It accepts a variable of type PanelBevel.
Remarks
 | None.


Property BevelOuter

Advansys Formativ 1.6 | Language Reference
BevelOuter property |
Parent |

Description
 | Determines the style of the outer bevel of a panel. Use BevelOuter to provide the panel with a three-dimensional bevelled look. A panel component has two bevels, an outer bevel drawn next to the border of the control, and an inner bevel drawn inside the outer bevel, separated by the number of pixels specified in the BorderWidth property. The width of the outer bevel is specified in the BevelWidth property in pixels.
Syntax
 | PanelControl.BevelOuter() : PanelBevel This is a Write Only property. It accepts a variable of type PanelBevel.
Remarks
 | None.


Property BevelWidth

Advansys Formativ 1.6 | Language Reference
BevelWidth property |
Parent |

Description
 | Determines the width, in pixels, of both the inner and outer bevels of a panel. Use BevelWidth to specify how wide the inner or outer bevel should be. Don’t confuse BevelWidth, which is the width of the bevels, with BorderWidth, which is the space between the bevels. If both the BevelInner and BevelOuter properties are fbvNone, BevelWidth has no effect. To remove both bevels, set the BevelInner and BevelOuter properties to fbvNone.
Syntax
 | PanelControl.BevelWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property BorderStyle

Advansys Formativ 1.6 | Language Reference
BorderStyle property |
Parent |

Description
 | Determines the style of the line drawn around the perimeter of the panel control. Use BorderStyle to specify whether the panel has a single line drawn around it. See BorderStyle constants for details.
Syntax
 | PanelControl.BorderStyle() : BorderStyle This is a Write Only property. It accepts a variable of type BorderStyle.
Remarks
 | None.


Property BorderWidth

Advansys Formativ 1.6 | Language Reference
BorderWidth property |
Parent |

Description
 | Specifies the distance, in pixels, between the outer and inner bevels. Use BorderWidth to specify how wide the border around the panel should be. A value of 0 means no border should appear. The border of a panel is the area between the outer and inner bevels. It is visible only if the inner bevel is raised or lowered, but affects the inset of the caption within the panel even if BevelInner is fbvNone. If the Alignment property is not ftaCenter, the Caption will be aligned to the inner edge of the border. This edge is BorderWidth pixels in from the outer bevel if BevelInner is fbvNone. It is the inner edge of the inner bevel otherwise. Don’t confuse the border of the panel with line drawn around the panel itself. The line around the panel is specified by the BorderStyle property.
Syntax
 | PanelControl.BorderWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the Panels text label.
Syntax
 | PanelControl.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Color

Advansys Formativ 1.6 | Language Reference
Color property |
Parent |

Description
 | Specifies the background color of the control. See Color constants for details.
Syntax
 | PanelControl.Color() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | PanelControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | PanelControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Font

Advansys Formativ 1.6 | Language Reference
Font property |
Parent |

Description
 | Controls the attributes of text written on or in the control. To modify a font, change the value of the Color, Height, Name, Size, or Style of the ControlFont object. See the ControlFont object.
Syntax
 | PanelControl.Font() : ControlFont This is a Read Only property. It returns a variable of type ControlFont.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | PanelControl.Height() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | PanelControl.Hint() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | PanelControl.Left() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | When AutoSpace is False, set SpaceAbove to the number of pixels which should separate the previous control from the top of the Panel control. If omitted, the SpaceAbove will default to 0 pixels.
Syntax
 | PanelControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property SpaceBelow

Advansys Formativ 1.6 | Language Reference
SpaceBelow property |
Parent |

Description
 | When AutoSpace is False, set SpaceBelow to the number of pixels which should separate the next control from the bottom of the Panel control. If omitted, the SpaceBelow will default to 0 pixels.
Syntax
 | PanelControl.SpaceBelow() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | PanelControl.Width() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Object Portal

Advansys Formativ 1.6 | Language Reference
Portal object |

Description
A Portal is a custom window that appears embedded in the GroupWise client. It can be used to display any information that Microsoft Internet Explorer can display, such as HTML, XML, images, web sites, etc.

Properties and Methods
Properties | Methods
CanClose Caption Document HideCloseControlsEnabled HTML ID NativeInterface NavigationControlsEnabled OpenMessages ReadyState RunApplets TabCaption TabVisible URL URLInputEnabled Visible | Delete Hide Show

More Information
A Portal is a custom window that appears embedded in the GroupWise client. It can be used to display any information that Microsoft Internet Explorer can display, such as HTML, XML, images, web sites, etc.

You can display preexisting content in a portal (such as a web site or XML file), or you can display content built dynamically by a Formativ applet. For example, you could write an applet that extracts all of todays appointments from your GroupWise calendar, builds HTML representing the appointments, then display the HTML file in the portal.

Portals are created and managed using the Formativ Portal Manager. The Formativ Portal Manager is accessed via the Formativ Portal Object model.

The Formativ Portal Manager requires GroupWise 6.01 or above. Novell have released a beta FTF file for the GroupWise 5.5.7.1 Enhancement Pack client which enables the use of the Formativ Portal Manager based solutions with the GroupWise 5.5 EP client. See Novell TID 2963458 for details on the update and information on how to download the GroupWise 5.5.7.2 Beta FTF file (f32eppp1.exe).

See the Formativ Programmers Guide for more information.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
 | The Delete method destroys the Portal and removes the Portal ID from the list of available Portals.
Syntax
 | Portal.Delete()
Remarks
 | None.


Method Hide

Advansys Formativ 1.6 | Language Reference
Hide Method |
Parent |

Description
 | The Hide method hides the Portal from view.
Syntax
 | Portal.Hide()
Remarks
 | None.


Method Show

Advansys Formativ 1.6 | Language Reference
Show Method |
Parent |

Description
 | The Show method makes the Portal visible and sets it as the topmost, active Portal.
Syntax
 | Portal.Show()
Remarks
 | None.


Property CanClose

Advansys Formativ 1.6 | Language Reference
CanClose property |
Parent |

Description
 | Setting CanClose to FALSE will hide the Close Portal button and prevent the user from manually closing the Portal. A value of TRUE will display the Close Portal button.
Syntax
 | Portal.CanClose() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Controls the text located at the top left of the Portal toolbar.
Syntax
 | Portal.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Document

Advansys Formativ 1.6 | Language Reference
Document property |
Parent |

Description
 | Use Document to access an IDispatch interface for manipulating the contents of the HTML document through the COM object model. If there is no active document, Document is nothing. For more information, see the document object section of Microsofts Dynamic HTML reference.
Syntax
 | Portal.Document() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | None.


Property HideCloseControlsEnabled

Advansys Formativ 1.6 | Language Reference
HideCloseControlsEnabled property |
Parent |

Description
 | TRUE hides the Hide all Portals, Hide this Portal and Close this Portal buttons. A value of TRUE will display all close and hide buttons, unless the CanClose property is FALSE, in which case the Portal close button will not be displayed.
Syntax
 | Portal.HideCloseControlsEnabled() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property HTML

Advansys Formativ 1.6 | Language Reference
HTML property |
Parent |

Description
 | Set or get the HTML source for each Portal. Setting the HTML property will render the page within the Portal. Reading the HTML property will return the HTML source displayed in the Portal.
Syntax
 | Portal.HTML() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ID

Advansys Formativ 1.6 | Language Reference
ID property |
Parent |

Description
 | The unique string ID associated with a Portal.
Syntax
 | Portal.ID() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property NativeInterface

Advansys Formativ 1.6 | Language Reference
NativeInterface property |
Parent |

Description
 | Returns the interface for the native Internet Explorer control. Lets an applet access the properties, methods, and events of the Web browser interface (IWebbrowser2).
Syntax
 | Portal.NativeInterface() : Interface This is a Read Only property. It returns a variable of type Interface.
Remarks
 | None.


Property NavigationControlsEnabled

Advansys Formativ 1.6 | Language Reference
NavigationControlsEnabled property |
Parent |

Description
 | TRUE displays the Forward, Back, Refresh and Stop Activity browser controls. FALSE hides these browser navigation controls.
Syntax
 | Portal.NavigationControlsEnabled() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property OpenMessages

Advansys Formativ 1.6 | Language Reference
OpenMessages property |
Parent |

Description
 | A value of TRUE will instruct Formativ to parse the user selected URL and extract any embedded GroupWise Message ID. If a valid Message ID is found, Formativ will automatically open the associated message and display it using the standard GroupWise client view. A value of FALSE will activate user selected URLs using standard browser operation and will not look for embedded GroupWise Message IDs.
Syntax
 | Portal.OpenMessages() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | In order to build HTML that automatically opens a GroupWise message, you need to build a specially formatted HREF element containing the message ID of the message to be opened (a message ID is a unique message identifier). A properly formed message ID HREF element is shown below: <A HREF="UID:[MessageID]"[Description]</A> Where: [Message ID] is the unique message ID of the message to be displayed when the link is pressed, and [Description] is the text that describes the link. An example of such a link is: <A HREF="UID:3C8467EB.GWDEVDOM.GWDEVPO.100.16D676D.1.68B.1"<B>Meeting</B></A> This HTML code will result in a link being displayed with the label Sales Meeting. When the link is clicked, the original GroupWise message (in this case an appointment) will be automatically opened for the user.


Property ReadyState

Advansys Formativ 1.6 | Language Reference
ReadyState property |
Parent |

Description
 | Read ReadyState to obtain state information specific to the portals web browser. Use this information to avoid attempting to use the portal when it is not ready to perform an action
Syntax
 | Portal.ReadyState() : eReadyStates This is a Read Only property. It returns a variable of type eReadyStates.
Remarks
 | Indicates the state of a portals web browser component. Read ReadyState to obtain state information specific to a portals Web browser control. Use this information to avoid attempting to use the portal when it is not ready to perform an action.


Property RunApplets

Advansys Formativ 1.6 | Language Reference
RunApplets property |
Parent |

Description
A value of TRUE instructs Formativ to parse and run an applet which is encoded into a HTML form SUBMIT function. This feature enables applets to be executed from an HTML page. A value of FALSE will cause Formativ to process the SUBMIT function as a normal HTML form process and will ignore any embedded applet references.
Syntax
Portal.RunApplets() : Boolean

This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
Formativ portals let you optionally execute an applet when a portal HTML button is pressed. This is useful for when you need to perform further processing based on the content of a portal. For example, the Today View applet has a settings button. When this button is pressed, another HTML page is loaded into the same portal that allows users to specify user interface settings. When the OK button on this portal is pressed, the settings entered are used to redisplay the Today View portal. All this functionality is achieved by automatically executing the same applet from within the portal and using data obtained via the FormVariables object.

You can execute a Formativ applet by defining a hidden HTML <INPUT> element within a HTML form. When a SUBMIT action is sent (as a result of pressing a button, for example), Formativ looks for any hidden <INPUT> elements that are formatted to execute applets. If it finds one, Formativ executes the applet defined in the tag.

A properly formatted <INPUT> element is shown below:

<INPUT TYPE="HIDDEN" NAME="formativapplet" VALUE="[Applet Name]">

Where:

[appletname] is the name of the applet to execute, including the .VBF extension.

Determining if an applet is being executed via a portal

In many cases your applet needs to know if it is being executed as a result of a portal input tag as described above. For example, the above code causes the today view_commercial.vbf applet to be executed. This is the same applet that dynamically built the original portal. When this applet is executed as a result of the "Settings..." buttons being pressed, instead of redisplaying the Today View portal, we need it to display the Settings portal content instead.

An applet can detect if it is being executed as a result of a portal by checking the GWEvent argument that is passed into every applet. If the GWEvent argument equals the string "HTML_TRIGGER", the applet is being executed as a result of a portal trigger.

For example, the following code snippet illustrates how it is possible for an applet to perform different processing if it was executed as a result of a portal trigger:

Sub Main(Client, GWEvent)
if GWEvent = "HTML_TRIGGER" then
DetermineAction
else
DisplayView
end if
End Sub

In this example, the applet will call the DetermineAction subroutine if the applet is being called as a result of a portal trigger. If it being executed as a result of a portal trigger, the applet will call the DisplayView subroutine.

If the DetermineAction subroutine was called, it would probably use the FormVariables collection to access the data that was entered into the form at run time.


Property TabCaption

Advansys Formativ 1.6 | Language Reference
TabCaption property |
Parent |

Description
 | Controls the Portal tab caption text.
Syntax
 | Portal.TabCaption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property TabVisible

Advansys Formativ 1.6 | Language Reference
TabVisible property |
Parent |

Description
 | Controls whether the Portal tab is visible or hidden.
Syntax
 | Portal.TabVisible() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property URL

Advansys Formativ 1.6 | Language Reference
URL property |
Parent |

Description
 | Setting the URL property will cause the Portal to display the URL. Reading the URL property will return the current URL displayed in the Portal.
Syntax
 | Portal.URL() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property URLInputEnabled

Advansys Formativ 1.6 | Language Reference
URLInputEnabled property |
Parent |

Description
 | Set to TRUE to display the URL navigation edit control. A value of FALSE will hide the URL navigation edit control.
Syntax
 | Portal.URLInputEnabled() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Visible

Advansys Formativ 1.6 | Language Reference
Visible property |
Parent |

Description
 | Setting this property to TRUE will make the Portal visible. Setting the value to FALSE will hide the Portal. Reading the property will return the current visibility of the Portal. See also the Show and Hide methods.
Syntax
 | Portal.Visible() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Object PortalManager

Advansys Formativ 1.6 | Language Reference
PortalManager object |

Description
The Portal Manager lets you create and display any number of portals directly in the GroupWise client. You can also programmatically access the information being displayed in a portal.

Properties and Methods
Properties | Methods
PortalFolderDefaultApplet PortalFolderEnabled PortalFolderName Portals | HideAll ShowAll

More Information
See the Formativ Programmers Guide for more information.


Method HideAll

Advansys Formativ 1.6 | Language Reference
HideAll Method |
Parent |

Description
 | Hides all Portals.
Syntax
 | PortalManager.HideAll()
Remarks
 | Hides all portals in the GroupWise client.


Method ShowAll

Advansys Formativ 1.6 | Language Reference
ShowAll Method |
Parent |

Description
 | Shows all Portals.
Syntax
 | PortalManager.ShowAll()
Remarks
 | Shows all portals in the GroupWise client.


Property PortalFolderDefaultApplet

Advansys Formativ 1.6 | Language Reference
PortalFolderDefaultApplet property |
Parent |

Description
 | Specify the full name of an applet to execute when the portal folder is selected if no other portals exist. (If other portals exist, they are shown when the folder is selected))
Syntax
 | PortalManager.PortalFolderDefaultApplet() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property PortalFolderEnabled

Advansys Formativ 1.6 | Language Reference
PortalFolderEnabled property |
Parent |

Description
 | Specifies whether Formativ will automatically create and use a special folder in GroupWise that displays defined portals when selected.
Syntax
 | PortalManager.PortalFolderEnabled() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property PortalFolderName

Advansys Formativ 1.6 | Language Reference
PortalFolderName property |
Parent |

Description
 | Specifies the name of the portal folder in GroupWise. This property is only used if the PortalFolderEnabled property is true.
Syntax
 | PortalManager.PortalFolderName() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Portals

Advansys Formativ 1.6 | Language Reference
Portals property |
Parent |

Description
 | Returns a reference to the single Portals object.
Syntax
 | PortalManager.Portals() : Portals This is a Read Only property. It returns a variable of type Portals.
Remarks
 | Returns a reference to the single Portals object. The Portals object is a collection of portals.


Object Portals

Advansys Formativ 1.6 | Language Reference
Portals object |

Description
Manages the collection of Portal objects.

Properties and Methods
Properties | Methods
_NewEnum ActivePortal Add Count Item | Clear Delete

More Information
Portals is a collection of individual Portal objects. It is returned by the PortalManager.Portals property.

A Portal is a custom window that appears embedded in the GroupWise client. It can be used to display any information that Microsoft Internet Explorer can display, such as HTML, XML, images, web sites, etc.

You can display preexisting content in a portal (such as a web site or XML file), or you can display content built dynamically by a Formativ applet. For example, you could write an applet that extracts all of today's appointments from your GroupWise calendar, builds HTML representing the appointments, then display the HTML file in the portal.

The Formativ Portal Manager requires GroupWise 6.01 or above. Novell have released a beta FTF file for the GroupWise 5.5.7.1 Enhancement Pack client which enables the use of the Formativ Portal Manager based solutions with the GroupWise 5.5 EP client. See Novell TID 2963458 for details on the update and information on how to download the GroupWise 5.5.7.2 Beta FTF file (f32eppp1.exe).

  • Portals are custom windows that appear in the GroupWise client.

  • Portals appear in the message/calendar list area of the GroupWise client.

  • Portals use Microsoft Internet Explorer to display content (you need to have Microsoft Internet Explorer 5.5 or greater installed to use the portal manager).

  • You can build dynamic content and display it in a portal, or display existing content, such as a web page or intranet.

  • You can extract information from a portal and use it an applet.

  • You can use a portal to open GroupWise items by clicking on specially formatted HTML links.

  • You can customize the appearance of a portal window to include standard browser buttons, captions, etc.

  • Portals are persistent. This means that a portal and it's contents remain active during a GroupWise session, even if hidden. This means you can display live content in a portal (such as a web site), hide the portal then open it again later in the same session and have its content unchanged.

  • Portals use Microsoft's Internet Explorer security settings. This means the settings defined in IE's Internet Options will also affect any portals you create.

  • You can create any number of portals. If more than one portal exists and are visible, each portal appears on it's own tab within the GroupWise client. Users can click a tab to activate a portal, or an applet can programmatically activate a particular portal.

See the Formativ Programmers Guide for more information.


Method Clear

Advansys Formativ 1.6 | Language Reference
Clear Method |
Parent |

Description
 | Clears and destroys all Portals.
Syntax
 | Portals.Clear()
Remarks
 | None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
Deletes and destroys the Portal identified by the Index parameter.
Syntax
Portals.Delete(Index Variant)

Parameter Useage:

Index Variant
Remarks
None.


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | Enumerator to enable the use within enumerated functions, such as the For structure.
Syntax
 | Portals._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property ActivePortal

Advansys Formativ 1.6 | Language Reference
ActivePortal property |
Parent |

Description
 | Sets or returns the active Portal by using the Portal.ID parameter string value.
Syntax
 | Portals.ActivePortal() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Add

Advansys Formativ 1.6 | Language Reference
Add property |
Parent |

Description
 | Creates a new Portal. A unique Portal ID is assigned automatically. The string ID can be set to another value by using the Portal.ID parameter. See the Portal object for details.
Syntax
 | Portals.Add() : Portal This is a Read Only property. It returns a variable of type Portal.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | Returns the number of Portals which have been created.
Syntax
 | Portals.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
Returns the Portal object identified by the Index parameter.
Syntax
Portals.Item(Index Variant) : Portal

Parameter Useage:

Index Variant

This is a Read Only property. It returns a variable of type Portal.
Remarks
None.


Object RadioButtonControl

Advansys Formativ 1.6 | Language Reference
RadioButtonControl object |

Description
RadioButtonControl is a wrapper for a Windows radio button. Add this control to the fcControlDlg with the AddRadioButtonControl method.

Properties and Methods
Properties | Methods
Caption Checked Control ControlType Height Hint Left SpaceAbove Spacing Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text description of the radio button control.
Syntax
 | RadioButtonControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Checked

Advansys Formativ 1.6 | Language Reference
Checked property |
Parent |

Description
 | Sets or gets the checked state of the control.
Syntax
 | RadioButtonControl.Checked() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | RadioButtonControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | RadioButtonControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | RadioButtonControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | RadioButtonControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | RadioButtonControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | RadioButtonControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | RadioButtonControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | RadioButtonControl.Width() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Object RadioGroupControl

Advansys Formativ 1.6 | Language Reference
RadioGroupControl object |

Description
RadioGroupControl represents a group of radio buttons that function together. Add this control to the fcControlDlg with the AddRadioGroupControl method.

Properties and Methods
Properties | Methods
Caption Columns Control ControlType Height Hint ItemIndex Items Left SpaceAbove Spacing Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears as part of the controls group border.
Syntax
 | RadioGroupControl.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Columns

Advansys Formativ 1.6 | Language Reference
Columns property |
Parent |

Description
 | Specifies number of columns in the radio group. The Columns property determines the number of columns in the radio group. Its value can range from 1 to 16. The default value is 1, which means that the radio buttons are arranged in a single vertical line.
Syntax
 | RadioGroupControl.Columns() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | RadioGroupControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | RadioGroupControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | RadioGroupControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | RadioGroupControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property ItemIndex

Advansys Formativ 1.6 | Language Reference
ItemIndex property |
Parent |

Description
 | Indicates which radio button in the group is currently selected. ItemIndex holds the ordinal number of the selected radio button in the Items list. (The first button is 0.) The value of ItemIndex changes at runtime as the user selects radio buttons. If you want one of the buttons to appear selected when the application starts, assign that button to ItemIndex at design time; otherwise, leave ItemIndex set to the default value of -1, which means that no button is selected.
Syntax
 | RadioGroupControl.ItemIndex() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Items

Advansys Formativ 1.6 | Language Reference
Items property |
Parent |

Description
 | Lists the radio buttons in the radio group. Items holds a Strings object that lists the captions of the radio buttons in the group.
Syntax
 | RadioGroupControl.Items() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | RadioGroupControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | RadioGroupControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | RadioGroupControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | RadioGroupControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object Registry

Advansys Formativ 1.6 | Language Reference
Registry object |

Description
The Registry object provides read access to the Windows registry. Registry does not currently support writing to the Windows registry.

Properties and Methods
Properties | Methods
Access CurrentPath RootKey | CloseKey GetKeyNames GetValueNames HasSubKeys KeyExists OpenKey ReadBool ReadCurrency ReadDate ReadDateTime ReadFloat ReadInteger ReadString ReadTime ValueExists WriteBool WriteCurrency WriteDate WriteDateTime WriteFloat WriteInteger WriteString WriteTime

More Information
None.


Method CloseKey

Advansys Formativ 1.6 | Language Reference
CloseKey Method |
Parent |

Description
 | Writes the current key to the registry and closes the key. Call CloseKey to write the current key to the registry and close the key. An application should not keep keys open any longer than necessary. Many Registry methods routinely call CloseKey after reading from or writing to the registry. Calling CloseKey when there is no current key has no effect. When an application closes a key, the key is written to the registry.
Syntax
 | Registry.CloseKey()
Remarks
 | None.


Method GetKeyNames

Advansys Formativ 1.6 | Language Reference
GetKeyNames Method |
Parent |

Description
Returns a string list containing the names of all subkeys belonging to the current key. Call GetKeyNames to determine the names of all subkeys belonging to the current key. Determining the names of subkeys is useful in an application that iterates through a set of keys. KeyNames is a variable of type StringList into which to return the list of data value names.
Syntax
Registry.GetKeyNames(KeyNames StringList)

Parameter Useage:

KeyNames StringList
         The StringList object is a convenient and powerful way to maintain a list of strings. Use a StringList object to store and manipulate a list of strings, including sorting, rejecting duplicates, reading Windows INI, reading and writing text files. You can also associate string data for each string list entry.
Remarks
None.


Method GetValueNames

Advansys Formativ 1.6 | Language Reference
GetValueNames Method |
Parent |

Description
Returns a string list containing the names of all data values associated with the current key. Call GetValueNames to determine the names of all data values associated with the current key. Determining the names of data values is useful in an application that iterates through a set of data values for a key. KeyValues is a variable of type StringList into which to return the list of data value names.
Syntax
Registry.GetValueNames(KeyValues StringList)

Parameter Useage:

KeyValues StringList
         The StringList object is a convenient and powerful way to maintain a list of strings. Use a StringList object to store and manipulate a list of strings, including sorting, rejecting duplicates, reading Windows INI, reading and writing text files. You can also associate string data for each string list entry.
Remarks
None.


Method HasSubKeys

Advansys Formativ 1.6 | Language Reference
HasSubKeys Method |
Parent |

Description
 | Determines if the current key has subkeys. Call HasSubKeys to determine if the current key has any subkeys. HasSubKeys returns True if the current key has at least one subkey. Otherwise it returns False.
Syntax
 | Registry.HasSubKeys() : Boolean
Remarks
 | None.


Method KeyExists

Advansys Formativ 1.6 | Language Reference
KeyExists Method |
Parent |

Description
Determines if a specified key exists. Call KeyExists to determine if a key of a specified name exists. Key is the name of the key for which to search.
Syntax
Registry.KeyExists(Name String) : Boolean

Parameter Useage:

Name String
Remarks
None.


Method OpenKey

Advansys Formativ 1.6 | Language Reference
OpenKey Method |
Parent |

Description
Opens a specified key. Call OpenKey to make a specified key the current key. Key is the name of the key to open. If Key is null, the CurrentKey property is set to the key specified by the RootKey property. CanCreate specifies whether to create the specified key if it does not exist. If CanCreate is True, the key is created if necessary. Key is opened or created with the security access value KEY_ALL_ACCESS. OpenKey only creates non-volatile keys, A non-volatile key is stored in the registry and is preserved when the system is restarted. OpenKey returns True if the key is successfully opened or created.
Syntax
Registry.OpenKey(Name String, CanCreate Boolean) : Boolean

Parameter Useage:

Name String
CanCreate Boolean
Remarks
None.


Method ReadBool

Advansys Formativ 1.6 | Language Reference
ReadBool Method |
Parent |

Description
Retrieves a Boolean value from a specified data value associated with the current key. Call ReadBool to read a Boolean value from a specified data value associated with the current key. Name is the name of the data value to read.
Syntax
Registry.ReadBool(Name String) : Boolean

Parameter Useage:

Name String
Remarks
None.


Method ReadCurrency

Advansys Formativ 1.6 | Language Reference
ReadCurrency Method |
Parent |

Description
Retrieves a currency value from a specified data value associated with the current key. Call ReadCurrency to read a Currency value from a specified data value associated with the current key. Name is the name of the data value to read.
Syntax
Registry.ReadCurrency(Name String) : CY

Parameter Useage:

Name String
Remarks
None.


Method ReadDate

Advansys Formativ 1.6 | Language Reference
ReadDate Method |
Parent |

Description
Retrieves a date value from a specified data value associated with the current key. Call ReadDate to read a date value from a specified data value associated with the current key. Name is the name of the data value to read. If successful, ReadDate returns a Delphi TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day. Note: Only use ReadDate to read data values previously stored with the WriteDate procedure.
Syntax
Registry.ReadDate(Name String) : DATE

Parameter Useage:

Name String
Remarks
None.


Method ReadDateTime

Advansys Formativ 1.6 | Language Reference
ReadDateTime Method |
Parent |

Description
Retrieves a date and time value from a specified data value associated with the current key. Call ReadDateTime to read a datetime value from a specified data value associated with the current key. Name is the name of the data value to read. If successful, ReadDateTime returns a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day.
Syntax
Registry.ReadDateTime(Name String) : DATE

Parameter Useage:

Name String
Remarks
None.


Method ReadFloat

Advansys Formativ 1.6 | Language Reference
ReadFloat Method |
Parent |

Description
Retrieves a float value from a specified data value associated with the current key. Call ReadFloat to read a float value from a specified data value associated with the current key. Name is the name of the data value to read.
Syntax
Registry.ReadFloat(Name String) : Integer

Parameter Useage:

Name String
Remarks
None.


Method ReadInteger

Advansys Formativ 1.6 | Language Reference
ReadInteger Method |
Parent |

Description
Retrieves an integer value from a specified data value associated with the current key. Call ReadInteger to read an integer value from a specified data value associated with the current key. Name is the name of the data value to read.
Syntax
Registry.ReadInteger(Name String) : Integer

Parameter Useage:

Name String
Remarks
None.


Method ReadString

Advansys Formativ 1.6 | Language Reference
ReadString Method |
Parent |

Description
Retrieves a string value from a specified data value associated with the current key. Call ReadString to read a string value from a specified data value associated with the current key. Name is the name of the data value to read.
Syntax
Registry.ReadString(Name String) : String

Parameter Useage:

Name String
Remarks
None.


Method ReadTime

Advansys Formativ 1.6 | Language Reference
ReadTime Method |
Parent |

Description
Retrieves a time value from a specified data value associated with the current key. Call ReadTime to read a time value from a specified data value associated with the current key. Name is the name of the data value to read. If successful, ReadTime returns a TDateTime value. The integral part of a TDateTime value is the number of days that have passed since 12/30/1899. The fractional part of a TDateTime value is the time of day. Note: Only use ReadTime to read data values previously stored with the WriteTime method.
Syntax
Registry.ReadTime(Name String) : DATE

Parameter Useage:

Name String
Remarks
None.


Method ValueExists

Advansys Formativ 1.6 | Language Reference
ValueExists Method |
Parent |

Description
Determines if a specified data value exists for the current key. Call ValueExists to determine if a particular key exists in the registry. Calling Value Exists is especially useful before calling other TRegistry methods that operate only on existing keys. Name is the name of the data value for which to check. ValueExists returns True if a match if found, False otherwise.
Syntax
Registry.ValueExists(Name String) : Boolean

Parameter Useage:

Name String
Remarks
None.


Method WriteBool

Advansys Formativ 1.6 | Language Reference
WriteBool Method |
Parent |

Description
Stores a Boolean value in a specifically named data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteBool. If Name does not exist, it is created.
Syntax
Registry.WriteBool(Name String, Value Boolean) : Boolean

Parameter Useage:

Name String
Value Boolean
Remarks
None.


Method WriteCurrency

Advansys Formativ 1.6 | Language Reference
WriteCurrency Method |
Parent |

Description
Stores a currency value in a specifically named data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteCurrency. If Name does not exist, it is created.
Syntax
Registry.WriteCurrency(Name String, Value CY) : Boolean

Parameter Useage:

Name String
Value CY
Remarks
None.


Method WriteDate

Advansys Formativ 1.6 | Language Reference
WriteDate Method |
Parent |

Description
Call WriteDate to store a datetime value in a data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteDate. If Name does not exist, it is created.
Syntax
Registry.WriteDate(Name String, Value DATE) : Boolean

Parameter Useage:

Name String
Value DATE
Remarks
None.


Method WriteDateTime

Advansys Formativ 1.6 | Language Reference
WriteDateTime Method |
Parent |

Description
Call WriteDate to store a datetime value in a data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteDateTime. If Name does not exist, it is created.
Syntax
Registry.WriteDateTime(Name String, Value DATE) : Boolean

Parameter Useage:

Name String
Value DATE
Remarks
None.


Method WriteFloat

Advansys Formativ 1.6 | Language Reference
WriteFloat Method |
Parent |

Description
Call WriteFloat to store a float value in a data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteFloat. If Name does not exist, it is created.
Syntax
Registry.WriteFloat(Name String, Value Integer) : Boolean

Parameter Useage:

Name String
Value Integer
Remarks
None.


Method WriteInteger

Advansys Formativ 1.6 | Language Reference
WriteInteger Method |
Parent |

Description
Call WriteInteger to store an integer value in a data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteInteger. If Name does not exist, it is created.
Syntax
Registry.WriteInteger(Name String, Value Integer) : Boolean

Parameter Useage:

Name String
Value Integer
Remarks
None.


Method WriteString

Advansys Formativ 1.6 | Language Reference
WriteString Method |
Parent |

Description
No description is available.
Syntax
Registry.WriteString(Name String, Value String) : Boolean

Parameter Useage:

Name String
Value String
Remarks
None.


Method WriteTime

Advansys Formativ 1.6 | Language Reference
WriteTime Method |
Parent |

Description
Call WriteTime to store a datetime value in a data value associated with the current key. Name is a string containing the name of the data value in which to store data. If Name already exists, its current value is overwritten by WriteTime. If Name does not exist, it is created.
Syntax
Registry.WriteTime(Name String, Value DATE) : Boolean

Parameter Useage:

Name String
Value DATE
Remarks
None.


Property Access

Advansys Formativ 1.6 | Language Reference
Access property |
Parent |

Description
 | use Access to specify the level of security access to use when opening keys. The OpenKey method uses the value of Access when opening a registry key. Access is initialized by the Registry object, but can be altered before calling OpenKey. The value of Access is a set of flags or-d together, where each flag indicates a type of permission. Choose a value that grants sufficient permission to allow the desired actions while not exceeding the access level of the system running the applet.
Syntax
 | Registry.Access() : eRegistryAccess This is a Read/Write property. You may only pass in a eRegistryAccess to the property. It returns a eRegistryAccess.
Remarks
 | None.


Property CurrentPath

Advansys Formativ 1.6 | Language Reference
CurrentPath property |
Parent |

Description
 | Indicates the registry path associated with the current key. Use CurrentPath to determine the registry path of the current key. The system registry is hierarchical, and CurrentPath returns a string that spells out the hierarchy of keys from the root key to the current key, inclusive. CurrentPath is automatically reset each time a different key becomes the current key.
Syntax
 | Registry.CurrentPath() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property RootKey

Advansys Formativ 1.6 | Language Reference
RootKey property |
Parent |

Description
 | Specifies the root key for the Registry object in an application. Use RootKey to determine the hierarchy of subkeys an application can access, or to specify the root key for the application. By default, RootKey is set to HKEY_CURRENT_USER when the registry object is created. To change the root key, specify a valid integer value for the RootKey property.
Syntax
 | Registry.RootKey() : RegistryKey This is a Write Only property. It accepts a variable of type RegistryKey.
Remarks
 | None.


Object SaveFileDialog

Advansys Formativ 1.6 | Language Reference
SaveFileDialog object |

Description
Displays a Save As dialog for saving files. When the user clicks Save, the dialog closes and the selected file name is stored in the FileName property.

Properties and Methods
Properties | Methods
DefaultExt Filename Filter FilterIndex InitialDir Options OptionsEx Title | Execute

More Information
None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Execute opens the Save As dialog, returning true when the user selects a file name and clicks Save. If the user cancels the save operation, Execute returns a false value.
Syntax
 | SaveFileDialog.Execute() : Boolean
Remarks
 | None.


Property DefaultExt

Advansys Formativ 1.6 | Language Reference
DefaultExt property |
Parent |

Description
 | DefaultExt specifies a file extension that is appended automatically to the selected file name, unless the selected file name already includes a registered extension. If the user selects a file name with an extension that is unregistered, DefaultExt is appended to the unregistered extension. Extensions longer than three characters are not supported. Do not include the period (.) that divides the file name and its extension.
Syntax
 | SaveFileDialog.DefaultExt() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Filename

Advansys Formativ 1.6 | Language Reference
Filename property |
Parent |

Description
 | The FileName property returns the name and complete directory path of the most recently selected file. The value of FileName is the same as the first item in the Files property. To make a file name appear by default in the dialog’s edit box, assign a value to FileName in applet code.
Syntax
 | SaveFileDialog.Filename() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Filter

Advansys Formativ 1.6 | Language Reference
Filter property |
Parent |

Description
 | Determines the file masks (filters) available in the dialog. To create file masks in program code, assign a value to the Filter property that consists of a description and a mask separated by a vertical bar (pipe) character. Do not include spaces around the vertical bar.
Syntax
 | SaveFileDialog.Filter() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property FilterIndex

Advansys Formativ 1.6 | Language Reference
FilterIndex property |
Parent |

Description
 | FilterIndex determines which of the file types in Filter is selected by default when the dialog opens. Set FilterIndex to 1 to choose the first file type in the list as the default, or set FilterIndex to 2 to choose the second file type as the default, and so forth. If the value of FilterIndex is out or range, the first file type listed in Filter is the default.
Syntax
 | SaveFileDialog.FilterIndex() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property InitialDir

Advansys Formativ 1.6 | Language Reference
InitialDir property |
Parent |

Description
 | InitialDir determines the default directory displayed in the file-selection dialog when it opens. For example, to point the dialog at the WINDOWS\SYSTEM directory, set the value of InitialDir to C:\WINDOWS\SYSTEM.
Syntax
 | SaveFileDialog.InitialDir() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Options

Advansys Formativ 1.6 | Language Reference
Options property |
Parent |

Description
 | Use the Options property to customize the appearance and functionality of the dialog. See eDialogOptions for more information.
Syntax
 | SaveFileDialog.Options() : eDialogOptions This is a Read/Write property. You may only pass in a eDialogOptions to the property. It returns a eDialogOptions.
Remarks
 | Specify multiple options by OR'ing then together in your applet. For example: .Options = ofReadOnly OR ofOverwritePrompt OR ofNoValidate


Property OptionsEx

Advansys Formativ 1.6 | Language Reference
OptionsEx property |
Parent |

Description
 | Use the OptionsEx property to further customize the file open dialog beyond the options covered by the Options property. See iDialogOptionsEx for more information.
Syntax
 | SaveFileDialog.OptionsEx() : eDialogOptionsEx This is a Read/Write property. You may only pass in a eDialogOptionsEx to the property. It returns a eDialogOptionsEx.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Use Title to specify the text that appears in the file-selection dialogs title bar. If no value is assigned to Title, the dialog has the title Open.
Syntax
 | SaveFileDialog.Title() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Object SearchAndReplace

Advansys Formativ 1.6 | Language Reference
SearchAndReplace object |

Description
The SearchAndReplace object provides a search and replace dialog.

Properties and Methods
Properties | Methods
CaseSensitive ReplaceWith SearchFor | Execute

More Information
None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Execute the search and replace function.
Syntax
 | SearchAndReplace.Execute() : Boolean
Remarks
 | None.


Property CaseSensitive

Advansys Formativ 1.6 | Language Reference
CaseSensitive property |
Parent |

Description
 | Set to True if the search should be case sensitive.
Syntax
 | SearchAndReplace.CaseSensitive() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property ReplaceWith

Advansys Formativ 1.6 | Language Reference
ReplaceWith property |
Parent |

Description
 | Set the text which will replace the search text.
Syntax
 | SearchAndReplace.ReplaceWith() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property SearchFor

Advansys Formativ 1.6 | Language Reference
SearchFor property |
Parent |

Description
 | Set the text to be searched for.
Syntax
 | SearchAndReplace.SearchFor() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Object SelectDirectoryDlg

Advansys Formativ 1.6 | Language Reference
SelectDirectoryDlg object |

Description
The SelectDirectoryDlg object provides a configurable Windows directory/folder selection dialog.

Properties and Methods
Properties | Methods
Caption Directory Root | Execute

More Information
None.


Method Execute

Advansys Formativ 1.6 | Language Reference
Execute Method |
Parent |

Description
 | Displays the Select Directory dialog.
Syntax
 | SelectDirectoryDlg.Execute() : Boolean
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Set the title of the Select Directory dialog.
Syntax
 | SelectDirectoryDlg.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Directory

Advansys Formativ 1.6 | Language Reference
Directory property |
Parent |

Description
 | Contains the directory path selected from the Select Directory dialog.
Syntax
 | SelectDirectoryDlg.Directory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property Root

Advansys Formativ 1.6 | Language Reference
Root property |
Parent |

Description
 | Sets the default root path for the Select Directory dialog.
Syntax
 | SelectDirectoryDlg.Root() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object SelectedFile

Advansys Formativ 1.6 | Language Reference
SelectedFile object |

Description
The SelectedFile object is used by the SelectedFiles objects Item parameter.

Properties and Methods
Properties | Methods
Name |

More Information
None.


Property Name

Advansys Formativ 1.6 | Language Reference
Name property |
Parent |

Description
 | Contains the name of the file(s) from the SelectedFiles control.
Syntax
 | SelectedFile.Name() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Object SelectedFiles

Advansys Formativ 1.6 | Language Reference
SelectedFiles object |

Description
The SelectedFiles object is used by the File Picker Dialogs SelectedFiles parameter.

Properties and Methods
Properties | Methods
_NewEnum Count Item | Load

More Information
None.


Method Load

Advansys Formativ 1.6 | Language Reference
Load Method |
Parent |

Description
 | Loads the selected file(s) from the file list.
Syntax
 | SelectedFiles.Load()
Remarks
 | None.


Property _NewEnum

Advansys Formativ 1.6 | Language Reference
_NewEnum property |
Parent |

Description
 | No decription is available.
Syntax
 | SelectedFiles._NewEnum() : Unknown This is a Read Only property. It returns a variable of type Unknown.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | The number of files loaded in the file list.
Syntax
 | SelectedFiles.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Item

Advansys Formativ 1.6 | Language Reference
Item property |
Parent |

Description
The selected file(s) from the file list.
Syntax
SelectedFiles.Item(Index Integer) : SelectedFile

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type SelectedFile.
Remarks
None.


Object SpinEditControl

Advansys Formativ 1.6 | Language Reference
SpinEditControl object |

Description
SpinEditControl is an edit control with up/down increment/decrement buttons embedded. Add this control to the fcControlDlg with the AddSpinEditControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Control ControlType EditorEnabled Height Hint Increment Left MaxLength MaxValue MinValue Modified SpaceAbove Spacing Text Value Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | SpinEditControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | SpinEditControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | SpinEditControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | SpinEditControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | SpinEditControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | SpinEditControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | SpinEditControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property EditorEnabled

Advansys Formativ 1.6 | Language Reference
EditorEnabled property |
Parent |

Description
 | Set to False to disable editing the text directly.
Syntax
 | SpinEditControl.EditorEnabled() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | SpinEditControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | SpinEditControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Increment

Advansys Formativ 1.6 | Language Reference
Increment property |
Parent |

Description
 | This defines the increment/decrement on each click of the up/down button.
Syntax
 | SpinEditControl.Increment() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | SpinEditControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property MaxLength

Advansys Formativ 1.6 | Language Reference
MaxLength property |
Parent |

Description
 | Specifies the maximum number of characters the user can enter into the edit control. Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
Syntax
 | SpinEditControl.MaxLength() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property MaxValue

Advansys Formativ 1.6 | Language Reference
MaxValue property |
Parent |

Description
 | This is the maximum allowed value. Up button clicks stop incrementing when this number is reached.
Syntax
 | SpinEditControl.MaxValue() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property MinValue

Advansys Formativ 1.6 | Language Reference
MinValue property |
Parent |

Description
 | This is the minimum allowed value. Down clicks stop decrementing when this value is reached.
Syntax
 | SpinEditControl.MinValue() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Modified

Advansys Formativ 1.6 | Language Reference
Modified property |
Parent |

Description
 | Indicates whether the user edited the text of the spin edit control.
Syntax
 | SpinEditControl.Modified() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | SpinEditControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | SpinEditControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Contains a text string associated with the control.
Syntax
 | SpinEditControl.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Value

Advansys Formativ 1.6 | Language Reference
Value property |
Parent |

Description
 | This is the current value of the amount shown in the text of the control.
Syntax
 | SpinEditControl.Value() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | SpinEditControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object StatusDlg

Advansys Formativ 1.6 | Language Reference
StatusDlg object |

Description
The StatusDlg object provides a configurable progress dialog, including main and status text areas and progress bar.

Properties and Methods
Properties | Methods
CanCancel Cancel ImgBkColor MainText ProgressPosition ProgressRange ShowStatusImg StatusImg StatusText Title | Hide Show

More Information
Use this dialog to advise users of progress during lengthy operations.


Method Hide

Advansys Formativ 1.6 | Language Reference
Hide Method |
Parent |

Description
 | Hide the Status dialog.
Syntax
 | StatusDlg.Hide()
Remarks
 | None.


Method Show

Advansys Formativ 1.6 | Language Reference
Show Method |
Parent |

Description
 | Show the Status dialog and set it to be the front window.
Syntax
 | StatusDlg.Show()
Remarks
 | None.


Property CanCancel

Advansys Formativ 1.6 | Language Reference
CanCancel property |
Parent |

Description
 | Set to True to have a Cancel button visible on the Status dialog.
Syntax
 | StatusDlg.CanCancel() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Cancel

Advansys Formativ 1.6 | Language Reference
Cancel property |
Parent |

Description
 | This property is set to True if the user presses the Cancel button on the Status dialog.
Syntax
 | StatusDlg.Cancel() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property ImgBkColor

Advansys Formativ 1.6 | Language Reference
ImgBkColor property |
Parent |

Description
 | Sets the color or the background behind the Status dialog image. This will only display when the Wizard Image does not fully conceal the image panel, for example, if the dialog is resized. Use pre-defined color constants or a Hex RGB value.
Syntax
 | StatusDlg.ImgBkColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property MainText

Advansys Formativ 1.6 | Language Reference
MainText property |
Parent |

Description
 | Main descriptive text for the Status dialog.
Syntax
 | StatusDlg.MainText() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property ProgressPosition

Advansys Formativ 1.6 | Language Reference
ProgressPosition property |
Parent |

Description
 | Set the progress bar value, which should be less than or equal to value set in the ProgressRange property.
Syntax
 | StatusDlg.ProgressPosition() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ProgressRange

Advansys Formativ 1.6 | Language Reference
ProgressRange property |
Parent |

Description
 | Set the maximum value of the progress bar range.
Syntax
 | StatusDlg.ProgressRange() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ShowStatusImg

Advansys Formativ 1.6 | Language Reference
ShowStatusImg property |
Parent |

Description
 | Controls the visibility of the Status dialog image panel.
Syntax
 | StatusDlg.ShowStatusImg() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property StatusImg

Advansys Formativ 1.6 | Language Reference
StatusImg property |
Parent |

Description
 | Sets the path to the bitmap image file (BMP) for the Wizard Image. Viewable Image size is 328H x 112W for Windows displaying Small Fonts.
Syntax
 | StatusDlg.StatusImg() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property StatusText

Advansys Formativ 1.6 | Language Reference
StatusText property |
Parent |

Description
 | Set status text which appears underneath the main text area. Often used for frequently updated feedback to indicate specific progress, such as incremental counting, contact name displays etc..
Syntax
 | StatusDlg.StatusText() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Sets the title of the Status dialog.
Syntax
 | StatusDlg.Title() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object StdDlg

Advansys Formativ 1.6 | Language Reference
StdDlg object |

Description
The StdDlg object is the base class from which the dynamic control dialog (fcControlDlg) descends. It provides all the dialogs common functionality, such as look & feel, buttons and the Wizard image panel.

Properties and Methods
Properties | Methods
AutoSize Button1Caption Button1Visible Button2Caption Button2Visible Button3Caption Button3Visible Button4Caption Button4Visible Button5Caption Button5Visible Button6Caption Button6Visible CancelButton Caption DefaultButton Description Height ImageBkColor ShowWizardImage Sizeable Title WizardImage |

More Information
This control is used internally by Formativ and should not be used directly by an applet.


Property AutoSize

Advansys Formativ 1.6 | Language Reference
AutoSize property |
Parent |

Description
 | When AutoSize is true, the dialog will expand its height to make all controls visible until the maximum screen height is reached.
Syntax
 | StdDlg.AutoSize() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button1Caption

Advansys Formativ 1.6 | Language Reference
Button1Caption property |
Parent |

Description
 | Sets the Button1 caption text.
Syntax
 | StdDlg.Button1Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button1Visible

Advansys Formativ 1.6 | Language Reference
Button1Visible property |
Parent |

Description
 | Controls the visibility of Button1, which is located on the far right hand side of the dialog. Button1 is visible by default.
Syntax
 | StdDlg.Button1Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button2Caption

Advansys Formativ 1.6 | Language Reference
Button2Caption property |
Parent |

Description
 | Sets the Button2 caption text.
Syntax
 | StdDlg.Button2Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button2Visible

Advansys Formativ 1.6 | Language Reference
Button2Visible property |
Parent |

Description
 | Controls the visibility of Button2, which is visible by default.
Syntax
 | StdDlg.Button2Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button3Caption

Advansys Formativ 1.6 | Language Reference
Button3Caption property |
Parent |

Description
 | Sets the Button3 caption text.
Syntax
 | StdDlg.Button3Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button3Visible

Advansys Formativ 1.6 | Language Reference
Button3Visible property |
Parent |

Description
 | Controls the visibility of Button3, which is not visible by default.
Syntax
 | StdDlg.Button3Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button4Caption

Advansys Formativ 1.6 | Language Reference
Button4Caption property |
Parent |

Description
 | Sets the Button4 caption text.
Syntax
 | StdDlg.Button4Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button4Visible

Advansys Formativ 1.6 | Language Reference
Button4Visible property |
Parent |

Description
 | Controls the visibility of Button4, which is not visible by default
Syntax
 | StdDlg.Button4Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button5Caption

Advansys Formativ 1.6 | Language Reference
Button5Caption property |
Parent |

Description
 | Sets the Button5 caption text.
Syntax
 | StdDlg.Button5Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button5Visible

Advansys Formativ 1.6 | Language Reference
Button5Visible property |
Parent |

Description
 | Controls the visibility of Button5, which is not visible by default.
Syntax
 | StdDlg.Button5Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Button6Caption

Advansys Formativ 1.6 | Language Reference
Button6Caption property |
Parent |

Description
 | Sets the Button6 caption text.
Syntax
 | StdDlg.Button6Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property Button6Visible

Advansys Formativ 1.6 | Language Reference
Button6Visible property |
Parent |

Description
 | Controls the visibility of Button6, which is not visible by default. Button6 is not fully visible if the dialogs Wizard Image is not displayed.
Syntax
 | StdDlg.Button6Visible() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property CancelButton

Advansys Formativ 1.6 | Language Reference
CancelButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Cancel button. The default is Button 2 (Btn2). Remember that you may need to change the caption if you choose another button for the Cancel operation. See also the StdDlgButtons constants.
Syntax
 | StdDlg.CancelButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the dialogs Window title.
Syntax
 | StdDlg.Caption() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property DefaultButton

Advansys Formativ 1.6 | Language Reference
DefaultButton property |
Parent |

Description
 | Specifies which Formativ dialog button functions as the Default button, which has the initial focus. The default is Button 1 (Btn1). If another button does not have the focus, then the default button value is returned when the Enter key is pressed. See also the StdDlgButtons constants.
Syntax
 | StdDlg.DefaultButton() : StdDlgButtons This is a Write Only property. It accepts a variable of type StdDlgButtons.
Remarks
 | None.


Property Description

Advansys Formativ 1.6 | Language Reference
Description property |
Parent |

Description
 | Contains the description text for the dialog.
Syntax
 | StdDlg.Description() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the dialog to the specified height.
Syntax
 | StdDlg.Height() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property ImageBkColor

Advansys Formativ 1.6 | Language Reference
ImageBkColor property |
Parent |

Description
 | Sets the color or the background behind the Wizard Image. This will only display when the Wizard Image does not fully conceal the image panel, for example, if the dialog is resized. Use pre-defined color constants or a Hex RGB value.
Syntax
 | StdDlg.ImageBkColor() : Color This is a Write Only property. It accepts a variable of type Color.
Remarks
 | None.


Property ShowWizardImage

Advansys Formativ 1.6 | Language Reference
ShowWizardImage property |
Parent |

Description
 | Controls the visibility of the Wizard Image panel. This setting should be set to TRUE if Button6 is being used.
Syntax
 | StdDlg.ShowWizardImage() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Sizeable

Advansys Formativ 1.6 | Language Reference
Sizeable property |
Parent |

Description
 | Controls whether the dialog height can be sized by the user.
Syntax
 | StdDlg.Sizeable() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Title

Advansys Formativ 1.6 | Language Reference
Title property |
Parent |

Description
 | Sets the main title of the dialog. As this title is a large font, the number of title words should be limited.
Syntax
 | StdDlg.Title() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Property WizardImage

Advansys Formativ 1.6 | Language Reference
WizardImage property |
Parent |

Description
 | Sets the path to the bitmap image file (BMP) for the Wizard Image. Viewable Image size is 342H x 112W for Windows displaying Small Fonts and 424H x 141W for Windows displaying Large Fonts.
Syntax
 | StdDlg.WizardImage() : String This is a Write Only property. It accepts a variable of type String.
Remarks
 | None.


Object StringGridControl

Advansys Formativ 1.6 | Language Reference
StringGridControl object |

Description
StringGridControl is a grid control designed to simplify the handling of strings and associated objects. Add this control to the fcControlDlg with the AddStringGridControl method.

Properties and Methods
Properties | Methods
BorderStyle Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Cells Col ColCount Cols ColWidths Control ControlType DefaultColWidth DefaultRowHeight EditorMode FixedColor FixedCols FixedRows GridHeight Height Hint Left LeftCol Objects Options Row RowCount RowHeights Rows ScrollBars SpaceAbove Spacing TabStops TopRow VisibleColCount VisibleRowCount Width |

More Information
None.


Property BorderStyle

Advansys Formativ 1.6 | Language Reference
BorderStyle property |
Parent |

Description
 | Set BorderStyle to fbsSingle to add a single line border around the grid’s image. Set BorderStyle to fbsNone to omit the border.
Syntax
 | StringGridControl.BorderStyle() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | StringGridControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | StringGridControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | StringGridControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | StringGridControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | StringGridControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Cells

Advansys Formativ 1.6 | Language Reference
Cells property |
Parent |

Description
Use Cells to access the string within a particular cell. aCol is the column coordinate of the cell, and aRow is the row coordinate of the cell. The first row is row zero, and the first column is column zero. The ColCount and RowCount property values define the size of the array of strings. To access the objects associated with the strings in the Cells array, use the Objects property.
Syntax
StringGridControl.Cells(aCol Integer, aRow Integer) : String

Parameter Useage:

aCol Integer
aRow Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Col

Advansys Formativ 1.6 | Language Reference
Col property |
Parent |

Description
 | Use Col at runtime to determine the current column in the grid. Setting Col moves focus to the cell in the current row that is in the new column. The first column has an index of 0, the second column an index of 1, and so on. The selected cell in the grid can be located by reading the Col property and the Row property to obtain the indexes of its column and row. When focus moves to the grid, the selected cell gets input focus.
Syntax
 | StringGridControl.Col() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ColCount

Advansys Formativ 1.6 | Language Reference
ColCount property |
Parent |

Description
 | Specifies the number of columns in the grid. Read ColCount to determine the number entries in the ColWidths array. Set ColCount to add or delete columns at the righthand side of the grid. The value of ColCount includes any fixed columns at the left of the grid as well as the scrollable columns in the body of the grid.
Syntax
 | StringGridControl.ColCount() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Cols

Advansys Formativ 1.6 | Language Reference
Cols property |
Parent |

Description
Lists strings with their associated objects for each column. Use Cols to access all the strings for a single column, along with their associated objects. The number of strings and associated objects is always equal to the value of the ColCount property, the number of columns in the grid. The Index parameter is the number of the column, where the value of the first column in the grid is zero. To get all the strings and objects for a row, rather than for a column, use the Rows property.
Syntax
StringGridControl.Cols(Index Integer) : Strings

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type Strings.
Remarks
None.


Property ColWidths

Advansys Formativ 1.6 | Language Reference
ColWidths property |
Parent |

Description
Read ColWidths to determine the width of the cells in the column specified by the Index parameter. An index of 0 refers to the first column. Set ColWidths to change the width of an individual column. If the width of a column has not been set explicitly by resizing with the mouse, or by using the ColWidths property, its width is DefaultColWidth. Use the ColCount property to determine the number of entries in the ColWidths array.
Syntax
StringGridControl.ColWidths(Index Integer) : Integer

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | StringGridControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | StringGridControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property DefaultColWidth

Advansys Formativ 1.6 | Language Reference
DefaultColWidth property |
Parent |

Description
 | Set DefaultColWidth to change the size of all columns in the grid. When DefaultColWidth is set, columns that have been resized using the mouse or by setting the ColWidths property are given the DefaultColWidth as well. When new columns are added to the grid using the ColCount property, they are created with a width of DefaultColWidth.
Syntax
 | StringGridControl.DefaultColWidth() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property DefaultRowHeight

Advansys Formativ 1.6 | Language Reference
DefaultRowHeight property |
Parent |

Description
 | Set DefaultRowHeight to change the size of all rows in the grid. When DefaultRowHeight is set, rows that have been resized using the mouse or by setting the RowHeights property are given the DefaultRowHeight as well. When new rows are added to the grid using the RowCount property, they are created with a height of DefaultRowHeight.
Syntax
 | StringGridControl.DefaultRowHeight() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property EditorMode

Advansys Formativ 1.6 | Language Reference
EditorMode property |
Parent |

Description
 | Set EditorMode to True, at runtime, to put the grid in edit mode. When EditorMode is True, the user can edit cells in the grid. When the user presses F2, EditorMode is set to True. When the user presses Enter, the value of EditorMode is toggled. Note: EditorMode has no effect if the Options property does not include fgoEditing or if the Options property includes fgoAlwaysShowEditor.
Syntax
 | StringGridControl.EditorMode() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property FixedColor

Advansys Formativ 1.6 | Language Reference
FixedColor property |
Parent |

Description
 | Set FixedColor to specify the color for the nonscrolling cells in the grid. The scrolling region of the grid is drawn using the Color constants.
Syntax
 | StringGridControl.FixedColor() : Color This is a Read/Write property. You may only pass in a Color to the property. It returns a Color.
Remarks
 | None.


Property FixedCols

Advansys Formativ 1.6 | Language Reference
FixedCols property |
Parent |

Description
 | Set FixedCols to create or get rid of nonscrolling columns. Nonscrolling columns appear at the left of the grid, and are always visible, even when the user scrolls the other columns in the grid. Use nonscrolling columns for displaying row titles or row numbers, or to implement a scroll lock that the user can set. Nonscrolling columns are visually distinct from the scrollable columns in the grid. They are painted with a separate background color, and their cells have a raised, 3-D look when the Ctrl3D property is True. Grids must include at least one scrolling column. Do not set FixedCols to a value greater than ColCount - 1.
Syntax
 | StringGridControl.FixedCols() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property FixedRows

Advansys Formativ 1.6 | Language Reference
FixedRows property |
Parent |

Description
 | Set FixedRows to create or get rid of nonscrolling rows. Nonscrolling rows appear at the top of the grid, and are always visible, even when the user scrolls the other rows in the grid. Use nonscrolling rows for displaying column titles or column numbers. Nonscrolling rows are visually distinct from the scrollable rows in the grid. They are painted with a separate background color, and their cells have a raised, 3-D look when the Ctrl3D property is True. Grids must include at least one scrolling row. Do not set FixedRows to a value greater than RowCount - 1.
Syntax
 | StringGridControl.FixedRows() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property GridHeight

Advansys Formativ 1.6 | Language Reference
GridHeight property |
Parent |

Description
 | Specifies the height of the grid in pixels.
Syntax
 | StringGridControl.GridHeight() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | StringGridControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | StringGridControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | StringGridControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property LeftCol

Advansys Formativ 1.6 | Language Reference
LeftCol property |
Parent |

Description
 | Specifies the index of the first visible scrollable column in the grid. Read LeftCol to determine the index of the first column in the scrollable region that is visible. Set LeftCol to scroll the columns in the grid so that the column with index LeftCol is the first column after the fixed columns.
Syntax
 | StringGridControl.LeftCol() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Objects

Advansys Formativ 1.6 | Language Reference
Objects property |
Parent |

Description
Use the Objects property to access the object associated with a particular cell. The ColCount and RowCount values define the size of the array of objects. aCol is the column coordinate of the cell, and aRow is the row coordinate of the cell, where the first column is column 0, and the first row is row 0.
Syntax
StringGridControl.Objects(aCol Integer, aRow Integer) : String

Parameter Useage:

aCol Integer
aRow Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Options

Advansys Formativ 1.6 | Language Reference
Options property |
Parent |

Description
 | Specifies various display and behavioral properties of the grid. See GridOption constants for details.
Syntax
 | StringGridControl.Options() : GridOption This is a Write Only property. It accepts a variable of type GridOption.
Remarks
 | None.


Property Row

Advansys Formativ 1.6 | Language Reference
Row property |
Parent |

Description
 | Specifies the index of the row that contains the selected cell. Use Row at runtime to determine the current row in the grid. Setting Row moves focus to the cell in the current column that is in the new row. The first row has an index of 0, the second row an index of 1, and so on. The selected cell in the grid can be located by reading the Row property and the Col property to obtain the indexes of its row and column. When focus moves to the grid, the selected cell gets input focus.
Syntax
 | StringGridControl.Row() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property RowCount

Advansys Formativ 1.6 | Language Reference
RowCount property |
Parent |

Description
 | Specifies the number of rows in the grid. Read RowCount to determine the number entries in the RowHeights array. Set RowCount to add or delete rows at the bottom of the grid. The value of RowCount includes any fixed rows at the top of the grid as well as the scrollable rows in the body of the grid.
Syntax
 | StringGridControl.RowCount() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property RowHeights

Advansys Formativ 1.6 | Language Reference
RowHeights property |
Parent |

Description
Gives the height (in pixels) of all rows in the grid. An index of 0 refers to the first row. Set RowWidths at runtime to change the height of an individual row. If the height of a row has not been set explicitly by resizing with the mouse, or by using the RowHeights property, it’s height is DefaultRowHeight. Use the RowCount property to determine the number of entries in the RowHeights array.
Syntax
StringGridControl.RowHeights(Index Integer) : Integer

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
None.


Property Rows

Advansys Formativ 1.6 | Language Reference
Rows property |
Parent |

Description
Lists the strings and their associated objects for each row. Use Rows to access all the strings for a single row, along with their associated objects. The number of strings and associated objects is always equal to the value of the RowCount property, the number of rows in the grid. The Index parameter is the number of the row, where the value of the first row in the grid is zero. To get all the strings and objects for a column, rather than for a row, use the Cols property.
Syntax
StringGridControl.Rows(Index Integer) : Strings

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type Strings.
Remarks
None.


Property ScrollBars

Advansys Formativ 1.6 | Language Reference
ScrollBars property |
Parent |

Description
 | Specifies whether the grid includes horizontal and vertical scroll bars. See the ScrollStyle constants for more details.
Syntax
 | StringGridControl.ScrollBars() : ScrollStyle This is a Write Only property. It accepts a variable of type ScrollStyle.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | StringGridControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | StringGridControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property TabStops

Advansys Formativ 1.6 | Language Reference
TabStops property |
Parent |

Description
Indicates whether the user can tab to specified columns in the grid. Set TabStops to False to remove the column identified by Index from the tab order. The first column in the grid is identified by an Index of 0. When the Options property does not include goTabs, the user can’t tab to any column, even if TabStops is True.
Syntax
StringGridControl.TabStops(Index Integer) : Boolean

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
None.


Property TopRow

Advansys Formativ 1.6 | Language Reference
TopRow property |
Parent |

Description
 | Specifies the index of the first visible scrollable row in the grid. Read TopRow to determine the index of the first row in the scrollable region that is visible. Set TopRow to scroll the rows in the grid so that the row with index TopRow is the first row after the fixed rows.
Syntax
 | StringGridControl.TopRow() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property VisibleColCount

Advansys Formativ 1.6 | Language Reference
VisibleColCount property |
Parent |

Description
 | Indicates the number of scrollable columns visible in the grid. Use VisibleColCount to determine the number of scrollable columns fully visible in the grid. VisibleColCount does not include the fixed columns counted by the FixedCols property. It does not include any partially visible columns on the right edge of the grid.
Syntax
 | StringGridControl.VisibleColCount() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property VisibleRowCount

Advansys Formativ 1.6 | Language Reference
VisibleRowCount property |
Parent |

Description
 | Indicates the number of scrollable rows visible in the grid. Use VisibleRowCount to determine the number of scrollable rows fully visible in the grid. VisibleRowCount does not include the fixed rows counted by the FixedRows property. It does not include any partially visible rows on the bottom of the grid.
Syntax
 | StringGridControl.VisibleRowCount() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | StringGridControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object StringList

Advansys Formativ 1.6 | Language Reference
StringList object |

Description
The StringList object is a convenient and powerful way to maintain a list of strings. Use a StringList object to store and manipulate a list of strings, including sorting, rejecting duplicates, reading Windows INI, reading and writing text files. You can also associate string data for each string list entry.

Properties and Methods
Properties | Methods
Capacity CommaText Count Duplicates Names Objects Sorted Strings Text Values | Add AddObject Clear Delete Exchange Find IndexOf IndexOfName Insert LoadFromFile Move SaveToFile Sort

More Information
None.


Method Add

Advansys Formativ 1.6 | Language Reference
Add Method |
Parent |

Description
Call Add to add the string S to the list. If the list is sorted, S is added to the appropriate position in the sort order. If the list is not sorted, S is added to the end of the list. Add returns the position of the item in the list, where the first item in the list has a value of 0.
Syntax
StringList.Add(Param1 String) : Integer

Parameter Useage:

Param1 String
Remarks
None.


Method AddObject

Advansys Formativ 1.6 | Language Reference
AddObject Method |
Parent |

Description
Call AddObject to add a string and its associated object to the list. AddObject returns the index of the new string and object. Formativ only supports objects which are strings.
Syntax
StringList.AddObject(StringValue String, DataValue String) : Integer

Parameter Useage:

StringValue String
DataValue String
Remarks
None.


Method Clear

Advansys Formativ 1.6 | Language Reference
Clear Method |
Parent |

Description
 | Call clear to empty the list of strings.
Syntax
 | StringList.Clear()
Remarks
 | None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
Call Delete to remove a single string from the list. If an object is associated with the string, the reference to the object is removed as well. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on.
Syntax
StringList.Delete(Index Integer)

Parameter Useage:

Index Integer
Remarks
None.


Method Exchange

Advansys Formativ 1.6 | Language Reference
Exchange Method |
Parent |

Description
Call Exchange to rearrange the strings in the list. The strings are specified by their index values in the Index1 and Index2 parameters. Indexes are zero-based, so the first string in the list has an index value of 0, the second has an index value of 1, and so on. If either string has an associated object, Exchange changes the index of the object as well.
Syntax
StringList.Exchange(Index1 Integer, Index2 Integer)

Parameter Useage:

Index1 Integer
Index2 Integer
Remarks
None.


Method Find

Advansys Formativ 1.6 | Language Reference
Find Method |
Parent |

Description
Use Find to obtain the index in a sorted list where the string S should be added. If the string S already exists in the list, Find returns True. If the list does not contain S, Find returns False. The index where S should go is returned in the Index parameter. The value of Index is zero-based, where the first string has the index 0, the second string has the index 1, and so on. Only use Find for sorted lists, otherwise use the IndexOf method.
Syntax
StringList.Find(Param1 String, Index Integer) : Boolean

Parameter Useage:

Param1 String
Index Integer
Remarks
None.


Method IndexOf

Advansys Formativ 1.6 | Language Reference
IndexOf Method |
Parent |

Description
Call IndexOf to obtain the position of the first occurrence of the string S. IndexOf returns the 0-based index of the string. Thus, if S matches the first string in the list, IndexOf returns 0, if S is the second string, IndexOf returns 1, and so on. If the string is not in the string list, IndexOf returns -1.
Syntax
StringList.IndexOf(Param1 String) : Integer

Parameter Useage:

Param1 String
Remarks
None.


Method IndexOfName

Advansys Formativ 1.6 | Language Reference
IndexOfName Method |
Parent |

Description
Call IndexOfName to locate the first occurrence of a string with the form Name=Value where the name part is equal to the Name parameter. IndexOfName returns the 0-based index of the string. If no string in the list has the indicated name, IndexOfName returns -1.
Syntax
StringList.IndexOfName(Name String) : Integer

Parameter Useage:

Name String
Remarks
None.


Method Insert

Advansys Formativ 1.6 | Language Reference
Insert Method |
Parent |

Description
Call Insert to add the string S to the list at the position specified by Index. If Index is 0, the string is inserted at the beginning of the list. If Index is 1, the string is put in the second position of the list, and so on. If the string has an associated object, use the InsertObject method instead. Note: Only use Add or AddObject with SORTED lists.
Syntax
StringList.Insert(Index Integer, Param1 String)

Parameter Useage:

Index Integer
Param1 String
Remarks
None.


Method LoadFromFile

Advansys Formativ 1.6 | Language Reference
LoadFromFile Method |
Parent |

Description
Call LoadFromFile to fill the string list from the file specified by FileName. Each line in the file, as indicated by carriage return or linefeed characters, is appended as a string in the list. Note: LoadFromFile uses the Add method to add the strings that are read from the file.
Syntax
StringList.LoadFromFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Method Move

Advansys Formativ 1.6 | Language Reference
Move Method |
Parent |

Description
Use Move to move the string at position CurIndex so that it occupies the position NewIndex. The positions are specified as 0-based indexes. For example, the following line of code moves the string in the first position to the last position. If the string has an associated object, the object remains associated with the string in its new position.
Syntax
StringList.Move(CurIndex Integer, NewIndex Integer)

Parameter Useage:

CurIndex Integer
NewIndex Integer
Remarks
None.


Method SaveToFile

Advansys Formativ 1.6 | Language Reference
SaveToFile Method |
Parent |

Description
Call SaveToFile to save the strings in the list to the file specified by FileName. Each string in the list is written to a separate line in the file.
Syntax
StringList.SaveToFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Method Sort

Advansys Formativ 1.6 | Language Reference
Sort Method |
Parent |

Description
 | Call Sort to sort the strings in a list that has the Sorted property set to False. String lists with the Sorted property set to True are automatically sorted.
Syntax
 | StringList.Sort()
Remarks
 | None.


Property Capacity

Advansys Formativ 1.6 | Language Reference
Capacity property |
Parent |

Description
 | Not normally used. Use Capacity to find out how much memory is available for holding strings, or to reallocate the memory to allow more or fewer strings.
Syntax
 | StringList.Capacity() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property CommaText

Advansys Formativ 1.6 | Language Reference
CommaText property |
Parent |

Description
 | Use CommaText to get or set all the strings in the StringList in a single comma-delimited string.
Syntax
 | StringList.CommaText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | The number of strings in the list. Use Count when iterating over all the strings in the list, or when trying to locate the position of a string relative to the last string in the list.
Syntax
 | StringList.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Duplicates

Advansys Formativ 1.6 | Language Reference
Duplicates property |
Parent |

Description
 | Set Duplicates to True to allow duplicate strings in a sorted list.
Syntax
 | StringList.Duplicates() : Boolean This is a Write Only property. It accepts a variable of type Boolean.
Remarks
 | None.


Property Names

Advansys Formativ 1.6 | Language Reference
Names property |
Parent |

Description
When the list of strings for the StringList includes strings of the form Name=Value, read Names to access the name part of a string. Names is the name part of the string at the position indicated by Index. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on. If the string at the specified position is not of the form Name=Value, Names returns an empty string.
Syntax
StringList.Names(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type String.
Remarks
None.


Property Objects

Advansys Formativ 1.6 | Language Reference
Objects property |
Parent |

Description
Associate an object with an existing string by setting the Objects property using the same index as that of the string in the Strings property. Look up the object associated with a string by reading the Objects property with the index of the string. Index gives the position of the string associated with the object, where 0 is the first string, 1 is the second string, and so on. Use the IndexOf method to find the index of the string.
Syntax
StringList.Objects(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Sorted

Advansys Formativ 1.6 | Language Reference
Sorted property |
Parent |

Description
 | Set Sorted to True to cause the strings in the list to be automatically sorted in ascending order. Set Sorted to False to allow strings to remain where they are inserted. When Sorted is False, the strings in the list can be put in ascending order at any time by calling the Sort method.
Syntax
 | StringList.Sorted() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Strings

Advansys Formativ 1.6 | Language Reference
Strings property |
Parent |

Description
Use Strings to read or modify the string at a particular position. Index gives the position of the string, where 0 is the position of the first string, 1 is the position of the second string, and so on. To locate a particular string in the list, call the IndexOf method.
Syntax
StringList.Strings(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Use Text to get or set all the strings in the StringList object in a single string delimited by carriage return, line feed pairs.
Syntax
 | StringList.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Values

Advansys Formativ 1.6 | Language Reference
Values property |
Parent |

Description
When the list of strings for the StringList object includes strings of the form Name=Value, use Values to get or set the value part of a string associated with a specific name part. If the list does not contain any strings of the proper Name=Value form, or if none of those strings matches the Name index, Values returns an empty string.
Syntax
StringList.Values(Name String) : String

Parameter Useage:

Name String

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Object Strings

Advansys Formativ 1.6 | Language Reference
Strings object |

Description
The Strings object is used by a number of dialog controls to provide access to their parameters which represent a list of strings. Strings cannot be instantiated directly by the user.

Properties and Methods
Properties | Methods
Capacity CommaText Count Names Objects Strings Text Values | Add AddObject Append Clear Delete Exchange IndexOf IndexOfName IndexOfObject Insert InsertObject LoadFromFile Move SaveToFile

More Information
None.


Method Add

Advansys Formativ 1.6 | Language Reference
Add Method |
Parent |

Description
Call Add to add a string to the end of the list. Add returns the index of the new string.
Syntax
Strings.Add(Text String) : Integer

Parameter Useage:

Text String
Remarks
None.


Method AddObject

Advansys Formativ 1.6 | Language Reference
AddObject Method |
Parent |

Description
Call AddObject to add a string and its associated object to the list. AddObject returns the index of the new string and object. Formativ only supports string data for objects.
Syntax
Strings.AddObject(StringValue String, DataValue String) : Integer

Parameter Useage:

StringValue String
DataValue String
Remarks
None.


Method Append

Advansys Formativ 1.6 | Language Reference
Append Method |
Parent |

Description
Append is the same as the Add method, except that it does not return a value. Use Append when there is no need to know the index of the string after it has been added.
Syntax
Strings.Append(Text String)

Parameter Useage:

Text String
Remarks
None.


Method Clear

Advansys Formativ 1.6 | Language Reference
Clear Method |
Parent |

Description
 | The clear method deletes all the strings in the list and removes any references to associated objects.
Syntax
 | Strings.Clear()
Remarks
 | None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
The Delete method removes a specified string from the list. If an object is associated with the string, the reference to the object is removed as well. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on.
Syntax
Strings.Delete(Index Integer)

Parameter Useage:

Index Integer
Remarks
None.


Method Exchange

Advansys Formativ 1.6 | Language Reference
Exchange Method |
Parent |

Description
Call Exchange to rearrange the strings in the list. The strings are specified by their index values in the Index1 and Index2 parameters. Indexes are zero-based, so the first string in the list has an index value of 0, the second has an index value of 1, and so on. If either string has an associated object, Exchange changes the position of the object as well.
Syntax
Strings.Exchange(Index1 Integer, Index2 Integer)

Parameter Useage:

Index1 Integer
Index2 Integer
Remarks
None.


Method IndexOf

Advansys Formativ 1.6 | Language Reference
IndexOf Method |
Parent |

Description
Call IndexOf to obtain the position of the first occurrence of the string S. IndexOf returns the 0-based index of the string. Thus, if S matches the first string in the list, IndexOf returns 0, if S is the second string, IndexOf returns 1, and so on. If the string is not in the string list, IndexOf returns -1. Note: If the string appears in the list more than once, IndexOf returns the position of the first occurrence.
Syntax
Strings.IndexOf(Text String) : Integer

Parameter Useage:

Text String
Remarks
None.


Method IndexOfName

Advansys Formativ 1.6 | Language Reference
IndexOfName Method |
Parent |

Description
Call IndexOfName to locate the first occurrence of a string with the form Name=Value where the name part is equal to the Name parameter. IndexOfName returns the 0-based index of the string. If no string in the list has the indicated name, IndexOfName returns -1. Strings of the form Name=Value are commonly found in .INI files. The Name that identifies the string is to the left of the equal sign (=), and the current Value of the Name identifier is on the right side. There should be no spaces present before or after the equal sign. Note: If there is more than one string with a name portion matching the Name parameter, IndexOfName returns the position of the first such string.
Syntax
Strings.IndexOfName(Name String) : Integer

Parameter Useage:

Name String
Remarks
None.


Method IndexOfObject

Advansys Formativ 1.6 | Language Reference
IndexOfObject Method |
Parent |

Description
Call IndexOfObject to locate the first string in the list associated with the object AObject. Specify the object you want to locate as the value of the AObject parameter. IndexOfObject returns the 0-based index of the string and object. If the object is not associated with any of the strings, IndexOfObject returns -1.
Syntax
Strings.IndexOfObject(Text String) : Integer

Parameter Useage:

Text String
Remarks
None.


Method Insert

Advansys Formativ 1.6 | Language Reference
Insert Method |
Parent |

Description
The Insert method adds the string S to the list at the position specified by Index. If Index is 0, the string is inserted at the beginning of the list. If Index is 1, the string is put in the second position of the list, and so on. All methods that add strings to the list use the Insert method to add the string. If the string has an associated object, use the InsertObject method instead.
Syntax
Strings.Insert(Index Integer, Text String)

Parameter Useage:

Index Integer
Text String
Remarks
None.


Method InsertObject

Advansys Formativ 1.6 | Language Reference
InsertObject Method |
Parent |

Description
Call InsertObject to insert the string S into the list at the position identified by Index, and associate it with the object AObject. If Index is 0, the string is inserted at the beginning of the list. If Index is 1, the string is put in the second position of the list, and so on. Formativ only supports string data for objects.
Syntax
Strings.InsertObject(Index Integer, Text String, Data String)

Parameter Useage:

Index Integer
Text String
Data String
Remarks
None.


Method LoadFromFile

Advansys Formativ 1.6 | Language Reference
LoadFromFile Method |
Parent |

Description
Call LoadFromFile to fill the list of the Strings object from the file specified by FileName. Each line in the file, as indicated by carriage return or linefeed characters, is appended as a string in the list. Note: LoadFromFile uses the Add method to add the strings that are read from the file.
Syntax
Strings.LoadFromFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Method Move

Advansys Formativ 1.6 | Language Reference
Move Method |
Parent |

Description
Use Move to move the string at position CurIndex so that it occupies the position NewIndex. The positions are specified as 0-based indexes. For example, the following line of code moves the string in the first position to the last position. If the string has an associated object, the object remains associated with the string in its new position.
Syntax
Strings.Move(CurIndex Integer, NewIndex Integer)

Parameter Useage:

CurIndex Integer
NewIndex Integer
Remarks
None.


Method SaveToFile

Advansys Formativ 1.6 | Language Reference
SaveToFile Method |
Parent |

Description
Call SaveToFile to save the strings in the list to the file specified by FileName. Each string in the list is written to a separate line in the file.
Syntax
Strings.SaveToFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Property Capacity

Advansys Formativ 1.6 | Language Reference
Capacity property |
Parent |

Description
 | Not normally used. Read Capacity to determine the currently allocated size of the string list. For the Strings object, reading Capacity returns the Count property, and setting Capacity does nothing.
Syntax
 | Strings.Capacity() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property CommaText

Advansys Formativ 1.6 | Language Reference
CommaText property |
Parent |

Description
 | Use CommaText to get or set all the strings in the Strings object in a single comma-delimited string. When retrieving CommaText, any string in the list that include spaces, commas or quotes will be contained in double quotes, and any double quotes in a string will be repeated. When assigning CommaText, the value is parsed as SDF formatted text. For SDF format, strings are separated by commas or spaces, and optionally enclosed in double quotes. Double quote marks that are part of the string are repeated to distinguish them from the quotes that surround the string. Spaces and commas that are not contained within double quote marks are delimiters. Two commas next to each other will indicate an empty string, but spaces that appear next to another delimiter are ignored.
Syntax
 | Strings.CommaText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | Use the Count property when iterating over all the strings in the list, or when trying to locate the position of a string relative to the last string in the list.
Syntax
 | Strings.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Names

Advansys Formativ 1.6 | Language Reference
Names property |
Parent |

Description
When the list of strings for the Strings object includes strings of the form Name=Value, read Names to access the name part of a string. Names is the name part of the string at the position indicated by Index. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on. If the string at the specified position is not of the form Name=Value, Names returns an empty string. The Name that identifies the string is to the left of the equal sign (=), and the current Value of the Name identifier is on the right side. There should be no spaces present before or after the equal sign.
Syntax
Strings.Names(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type String.
Remarks
None.


Property Objects

Advansys Formativ 1.6 | Language Reference
Objects property |
Parent |

Description
Use the Objects property to get or set the object (a string) associated with the string at the position indicated by Index. Index gives the position of the string associated with the object, where 0 is the first string, 1 is the second string, and so on.
Syntax
Strings.Objects(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Strings

Advansys Formativ 1.6 | Language Reference
Strings property |
Parent |

Description
Use the Strings property to get or set the string at a particular position. As the Strings is the default property of the Strings object, if desired, the Strings identifier can be omitted when accessing the Strings property.
Syntax
Strings.Strings(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Use Text to get or set all the strings in the Strings object in a single string delimited by carriage return, line feed pairs. When reading Text, the strings in the list will be separated by carriage return, line feed pairs. If any of the strings in the list contain a carriage return and line feed pair, the resulting value of Text will appear to contain more strings than is indicated by the Count property. When setting Text, the value will be parsed by separating into substrings whenever a carriage return or linefeed is encountered. (The two do not need to form pairs). If the strings in the list contain carriage return or linefeed characters, a less ambiguous format for the strings is available through the CommaText property.
Syntax
 | Strings.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Values

Advansys Formativ 1.6 | Language Reference
Values property |
Parent |

Description
When the list of strings for the Strings object includes strings of the form Name=Value, use Values to get or set the value part of a string associated with a specific name part. If the list does not contain any strings of the proper Name=Value form, or if none of those strings matches the Name index, Values returns an empty string.
Syntax
Strings.Values(Name String) : String

Parameter Useage:

Name String

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Object StringsNoObj

Advansys Formativ 1.6 | Language Reference
StringsNoObj object |

Description
StringsNoObj is a Strings object implementation without the support for string data objects. Used by some specific controls and cannot be instantiated directly by the user.

Properties and Methods
Properties | Methods
Capacity CommaText Count Names Strings Text Values | Add Append Clear Delete Exchange IndexOf IndexOfName Insert LoadFromFile Move SaveToFile

More Information
None.


Method Add

Advansys Formativ 1.6 | Language Reference
Add Method |
Parent |

Description
Call Add to add a string to the end of the list. Add returns the index of the new string.
Syntax
StringsNoObj.Add(Text String) : Integer

Parameter Useage:

Text String
Remarks
None.


Method Append

Advansys Formativ 1.6 | Language Reference
Append Method |
Parent |

Description
Append is the same as the Add method, except that it does not return a value. Use Append when there is no need to know the index of the string after it has been added.
Syntax
StringsNoObj.Append(Text String)

Parameter Useage:

Text String
Remarks
None.


Method Clear

Advansys Formativ 1.6 | Language Reference
Clear Method |
Parent |

Description
 | The clear method deletes all the strings in the list and removes any references to associated objects.
Syntax
 | StringsNoObj.Clear()
Remarks
 | None.


Method Delete

Advansys Formativ 1.6 | Language Reference
Delete Method |
Parent |

Description
The Delete method removes a specified string from the list. If an object is associated with the string, the reference to the object is removed as well. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on.
Syntax
StringsNoObj.Delete(Index Integer)

Parameter Useage:

Index Integer
Remarks
None.


Method Exchange

Advansys Formativ 1.6 | Language Reference
Exchange Method |
Parent |

Description
Call Exchange to rearrange the strings in the list. The strings are specified by their index values in the Index1 and Index2 parameters. Indexes are zero-based, so the first string in the list has an index value of 0, the second has an index value of 1, and so on. If either string has an associated object, Exchange changes the position of the object as well.
Syntax
StringsNoObj.Exchange(Index1 Integer, Index2 Integer)

Parameter Useage:

Index1 Integer
Index2 Integer
Remarks
None.


Method IndexOf

Advansys Formativ 1.6 | Language Reference
IndexOf Method |
Parent |

Description
Call IndexOf to obtain the position of the first occurrence of the string S. IndexOf returns the 0-based index of the string. Thus, if S matches the first string in the list, IndexOf returns 0, if S is the second string, IndexOf returns 1, and so on. If the string is not in the string list, IndexOf returns -1. Note: If the string appears in the list more than once, IndexOf returns the position of the first occurrence.
Syntax
StringsNoObj.IndexOf(Text String) : Integer

Parameter Useage:

Text String
Remarks
None.


Method IndexOfName

Advansys Formativ 1.6 | Language Reference
IndexOfName Method |
Parent |

Description
Call IndexOfName to locate the first occurrence of a string with the form Name=Value where the name part is equal to the Name parameter. IndexOfName returns the 0-based index of the string. If no string in the list has the indicated name, IndexOfName returns -1. Strings of the form Name=Value are commonly found in .INI files. The Name that identifies the string is to the left of the equal sign (=), and the current Value of the Name identifier is on the right side. There should be no spaces present before or after the equal sign. Note: If there is more than one string with a name portion matching the Name parameter, IndexOfName returns the position of the first such string.
Syntax
StringsNoObj.IndexOfName(Name String) : Integer

Parameter Useage:

Name String
Remarks
None.


Method Insert

Advansys Formativ 1.6 | Language Reference
Insert Method |
Parent |

Description
The Insert method adds the string S to the list at the position specified by Index. If Index is 0, the string is inserted at the beginning of the list. If Index is 1, the string is put in the second position of the list, and so on. All methods that add strings to the list use the Insert method to add the string. If the string has an associated object, use the InsertObject method instead.
Syntax
StringsNoObj.Insert(Index Integer, Text String)

Parameter Useage:

Index Integer
Text String
Remarks
None.


Method LoadFromFile

Advansys Formativ 1.6 | Language Reference
LoadFromFile Method |
Parent |

Description
Call LoadFromFile to fill the list of the Strings object from the file specified by FileName. Each line in the file, as indicated by carriage return or linefeed characters, is appended as a string in the list. Note: LoadFromFile uses the Add method to add the strings that are read from the file.
Syntax
StringsNoObj.LoadFromFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Method Move

Advansys Formativ 1.6 | Language Reference
Move Method |
Parent |

Description
Use Move to move the string at position CurIndex so that it occupies the position NewIndex. The positions are specified as 0-based indexes. For example, the following line of code moves the string in the first position to the last position. If the string has an associated object, the object remains associated with the string in its new position.
Syntax
StringsNoObj.Move(CurIndex Integer, NewIndex Integer)

Parameter Useage:

CurIndex Integer
NewIndex Integer
Remarks
None.


Method SaveToFile

Advansys Formativ 1.6 | Language Reference
SaveToFile Method |
Parent |

Description
Call SaveToFile to save the strings in the list to the file specified by FileName. Each string in the list is written to a separate line in the file.
Syntax
StringsNoObj.SaveToFile(Filename String) : Boolean

Parameter Useage:

Filename String
Remarks
None.


Property Capacity

Advansys Formativ 1.6 | Language Reference
Capacity property |
Parent |

Description
 | Not normally used. Read Capacity to determine the currently allocated size of the string list. For the Strings object, reading Capacity returns the Count property, and setting Capacity does nothing.
Syntax
 | StringsNoObj.Capacity() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property CommaText

Advansys Formativ 1.6 | Language Reference
CommaText property |
Parent |

Description
 | Use CommaText to get or set all the strings in the Strings object in a single comma-delimited string. When retrieving CommaText, any string in the list that include spaces, commas or quotes will be contained in double quotes, and any double quotes in a string will be repeated. When assigning CommaText, the value is parsed as SDF formatted text. For SDF format, strings are separated by commas or spaces, and optionally enclosed in double quotes. Double quote marks that are part of the string are repeated to distinguish them from the quotes that surround the string. Spaces and commas that are not contained within double quote marks are delimiters. Two commas next to each other will indicate an empty string, but spaces that appear next to another delimiter are ignored.
Syntax
 | StringsNoObj.CommaText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Count

Advansys Formativ 1.6 | Language Reference
Count property |
Parent |

Description
 | Use the Count property when iterating over all the strings in the list, or when trying to locate the position of a string relative to the last string in the list.
Syntax
 | StringsNoObj.Count() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property Names

Advansys Formativ 1.6 | Language Reference
Names property |
Parent |

Description
When the list of strings for the Strings object includes strings of the form Name=Value, read Names to access the name part of a string. Names is the name part of the string at the position indicated by Index. Index gives the position of the string, where 0 is the first string, 1 is the second string, and so on. If the string at the specified position is not of the form Name=Value, Names returns an empty string. The Name that identifies the string is to the left of the equal sign (=), and the current Value of the Name identifier is on the right side. There should be no spaces present before or after the equal sign.
Syntax
StringsNoObj.Names(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read Only property. It returns a variable of type String.
Remarks
None.


Property Strings

Advansys Formativ 1.6 | Language Reference
Strings property |
Parent |

Description
Use the Strings property to get or set the string at a particular position. As the Strings is the default property of the Strings object, if desired, the Strings identifier can be omitted when accessing the Strings property.
Syntax
StringsNoObj.Strings(Index Integer) : String

Parameter Useage:

Index Integer

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Property Text

Advansys Formativ 1.6 | Language Reference
Text property |
Parent |

Description
 | Use Text to get or set all the strings in the Strings object in a single string delimited by carriage return, line feed pairs. When reading Text, the strings in the list will be separated by carriage return, line feed pairs. If any of the strings in the list contain a carriage return and line feed pair, the resulting value of Text will appear to contain more strings than is indicated by the Count property. When setting Text, the value will be parsed by separating into substrings whenever a carriage return or linefeed is encountered. (The two do not need to form pairs). If the strings in the list contain carriage return or linefeed characters, a less ambiguous format for the strings is available through the CommaText property.
Syntax
 | StringsNoObj.Text() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Values

Advansys Formativ 1.6 | Language Reference
Values property |
Parent |

Description
When the list of strings for the Strings object includes strings of the form Name=Value, use Values to get or set the value part of a string associated with a specific name part. If the list does not contain any strings of the proper Name=Value form, or if none of those strings matches the Name index, Values returns an empty string.
Syntax
StringsNoObj.Values(Name String) : String

Parameter Useage:

Name String

This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
None.


Object TabListBoxControl

Advansys Formativ 1.6 | Language Reference
TabListBoxControl object |

Description
TabListBoxControl is a ListBox that enables easy control of horizontal scrolling and tabstop positions in the list. Add this control to the fcControlDlg with the AddTabListBoxControl method.

Properties and Methods
Properties | Methods
Caption CaptionAlign CaptionPosition CaptionTop CaptionWidth Control ControlType ExtendedSelect Height Hint Items Left ListText MultiSelect Selected Sorted SpaceAbove Spacing TabPositions TopIndex Width |

More Information
None.


Property Caption

Advansys Formativ 1.6 | Language Reference
Caption property |
Parent |

Description
 | Sets the text of the label which appears above the control. If this value is omitted or set to a null string, no label will appear above the control.
Syntax
 | TabListBoxControl.Caption() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property CaptionAlign

Advansys Formativ 1.6 | Language Reference
CaptionAlign property |
Parent |

Description
 | Specifies the text alignment within the caption. You can justify the text left, right or center. This setting will appear to have little or no effect if you unless you are using the CaptionWidth property to make the caption control wider than the text it contains.
Syntax
 | TabListBoxControl.CaptionAlign() : Alignment This is a Write Only property. It accepts a variable of type Alignment.
Remarks
 | None.


Property CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition property |
Parent |

Description
 | For controls which have separate captions (labels), this property specifies where the caption should be located relative to the control. Aligning the caption on the left of the control, instead of above it (the default), means that the caption will be positioned to the left of the horizontal start position of the control (the Left property). If the Left property is 0, which is the default value if it is not specified in the applet, Formativ will automatically calculate and set the appropriate Left value of the control (i.e. shift it to the right) to ensure that the caption is visible.
Syntax
 | TabListBoxControl.CaptionPosition() : CaptionPosition This is a Write Only property. It accepts a variable of type CaptionPosition.
Remarks
 | None.


Property CaptionTop

Advansys Formativ 1.6 | Language Reference
CaptionTop property |
Parent |

Description
 | Specifies the Top position of the caption in pixels. This property is normally set automatically but it can be set manually to adjust the caption position on the dialog.
Syntax
 | TabListBoxControl.CaptionTop() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property CaptionWidth

Advansys Formativ 1.6 | Language Reference
CaptionWidth property |
Parent |

Description
 | Specifies the width of the caption. If this property is not set (default), or is 0, Formativ calculates the width of the control automatically according to length of the caption text. To facilitate the alignment of a number of controls on the dialog, this property can be set to a standard fixed width and can be combined with the afvLeft setting of the CaptionPosition property, the ftaLeftJustify (default setting) and ftaRightJustify settings of the CaptionAlign property.
Syntax
 | TabListBoxControl.CaptionWidth() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Control

Advansys Formativ 1.6 | Language Reference
Control property |
Parent |

Description
 | Internal value representing the controls interface pointer.
Syntax
 | TabListBoxControl.Control() : Integer This is a Read Only property. It returns a variable of type Integer.
Remarks
 | None.


Property ControlType

Advansys Formativ 1.6 | Language Reference
ControlType property |
Parent |

Description
 | Internal identification of the control type. Uses the ControlType constant.
Syntax
 | TabListBoxControl.ControlType() : ControlType This is a Read Only property. It returns a variable of type ControlType.
Remarks
 | None.


Property ExtendedSelect

Advansys Formativ 1.6 | Language Reference
ExtendedSelect property |
Parent |

Description
 | Determines if the user can select a sequential range of items in the list box. ExtendedSelect works in conjunction with the MultiSelect property. If ExtendedSelect is True and MultiSelect is True, the user can select an item then hold down the Shift key and select another and all the items in between the two selected items also become selected. If the user doesn’t hold down the Shift or Ctrl key while selecting a second item, the first selected item becomes unselected—in other words, the user must use the Ctrl key to select multiple noncontiguous items, or the Shift key to select a range of items. If ExtendedSelect is False and MultiSelect is True, the user can select multiple items without using the Shift or Ctrl key, but they cannt select a range of items in one operation. If MultiSelect is False, the setting.
Syntax
 | TabListBoxControl.ExtendedSelect() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Height

Advansys Formativ 1.6 | Language Reference
Height property |
Parent |

Description
 | Sets the height of the control. A default value will be used if this property is omitted.
Syntax
 | TabListBoxControl.Height() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Hint

Advansys Formativ 1.6 | Language Reference
Hint property |
Parent |

Description
 | Set the hint for the control. The hint displays when the mouse is held over the control.
Syntax
 | TabListBoxControl.Hint() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Items

Advansys Formativ 1.6 | Language Reference
Items property |
Parent |

Description
 | Contains the strings that appear in the list box. Use Items to add, insert, delete and move items. By default the items in a list box are of type Strings. Use this item type to access its methods or properties in order to manipulate the items in the list.
Syntax
 | TabListBoxControl.Items() : Strings This is a Read Only property. It returns a variable of type Strings.
Remarks
 | None.


Property Left

Advansys Formativ 1.6 | Language Reference
Left property |
Parent |

Description
 | Sets the left position of the control in pixels. The default is 0 for all dynamically added dialog controls.
Syntax
 | TabListBoxControl.Left() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property ListText

Advansys Formativ 1.6 | Language Reference
ListText property |
Parent |

Description
 | Use ListText to get or set all the strings in the Tab List Box in a single comma-delimited string.
Syntax
 | TabListBoxControl.ListText() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property MultiSelect

Advansys Formativ 1.6 | Language Reference
MultiSelect property |
Parent |

Description
 | Determines whether the user can select more than one element at a time. Set MultiSelect to True to allow the user to select multiple items. If MultiSelect if False, multiple items cannot be selected in the list box at the same time. MultiSelect allows users to select multiple non-sequential items. It does not allow users to select a range of items in one operation, as does the ExtendedSelect property. When MultiSelect is True and multiple items are selected, the value of the ItemIndex property, which indicates the index of the Selected item, is the index of the selected item that has focus.
Syntax
 | TabListBoxControl.MultiSelect() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property Selected

Advansys Formativ 1.6 | Language Reference
Selected property |
Parent |

Description
 | Gets the currently selected text value (or values if multi-select is true) from the List Box or sets the list entry to be the default selection (the text string must already exist in the List Box list for it to be selected).
Syntax
 | TabListBoxControl.Selected() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property Sorted

Advansys Formativ 1.6 | Language Reference
Sorted property |
Parent |

Description
 | Specifies whether the items in a list box are arranged alphabetically. Use Sorted to sort the items by setting its value to True. If Sorted is False, the items are unsorted. When Sorted is True, items that are added or inserted are automatically into the list box in alphabetical order.
Syntax
 | TabListBoxControl.Sorted() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property SpaceAbove

Advansys Formativ 1.6 | Language Reference
SpaceAbove property |
Parent |

Description
 | Specifies the vertical spacing in pixels from the previous control. This property can be used to provide larger or smaller spacing between sequential controls.
Syntax
 | TabListBoxControl.SpaceAbove() : Integer This is a Write Only property. It accepts a variable of type Integer.
Remarks
 | None.


Property Spacing

Advansys Formativ 1.6 | Language Reference
Spacing property |
Parent |

Description
 | Specifies how the control should be vertically aligned on the dialog. The default is automatic vertical spacing of the control relative to the position of the previous control. When it is set to manual spacing, you can use the SpaceAbove property to adjust the vertical position of the control. If SpaceAbove is 0 (default), the control will be placed at the same position as the previous control, which allows multiple controls to be at the same vertical position (the Left property is used to place the control horizontally). See the ControlSpacing parameters for more details.
Syntax
 | TabListBoxControl.Spacing() : ControlSpacing This is a Write Only property. It accepts a variable of type ControlSpacing.
Remarks
 | None.


Property TabPositions

Advansys Formativ 1.6 | Language Reference
TabPositions property |
Parent |

Description
 | The TabPositions property lets you specify the tab positions in pixels. It expects a comma separated string of positive integers in ascending value order, e.g. 30,50,70,90,110.
Syntax
 | TabListBoxControl.TabPositions() : String This is a Read/Write property. You may only pass in a String to the property. It returns a String.
Remarks
 | None.


Property TopIndex

Advansys Formativ 1.6 | Language Reference
TopIndex property |
Parent |

Description
 | Use TopIndex property to find or set the first item displayed at the top of the list box. TopIndex can be used, for example, to change the topmost item to a different item in the list.
Syntax
 | TabListBoxControl.TopIndex() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Property Width

Advansys Formativ 1.6 | Language Reference
Width property |
Parent |

Description
 | Sets the width of the control. Omitting this value or setting it to 0 will make the control size automatically to the dialog width. Values larger than the width of the dialog will be automatically truncated to fit within the dialog.
Syntax
 | TabListBoxControl.Width() : Integer This is a Read/Write property. You may only pass in a Integer to the property. It returns a Integer.
Remarks
 | None.


Object Utilities

Advansys Formativ 1.6 | Language Reference
Utilities object |

Description
The Utilities object provides key Formativ applet language methods.

Properties and Methods
Properties | Methods
CommonAppletsDirectory CommonDataDirectory CommonHelpDirectory CommonManifestsDirectory CurrentAppletName FileSystem FormativBuild FormativRegistered FormativVersion HTTPConnection NewControlBoxDialog NewFilePickerDialog NewHTMLDialog NewOpenFileDialog NewSaveFileDialog NewSearchAndReplaceDialog NewSelectDirectoryDialog NewStatusDialog RefocusInitialWindow TempFiles UserAppletsDirectory UserBackupDirectory UserCacheDirectory UserConfigDirectory UserDataDirectory UserEncodedOutputDirectory UserFlexalockOutputDirectory UserImagesDirectory | AddBackSlashToPath ClickDialogButton ConfigDirectory CopyHTMLToClipboard DateToISO DESEncryption DoEvents ExpireOn ExtractFilenameFromPath FastReplace FileToSource FindWindow FormativDirectory FromClipBoard GetAsyncKeyState GetDataDirectory GetForegroundWindow GetLongPathName GetMacroDirectory HelpDirectory ImageResName ImagesDirectory ISOToDate IsWindow KeyIsDown LoadStringFromFile LocalDateTimeToUTC MIMEDecode MIMEDecodeString MIMEEncode MIMEEncodeString OpenDocument Registry SaveStringToFile SendKeys SetForegroundWindow SolutionRegistered SourceToFile StringCompress StringList TextLineCount Timer ToClipBoard Trace UTCToLocalDateTime

More Information
The Utilities object exposes various generic functions you can use in your applets. It also provides forms design capability via the ControlDialog object.


Method AddBackSlashToPath

Advansys Formativ 1.6 | Language Reference
AddBackSlashToPath Method |
Parent |

Description
Adds a trailing backslash to the given path if one does not already exist.
Syntax
Utilities.AddBackSlashToPath(aPath String) : String

Parameter Useage:

aPath String
Remarks
None.


Method ClickDialogButton

Advansys Formativ 1.6 | Language Reference
ClickDialogButton Method |
Parent |

Description
Not implemented
Syntax
Utilities.ClickDialogButton(Handle Integer, ButtonID Integer) : Boolean

Parameter Useage:

Handle Integer
ButtonID Integer
Remarks
Not implemented


Method ConfigDirectory

Advansys Formativ 1.6 | Language Reference
ConfigDirectory Method |
Parent |

Description
 | Returns the full path of the applet configuration directory. This is the directory where applet configuration information normally resides.
Syntax
 | Utilities.ConfigDirectory() : String
Remarks
 | None.


Method CopyHTMLToClipboard

Advansys Formativ 1.6 | Language Reference
CopyHTMLToClipboard Method |
Parent |

Description
Copies the given HTML text to the clipboard with Formatting intact. This allows you to paste formatted text into HTML-based GroupWise views.
Syntax
Utilities.CopyHTMLToClipboard(HTML String)

Parameter Useage:

HTML String
Remarks
None.


Method DateToISO

Advansys Formativ 1.6 | Language Reference
DateToISO Method |
Parent |

Description
Convert Date to ISO value function.
Syntax
Utilities.DateToISO(aDate DATE) : String

Parameter Useage:

aDate DATE
Remarks
None.


Method DESEncryption

Advansys Formativ 1.6 | Language Reference
DESEncryption Method |
Parent |

Description
Lets you encrypt and decrypt string data using a 64 bit DES encryption algorithm.
Syntax
Utilities.DESEncryption(Action Encryption, HighKey Integer, LowKey Integer, Data String) : String

Parameter Useage:

Action Encryption
         Specifies the encryption operation to be performed on the given string

Value | Description
fEncrypt | Encrypt the given data
fDecrypt | Decrypt the given data. The same keys must be used that were used to encrypt the data
HighKey Integer
LowKey Integer
Data String
         The string data to encrypt or decrypt
Remarks
Encrypt and decrypt string data using 64 bit DES encryption. You must provide two keys when encrypting or decrypting data. These keys are integer values that are combined during the DES process. You must use the same key pair to decrypt data as was used to initially encypt the data.


Method DoEvents

Advansys Formativ 1.6 | Language Reference
DoEvents Method |
Parent |

Description
 | Forces Windows to process any pending messages in the Windows application message queue.
Syntax
 | Utilities.DoEvents()
Remarks
 | None.


Method ExpireOn

Advansys Formativ 1.6 | Language Reference
ExpireOn Method |
Parent |

Description
Not implemented.
Syntax
Utilities.ExpireOn(Year Integer, Month Integer, Day Integer, Msg String)

Parameter Useage:

Year Integer
Month Integer
Day Integer
Msg String
Remarks
None.


Method ExtractFilenameFromPath

Advansys Formativ 1.6 | Language Reference
ExtractFilenameFromPath Method |
Parent |

Description
Extracts the name and extension parts of a file name. The resulting string is the rightmost characters of FileName, starting with the first character after the colon or backslash that separates the path information from the name and extension. The resulting string is equal to FileName if FileName contains no drive and directory parts.
Syntax
Utilities.ExtractFilenameFromPath(aPath String) : String

Parameter Useage:

aPath String
Remarks
None.


Method FastReplace

Advansys Formativ 1.6 | Language Reference
FastReplace Method |
Parent |

Description
A fast replace function for string operations.
Syntax
Utilities.FastReplace(SourceString String, FindString String, ReplaceString String, CaseSensitive Boolean) : String

Parameter Useage:

SourceString String
FindString String
ReplaceString String
CaseSensitive Boolean
Remarks
None.


Method FileToSource

Advansys Formativ 1.6 | Language Reference
FileToSource Method |
Parent |

Description
Converts the given file to an applet source friendly string for embedding in your source code
Syntax
Utilities.FileToSource(InputFile String) : String

Parameter Useage:

InputFile String
Remarks
None.


Method FindWindow

Advansys Formativ 1.6 | Language Reference
FindWindow Method |
Parent |

Description
A function which returns the handle of an open window.
Syntax
Utilities.FindWindow(ClassName String, WindowName String) : Integer

Parameter Useage:

ClassName String
WindowName String
Remarks
None.


Method FormativDirectory

Advansys Formativ 1.6 | Language Reference
FormativDirectory Method |
Parent |

Description
 | Returns the full path to the Formativ application directory
Syntax
 | Utilities.FormativDirectory() : String
Remarks
 | None.


Method FromClipBoard

Advansys Formativ 1.6 | Language Reference
FromClipBoard Method |
Parent |

Description
 | This function returns a text value from the Windows Clipboard.
Syntax
 | Utilities.FromClipBoard() : String
Remarks
 | None.


Method GetAsyncKeyState

Advansys Formativ 1.6 | Language Reference
GetAsyncKeyState Method |
Parent |

Description
Determines whether a key is up or down at the time the function is called, and whether the key was pressed after a previous call to GetAsyncKeyState. If the most significant bit is set, the key is down, and if the least significant bit is set, the key was pressed after the previous call to GetAsyncKeyState. The return value is zero if a window in another thread or process currently has the keyboard focus. See the Win32 function AsyncKeyState() for more information
Syntax
Utilities.GetAsyncKeyState(KeyCode Integer) : Integer

Parameter Useage:

KeyCode Integer
Remarks
None.


Method GetDataDirectory

Advansys Formativ 1.6 | Language Reference
GetDataDirectory Method |
Parent |

Description
 | A function which returns the path of the Formativ Data directory.
Syntax
 | Utilities.GetDataDirectory() : String
Remarks
 | None.


Method GetForegroundWindow

Advansys Formativ 1.6 | Language Reference
GetForegroundWindow Method |
Parent |

Description
 | Returns the handle of the foreground window (the window with which the user is currently working).
Syntax
 | Utilities.GetForegroundWindow() : Integer
Remarks
 | None.


Method GetLongPathName

Advansys Formativ 1.6 | Language Reference
GetLongPathName Method |
Parent |

Description
A function which returns the long pathname from a short pathname.
Syntax
Utilities.GetLongPathName(PathName String) : String

Parameter Useage:

PathName String
Remarks
None.


Method GetMacroDirectory

Advansys Formativ 1.6 | Language Reference
GetMacroDirectory Method |
Parent |

Description
 | A function which returns the path of the local Formativ applet directory.
Syntax
 | Utilities.GetMacroDirectory() : String
Remarks
 | None.


Method HelpDirectory

Advansys Formativ 1.6 | Language Reference
HelpDirectory Method |
Parent |

Description
 | Returns the full path to the applet help directory. This is the directory where applet help files normally reside.
Syntax
 | Utilities.HelpDirectory() : String
Remarks
 | None.


Method ImageResName

Advansys Formativ 1.6 | Language Reference
ImageResName Method |
Parent |

Description
No description is available.
Syntax
Utilities.ImageResName(ImageName String) : String

Parameter Useage:

ImageName String
Remarks
None.


Method ImagesDirectory

Advansys Formativ 1.6 | Language Reference
ImagesDirectory Method |
Parent |

Description
 | Returns the full path of the applet images directory. This is the directory where applet image files normally reside.
Syntax
 | Utilities.ImagesDirectory() : String
Remarks
 | None.


Method ISOToDate

Advansys Formativ 1.6 | Language Reference
ISOToDate Method |
Parent |

Description
Convert ISO value to Date function.
Syntax
Utilities.ISOToDate(ISODate String) : DATE

Parameter Useage:

ISODate String
Remarks
None.


Method IsWindow

Advansys Formativ 1.6 | Language Reference
IsWindow Method |
Parent |

Description
Determines whether the specified window handle identifies an existing window.
Syntax
Utilities.IsWindow(Handle Integer) : Boolean

Parameter Useage:

Handle Integer
Remarks
None.


Method KeyIsDown

Advansys Formativ 1.6 | Language Reference
KeyIsDown Method |
Parent |

Description
Determines whether a key is up or down at the time the function is called, and whether the key was pressed after a previous call to GetAsyncKeyState. If the most significant bit is set, the key is down, and if the least significant bit is set, the key was pressed after the previous call to GetAsyncKeyState. The return value is zero if a window in another thread or process currently has the keyboard focus.
Syntax
Utilities.KeyIsDown(KeyCode Integer) : Boolean

Parameter Useage:

KeyCode Integer
Remarks
None.


Method LoadStringFromFile

Advansys Formativ 1.6 | Language Reference
LoadStringFromFile Method |
Parent |

Description
Loads a file into a string value.
Syntax
Utilities.LoadStringFromFile(aFile String) : String

Parameter Useage:

aFile String
Remarks
None.


Method LocalDateTimeToUTC

Advansys Formativ 1.6 | Language Reference
LocalDateTimeToUTC Method |
Parent |

Description
Converts a local Date/Time to a UNC (coordinated universal time) based Date/Time. The method uses the settings for the time zone and daylight saving time.
Syntax
Utilities.LocalDateTimeToUTC(LocalDateTime DATE) : DATE

Parameter Useage:

LocalDateTime DATE
Remarks
None.


Method MIMEDecode

Advansys Formativ 1.6 | Language Reference
MIMEDecode Method |
Parent |

Description
Decode the given MIME encoded (Base64) string and save the output to a given file.
Syntax
Utilities.MIMEDecode(InputData String, OutputFile String) : Boolean

Parameter Useage:

InputData String
OutputFile String
Remarks
None.


Method MIMEDecodeString

Advansys Formativ 1.6 | Language Reference
MIMEDecodeString Method |
Parent |

Description
MIME Decodes the given string.
Syntax
Utilities.MIMEDecodeString(MimeString String) : String

Parameter Useage:

MimeString String
Remarks
None.


Method MIMEEncode

Advansys Formativ 1.6 | Language Reference
MIMEEncode Method |
Parent |

Description
Encode the given file using MIME base64 encoding and return the data as a string.
Syntax
Utilities.MIMEEncode(InputFile String) : String

Parameter Useage:

InputFile String
Remarks
None.


Method MIMEEncodeString

Advansys Formativ 1.6 | Language Reference
MIMEEncodeString Method |
Parent |

Description
MIME encodes the given string.
Syntax
Utilities.MIMEEncodeString(PlainString String) : String

Parameter Useage:

PlainString String
Remarks
None.


Method OpenDocument

Advansys Formativ 1.6 | Language Reference
OpenDocument Method |
Parent |

Description
Opens a document using the documents registered associated application
Syntax
Utilities.OpenDocument(Document String) : Integer

Parameter Useage:

Document String
Remarks
None.


Method Registry

Advansys Formativ 1.6 | Language Reference
Registry Method |
Parent |

Description
 | Creates a Registry object which provide Windows Registry read functions.
Syntax
 | Utilities.Registry() : Registry
Remarks
 | None.


Method SaveStringToFile

Advansys Formativ 1.6 | Language Reference
SaveStringToFile Method |
Parent |

Description
Saves a string value to a file.
Syntax
Utilities.SaveStringToFile(aString String, aFile String, aReplaceExisting Boolean) : Boolean

Parameter Useage:

aString String
aFile String
aReplaceExisting Boolean
Remarks
None.


Method SendKeys

Advansys Formativ 1.6 | Language Reference
SendKeys Method |
Parent |

Description
Not implemented.
Syntax
Utilities.SendKeys(Keys String, WindowTitle String, WindowClass String, Wait Integer) : Integer

Parameter Useage:

Keys String
WindowTitle String
WindowClass String
Wait Integer
Remarks
Not implemented.


Method SetForegroundWindow

Advansys Formativ 1.6 | Language Reference
SetForegroundWindow Method |
Parent |

Description
Puts the thread that created the specified window into the foreground and activates the window. Keyboard input is directed to the window, and various visual cues are changed for the user.
Syntax
Utilities.SetForegroundWindow(Handle Integer) : Boolean

Parameter Useage:

Handle Integer
Remarks
None.


Method SolutionRegistered

Advansys Formativ 1.6 | Language Reference
SolutionRegistered Method |
Parent |

Description
Indicates if the solution pack with the given hashed product code is registered
Syntax
Utilities.SolutionRegistered(ProductCode String) : Boolean

Parameter Useage:

ProductCode String
Remarks
None.


Method SourceToFile

Advansys Formativ 1.6 | Language Reference
SourceToFile Method |
Parent |

Description
Convert a string created by the FileToSource function to a file as given in Output file.
Syntax
Utilities.SourceToFile(InputSource String, OutputFile String) : Boolean

Parameter Useage:

InputSource String
OutputFile String
Remarks
None.


Method StringCompress

Advansys Formativ 1.6 | Language Reference
StringCompress Method |
Parent |

Description
Compresses and decompressed string data
Syntax
Utilities.StringCompress(Action Compression, Data String) : String

Parameter Useage:

Action Compression
         Specifies compression action to take when using Utilities.StringCompress

Value | Description
fCompress | Compress the given string
fExpand | Expand the given string
Data String
Remarks
None.


Method StringList

Advansys Formativ 1.6 | Language Reference
StringList Method |
Parent |

Description
 | Creates a new StringList object, which can be used for storing, sorting and manipulating strings.
Syntax
 | Utilities.StringList() : StringList
Remarks
 | None.


Method TextLineCount

Advansys Formativ 1.6 | Language Reference
TextLineCount Method |
Parent |

Description
Returns the line count in a text file (lines delimited by hard returns).
Syntax
Utilities.TextLineCount(Value String) : Integer

Parameter Useage:

Value String
Remarks
None.


Method Timer

Advansys Formativ 1.6 | Language Reference
Timer Method |
Parent |

Description
Start a timer which increments in seconds (maximum 120 seconds).
Syntax
Utilities.Timer(TimeVal Integer)

Parameter Useage:

TimeVal Integer
Remarks
None.


Method ToClipBoard

Advansys Formativ 1.6 | Language Reference
ToClipBoard Method |
Parent |

Description
This function copies a string value to the Windows Clipboard.
Syntax
Utilities.ToClipBoard(Value String)

Parameter Useage:

Value String
Remarks
None.


Method Trace

Advansys Formativ 1.6 | Language Reference
Trace Method |
Parent |

Description
Outputs the given string to any attached debugger
Syntax
Utilities.Trace(Msg String)

Parameter Useage:

Msg String
Remarks
None.


Method UTCToLocalDateTime

Advansys Formativ 1.6 | Language Reference
UTCToLocalDateTime Method |
Parent |

Description
Converts a UNC (coordinated universal time) based Date/Time to a local Date/Time. The method uses the settings for the time zone and daylight saving time.
Syntax
Utilities.UTCToLocalDateTime(UTCDateTime DATE) : DATE

Parameter Useage:

UTCDateTime DATE
Remarks
None.


Property CommonAppletsDirectory

Advansys Formativ 1.6 | Language Reference
CommonAppletsDirectory property |
Parent |

Description
 | Returns the full path to the common applets directory
Syntax
 | Utilities.CommonAppletsDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property CommonDataDirectory

Advansys Formativ 1.6 | Language Reference
CommonDataDirectory property |
Parent |

Description
 | Returns the full path of the common Data directory
Syntax
 | Utilities.CommonDataDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property CommonHelpDirectory

Advansys Formativ 1.6 | Language Reference
CommonHelpDirectory property |
Parent |

Description
 | Returns the full path of the common Help directory
Syntax
 | Utilities.CommonHelpDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property CommonManifestsDirectory

Advansys Formativ 1.6 | Language Reference
CommonManifestsDirectory property |
Parent |

Description
 | Returns the full path of the common Manifest directory
Syntax
 | Utilities.CommonManifestsDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property CurrentAppletName

Advansys Formativ 1.6 | Language Reference
CurrentAppletName property |
Parent |

Description
 | Returns the fully qualified name of the currently executing applet.
Syntax
 | Utilities.CurrentAppletName() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property FileSystem

Advansys Formativ 1.6 | Language Reference
FileSystem property |
Parent |

Description
 | No decription is available.
Syntax
 | Utilities.FileSystem() : FileSystemUtils This is a Read Only property. It returns a variable of type FileSystemUtils.
Remarks
 | None.


Property FormativBuild

Advansys Formativ 1.6 | Language Reference
FormativBuild property |
Parent |

Description
 | Indicates the type of Formativ engine being used to execute the current applet
Syntax
 | Utilities.FormativBuild() : eFormativBuild This is a Read Only property. It returns a variable of type eFormativBuild.
Remarks
 | None.


Property FormativRegistered

Advansys Formativ 1.6 | Language Reference
FormativRegistered property |
Parent |

Description
 | Returns a boolen indicating if this copy of Formativ is registered
Syntax
 | Utilities.FormativRegistered() : Boolean This is a Read Only property. It returns a variable of type Boolean.
Remarks
 | None.


Property FormativVersion

Advansys Formativ 1.6 | Language Reference
FormativVersion property |
Parent |

Description
 | Returns a string representing the currently installed version of Formativ.
Syntax
 | Utilities.FormativVersion() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property HTTPConnection

Advansys Formativ 1.6 | Language Reference
HTTPConnection property |
Parent |

Description
 | Returns a HTTP Connection object
Syntax
 | Utilities.HTTPConnection() : HTTP This is a Read Only property. It returns a variable of type HTTP.
Remarks
 | None.


Property NewControlBoxDialog

Advansys Formativ 1.6 | Language Reference
NewControlBoxDialog property |
Parent |

Description
 | Create a new dynamic control dialog.
Syntax
 | Utilities.NewControlBoxDialog() : fcControlDlg This is a Read Only property. It returns a variable of type fcControlDlg.
Remarks
 | None.


Property NewFilePickerDialog

Advansys Formativ 1.6 | Language Reference
NewFilePickerDialog property |
Parent |

Description
 | Create a new File Picker dialog.
Syntax
 | Utilities.NewFilePickerDialog() : fcFilePickerDlg This is a Read Only property. It returns a variable of type fcFilePickerDlg.
Remarks
 | None.


Property NewHTMLDialog

Advansys Formativ 1.6 | Language Reference
NewHTMLDialog property |
Parent |

Description
 | Returns an instance of a new HTMLDialog object
Syntax
 | Utilities.NewHTMLDialog() : HTMLDialog This is a Read Only property. It returns a variable of type HTMLDialog.
Remarks
 | None.


Property NewOpenFileDialog

Advansys Formativ 1.6 | Language Reference
NewOpenFileDialog property |
Parent |

Description
 | Create a new Open File dialog.
Syntax
 | Utilities.NewOpenFileDialog() : OpenFileDlg This is a Read Only property. It returns a variable of type OpenFileDlg.
Remarks
 | None.


Property NewSaveFileDialog

Advansys Formativ 1.6 | Language Reference
NewSaveFileDialog property |
Parent |

Description
 | Creates an instance of the new style file save dialog.
Syntax
 | Utilities.NewSaveFileDialog() : SaveFileDialog This is a Read Only property. It returns a variable of type SaveFileDialog.
Remarks
 | None.


Property NewSearchAndReplaceDialog

Advansys Formativ 1.6 | Language Reference
NewSearchAndReplaceDialog property |
Parent |

Description
 | Create a new Search and Replace dialog.
Syntax
 | Utilities.NewSearchAndReplaceDialog() : SearchAndReplace This is a Read Only property. It returns a variable of type SearchAndReplace.
Remarks
 | None.


Property NewSelectDirectoryDialog

Advansys Formativ 1.6 | Language Reference
NewSelectDirectoryDialog property |
Parent |

Description
 | Create a new Select Directory dialog.
Syntax
 | Utilities.NewSelectDirectoryDialog() : SelectDirectoryDlg This is a Read Only property. It returns a variable of type SelectDirectoryDlg.
Remarks
 | None.


Property NewStatusDialog

Advansys Formativ 1.6 | Language Reference
NewStatusDialog property |
Parent |

Description
 | Create a new Status dialog.
Syntax
 | Utilities.NewStatusDialog() : StatusDlg This is a Read Only property. It returns a variable of type StatusDlg.
Remarks
 | None.


Property RefocusInitialWindow

Advansys Formativ 1.6 | Language Reference
RefocusInitialWindow property |
Parent |

Description
 | Specifies whether an attempt will be made to set the focus back to the window that had the focus when the applet was first executed.
Syntax
 | Utilities.RefocusInitialWindow() : Boolean This is a Read/Write property. You may only pass in a Boolean to the property. It returns a Boolean.
Remarks
 | None.


Property TempFiles

Advansys Formativ 1.6 | Language Reference
TempFiles property |
Parent |

Description
 | Returns the full path of the Formativ temporary directory. The contents of this directory are cleared on GroupWise startup and shutdown.
Syntax
 | Utilities.TempFiles() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserAppletsDirectory

Advansys Formativ 1.6 | Language Reference
UserAppletsDirectory property |
Parent |

Description
 | Returns the full path of the users applets directory
Syntax
 | Utilities.UserAppletsDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserBackupDirectory

Advansys Formativ 1.6 | Language Reference
UserBackupDirectory property |
Parent |

Description
 | Returns the full path of the users library backup directory
Syntax
 | Utilities.UserBackupDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserCacheDirectory

Advansys Formativ 1.6 | Language Reference
UserCacheDirectory property |
Parent |

Description
 | Returns the full path of the cache applets directory
Syntax
 | Utilities.UserCacheDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserConfigDirectory

Advansys Formativ 1.6 | Language Reference
UserConfigDirectory property |
Parent |

Description
 | Returns the full path of the users applet config directory
Syntax
 | Utilities.UserConfigDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserDataDirectory

Advansys Formativ 1.6 | Language Reference
UserDataDirectory property |
Parent |

Description
 | Returns the full path of the users data directory
Syntax
 | Utilities.UserDataDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserEncodedOutputDirectory

Advansys Formativ 1.6 | Language Reference
UserEncodedOutputDirectory property |
Parent |

Description
 | Returns the full path of the users Encoded applets output directory
Syntax
 | Utilities.UserEncodedOutputDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserFlexalockOutputDirectory

Advansys Formativ 1.6 | Language Reference
UserFlexalockOutputDirectory property |
Parent |

Description
 | Returns the full path of the users Flexalocked applets output directory
Syntax
 | Utilities.UserFlexalockOutputDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Property UserImagesDirectory

Advansys Formativ 1.6 | Language Reference
UserImagesDirectory property |
Parent |

Description
 | Returns the full path of the users images directory
Syntax
 | Utilities.UserImagesDirectory() : String This is a Read Only property. It returns a variable of type String.
Remarks
 | None.


Constant Alignment

Advansys Formativ 1.6 | Language Reference
Alignment Type |

Description
Determines how caption is aligned within the panel.
Possible Values
Name | Value | Description
ftaLeftJustify | 1 | Text appears on the left side of the panel.
ftaRightJustify | 2 | Text appears on the right side of the panel.
ftaCenter | 4 | Text appears on the center of the panel.


Constant BorderStyle

Advansys Formativ 1.6 | Language Reference
BorderStyle Type |

Description
Determines the style of the line drawn around the perimeter of the panel control.
Possible Values
Name | Value | Description
fbsNone | 1 | No visible border.
fbsSingle | 2 | Single-line border.
fbsSizeable | 3 | A Sizeable boder.
fbsDialog | 4 | A Dialog style border.


Constant CaptionPosition

Advansys Formativ 1.6 | Language Reference
CaptionPosition Type |

Description
Specifies the position of the caption (label) for a control. Note that some controls do not have captions.
Possible Values
Name | Value | Description
afvNone | 0 | No specific position is assigned and positioning must be done manually in the applet.
afvTop | 1 | The caption will appear above the control. This is the default setting.
afvLeft | 2 | The caption will appear on the left of the control.


Constant CharCase

Advansys Formativ 1.6 | Language Reference
CharCase Type |

Description
Determines the case of the text within the text entry control.
Possible Values
Name | Value | Description
fecNormal | 1 | The text is converted to lowercase.
fecUpperCase | 2 | The text is converted to uppercase.
fecLowerCase | 4 | The text appears in mixed case. It is not forced into any case.


Constant CheckListOptions

Advansys Formativ 1.6 | Language Reference
CheckListOptions Type |

Description
This controls the options for selecting items in the list.
Possible Values
Name | Value | Description
fchClick | 1 | Each item can be selected by clicking anywhere in the glyph or item text.
fchClickGlyph | 2 | Each item can only be selected by clicking on the glyph.
fchDblClick | 4 | Each item can be selected by double clicking the item or glyph.
fchSpaceKey | 8 | Items can be selected using the space key while navigating in the list with the arrow keys.
fchShiftRange | 16 | Allows selection of a range by holding down the space key while scrolling up or down.
fchExtendedSelect | 32 | Enables or disables range selection.
fchMultiSelect | 64 | Enables or disables multiple item selection.


Constant Color

Advansys Formativ 1.6 | Language Reference
Color Type |

Description
Color is used to specify the color of a control property. It is used by the Color property of many controls and by a number of other properties that specify color values. Formativ also allows you to specify an RGB value within an applet by setting the Color property to &HRRGGBB, where RR, GG, BB are Hex representations of the color.
Possible Values
Name | Value | Description
fclAqua | 0 |
fclBlack | 1 |
fclBlue | 2 |
fclDkGray | 3 |
fclFuchsia | 4 |
fclGray | 5 |
fclGreen | 6 |
fclLime | 7 |
fclLtGray | 8 |
fclMaroon | 9 |
fclNavy | 10 |
fclOlive | 11 |
fclPurple | 12 |
fclRed | 13 |
fclSilver | 14 |
fclTeal | 15 |
fclWhite | 16 |
fclYellow | 17 |


Constant ComboBoxStyle

Advansys Formativ 1.6 | Language Reference
ComboBoxStyle Type |

Description
Determines the display style of the combo box.
Possible Values
Name | Value | Description
fcsDropDown | 1 | Creates a drop-down list with an edit box for manually entered text. All items are strings of the same height.
fcsSimple | 2 | Creates an edit box with a fixed list (list box) underneath. The length of the list is determined by the Height of the combo box.
fcsDropDownList | 4 | Creates a drop-down list with no edit box; the user cannot enter text manually. All items are strings of the same height.


Constant Compression

Advansys Formativ 1.6 | Language Reference
Compression Type |

Description
Specifies compression action to take when using Utilities.StringCompress
Possible Values
Name | Value | Description
fCompress | 0 | Compress the given string
fExpand | 1 | Expand the given string


Constant ControlSpacing

Advansys Formativ 1.6 | Language Reference
ControlSpacing Type |

Description
Specifies how the controls are positioned on the dialog.
Possible Values
Name | Value | Description
afvAutoSpace | 0 | The vertical spacing is automatically calculated for the positioning of the controls on the dialog.
afvManual | 1 | Allows you to specify the vertical spacing of the control. See the SpaceAbove property of the control.


Constant ControlType

Advansys Formativ 1.6 | Language Reference
ControlType Type |

Description
The ControlType constants identify the different control types which can be used with the dynamic control dialog, fcControlDlg.
Possible Values
Name | Value | Description
ctEdit | 0 | Enumerated value for an Edit Control.
ctMemo | 1 | Enumerated value for a Memo Control.
ctDateTime | 2 | Enumerated value for a DateTime Control.
ctComboBox | 3 | Enumerated value for a ComboBox Control.
ctCheckBox | 4 | Enumerated value for a CheckBox Control.
ctRadioButton | 5 | Enumerated value for a RadioButton Control.
ctListBox | 6 | Enumerated value for a ListBox Control.
ctStringGrid | 7 | Enumerated value for a StringGrid Control.
ctSpinEdit | 8 | Enumerated value for a SpinEdit Control.
ctImage | 9 | Enumerated value for an Image Control.
ctCheckList | 10 | Enumerated value for a CheckList Control.
ctSlider | 11 | Enumerated value for a Slider Control. Not implemented in this release.
ctURL | 12 | Enumerated value for a URL Control. Not implemented in this release.
ctTabListBox | 13 | Enumerated value for a TabListBox Control.
ctMultiLineLabel | 14 | Enumerated value for a MultiLineLabel Control.
ctPanel | 15 | Enumerated value for a Panel Control.
ctRadioGroup | 16 | Enumerated value for a RadioGroup Control.


Constant DateMode

Advansys Formativ 1.6 | Language Reference
DateMode Type |

Description
Determines the method of date selection used by the control.
Possible Values
Name | Value | Description
fdmComboBox | 1 | The control has a drop-down calendar illustration from which the user can select a date.
fdmUpDown | 2 | The control has Up/Down arrows with which the user can adjust the date. (Applies only when Kind = fdtkDate.)


Constant DateTimeKind

Advansys Formativ 1.6 | Language Reference
DateTimeKind Type |

Description
Determines whether the control is a date selector or a time selector.
Possible Values
Name | Value | Description
fdtkDate | 1 | The control is used to select a date.
fdtkTime | 2 | The control is used to select a time.


Constant eAccountRights

Advansys Formativ 1.6 | Language Reference
eAccountRights Type |

Description
These constants identify the type of access rights given to a user for an account
Possible Values
Name | Value | Description
fgwCanArchive | 1 | The user can archive messages
fgwPrefsRulesGroups | 2 | The user can modify preferences, rules, and groups
fgwReadAppointments | 4 | The user can read appointments
fgwReadMailAndPhone | 8 | The user can read mail and phone messages
fgwReadNotes | 16 | The user can read notes
fgwReadPrivate | 32 | The user can read private messages
fgwReadTasks | 64 | The user can read tasks
fgwReceiveAlarms | 128 | The user can receive alarms
fgwReceiveNotifications | 256 | The user can receive notifications
fgwWriteAppointments | 512 | The user can write appointments
fgwWriteMailAndPhone | 1024 | The user can write mail and phone messages
fgwWriteNotes | 2048 | The user can write notes
fgwWriteTasks | 4096 | The user can write tasks


Constant eAddressBookField

Advansys Formativ 1.6 | Language Reference
eAddressBookField Type |

Description
Used to access individual field values in an address book entry.
Possible Values
Name | Value | Description
abfPersonalGroupsID | 199 | Personal groups ID
abfPublicGroupsDescription | 202 | Public groups field
abfPublicGroupsDomain | 203 | Public groups domain
abfPublicGroupsHost | 204 | Public groups host
abfPublicGroupsID | 205 | Public groups ID
abfResourcesDescription | 208 | Resources description
abfResourcesDomain | 209 |
abfResourcesFID | 210 |
abfResourcesHost | 211 |
abfResourcesID | 212 |
abfResourcesOwner | 213 |
abfResourcesType | 214 |
abfUsersAccountID | 244 |
abfUsersDept | 245 |
abfUsersDomain | 246 |
abfUsersFID | 247 |
abfUsersFaxNum | 248 |
abfUsersFirstName | 249 |
abfUsersHost | 250 |
abfUsersID | 251 |
abfUsersLastName | 252 |
abfUsersNetID | 253 |
abfUsersPhone | 254 |
abfUsersTitle | 255 |
abfUsersUD1 | 256 |
abfUsersUD10 | 257 |
abfUsersUD2 | 258 |
abfUsersUD3 | 259 |
abfUsersUD4 | 260 |
abfUsersUD5 | 261 |
abfUsersUD6 | 262 |
abfUsersUD7 | 263 |
abfUsersUD8 | 264 |
abfUsersUD9 | 265 |


Constant eAddressBookRights

Advansys Formativ 1.6 | Language Reference
eAddressBookRights Type |

Description
These constants identify the access rights a user has to an address book (GroupWise 5.5 and later only)
Possible Values
Name | Value | Description
fgwReadOnly | 0 | Read-only access
fgwFullAccess | 1 | Read/write access


Constant eAddressBookSubtype

Advansys Formativ 1.6 | Language Reference
eAddressBookSubtype Type |

Description
These constants identify the subtype of an address book
Possible Values
Name | Value | Description
fgwOther | 0 | Any address book other than the Novell Frequent Contacts personal address book
fgwFrequentContact | 1 | Novell Frequent Contacts personal address book


Constant eAddressBookType

Advansys Formativ 1.6 | Language Reference
eAddressBookType Type |

Description
These constants identify the type of an address book
Possible Values
Name | Value | Description
fgwUnknownBook | 0 | Unknown address book
fgwNovellPersonal | 1 | Novell personal address book
fgwNovellSystem | 2 | Novell system address book


Constant eAddressResolveCmd

Advansys Formativ 1.6 | Language Reference
eAddressResolveCmd Type |

Description
Specifies what to do with ambiguous addresses.
Possible Values
Name | Value | Description
arcFail | 160 | RemoveAmbiguousAddresses parameter: causes the command to fail if there are ambiguous addresses. RemoveInvalidAddresses parameter: Causes the command to fail if there are invalid addresses.
arcPrompt | 201 | RemoveAmbiguousAddresses parameter: displays a dialog box where the user selects an address to include. RemoveInvalidAddresses parameter: displays a dialog box where the user removes invalid addresses from the address list.
arcYes | 1 | RemoveAmbiguousAddresses parameter: removes all ambiguous addresses. RemoveInvalidAddresses parameter: Removes all invalid addresses.


Constant eAddressTargetType

Advansys Formativ 1.6 | Language Reference
eAddressTargetType Type |

Description
These constants identify the target type (recipient type) of an address
Possible Values
Name | Value | Description
fgwTo | 0 | To. A primary recipient
fgwCC | 1 | Carbon Copy. A secondary recipient
fgwBC | 2 | Blind Copy. This address is hidden to all users except the sender and the receiver


Constant eAddressType

Advansys Formativ 1.6 | Language Reference
eAddressType Type |

Description
These constants identify the type of an address
Possible Values
Name | Value | Description
fgwUnknown | 0 | Unknown
fgwUser | 1 | User
fgwCompany | 2 | Company
fgwResource | 3 | Resource, such as a conference room
fgwGroup | 4 | Group


Constant eAppEvent

Advansys Formativ 1.6 | Language Reference
eAppEvent Type |

Description
Specifies the application event.
Possible Values
Name | Value | Description
aevAppInitialized | 293 | Indicates GroupWise is loaded and running. The command string is set to GROUPWISE: App Initialized.
aevContextMenu | 296 | Indicates context-sensitive QuickMenu display on right click. The command string contains an ANSISTRING menu identifier representation and the menu handle, both space delimited.


Constant eAttachClassType

Advansys Formativ 1.6 | Language Reference
eAttachClassType Type |

Description
Specifies the attachment type.
Possible Values
Name | Value | Description
actAttachClassFile | 114 |
actAttachClassMessage | 115 |
actAttachClassMovie | 116 |
actAttachClassOLE | 645 |
actAttachClassSound | 117 |


Constant eAttachmentType

Advansys Formativ 1.6 | Language Reference
eAttachmentType Type |

Description
These constants identify the type of a message attachment
Possible Values
Name | Value | Description
fgwUnknownAttachment | 0 | Unknown
fgwFile | 1 | File
fgwMessage | 2 | Embedded message
fgwMovie | 3 | Multimedia object
fgwOLEEmbedded | 4 | Embedded OLE object
fgwOLELinked | 5 | Linked OLE object
fgwSoundAnnotation | 6 | Sound annotation


Constant eAttachViewType

Advansys Formativ 1.6 | Language Reference
eAttachViewType Type |

Description
Specifies the type to view.
Possible Values
Name | Value | Description
avtAttachment | 1 |
avtMessage | 10 |
avtzOldMessage | 0 |


Constant eBitOn

Advansys Formativ 1.6 | Language Reference
eBitOn Type |

Description
Specifies the BitOn value.
Possible Values
Name | Value | Description
btoDontCare | 147 |
btoNo | 0 |
btoYes | 1 |


Constant eBooleanOperator

Advansys Formativ 1.6 | Language Reference
eBooleanOperator Type |

Description
Specifies the boolean operator.
Possible Values
Name | Value | Description
bopAnd | 316 |
bopOr | 317 |


Constant eBoxType

Advansys Formativ 1.6 | Language Reference
eBoxType Type |

Description
Specifies item source.
Possible Values
Name | Value | Description
bxtInbox | 6 |
bxtOutbox | 7 |
bxtPersonal | 198 |


Constant eBusyLevel

Advansys Formativ 1.6 | Language Reference
eBusyLevel Type |

Description
Specifies the busy level for an appointment.
Possible Values
Name | Value | Description
busFree | 0 |
busTentative | 1 |
busBusy | 2 |
busOut | 3 |


Constant eButtonBarReset

Advansys Formativ 1.6 | Language Reference
eButtonBarReset Type |

Description
Use with ButtonBarReset
Possible Values
Name | Value | Description
bbMain | 0 |
bbItemContext | 1 |
bbFolderContext | 2 |


Constant eButtonBarStyle

Advansys Formativ 1.6 | Language Reference
eButtonBarStyle Type |

Description
Specifies the button bar style.
Possible Values
Name | Value | Description
bbsPicOnlySingleRow | 0 | Button picture only, single row of buttons.
bbsPicOnlyMultiRow | 1 | Button picture only, multiple rows of buttons if required.
bbsPicAndTxtSingleRow | 2 | Button picture and text labels; display only a single row of buttons.
bbsPicAndTxtMultiRow | 3 | Button picture and text label; display multiple rows of buttons if required.


Constant eCheckIn

Advansys Formativ 1.6 | Language Reference
eCheckIn Type |

Description
These constants identify the type of action performed when checking-in a document version
Possible Values
Name | Value | Description
fgwDoCheckIn | 0 | Change version status to Checked In
fgwLeaveCheckedOut | 1 | Copy in a new version, and leave this version checked out


Constant eColField

Advansys Formativ 1.6 | Language Reference
eColField Type |

Description
Specifies the column field.
Possible Values
Name | Value | Description
fcnNameField | 331 |
fcnNone | 0 |


Constant eControl

Advansys Formativ 1.6 | Language Reference
eControl Type |

Description
Specifies the control to receive the input focus.
Possible Values
Name | Value | Description
fcsAcceptBtn | 11 |
fcsAddressBtn | 24 |
fcsAttachBtn | 12 |
fcsAttachments | 27 |
fcsAuthority | 4 |
fcsBC | 3 |
fcsBusyBtn | 25 |
fcsCalled | 29 |
fcsCaller | 6 |
fcsCameToSeeYou | 34 |
fcsCancelOrCloseBtn | 13 |
fcsCC | 2 |
fcsCompany | 7 |
fcsControlName | 273 |
fcsDayAppt | 36 |
fcsDayNote | 37 |
fcsDayTask | 38 |
fcsDeclineBtn | 20 |
fcsDelegateBtn | 14 |
fcsDeleteBtn | 15 |
fcsFolderList | 43 |
fcsForwardBtn | 16 |
fcsFrom | 1 |
fcsInfoBtn | 17 |
fcsItemList | 44 |
fcsMessage | 10 |
fcsOkBtn | 18 |
fcsPhone | 8 |
fcsPlace | 5 |
fcsPleaseCall | 30 |
fcsPrintBtn | 19 |
fcsPriority | 26 |
fcsReplyBtn | 21 |
fcsReturnedYourCall | 32 |
fcsSaveBtn | 22 |
fcsSecurity | 28 |
fcsSendBtn | 23 |
fcsSmallMonth | 42 |
fcsSubject | 9 |
fcsTo | 0 |
fcsUrgent | 35 |
fcsWantsToSeeYou | 33 |
fcsWeekAppt | 39 |
fcsWeekNote | 40 |
fcsWeekTask | 41 |
fcsWillCall | 31 |


Constant eControlListType

Advansys Formativ 1.6 | Language Reference
eControlListType Type |

Description
Specifies the list type.
Possible Values
Name | Value | Description
cltAppointmentList | 108 | Apply to calendar views.
cltItemList | 44 | Apply to Mailbox, Sent Items, or Trash views.
cltNoteList | 188 | Apply to calendar views.
cltSelectedControl | 219 | Apply to all item views.
cltTaskList | 228 | Apply to calendar views.
cltWeekControl | 268 | Apply to a Week Calendar view.


Constant eDate

Advansys Formativ 1.6 | Language Reference
eDate Type |

Description
Specifies the possible date values.
Possible Values
Name | Value | Description
datMonth | 3 |
datToday | 235 |
datTomorrow | 236 |
datWeek | 2 |
datYear | 4 |
datYesterday | 271 |


Constant eDaystoHighlight

Advansys Formativ 1.6 | Language Reference
eDaystoHighlight Type |

Description
Specifies the days to highlight in the calendar view.
Possible Values
Name | Value | Description
dthNone | 0 |
dthSunCol | 1 |
dthMonCol | 2 |
dthTuesCol | 4 |
dthSatCol | 64 |
dthSatSunCols | 65 |


Constant eDeleteType

Advansys Formativ 1.6 | Language Reference
eDeleteType Type |

Description
Specifies what to delete.
Possible Values
Name | Value | Description
vdtItemsAndFolders | 1 |
vdtItemsOnly | 0 |


Constant eDialogOptions

Advansys Formativ 1.6 | Language Reference
eDialogOptions Type |

Description
Determines the appearance and behavior of the file-selection dialogs
Possible Values
Name | Value | Description
ofReadOnly | 0 | Selects the Open As Read Only check box by default when the dialog opens
ofOverwritePrompt | 1 | Generates a warning message if the user tries to select a file name that is already in use, asking whether to overwrite the existing file.
ofHideReadOnly | 2 | Removes the Open As Read Only check box from the dialog.
ofNoChangeDir | 4 | After the user clicks OK, resets the current directory to whatever it was before the file-selection dialog opened.
ofShowHelp | 8 | Displays a Help button in the dialog.
ofNoValidate | 16 | Disables checking for invalid characters in file names. Allows selection of file names with invalid characters.
ofAllowMultiSelect | 32 | Allows users to select more than one file in the dialog. Not implemented.
ofExtensionDifferent | 64 | This flag is turned on at runtime whenever the selected filename has an extension that differs from DefaultExt. If you use this flag in an application, remember to reset it.
ofPathMustExist | 128 | Generates an error message if the user tries to select a file name with a nonexistent directory path.
ofFileMustExist | 256 | Generates an error message if the user tries to select a nonexistent file. (only applies to Open dialogs).
ofCreatePrompt | 512 | Generates a warning message if the user tries to select a nonexistent file, asking whether to create a new file with the specified name.
ofShareAware | 1024 | Ignores sharing errors and allows files to be selected even when sharing violations occur.
ofNoReadOnlyReturn | 2048 | Generates an error message if the user tries to select a read-only file.
ofNoTestFileCreate | 4096 | Disables checking for network file protection and inaccessibility of disk drives. Applies only when the user tries to save a file in a create-no-modify shared network directory.
ofNoNetworkButton | 8192 | Removes the Network button (which opens a Map Network Drive dialog) from the file-selection dialog. Applies only if the ofOldStyleDialog flag is on.
ofNoLongNames | 16384 | Displays 8.3-character file names only. This option is only valid if Options also includes ofOldStyleDialog.
ofOldStyleDialog | 32768 | Creates the older style of file-selection dialog.
ofNoDereferenceLinks | 65536 | Disables dereferencing of Windows shortcuts. If the user selects a shortcut, assigns to FileName the path and file name of the shortcut itself (the .LNK file), rather than the file linked to the shortcut.
ofEnableIncludeNotify | 101072 | Not implemented.
ofEnableSizing | 262144 | (Windows 98 and later) Lets the Explorer-style dialog be resized with the mouse or keyboard. By default, the dialog allows this resizing regardless of the value of this option. It is only required if you provide a hook procedure or custom template. (Old style dialogs never permit resizing.)
ofDontAddToRecent | 524288 | Prevents the file from being added to the list of recently opened files.
ofForceShowHidden | 1048576 | Ensures that hidden files are visible in the dialog.


Constant eDialogOptionsEx

Advansys Formativ 1.6 | Language Reference
eDialogOptionsEx Type |

Description
More descriptions which determine the appearance and behavior of the file-selection dialogs
Possible Values
Name | Value | Description
ofExNoPlacesBar | 0 | Prohibits a places bar (a bar which contains shortcuts to places like the History folder and the Desktop) from appearing in the dialog.


Constant eDisconnectMethod

Advansys Formativ 1.6 | Language Reference
eDisconnectMethod Type |

Description
Specifies the remote disconnection method.
Possible Values
Name | Value | Description
dimAfterAllUpdates | 300 |
dimAfterRequestsSent | 301 |
dimManual | 0 |


Constant eDisplay

Advansys Formativ 1.6 | Language Reference
eDisplay Type |

Description
Hide and show constants.
Possible Values
Name | Value | Description
disHide | 281 |
disShow | 282 |


Constant eDisplayEventType

Advansys Formativ 1.6 | Language Reference
eDisplayEventType Type |

Description
Specifies how to display the items time duration.
Possible Values
Name | Value | Description
detDuration | 0 |
detEndDateAndTime | 1 |


Constant eDisposalMethod

Advansys Formativ 1.6 | Language Reference
eDisposalMethod Type |

Description
These constants identify the methods of disposing of a document
Possible Values
Name | Value | Description
fgwDisposeByArchive | 1 | Dispose of the document by archiving it
fgwDisposeByDelete | 2 | Dispose of the document by deleting it


Constant eDocNewMethod

Advansys Formativ 1.6 | Language Reference
eDocNewMethod Type |

Description
Constants which specify the method for a new document version.
Possible Values
Name | Value | Description
dnmInteractive | 200 | Asks for folder to create reference and Version Desc dialog box.
dnmNonInteractive | 201 |


Constant eDocProfileField

Advansys Formativ 1.6 | Language Reference
eDocProfileField Type |

Description
Specifies the document profile field required.
Possible Values
Name | Value | Description
prfAuthor | 625 |
prfDocumentExtension | 628 | Returns the Document Extension of the filename.
prfDocumentType | 629 |
prfSubject | 9 |


Constant eDocumentAccessRights

Advansys Formativ 1.6 | Language Reference
eDocumentAccessRights Type |

Description
These constants identify the type of document access rights granted to individual users or groups
Possible Values
Name | Value | Description
fgwARAllowDelete | 1 | The user can delete the specified document versions.
fgwARAllowEdit | 2 | The user can modify the specified document versions
fgwARAllowView | 4 | The user can view the specified document versions
fgwARModifySecurity | 8 | The user can modify the access rights of the owning document
fgwARRevokeAllRights | 16 | Revoke all user access rights. If set, the other bits are ignored
fgwARAllowShare | 32 | The user can share viewing of the specified document version. GroupWise 5.2 or later


Constant eDocumentReferenceType

Advansys Formativ 1.6 | Language Reference
eDocumentReferenceType Type |

Description
These constants identify the version of a document reference
Possible Values
Name | Value | Description
fgwOfficial | 0 | Refers to the official version, even if the official version changes
fgwCurrent | 1 | Refers to the most current version
fgwSpecific | 2 | Refers to a specific version


Constant eDocVersionStatus

Advansys Formativ 1.6 | Language Reference
eDocVersionStatus Type |

Description
Specifies the possible status for a document version.
Possible Values
Name | Value | Description
dvsArchived | 279 |
dvsAvailable | 640 |
dvsCheckedOut | 641 |
dvsInUse | 642 |
dvsRemoteInUse | 643 |


Constant eDownloadState

Advansys Formativ 1.6 | Language Reference
eDownloadState Type |

Description
These constants identify whether or not information has been downloaded
Possible Values
Name | Value | Description
fgwAvailable | 0 | The information has been downloaded.
fgwNotDownloaded | 1 | The information has not been downloaded


Constant eEmailAddressFormat

Advansys Formativ 1.6 | Language Reference
eEmailAddressFormat Type |

Description
These constants identify the format of an email address
Possible Values
Name | Value | Description
fgwEmailAddress4x | 0 | GroupWise 4.x.
fgwEmailAddress5x | 1 | GroupWise 5.x/6.x


Constant eEmptyTrash

Advansys Formativ 1.6 | Language Reference
eEmptyTrash Type |

Description
Specifies the method to empty the trash.
Possible Values
Name | Value | Description
etrAutomatic | 1 |
etrManual | 0 |


Constant eEndRetrieveStatus

Advansys Formativ 1.6 | Language Reference
eEndRetrieveStatus Type |

Description
These constants identify the type of action performed when ending the retrieval of a document version
Possible Values
Name | Value | Description
fgwDoEndRetrieve | 0 | Mark the version as being available
fgwLeaveInUse | 1 | Leave the version marked as still in use


Constant eEntryType

Advansys Formativ 1.6 | Language Reference
eEntryType Type |

Description
Specifies the address entry type.
Possible Values
Name | Value | Description
etyBC | 3 |
etyCC | 2 |
etyTo | 0 |


Constant eEventRegFlags

Advansys Formativ 1.6 | Language Reference
eEventRegFlags Type |

Description
The events for which you want notificiation.
Possible Values
Name | Value | Description
erfEVT_GROUPWISE_SEND_ITEM | 1 |
erfEVT_GROUPWISE_CANCEL_ITEM | 2 |
erfEVT_GROUPWISE_CLOSE_ITEM | 4 |
erfEVT_GROUPWISE_PACKAGING_ITEM | 8 |
erfEVT_GROUPWISE_PACKAGING_ITEM_CANCELED | 16 |
erfEVT_GROUPWISE_SEND_ITEM_COMPLETED | 32 |


Constant eEventType

Advansys Formativ 1.6 | Language Reference
eEventType Type |

Description
These constants identify the type of events that have been performed on a document version
Possible Values
Name | Value | Description
fgwUnknownEvent | 0 | Unknown Event
fgwAdd | 1 | The document version was added
fgwCheckIn | 2 | The document version was checked in
fgwCheckInRequest | 3 | A request to check in the document version was uploaded
fgwCheckOut | 4 | The document version was checked out
fgwCheckOutRequest | 5 | A request to check out the document version was uploaded
fgwCopyIn | 6 | The document version was copied from disk to the library
fgwCopyOut | 7 | The document version was copied from the library to disk
fgwCopyVersion | 8 |
fgwDeleteVersion | 9 | The document version was deleted
fgwDeleteVersionRequest | 10 | A request to delete the document version was uploaded
fgwDownLoadRequest | 11 | A request to download the document version was uploaded
fgwEndRetrieve | 12 | The retrieval of the document version was ended
fgwPreview | 13 | The document version was previewed.
fgwRetrieve | 14 | The document version was retrieved
fgwSyncWithMasterRequest | 15 | A request, to synchronize the document version with the version in the master library, was uploaded
fgwUploadRequest | 16 | A request to upload the document version was uploaded
fgwCopyOutForPrint | 17 | The document version was copied out to disk for printing (GroupWise 5.5 and later)
fgwCopyOutForWebPublisher | 18 | The document version was copied out to disk for GroupWise Web Publisher (GroupWise 5.5 and later)
fgwSecurityChange | 19 | The document versions security was changed (GroupWise 5.5 and later)
fgwDocumentShared | 20 | The document version was shared with other users. (GroupWise 5.5 and later)
fgwMakeVersionOfficial | 21 | The document version was made the official version. (GroupWise 5.5)
fgwUpdateFields | 22 | The document versions fields were updated. (GroupWise 5.5 and later)
fgwDocUpAddServer | 23 | A new document version was uploaded from Remote (GroupWise 5.5 and later)
fgwDocUpModServer | 24 | A modified document version was uploaded from Remote (GroupWise 5.5 and later)
fgwRemoteResetInMaster | 25 | The document versions status was reset by a Remote system (GroupWise 5.5 and later)
fgwVersionDownClientRemote | 26 | The document version was downloaded to Remote (GroupWise 5.5 and later)
fgwDocUpClientRemote | 27 | The document version was uploaded from Remote (GroupWise 5.5 and later)
fgwRemoteReset | 28 | The document versions status was reset on a Remote system (GroupWise 5.5 and later)
fgwMove | 29 | The document version was moved to a new library (GroupWise 5.5 and later)
fgwStatusReset | 30 | The document versions status was reset (GroupWise 5.5 and later)
fgwArchived | 31 | The document version was archived (GroupWise 5.5 and later)
fgwRestored | 32 | The document version was restored. (GroupWise 5.5 and later)
fgwBackedUp | 33 | The document version was backed up. (GroupWise 5.5 and later)
fgwRestoredBackUp | 34 | The document version was restored from a backup. (GroupWise 5.5 and later)
fgwRemoveSyncWithMasterRequest | 35 | A request to remove the synchronization of the document version with the version in the master library was uploaded. (GroupWise 5.5 and later)
fgwDocumentAvailableOnServer | 36 | The document version was made available on the server (GroupWise 5.5 and later)
fgwDownloadFailed | 37 | Downloading the document version failed. (GroupWise 5.5 and later)
fgwVersionDeleteFailed | 38 | The document version was previously deleted from the server (GroupWise 5.5 and later)


Constant eFieldDefinitionCase

Advansys Formativ 1.6 | Language Reference
eFieldDefinitionCase Type |

Description
These constants identify the string case for a field definition.
Possible Values
Name | Value | Description
fgwUpperCase | 1 | Uppercase
fgwLowerCase | 2 | Lowercase
fgwMixedCase | 3 | Mixed case


Constant eFieldOperator

Advansys Formativ 1.6 | Language Reference
eFieldOperator Type |

Description
Specifies possible values for the Field Operator.
Possible Values
Name | Value | Description
fopDontCare | 147 |
fopEqual | 320 |
fopGT | 321 |
fopGTE | 322 |
fopLT | 318 |
fopLTE | 319 |
fopNotEqual | 323 |


Constant eFieldType

Advansys Formativ 1.6 | Language Reference
eFieldType Type |

Description
These constants identify the type of a user-defined field
Possible Values
Name | Value | Description
fgwString | 1 | String
fgwNumeric | 2 | Numeric (32 bits)
fgwDate | 3 | Date
fgwBinary | 4 | Binary
fgwReserved | 5 | Reserved


Constant eFileFormat

Advansys Formativ 1.6 | Language Reference
eFileFormat Type |

Description
Specifies the possible values for the file format.
Possible Values
Name | Value | Description
fmtAnsitext | 106 |
fmtWordPerfect60 | 269 |


Constant eFilterActions

Advansys Formativ 1.6 | Language Reference
eFilterActions Type |

Description
No description is available.
Possible Values
Name | Value | Description
faClear | 844 |
faSet | 845 |
faPrompt | 846 |


Constant eFilterApplyTo

Advansys Formativ 1.6 | Language Reference
eFilterApplyTo Type |

Description
Specifies the control list type.
Possible Values
Name | Value | Description
fatAppointmentList | 108 | Apply to calendar views.
fatItemList | 44 | Apply to Mailbox, Sent Items, or Trash views.
fatNoteList | 188 | Apply to calendar views.
fatSelectedControl | 219 | Apply to all item views.
fatTaskList | 228 | Apply to calendar views.
fatView | 266 |
fatWeekControl | 268 | Apply to a Week Calendar view.


Constant eFilterAttribute

Advansys Formativ 1.6 | Language Reference
eFilterAttribute Type |

Description
Specifies the item attribute processed by the filter.
Possible Values
Name | Value | Description
fsaAccepted | 104 |
fsaArchived | 279 |
fsaAutodated | 289 |
fsaCompleted | 138 |
fsaCustomView | 141 |
fsaDelegated | 143 |
fsaOpened | 280 |
fsaPersonal | 198 |
fsaPrivate | 200 |
fsaRead | 206 |
fsaReplyRequested | 207 |
fsaReturnReceiptRequested | 215 |
fsaRouted | 217 |


Constant eFilterDateAbsolute

Advansys Formativ 1.6 | Language Reference
eFilterDateAbsolute Type |

Description
Specifies the possible date values.
Possible Values
Name | Value | Description
fdaAssignedDate | 112 |
fdaBeginDateTime | 126 |
fdaCreateDate | 139 |
fdaDeliveredDate | 507 |
fdaDueDate | 148 |
fdaEndDateTime | 151 |
fdaNamedField | 331 |


Constant eFilterDateType

Advansys Formativ 1.6 | Language Reference
eFilterDateType Type |

Description
Specifies the possible item date parameters for the date filter.
Possible Values
Name | Value | Description
fdtAssignedDate | 147 |
fdtBeginDateTime | 320 |
fdtCreateDate | 321 |
fdtDeliveredDate | 322 |
fdtDueDate | 318 |
fdtEndDateTime | 319 |
fdtNamedField | 323 |


Constant eFilterHandleType

Advansys Formativ 1.6 | Language Reference
eFilterHandleType Type |

Description
Default Filter Handle Value.
Possible Values
Name | Value | Description
fhtDefault | 315 | Default value for Filter Handle.


Constant eFilterType

Advansys Formativ 1.6 | Language Reference
eFilterType Type |

Description
Specifies the filter type.
Possible Values
Name | Value | Description
fttCalendar | 1 |
fttEmpty | 150 |
fttInbox | 6 |
fttOutbox | 7 |


Constant eFindSearchDir

Advansys Formativ 1.6 | Language Reference
eFindSearchDir Type |

Description
Specifies whether to search forward or backward from the insertion point.
Possible Values
Name | Value | Description
fsdForward | 0 |
fsBackward | 1 |


Constant eFirstDayofWeek

Advansys Formativ 1.6 | Language Reference
eFirstDayofWeek Type |

Description
Specifies the first day of the week.
Possible Values
Name | Value | Description
fdwFriday | 5 |
fdwMonday | 1 |
fdwSaturday | 6 |
fdwSunday | 0 |
fdwThursday | 4 |
fdwTuesday | 2 |
fdwWednesday | 3 |


Constant eFldrListContents

Advansys Formativ 1.6 | Language Reference
eFldrListContents Type |

Description
Create a folder list including all folders, no folders, or only the root folder.
Possible Values
Name | Value | Description
flcAll | 7 |
flcEmpty | 150 | If you create an Empty! folder list, call FolderListAddFolder() before passing the folder list handle to ItemListCreate.
flcRoot | 216 |


Constant eFolderRights

Advansys Formativ 1.6 | Language Reference
eFolderRights Type |

Description
These constants identify the type of access rights a user has to a folder
Possible Values
Name | Value | Description
fgwAllowDelete | 1 | The user can delete items from the folder
fgwAllowAdd | 2 | The user can add items to the folder
egwAllowModify | 4 | The user can modify items in the folder


Constant eFolderRightsNotify

Advansys Formativ 1.6 | Language Reference
eFolderRightsNotify Type |

Description
These constants identify the group of users being notified of a change in their access rights to a shared folder
Possible Values
Name | Value | Description
fgwDeleted | 1 | Notify users who have had their access rights to the shared folder revoked
fgwModified | 2 | Notify users who have had their access rights to the shared folder changed
fgwNew | 3 | Notify users who have just been given access rights to the shared folder


Constant eFolderType

Advansys Formativ 1.6 | Language Reference
eFolderType Type |

Description
These constants identify a folders type
Possible Values
Name | Value | Description
fgwUnknownFolder | 0 | Unknown
fgwMailbox | 1 | Mailbox
fgwRoot | 2 | Root
fgwQuery | 3 | Query
fgwPersonalFolder | 4 | Personal
fgwCabinet | 5 | Cabinet
fgwCalendar | 6 | Calendar
fgwWork | 7 | Work in Progress
fgwDocuments | 8 | Documents (GroupWise 5.5 and later)


Constant eFontWeight

Advansys Formativ 1.6 | Language Reference
eFontWeight Type |

Description
Specifies the font style.
Possible Values
Name | Value | Description
fnwTHIN | 100 |
fnwEXTRATHIN | 200 |
fnwULTRALIGHT | 300 |
fnwNORMAL | 400 |
fnwREGULAR | 400 |
fnwMEDIUM | 500 |
fnwSEMIBOLD | 600 |
fnwDEMIBOLD | 600 |
fnwBOLD | 700 |
fnwEXTRABOLD | 800 |
fnwULTRABOLD | 800 |
fnwBLACK | 900 |
fnwHEAVY | 900 |


Constant eFormativBuild

Advansys Formativ 1.6 | Language Reference
eFormativBuild Type |

Description
Indicates the type of Formativ software being used to execute an applet
Possible Values
Name | Value | Description
frmAdmin | 0 | Formativ Administrator
frmDeveloper | 1 | Formativ Developer
frmRuntime | 2 | Formativ Runtime
frmExpress | 3 | Formativ Express
frmOEM | 4 | Formativ OEM


Constant eFromWhichList

Advansys Formativ 1.6 | Language Reference
eFromWhichList Type |

Description
The target address list.
Possible Values
Name | Value | Description
fwlBCList | 124 |
fwlCCList | 132 |
fwlCombined | 137 | Concatenates TO, CC, and BC, respectively.
fwlToList | 233 |


Constant eHTMLDlgStyle

Advansys Formativ 1.6 | Language Reference
eHTMLDlgStyle Type |

Description
Controls the position and style of a dialog.
Possible Values
Name | Value | Description
fbsDesigned | 0 | The dialog is displayed in the center of the screen.
fbsMaximized | 1 | The dialog is displayed maximized.
fbsEmbedded | 2 | The dialog is embedded in the GroupWise client.


Constant eHTTPProtocolversion

Advansys Formativ 1.6 | Language Reference
eHTTPProtocolversion Type |

Description
No description is available.
Possible Values
Name | Value | Description
pv1_0 | 0 |
pv1_1 | 1 |


Constant eInclude

Advansys Formativ 1.6 | Language Reference
eInclude Type |

Description
Specifies the signature include option.
Possible Values
Name | Value | Description
incNo | 0 |
incYes | 1 |
incPrompt | 201 |


Constant eItemAttachClass

Advansys Formativ 1.6 | Language Reference
eItemAttachClass Type |

Description
Specifies the attachment class.
Possible Values
Name | Value | Description
itcAttachClassFile | 114 |
itcAttachClassMessage | 115 |


Constant eItemAttribute

Advansys Formativ 1.6 | Language Reference
eItemAttribute Type |

Description
Specifies the possible values for the item attribute.
Possible Values
Name | Value | Description
iatAccepted | 104 |
iatArchived | 279 |
iatAutodate | 289 |
iatCompleted | 138 |
iatCustomView | 141 |
iatDelegated | 143 |
iatDeleted | 144 |
iatForwarding | 298 |
iatOpened | 280 |
iatPersonal | 198 |
iatPhoneCalled | 0 |
iatPhoneCameToSeeYou | 5 |
iatPhonePleaseCall | 1 |
iatPhoneReturnValuedYourCall | 3 |
iatPhoneUrgent | 6 |
iatPhoneWantsToSeeYou | 4 |
iatPhoneWillCallAgain | 2 |
iatPrivate | 200 |
iatRead | 206 |
iatReplying | 297 |
iatReplyRequested | 207 |
iatResending | 299 |
iatReceiptRequested | 215 |
iatRouted | 217 |
iatRoutingEndOfLine | 303 |


Constant eItemDateFormat

Advansys Formativ 1.6 | Language Reference
eItemDateFormat Type |

Description
Specifies the date format.
Possible Values
Name | Value | Description
idfDate | 176 | Returns in format: Month/Day 12HR:MIN AM[PM].
idfMAPIDate | 174 | Returns in format: Year/Month/Day 24HR:MIN.


Constant eItemDateType

Advansys Formativ 1.6 | Language Reference
eItemDateType Type |

Description
Specifies the values for the date type.
Possible Values
Name | Value | Description
idtAssignedDate | 112 |
idtBeginDateTime | 126 |
idtCreateDate | 139 |
idtDueDate | 148 |
idtDuration | 0 |
idtEndDateTime | 151 |


Constant eItemTextField

Advansys Formativ 1.6 | Language Reference
eItemTextField Type |

Description
Specifies the possible values for the item text field.
Possible Values
Name | Value | Description
itfAuthority | 4 |
itfBC | 3 |
itfCaller | 6 |
itfCC | 2 |
itfCompany | 7 |
itfFrom | 1 |
itfMessage | 10 |
itfPhone | 8 |
itfPlace | 5 |
itfSubject | 9 |
itfTaskCategory | 227 |
itfTaskPriority | 230 |
itfTo | 0 |
itfViewName | 267 |


Constant eItemType

Advansys Formativ 1.6 | Language Reference
eItemType Type |

Description
Specifies the item type.
Possible Values
Name | Value | Description
itmAppointment | 274 |
itmMail | 276 |
itmNote | 278 |
itmPhone | 8 |
itmProfile | 505 |
itmSearch | 506 |
itmTask | 277 |


Constant eLinkType

Advansys Formativ 1.6 | Language Reference
eLinkType Type |

Description
Specify the link type.
Possible Values
Name | Value | Description
lnkBROWSER_LINK | 1 |
lnkMAIL_LINK | 2 |


Constant eLogin

Advansys Formativ 1.6 | Language Reference
eLogin Type |

Description
These constants control the login prompting if there is a problem logging in
Possible Values
Name | Value | Description
fgwPromptIfNeeded | 0 | Prompt the user for the needed login information
fgwNeverPrompt | 1 | Never prompt the user. Throw an exception


Constant eMatch

Advansys Formativ 1.6 | Language Reference
eMatch Type |

Description
SearchString in relation to the field contents. Position of the text in a character string.
Possible Values
Name | Value | Description
matBeginText | 127 | Matches a string from the first character to the length of the search string.
matFullText | 165 | Requires an exact match and is case-sensitive.
matSubText | 225 | Matches any substrings.
matNotContainText | 659 | Matches items which do not contain the specified text.


Constant eMessageBoxType

Advansys Formativ 1.6 | Language Reference
eMessageBoxType Type |

Description
These constants identify the box type of a message
Possible Values
Name | Value | Description
fgwIncoming | 1 | Incoming
fgwOutgoing | 2 | Outgoing
fgwPersonal | 3 | Personal
fgwDraft | 4 | Draft


Constant eMessagePriority

Advansys Formativ 1.6 | Language Reference
eMessagePriority Type |

Description
These constants identify the priority of a message
Possible Values
Name | Value | Description
fgwLow | 1 | Low
fgwNormal | 2 | Normal
fgwHigh | 3 | High


Constant eMode

Advansys Formativ 1.6 | Language Reference
eMode Type |

Description
Defines the display mode for the calendar appointment view.
Possible Values
Name | Value | Description
modGrid | 0 |
modText | 1 |


Constant eModifyAttribute

Advansys Formativ 1.6 | Language Reference
eModifyAttribute Type |

Description
Apply attributes to specified item conditions. The conditions are: creating personal item, creating group item, existing personal item, and existing group item.
Possible Values
Name | Value | Description
isaAccepted | 104 |
isaCompleted | 138 |
isaPrivate | 200 |
isaRead | 206 |


Constant eMsgDelete

Advansys Formativ 1.6 | Language Reference
eMsgDelete Type |

Description
Specifies the item deletion options.
Possible Values
Name | Value | Description
msdAutoArchive | 2 |
msdAutoDelete | 1 |
msdManual | 0 |


Constant Encryption

Advansys Formativ 1.6 | Language Reference
Encryption Type |

Description
Specifies the encryption operation to be performed on the given string
Possible Values
Name | Value | Description
fEncrypt | 0 | Encrypt the given data
fDecrypt | 1 | Decrypt the given data. The same keys must be used that were used to encrypt the data


Constant eNotifyMessage

Advansys Formativ 1.6 | Language Reference
eNotifyMessage Type |

Description
NotifyMessage constants identify the type of notification for a message.
Possible Values
Name | Value | Description
fgwNoNotify | 0 | No notification needed
fgwSendReceipt | 1 | Send a notification message
fgwNotify | 2 | Notify the user of the message
fgwSendAndNotify | 3 | Send a notification message, and notify the user


Constant eOfficialVersion

Advansys Formativ 1.6 | Language Reference
eOfficialVersion Type |

Description
Specifies the official version only.
Possible Values
Name | Value | Description
OfficialOnly | 654 |


Constant eOpenAttachAction

Advansys Formativ 1.6 | Language Reference
eOpenAttachAction Type |

Description
Specifies the open attachment action.
Possible Values
Name | Value | Description
oaaOpenAttachment | 1 |
oaaViewAttachment | 0 |


Constant eOpenDocFlag

Advansys Formativ 1.6 | Language Reference
eOpenDocFlag Type |

Description
Specifies how to open the document.
Possible Values
Name | Value | Description
odfLaunchApp | 199 |
odfUseCurrentApp | 202 |
odfQuickviewer | 203 |


Constant eOpenItemAction

Advansys Formativ 1.6 | Language Reference
eOpenItemAction Type |

Description
Specifies the action for Open Item.
Possible Values
Name | Value | Description
oiaOpenItem | 1 |
oiaResendItem | 2 |
oiaShowProperties | 0 |


Constant eOperation

Advansys Formativ 1.6 | Language Reference
eOperation Type |

Description
Specifies the possible operators.
Possible Values
Name | Value | Description
opnEqual | 320 |
opnGT | 321 |
opnGTE | 322 |
opnLT | 318 |
opnLTE | 319 |


Constant ePhoneMsgOpt

Advansys Formativ 1.6 | Language Reference
ePhoneMsgOpt Type |

Description
Constants for the properties of a phone message view.
Possible Values
Name | Value | Description
pmvPhoneCalled | 0 |
pmvPhonePleaseCall | 1 |
pmvPhoneWillCallAgain | 2 |
pmvPhoneReturnedYou | 3 |
pmvPhoneWantsToSeeYou | 4 |
pmvPhoneCameToSeeYou | 5 |
pmvPhoneUrgent | 6 |


Constant ePriority

Advansys Formativ 1.6 | Language Reference
ePriority Type |

Description
Specifies the possible values for item priority.
Possible Values
Name | Value | Description
priLow | 0 |
priNormal | 1 |
priHigh | 2 |


Constant ePromptMode

Advansys Formativ 1.6 | Language Reference
ePromptMode Type |

Description
Specifies the prompting mode.
Possible Values
Name | Value | Description
psmNormal | 1 |
psmSuppressed | 226 |


Constant eProxyWindow

Advansys Formativ 1.6 | Language Reference
eProxyWindow Type |

Description
Specifies the current window for the proxy.
Possible Values
Name | Value | Description
prwCurrentWindow | 272 |


Constant eReadyStates

Advansys Formativ 1.6 | Language Reference
eReadyStates Type |

Description
Read ReadyState to obtain state information specific to a portal. Use this information to avoid attempting to use a portal when it is not ready to perform an action.
Possible Values
Name | Value | Description
READYSTATE_UNINITIALIZED | 0 | Default initialization state. The portal has not begun loading any properties.
READYSTATE_LOADING | 1 | The portal is loading its properties.
READYSTATE_LOADED | 2 | The portal has initialized its properties but is not yet interactive.
READYSTATE_INTERACTIVE | 3 | The portal is interactive, but not all of its data is available. (It is downloading a document or frame).
READYSTATE_COMPLETE | 4 | The portal is interactive and all of its data is available. (The current document is fully downloaded).


Constant eRegistryAccess

Advansys Formativ 1.6 | Language Reference
eRegistryAccess Type |

Description
Specifies the level of access to use when opening registry keys. Use with the Registry object.
Possible Values
Name | Value | Description
KEY_ALL_ACCESS | 983103 | Combination of KEY_READ, KEY_WRITE, and KEY_CREATE_LINK.
KEY_READ | 131097 | Combination of KEY_QUERY_VALUE, KEY_ENUMERATE_SUB_KEYS, and KEY_NOTIFY.
KEY_WRITE | 131078 | Combination of KEY_SET_VALUE and KEY_CREATE_SUB_KEY.
KEY_QUERY_VALUE | 1 | Grants permission to query subkey data.
KEY_ENUMERATE_SUB_KEYS | 8 | Grants permission to enumerate subkeys.
KEY_NOTIFY | 16 | Grants ability to receive change notifications.
KEY_SET_VALUE | 2 | Grants permission to set subkey data.
KEY_CREATE_SUB_KEY | 4 | Grants permission to create subkeys.
KEY_CREATE_LINK | 32 | Grants permission to create symbolic links.


Constant eRemoteModemCmd

Advansys Formativ 1.6 | Language Reference
eRemoteModemCmd Type |

Description
Specifies the remote modem command.
Possible Values
Name | Value | Description
rmcAllowLogging | 312 |
rmcBreak | 308 |
rmcCharAvailable | 309 |
rmcConnected | 310 |
rmcRead | 206 |
rmcSettings | 313 |
rmcTerminalMode | 311 |
rmcWrite | 314 |


Constant eReplyRequested

Advansys Formativ 1.6 | Language Reference
eReplyRequested Type |

Description
Specifies the Reply Requested option.
Possible Values
Name | Value | Description
rrqNone | 0 |
rrqWhenConvenient | 1 |
rrqWithinDays | 2 |


Constant eReplyTo

Advansys Formativ 1.6 | Language Reference
eReplyTo Type |

Description
Specifies the Reply To values.
Possible Values
Name | Value | Description
repAll | 7 | Reply to all.
repSender | 1 | Reply to Sender.


Constant eResolved

Advansys Formativ 1.6 | Language Reference
eResolved Type |

Description
These constants identify the resolved status of a recipient
Possible Values
Name | Value | Description
fgwNotResolved | 0 | The recipient is not resolved
fgwNotFound | 1 | The recipient could not be found in the address book
fgwAmbiguous | 2 | The recipient is ambiguous
fgwResolved | 3 | The recipient has been resolved


Constant eRetract

Advansys Formativ 1.6 | Language Reference
eRetract Type |

Description
Specifies from where to retract the item.
Possible Values
Name | Value | Description
retAllBoxes | 292 |
retAllInBoxes | 291 |
retThisOutbox | 290 |


Constant eRetrieveAppts

Advansys Formativ 1.6 | Language Reference
eRetrieveAppts Type |

Description
Specifies which Appointment items to receive in remote mode.
Possible Values
Name | Value | Description
rapAccepted | 104 |
rapAll | 7 |
rapNone | 0 |
rapUnaccepted | 284 |


Constant eRetrieveContents

Advansys Formativ 1.6 | Language Reference
eRetrieveContents Type |

Description
Specifies the remote retrieve contents parameter.
Possible Values
Name | Value | Description
recAdd | 287 |
recAll | 7 |
recReset | 286 |


Constant eRetrieveDocRef

Advansys Formativ 1.6 | Language Reference
eRetrieveDocRef Type |

Description
Specifies which Document references to receive in remote mode.
Possible Values
Name | Value | Description
rdrAll | 7 |
rdrNone | 0 |


Constant eRetrieveMailPhoneNotes

Advansys Formativ 1.6 | Language Reference
eRetrieveMailPhoneNotes Type |

Description
Specifies which Mail, Phone and Note items to receive in remote mode.
Possible Values
Name | Value | Description
rmpAll | 7 |
rmpNone | 0 |
rmpOpened | 280 |
rmpUnopened | 283 |


Constant eRetrieveTasks

Advansys Formativ 1.6 | Language Reference
eRetrieveTasks Type |

Description
Specifies which Task items to receive in remote mode.
Possible Values
Name | Value | Description
retAll | 7 |
retCompleted | 138 |
retNone | 0 |
retUncompleted | 285 |


Constant eReturnOnValue

Advansys Formativ 1.6 | Language Reference
eReturnOnValue Type |

Description
Specifies the return notification options.
Possible Values
Name | Value | Description
rovMail | 276 |
rovMailAndNotify | 3 |
rovNone | 0 |
rovNotify | 2 |
rovzOldMail | 1 |


Constant eRuleActivate

Advansys Formativ 1.6 | Language Reference
eRuleActivate Type |

Description
Specifies how the rule should be activated.
Possible Values
Name | Value | Description
racCloseFolder | 136 |
racExit | 158 |
racFiledItem | 162 |
racNewItem | 185 |
racOpenFolder | 194 |
racStartup | 224 |
racUserActivated | 240 |


Constant eRuleReplyType

Advansys Formativ 1.6 | Language Reference
eRuleReplyType Type |

Description
Specifies the rule reply type.
Possible Values
Name | Value | Description
rrtToAll | 232 |
rrtToSender | 234 |


Constant eSearchDir

Advansys Formativ 1.6 | Language Reference
eSearchDir Type |

Description
Specifies the direction for the search.
Possible Values
Name | Value | Description
sdrBackward | 0 |
sdrForward | 1 |


Constant eSection

Advansys Formativ 1.6 | Language Reference
eSection Type |

Description
The section to search in.
Possible Values
Name | Value | Description
secExternalAddress | 159 |
secPersonalGroups | 3 |
secPublicGroups | 2 |
secResources | 1 |
secUsers | 0 |


Constant eSecurity

Advansys Formativ 1.6 | Language Reference
eSecurity Type |

Description
Specifies an items security level.
Possible Values
Name | Value | Description
secConfidential | 3 |
secForYourEyesOnly | 6 |
secNormal | 1 |
secProprietary | 2 |
secSecret | 4 |
secTopSecret | 5 |


Constant eSharedFolder

Advansys Formativ 1.6 | Language Reference
eSharedFolder Type |

Description
These constants identify a shared folders type
Possible Values
Name | Value | Description
fgwNotShared | 0 | This folder is not shared
fgwSharedOutgoing | 1 | This folder is shared with someone else
fgwSharedIncoming | 2 | Someone is sharing this folder with me


Constant eSharedNotificationType

Advansys Formativ 1.6 | Language Reference
eSharedNotificationType Type |

Description
These constants identify the types of shared notification messages (GroupWise 5.5 and later)
Possible Values
Name | Value | Description
fgwSharedFolder | 0 | Shared folder
fgwSharedAddressBook | 1 | Shared personal address book


Constant eSort

Advansys Formativ 1.6 | Language Reference
eSort Type |

Description
These constants identify sort types
Possible Values
Name | Value | Description
fgwAscending | 0 | Sorted in ascending order
fgwDescending | 1 | Sorted in descending order


Constant eSortKey

Advansys Formativ 1.6 | Language Reference
eSortKey Type |

Description
Specifies the possible values for the sort key.
Possible Values
Name | Value | Description
stkAcceptedCnt | 600 |
stkAssignedDate | 112 |
stkAuthor | 625 |
stkAuthority | 4 |
stkBC | 3 |
stkBeginDateTime | 126 |
stkCC | 2 |
stkCaller | 6 |
stkCompany | 7 |
stkCompletedCnt | 603 |
stkCopyType | 602 |
stkCreateDate | 139 |
stkCreator | 626 |
stkCurrentVersion | 627 |
stkDate | 176 |
stkDeletedCnt | 606 |
stkDeliveredDate | 507 |
stkDocType | 0 |
stkDocumentID | 608 |
stkDueDate | 148 |
stkEndDateTime | 151 |
stkFilename | 628 |
stkFrom | 1 |
stkItemType | 169 |
stkLabel | 613 |
stkLibrary | 614 |
stkLibraryId | 647 |
stkModified | 633 |
stkNamedFldByte | 703 |
stkNamedFldDate | 702 |
stkNamedFldSDWord | 706 |
stkNamedFldSWord | 704 |
stkNamedFldText | 700 |
stkNamedFldUDWord | 707 |
stkNamedFldUWord | 705 |
stkNamedFldWrdStr | 701 |
stkOfficialVersion | 630 |
stkOpenCnt | 615 |
stkPhone | 8 |
stkPlace | 5 |
stkRecipientsCnt | 616 |
stkRepliedCnt | 617 |
stkRetrievedBy | 631 |
stkRetrievedDate | 632 |
stkSize | 618 |
stkSource | 619 |
stkSubject | 9 |
stkSubType | 646 |
stkTaskCategory | 227 |
stkTaskPriority | 230 |
stkTo | 0 |
stkTransferCnt | 621 |
stkUndeliveredCnt | 622 |
stkVersion | 623 |
stkVersionCreator | 634 |
stkVersionDate | 635 |
stkVersionDescription | 636 |
stkViewName | 267 |


Constant eSortOrder

Advansys Formativ 1.6 | Language Reference
eSortOrder Type |

Description
Specifies the sort order.
Possible Values
Name | Value | Description
stoAscending | 111 |
stoDescending | 146 |


Constant eStatusInfo

Advansys Formativ 1.6 | Language Reference
eStatusInfo Type |

Description
Information to track when an Appointment is sent.
Possible Values
Name | Value | Description
stiAllInfo | 3 |
stiDelivered | 275 |
stiNone | 0 |
stiOpened | 280 |


Constant eTaskDisplay

Advansys Formativ 1.6 | Language Reference
eTaskDisplay Type |

Description
Specifies the task time duration display.
Possible Values
Name | Value | Description
tdtDuration | 0 |
tdtEndDateAndTime | 1 |


Constant eTextField

Advansys Formativ 1.6 | Language Reference
eTextField Type |

Description
Specifies the possible values for an item text field.
Possible Values
Name | Value | Description
fldAuthor | 625 |
fldAuthority | 4 |
fldBC | 3 |
fldCaller | 6 |
fldCC | 2 |
fldCompany | 7 |
fldCreator | 626 |
fldFrom | 1 |
fldMessage | 10 |
fldNameField | 331 |
fldPhone | 8 |
fldPlace | 5 |
fldSubject | 9 |
fldTaskCategory | 227 |
fldTaskPriority | 230 |
fldTo | 0 |
fldViewName | 267 |


Constant eTimeBlock

Advansys Formativ 1.6 | Language Reference
eTimeBlock Type |

Description
These constants identify the type of a block of time
Possible Values
Name | Value | Description
fgwFree | 0 | Free
fgwBlocked | 1 | Blocked
fgwOutOfOffice | 2 | Out of the office (GroupWise 5.5 and later)
fgwTentative | 3 | Tentative (GroupWise 5.5 and later)


Constant eTrustedApplication

Advansys Formativ 1.6 | Language Reference
eTrustedApplication Type |

Description
Trusted application creation/deletion return values. See the Programmers Guide for more information.
Possible Values
Name | Value | Description
taSuccess | 0 | The operation was successful
taInit_Error | 1 |
taConnect_Errpr | 2 |
taNew_Record_Error | 3 |
taField_Error | 4 |
taGet_Record_Error | 5 |
taNot_Unique_Error | 6 |
taOverwrite_Error | 7 |
taGet_Record_ID_Error | 8 |
taUnknown | 999 |


Constant eViewMode

Advansys Formativ 1.6 | Language Reference
eViewMode Type |

Description
Specifies the view mode.
Possible Values
Name | Value | Description
vvmCalendar | 1 |
vvmConversion | 2 |
vvmDetails | 3 |


Constant eViewNamedType

Advansys Formativ 1.6 | Language Reference
eViewNamedType Type |

Description
Specifies the named view type.
Possible Values
Name | Value | Description
vwnAppointment | 274 |
vwnCalendar | 1 |
vwnMail | 276 |
vwnNote | 278 |
vwnPhoneMessage | 288 |
vwnTask | 277 |


Constant eViewSwitchType

Advansys Formativ 1.6 | Language Reference
eViewSwitchType Type |

Description
Specifies the view to switch to.
Possible Values
Name | Value | Description
vwsAppointment | 274 |
vwsCalendar | 1 |
vwsMail | 276 |
vwsNote | 278 |
vwsOutbox | 7 |
vwsPhoneMessage | 288 |
vwsTask | 277 |


Constant eViewType

Advansys Formativ 1.6 | Language Reference
eViewType Type |

Description
Specifies the view type.
Possible Values
Name | Value | Description
vwtAppointment | 274 |
vwtBrowser | 624 |
vwtCalendar | 1 |
vwtInbox | 6 |
vwtMail | 276 |
vwtNote | 278 |
vwtOutbox | 7 |
vwtPhoneMessage | 288 |
vwtTask | 277 |
vwtTrash | 8 |


Constant eVirtualKeys

Advansys Formativ 1.6 | Language Reference
eVirtualKeys Type |

Description
Use eVirtualKeys constants with GetAsyncKeyState and IsKeyDown methods to represent the key you wish to query. Not all keys may be available on all keyboards.
Possible Values
Name | Value | Description
VK_LBUTTON | 1 | A left button.
VK_RBUTTON | 2 | A right button.
VK_CANCEL | 3 | The cancel key.
VK_MBUTTON | 4 | A mouse button.
VK_BACK | 8 | The backspace key.
VK_TAB | 9 | The tab key.
VK_CLEAR | 12 | The clear key.
VK_RETURN | 13 | The enter key.
VK_SHIFT | 16 | The shift key.
VK_CONTROL | 17 | The control key.
VK_MENU | 18 | The menu key.
VK_PAUSE | 19 | The pause key.
VK_CAPITAL | 20 | The caps lock key.
VK_ESCAPE | 27 | The escape key.
VK_SPACE | 32 | The space key.
VK_NEXT | 34 | The next key.
VK_END | 35 | The end key.
VK_HOME | 36 | The home key.
VK_LEFT | 37 | The left key.
VK_UP | 38 | The up key.
VK_RIGHT | 39 | The right key.
VK_DOWN | 40 | The down key.
VK_SELECT | 41 | The select key.
VK_PRINT | 42 | The print key.
VK_EXECUTE | 43 | The execute key.
VK_SNAPSHOT | 44 | The snapshot key.
VK_INSERT | 45 | The insert key.
VK_DELETE | 46 | The delete key.
VK_HELP | 47 | The help key.


Constant eWhereToSearch

Advansys Formativ 1.6 | Language Reference
eWhereToSearch Type |

Description
Specifies where to search.
Possible Values
Name | Value | Description
wtsRemoteMailBox | 2 |
wtsMasterMailBox | 4 |


Constant eWindowType

Advansys Formativ 1.6 | Language Reference
eWindowType Type |

Description
Constants which specify the window type.
Possible Values
Name | Value | Description
ewtAppointmentMessage | 109 |
ewtAttachmentView | 118 |
ewtBrowser | 624 |
ewtCalendar | 1 |
ewtInbox | 6 |
ewtInfo | 168 |
ewtItemView | 304 |
ewtMailMessage | 175 |
ewtMainWindow | 177 |
ewtModelessDialog | 181 |
ewtNoteMessage | 189 |
ewtOutbox | 7 |
ewtPhoneMessage | 288 |
ewtTaskMessage | 229 |
ewtTrash | 8 |


Constant eWorkDays

Advansys Formativ 1.6 | Language Reference
eWorkDays Type |

Description
Specifies the week work days.
Possible Values
Name | Value | Description
wkdSun | 1 |
wkdMon | 2 |
wkdTues | 4 |
wkdWed | 8 |
wkdThu | 16 |
wkdFri | 32 |
wkdSat | 64 |
wkdAllButSatSun | 62 |


Constant FontStyle

Advansys Formativ 1.6 | Language Reference
FontStyle Type |

Description
Determines the style of the font, such as normal, italic, underlined, bold etc..
Possible Values
Name | Value | Description
ffsBold | 1 | The font is boldfaced.
ffsItalic | 2 | The font is italicized.
ffsUnderline | 4 | The font is underlined.
ffsStrikeOut | 8 | The font is displayed with a horizontal line through it.


Constant GlyphAlignH

Advansys Formativ 1.6 | Language Reference
GlyphAlignH Type |

Description
Aligns the glyphs to the left or right of the checkbox.
Possible Values
Name | Value | Description
fgahLeft | 1 |
fgahRight | 2 |


Constant GlyphAlignV

Advansys Formativ 1.6 | Language Reference
GlyphAlignV Type |

Description
Aligns the glyphs to the bottom, center or top of the item.
Possible Values
Name | Value | Description
fgavBottom | 1 |
fgavCenter | 2 |
fgavTop | 4 |


Constant GlyphStyle

Advansys Formativ 1.6 | Language Reference
GlyphStyle Type |

Description
Set the GlyphStyle property to select one of the glyph constants.
Possible Values
Name | Value | Description
fcsTickSunken | 1 |
fcsTickFlat | 2 |
fcsTickRaised | 4 |
fcsTickTransparent | 8 |
fcsTick3D | 16 |
fcsCrossSunken | 32 |
fcsCrossFlat | 64 |
fcsCrossRaised | 128 |
fcsCrossTransparent | 256 |
fcsCross3D | 512 |
fcsDiamondSunken | 1024 |
fcsDiamondFlat | 2048 |
fcsDiamondRaised | 4096 |
fcsDiamond3D | 8192 |


Constant GridOption

Advansys Formativ 1.6 | Language Reference
GridOption Type |

Description
Specifies various display and behavioral properties of the grid.
Possible Values
Name | Value | Description
fgoFixedVertLine | 1 | Vertical lines are drawn to separate the fixed (nonscrolling) columns in the grid.
fgoFixedHorzLine | 2 | Horizontal lines are drawn to separate the fixed (nonscrolling) rows in the grid.
fgoVertLine | 4 | Vertical lines are drawn to separate the scrollable columns in the grid.
fgoHorzLine | 8 | Horizontal lines are drawn to separate the scrollable rows in the grid.
fgoRangeSelect | 16 | Users can select ranges of cells at one time. goRangeSelect is ignored if Options includes goEditing.
fgoDrawFocusSelected | 32 | Cells with input focus are drawn the with a special highlight color, just like selected cells without input focus. If goDrawFocusSelected is not included, the cell with input focus is distinguished by a focus rectangle, not by a special background color.
fgoRowSizing | 64 | Scrollable rows can be individually resized.
fgoColSizing | 128 | Scrollable columns can be individually resized.
fgoRowMoving | 256 | Scrollable rows can be moved using the mouse.
fgoColMoving | 512 | Scrollable columns can be moved using the mouse.
fgoEditing | 1024 | Users can edit the contents of cells. When goEditing is included in Options, goRangeSelect has no effect.
fgoTabs | 2048 | Users can navigate through the cells in the grid using Tab and Shift+Tab.
fgoRowSelect | 4096 | Entire rows are selected rather than individual cells. If goRowSelect is included in Options, goAlwaysShowEditor has no effect.
fgoAlwaysShowEditor | 8192 | The grid is locked into edit mode. The user does not need to use Enter or F2 to turn on EditorMode. If Options does not include goEditing, goAlwaysShowEditor has no effect. If Options includes goRowSelect, goAlwaysShowEditor has no effect.
fgoThumbTracking | 16384 | The grid image updates while the user is dragging the thumb of the scrollbar. If goThumbTracking is not included, the image does not update until the user releases the thumb in a new position.


Constant PanelBevel

Advansys Formativ 1.6 | Language Reference
PanelBevel Type |

Description
Determines the style of the inner and outer bevels of a panel.
Possible Values
Name | Value | Description
fbvNone | 1 | No inner bevel exists.
fbvLowered | 2 | The inner bevel is lowered.
fbvRaised | 4 | The inner bevel is raised.


Constant RegistryKey

Advansys Formativ 1.6 | Language Reference
RegistryKey Type |

Description
Specifies the root key for the Registry object.
Possible Values
Name | Value | Description
fHKEY_CLASSES_ROOT | 0 |
fHKEY_CURRENT_USER | 1 |
fHKEY_LOCAL_MACHINE | 2 |
fHKEY_USERS | 3 |
fHKEY_PERFORMANCE_DATA | 4 |
fHKEY_CURRENT_CONFIG | 5 |
fHKEY_DYN_DATA | 6 |


Constant ScrollStyle

Advansys Formativ 1.6 | Language Reference
ScrollStyle Type |

Description
ScrollStyle constants determine whether the memo control has any scroll bars.
Possible Values
Name | Value | Description
fssNone | 1 | The control has no scroll bars.
fssHorizontal | 2 | The control has a single scroll bar on the bottom edge.
fssVertical | 4 | The control has a single scroll bar on the right edge.
fssBoth | 8 | The control has a scroll bar on both the bottom and right edges.


Constant StdDlgButtons

Advansys Formativ 1.6 | Language Reference
StdDlgButtons Type |

Description
These constants identify which button was pressed on the fcControlDlg.
Possible Values
Name | Value | Description
Btn1 | 1 |
Btn2 | 2 |
Btn3 | 3 |
Btn4 | 4 |
Btn5 | 5 |
Btn6 | 6 |